تحسين الأداء لإقلاع  النظام يؤدي إلى خفض أوقات الانتظار لمرحلة الإقلاع ووسيلة لمعرفة المزيد عن كيفية تفاعل بعض ملفات النظام والبرامج النصية مع بعضها البعض. هذا المقال يحاول تجميع الطرق عن كيفية تحسين الأداء لإقلاع  لنظام آرتش لينكس .

## Contents

*   [1 تحديد الاختناقات (عنق الزجاجة)](#.D8.AA.D8.AD.D8.AF.D9.8A.D8.AF_.D8.A7.D9.84.D8.A7.D8.AE.D8.AA.D9.86.D8.A7.D9.82.D8.A7.D8.AA_.28.D8.B9.D9.86.D9.82_.D8.A7.D9.84.D8.B2.D8.AC.D8.A7.D8.AC.D8.A9.29)
*   [2 تصريف نواة مخصصة](#.D8.AA.D8.B5.D8.B1.D9.8A.D9.81_.D9.86.D9.88.D8.A7.D8.A9_.D9.85.D8.AE.D8.B5.D8.B5.D8.A9)
*   [3 البدء المبكر للخدمات](#.D8.A7.D9.84.D8.A8.D8.AF.D8.A1_.D8.A7.D9.84.D9.85.D8.A8.D9.83.D8.B1_.D9.84.D9.84.D8.AE.D8.AF.D9.85.D8.A7.D8.AA)
*   [4 التشغيل على مراحل](#.D8.A7.D9.84.D8.AA.D8.B4.D8.BA.D9.8A.D9.84_.D8.B9.D9.84.D9.89_.D9.85.D8.B1.D8.A7.D8.AD.D9.84)
*   [5 وصل نظام الملفات](#.D9.88.D8.B5.D9.84_.D9.86.D8.B8.D8.A7.D9.85_.D8.A7.D9.84.D9.85.D9.84.D9.81.D8.A7.D8.AA)
*   [6 نظام ملفات الذاكرة اﻷولي Initramfs](#.D9.86.D8.B8.D8.A7.D9.85_.D9.85.D9.84.D9.81.D8.A7.D8.AA_.D8.A7.D9.84.D8.B0.D8.A7.D9.83.D8.B1.D8.A9_.D8.A7.EF.BB.B7.D9.88.D9.84.D9.8A_Initramfs)
*   [7 خرج قليل أثناء الإقلاع](#.D8.AE.D8.B1.D8.AC_.D9.82.D9.84.D9.8A.D9.84_.D8.A3.D8.AB.D9.86.D8.A7.D8.A1_.D8.A7.D9.84.D8.A5.D9.82.D9.84.D8.A7.D8.B9)
*   [8 مصادر إضافية](#.D9.85.D8.B5.D8.A7.D8.AF.D8.B1_.D8.A5.D8.B6.D8.A7.D9.81.D9.8A.D8.A9)

## تحديد الاختناقات (عنق الزجاجة)

يمكن استخدام الأمر `systemd-analyze` لعرض بيانات عن أوقات إقلاع الخدمات ، إضافة إلى خريطة svg لعرض انتظار الوحدات لتبعياتها . انظر `man systemd-analyze` لمزيد من التفاصيل.

## تصريف نواة مخصصة

إن تصريف نواة مخصصة سوف يخفض من زمن الإقلاع وحجم الذاكرة المستخدمة . [اقرأ المزيد عن تصريف النواة.](/index.php/Kernel_Compilation "Kernel Compilation")

## البدء المبكر للخدمات

أحد الميزات المحورية ل systemd هي [D-Bus](/index.php/D-Bus "D-Bus") وتنشيط المقبس . هذا يؤدي إلى بدء الخدمات عندما يتم الوصول إليها أولا وعموما ذلك أمر جيد، على كل حال إذا كنت تعرف أن هذه الخدمة (مثل [UPower](/index.php/UPower "UPower")) سوف تبدأ دوما أثناء الإقلاع ، حينئذ سيكون الزمن الإجمالي للإقلاع أقل إذا تم إقلاع هذه الخدمة بشكل مبكر على قدر الإمكان. ذلك يمكن إنجازه ( إذا كان ملف هذه الخدمة معد لذلك ، في معظم الأحوال يكون كذلك) عن طريق تنفيذ :

```
# systemctl enable upower

```

ذلك سيؤدي إلى بدء UPower بسرعة قدر الإمكان ، بدون التسبب في تسابق مع المقبس أو تفعيل D-Bus.

## التشغيل على مراحل

بعض تطبيقات العتاد [staggered spin-up](https://en.wikipedia.org/wiki/Spin-up#Staggered_spin-up "wikipedia:Spin-up"), تتسبب في جعل نظام التشغيل يفحص واجهات موصلات ATA بشكل تسلسلي ، والتي تشغل برامج التشغيل واحدا بعد واحد ، وتقلل من استهلاك الطاقة. وذلك يبطئ من سرعة الإقلاع، على الرغم من أن معظم اﻷجهزة المستهلكة لا تقدم أي فائدة على الإطلاق، حيث إن المشغلات ستعمل مباشرة عند تشغيل زر الطاقة. للتأكد من كون SSS قيد التشغيل نفذ الأمر:

```
$ dmesg | grep SSS

```

إذا كانت غير مستخدمة أثناء الإقلاع، فلن يظهر أي خرج للأمر. ولوقف عملها أضف المدخلة `libahci.ignore_sss=1` ل [kernel line](/index.php/Kernel_line "Kernel line") في ملف الإقلاع.

## وصل نظام الملفات

شكرا للخطاف `fsck` الخاص بالبرنامج [mkinitcpio](/index.php/Mkinitcpio "Mkinitcpio") ، يمكنك تجنب التكلفة الباهظة لعملية تكرار إعادة وصل قسم الجذر بتغيير المدخلة `ro` إلى `rw` في سطر النواة وحذفها من ملف `/etc/fstab` من خيارات قسم الجذر. يمكن ضبط الخيارات ب `rootflags=mount options...` على سطر ال kernel. يمكنك أيضا حذف أنظمة ملفات API من ملف `/etc/fstab`, حيث يقوم المخدم systemd بتوصيلها ذاتها، انظر `pacman -Ql systemd | grep '\.mount$'` لمعرفة القائمة. من غير الشائع للمستخدمين أن يكون لديهم مدخلة /tmp تم ترحيلها من sysvinit ، ولكن قد يلاحظ من اﻷمر بأعلاه أن المخدم systemd اعتنى بذلك فعلا. ولذا عليك أن تقوم بحذفها بشكل آمن.

نظم الملفات اﻷخرى مثل `/home` يمكن وصلها على وحدات وصل مختارة. إضافة المدخلات `noauto,x-systemd.automount` سوف يخفف عمليات الوصول لهذا القسم ، وسوف يقوم بعمل فحص fsck ووصله عند أو تشغيل، ويقلل من عدد نظم الملفات التي يجب عمل فحص وربط fsck/mount أثناء عملية الإقلاع.

**ملاحظة:** ذلك سيجعل نوع نظام ملفات `/home` هو `autofs`, والذي سيتم تجاهله من قِبل [mlocate](/index.php/Mlocate "Mlocate") افتراضيا. سرعة الوصل التلقائي لقسم `/home` ربما لن تزيد عن ثانية أو ثانيتين، اعتمادا على نظامك، لذا ربما لا تحتاج هذه الحيلة لكل هذا العناء.

## نظام ملفات الذاكرة اﻷولي Initramfs

كما أشرنا من قبل ، يمكن تقليل وقت الإقلاع عن طريق تخسيس النواة ، مما يقلل من كمية البيانات التي يجب أن يتم تحميلها. وذلك أيضا حقيقي بالنسبة ل initramfs لديك (الناتج من الأمر mkinitcpio ) ، حيث إنه يتم تحميله مباشرة بعد النواة ، وكن مهتما بترتيب نظام ملفاتك الجذر ووصلك له. للإقلاع ، ما هو مطلوب فعلا قليل جدا ويشمل موصلات  التخزين ، أجهزة الكتل ، ونظم الملفات . قام المطور Falconindy (Dave Reisner) مرغما بعمل [درس تعليمي مختصر](http://blog.falconindy.com/articles/optmizing-bootup-with-mkinitcpio.html) عن كيفية تحقيق ذلك على مدونته.

## خرج قليل أثناء الإقلاع

قم بتغيير المدخلة `verbose` إلى `quiet` في سطر ال kernel الموجود في محمل الإقلاع، ولا سيما مع أقراص الحالة الصلبة SSD، يعتبر اﻷداء البطيء ل TTY هو بالفعل عنق زجاجة، ولذا فإن تقليل الخرج يعني إقلاعا أسرع.

## مصادر إضافية

*   مدير الخدمات [systemd](/index.php/Systemd_(%D8%A7%D9%84%D8%B9%D8%B1%D8%A8%D9%8A%D8%A9) "Systemd (العربية)")
*   [e4rat](/index.php/E4rat "E4rat")
*   [udev](/index.php/Udev "Udev")
*   [Daemon](/index.php/Daemon "Daemon")
*   برنامج [mkinitcpio](/index.php/Mkinitcpio "Mkinitcpio")
*   [تعظيم أداء النظام](/index.php/Maximizing_Performance_(%D8%A7%D9%84%D8%B9%D8%B1%D8%A8%D9%8A%D8%A9) "Maximizing Performance (العربية)")
*   [Bootchart](/index.php/Bootchart "Bootchart")-أداة مساعدة لجمع وتنميط بيانات عملية الإقلاع
*   [Kexec](/index.php/Kexec "Kexec") أداة لإعادة التشغيل بشكل فائق السرعة دون انتظار انتهاء لكافة عمليات الإقلاع الخاصة بنظام BIOS