| **Summary**  |
| This article describes various ways Archers (both new and experienced users) can contribute to the Arch community. Note that this is not an exhaustive list. |
| **Related** |
| [Arch User Repository](/index.php/Arch_User_Repository "Arch User Repository") |
| [Help:Editing](/index.php/Help:Editing "Help:Editing") |

В биологията, [мутуализъм](https://en.wikipedia.org/wiki/Mutualism_biology) "wikipedia:Mutualism biology)") се нарича връзка между два индивида, при която те имат взаимна полза. Този принцип може също да се приложи и за активните и мотивирани членове на Arch обществото, които искат да допринесат за развитието на тяхната любима дистрибуция, като по този начин имат полза не само те, но и всички останали ползващи Arch Linux, също така и всички фенове на [свободния отворен софтуер](https://en.wikipedia.org/wiki/Free_and_open_source_software "wikipedia:Free and open source software").

## Contents

*   [1 Форуми](#.D0.A4.D0.BE.D1.80.D1.83.D0.BC.D0.B8)
*   [2 Wiki](#Wiki)
*   [3 Bugs](#Bugs)
*   [4 AUR](#AUR)
*   [5 Community projects](#Community_projects)
    *   [5.1 Arch Based Distributions](#Arch_Based_Distributions)
    *   [5.2 AUR helpers](#AUR_helpers)
    *   [5.3 Pacman GUI Frontends](#Pacman_GUI_Frontends)
    *   [5.4 Other](#Other)
*   [6 As a developer...](#As_a_developer...)
    *   [6.1 What can I do?](#What_can_I_do.3F)
    *   [6.2 How can I become an Arch developer?](#How_can_I_become_an_Arch_developer.3F)
*   [7 As an artist...](#As_an_artist...)

## Форуми

Един от най-лесните начини да се включите е като участвате в [Arch Linux форумите](https://bbs.archlinux.org/). Моля първо прочетете [Forum etiquette](/index.php/Forum_etiquette "Forum etiquette"), след което се чувствайте свободни да споделите вашите идеи, да подадете помщ на нови потребители и да се запознаете с вашата общност. Използвайте опцията за докладване (Report) (в долния десен ъгъл на всяка публикация във форума), за да уведомите екипа на форума за злоупотреби.

## Wiki

Wikis, by design, thrive on collaboration.

[ArchWiki](/index.php/AboutWiki "AboutWiki") is a *community* documentation process. The contents are created *by* the community *for* the community. Contributors volunteer their time and energy to share their knowledge and skill with the community. *All* users are encouraged to contribute. Tasks on ArchWiki can roughly be divided into the following:

*   Technical maintenance
*   Content management
*   Content editing
*   Content creation and [translation](/index.php/ArchWiki_Translation_Team "ArchWiki Translation Team")

If you feel capable of [editing wiki pages](/index.php/Help:Editing "Help:Editing"), please see if you can manage tasks outlined in this section.

1.  Flag articles with appropriate [article status templates](/index.php/Help:Template#Article_status_templates "Help:Template") (e.g. `{{Deletion}}`, `{{Out of date}}`, `{{Translateme}}`, etc.)
2.  Add content to [stubs](/index.php/Special:WhatLinksHere/Template:Stub "Special:WhatLinksHere/Template:Stub") and [expand](/index.php/Special:WhatLinksHere/Template:Expansion "Special:WhatLinksHere/Template:Expansion") incomplete or poorly-written articles.
3.  [Add](/index.php/Special:WhatLinksHere/Template:Translateme "Special:WhatLinksHere/Template:Translateme") or [improve](/index.php/Special:WhatLinksHere/Template:Bad_translation "Special:WhatLinksHere/Template:Bad translation") translations; ensure that translations are in sync with each other.
4.  Reduce and [combine](/index.php/Special:WhatLinksHere/Template:Merge "Special:WhatLinksHere/Template:Merge") duplicate pages.
5.  Correct [inaccurate](/index.php/Special:WhatLinksHere/Template:Accuracy "Special:WhatLinksHere/Template:Accuracy") or [outdated](/index.php/Special:WhatLinksHere/Template:Out_of_date "Special:WhatLinksHere/Template:Out of date") content, spelling, grammar, language, and [style](/index.php/Help:Style "Help:Style").
6.  Reduce the number of [categories](/index.php/Special:Categories "Special:Categories"). Scan the wiki for similar categories that should be combined; improve wiki [navigation](/index.php/Table_of_Contents "Table of Contents").
7.  [Categorize uncategorized pages](/index.php/Special:UncategorizedPages "Special:UncategorizedPages").
8.  Add [article summary](/index.php/Writing_Article_Overviews "Writing Article Overviews") boxes to all articles.
9.  Update the [FAQ](/index.php/FAQ "FAQ") with relevant questions from the forum and remove obsolete questions.

Other useful pages for cleanup:

*   [Requests](/index.php/ArchWiki:Requests "ArchWiki:Requests")
*   [Reports](/index.php/ArchWiki:Reports "ArchWiki:Reports")
*   [Broken redirects](/index.php/Special:BrokenRedirects "Special:BrokenRedirects")
*   [Double redirects](/index.php/Special:DoubleRedirects "Special:DoubleRedirects")
*   [Short pages](/index.php/Special:ShortPages "Special:ShortPages")

In the long run, the goal is a professional and easily-navigated wiki, such that supplementary guides, documenters, etc. are unnecessary. This is a community effort, but wiki maintenance is often a tedious and thankless task. If you take on the task seriously, a formal position as a wiki maintainer may be in order. This gives the job purpose and recognition.

## Bugs

Opening (and closing) bug reports on the [Arch Linux Bug Tracker](https://bugs.archlinux.org/) is one of the possible ways to help the community. However, ineffective use of the bug-tracker can be counter-productive instead of being useful. [This article](/index.php/Reporting_bug_guidelines "Reporting bug guidelines") will guide anyone wanting to help the community efficiently by reporting or hunting bugs.

See also: [Bug Squashing Day](/index.php/Bug_Squashing_Day "Bug Squashing Day")

## AUR

The [Arch User Repository](/index.php/Arch_User_Repository "Arch User Repository") is a community-driven repository of [PKGBUILDs](/index.php/PKGBUILD "PKGBUILD") for Arch users. Packages in the AUR are built by the PKGBUILDs and are not pre-built binaries like from the official repositories. The AUR was created to organize and share new packages from the community and to help expedite popular packages' inclusion into the `[community]` repository.

## Community projects

Arch has a vital and active community of software developers and contributing projects. If you have a project you would like to link to, this is a great place to do it. Include a link to your project, the date your project started, and a brief (one or two sentence) description of your project.

**Note:** All projects listed here are community projects. None of these projects are considered ***official*** Arch projects.

#### [Arch Based Distributions](/index.php/Arch_Based_Distributions "Arch Based Distributions")

	Other distributions based on Arch Linux

* * *

#### [AUR helpers](/index.php/AUR_helpers "AUR helpers")

	Utilities to aid end users in using the [AUR](/index.php/AUR "AUR")

* * *

#### [Pacman GUI Frontends](/index.php/Pacman_GUI_Frontends "Pacman GUI Frontends")

	Graphical front-ends for [pacman](/index.php/Pacman "Pacman")

* * *

#### Other

	Projects that don't quite fit into any existing category

* * *

*   [ArchAudio](http://archaudio.org)

	A third-party package repository and online discussion board for Arch Linux pro-audio users

*   [Arch Hurd Project](/index.php/Arch_Hurd_Project "Arch Hurd Project")

	A project to get a working Arch system on GNU/Hurd.

*   [Arch Linux Gaming Repository](http://arch-games.twilightlair.net)

	A collection of some of the popular games in [unsupported], to save archers compilation time. They have also patched up many broken games that would not compile.

*   [ArchLinux.us](http://archlinux.us)

	@archlinux.us emails, Gmail based

*   [ArchLinux.me](http://archlinux.me)

	Arch Linux Blogs

*   [ArchLinux.mobi](http://archlinux.mobi)

	Mobile access to the @archlinux.us emails

*   [ArchMap](/index.php/ArchMap "ArchMap")

	Google Earth Arch user map

*   [Arch Quote Database](http://qdb.archuser.com)

	A collection of humorous quotes from [#archlinux](/index.php/Irc "Irc")

*   [ArchServer Project](http://www.archserver.org)

	Making Arch suitable for server use

*   [IgnorantGuru's Blog](http://igurublog.wordpress.com/)

	Useful scripts, mods, and tips

*   [Namcap Reports](/index.php/Namcap_Reports "Namcap Reports")

	namcap is an utility for Arch Linux which helps in automatic detection of common mistakes and errors in PKGBUILDs. This page is an automatically generated report obtained after running namcap against the [core], [extra] and [community] trees.

*   [Pacman on OS X](http://arch-osx.twilightlair.net)

	Package management for OS X via `pacman`

*   [Parched](https://www.github.com/sebnow/parched)

	An ALPM package and PKGBUILD parser in Python

*   [Xyne's Arch Linux Stuff](http://xyne.archlinux.ca)

	Xyne's contributions to the Arch Linux community

## As a developer...

*This entry is mainly based on [this](https://bbs.archlinux.org/viewtopic.php?id=24503) post in Arch's BBS*

Firstly, remember that the main motivation for your work on Arch should be helping the whole community, and not trying to become an *"Arch developer"* by any means. Secondly, you are also part of the community; to provide help to others means you will also help yourself.

### What can I do?

Here is a list, in no particular order, of things that you may want to do in order to make yourself useful to the community:

*   Establish a reputation as being helpful by offering assistance whenever possible
*   Answer questions on the forum, IRC, and mailing lists
*   Join the Trusted Users to gain packaging experience to show your skills
*   Submit packages to the AUR
*   Join one of the offshoot projects that may be incorporated into Arch mainstream someday, or start your own
*   Work on pacman, makepkg, initscripts, or other source code and submit patches to the bug tracker
*   Traverse the bug tracker and fix existing bugs
*   Find and submit new bugs
*   Fix wiki errors, add new pages, clean up existing pages, and make sure the procedures are up-to-date
*   Submit translations

### How can I become an Arch developer?

Usually, new developers are picked by the existing developers as the workload increases. Sometimes they post a position and you can apply to fill it, but more often, they just invite somebody they know would be good at it and would fit in well with the rest of the team. Having a portfolio of Arch contributions is the best way to make it on the team.

## As an artist...

Feel free to share wallpapers, splash screens, color palettes, widgets, themes, etc. with the community on the forum.

See also: [https://www.archlinux.org/art/](https://www.archlinux.org/art/)