生物學裡，[互利共生(Mutualism)](https://en.wikipedia.org/wiki/Mutualism "wikipedia:Mutualism")：是指在生物界中某兩物種間的一種互相依賴、雙方獲利的專性共生關係。這一觀念同樣適用於 Arch 社群裡主動積極想參與並貢獻一己之力於其所喜愛的 GNU / Linux 發行版的成員。這種參與不僅有利於社群的成員和他們的Archers同胞們，也能造福所有[自由和開放源碼軟體_(en)](https://en.wikipedia.org/wiki/Free_and_open_source_software "wikipedia:Free and open source software")愛好者.

## Contents

*   [1 論壇](#.E8.AB.96.E5.A3.87)
*   [2 維基](#.E7.B6.AD.E5.9F.BA)
*   [3 Bug](#Bug)
*   [4 AUR](#AUR)
*   [5 《Rolling Release》雜志](#.E3.80.8ARolling_Release.E3.80.8B.E9.9B.9C.E5.BF.97)
*   [6 Arch 項目](#Arch_.E9.A0.85.E7.9B.AE)
*   [7 社群項目](#.E7.A4.BE.E7.BE.A4.E9.A0.85.E7.9B.AE)
    *   [7.1 基於Arch的發行版](#.E5.9F.BA.E6.96.BCArch.E7.9A.84.E7.99.BC.E8.A1.8C.E7.89.88)
    *   [7.2 AUR相關](#AUR.E7.9B.B8.E9.97.9C)
    *   [7.3 Pacman圖形前端](#Pacman.E5.9C.96.E5.BD.A2.E5.89.8D.E7.AB.AF)
    *   [7.4 rc.conf圖形前端](#rc.conf.E5.9C.96.E5.BD.A2.E5.89.8D.E7.AB.AF)
    *   [7.5 其他](#.E5.85.B6.E4.BB.96)
*   [8 作為開發者...](#.E4.BD.9C.E7.82.BA.E9.96.8B.E7.99.BC.E8.80.85...)
    *   [8.1 我能夠做什麼？](#.E6.88.91.E8.83.BD.E5.A4.A0.E5.81.9A.E4.BB.80.E9.BA.BC.EF.BC.9F)
    *   [8.2 我要如何成為一個Arch開發者？](#.E6.88.91.E8.A6.81.E5.A6.82.E4.BD.95.E6.88.90.E7.82.BA.E4.B8.80.E5.80.8BArch.E9.96.8B.E7.99.BC.E8.80.85.EF.BC.9F)
*   [9 作為藝術愛好者...](#.E4.BD.9C.E7.82.BA.E8.97.9D.E8.A1.93.E6.84.9B.E5.A5.BD.E8.80.85...)

## 論壇

其中一個最簡單的參與方式便是加入[Arch Linux的論壇](https://bbs.archlinux.org/)。請閱讀[論壇禮儀](/index.php/Forum_etiquette "Forum etiquette")，然後再隨時分享您的想法，伸出手來幫助新用戶，並結識您的社群。使用論壇的報告功能（在右下角的所有論壇帖子）提醒論壇團隊有關的濫用。

## 維基

[ArchWiki](/index.php/AboutWiki "AboutWiki")是一個**社區**文檔工程。如果你了解[如何編輯 wiki 頁面](/index.php/Help:Editing "Help:Editing")，請考慮協助完成本節所示的任務：

1.  為頁面打上適當的[頁面狀態模版](/index.php/Help:Template#Article_status_templates "Help:Template") (例如： 可刪除 `{{Deletion}}`, 過期 `{{Out of date}}`, 待翻譯 `{{Translateme}}`)
2.  [歸檔殘缺頁面](/index.php/Special:WhatLinksHere/Template:Stub "Special:WhatLinksHere/Template:Stub")和[擴展未完成或書寫質量差的頁面](/index.php/Special:WhatLinksHere/Template:Expansion "Special:WhatLinksHere/Template:Expansion")。
3.  [合並重復頁面](/index.php/Special:WhatLinksHere/Template:Merge "Special:WhatLinksHere/Template:Merge")。
4.  [減少分類（Category）](/index.php/Special:Categories "Special:Categories")——檢索wiki並合並多餘的分類頁，使之更具有導航作用。
5.  [歸類未分類頁面](/index.php/Special:UncategorizedPages "Special:UncategorizedPages")。
6.  [為頁面增加概覽（Summary）框](/index.php/Writing_Article_Overviews "Writing Article Overviews")。
7.  [更新FAQ](/index.php/FAQ "FAQ")——從論壇摘取常見問題，刪除過時內容。

另一些需要整理的頁面:

*   [請求頁](/index.php/Requests "Requests")
*   [鏈接失效](/index.php/Special:BrokenRedirects "Special:BrokenRedirects")
*   [多重重定向](/index.php/Special:DoubleRedirects "Special:DoubleRedirects")
*   [內容過短](/index.php/Special:ShortPages "Special:ShortPages")

長遠來看，我們的目標是建設專業並易於查詢的wiki系統，因此需要檔案員維護頁面。盡管有社區成員的努力，但維護是枯燥且吃力的工作。所以，當你編輯頁面時，請盡量遵守以下規則：

1.  無錯別字，語法規范，語句通順。
    *   刪除多餘內容和鏈接，文章簡明易懂。
    *   不添加個人信息（「我喜歡……」，「我的電腦……」），保持內容專業性。
    *   保持所有頁面統一風格、布局。
2.  別亂貼你沒有測試過的腳本代碼。
3.  內容文明健康。

如果你對這項事業懷有真正的熱情，你也許可以成為正式的wiki管理員。

## Bug

你還可以通過到[Arch Linux Bugtracker](https://bugs.archlinux.org/)匯報bug幫助我們。但回報無意義的問題反而會浪費大家的時間。如有意參與其中，請先閱讀[Bug匯報指南](/index.php/Reporting_bug_guidelines "Reporting bug guidelines")。

參見： [Bug Squashing Day](/index.php/Bug_Squashing_Day "Bug Squashing Day")

## AUR

[Arch用戶軟體倉庫](/index.php/Arch_User_Repository "Arch User Repository")是一個大眾主導的軟體倉庫，包含了大量用戶提交的PKGBUILD。不同於官方軟體庫二進制包的形式，AUR中的軟體包以PKGBUILD的形式供用戶使用，由用戶自行編譯。用戶通過AUR分享軟體，其中一些熱門軟體會選入`[community]`軟體倉庫。

## 《Rolling Release》雜志

[Rolling Release](http://rollingrelease.com)是Arch Linux官方電子雜志。雜志由社區支持，網上發布，歡迎投稿。

## Arch 項目

此表列舉了Arch官方的一些git託管項目：[Arch官方項目](https://projects.archlinux.org/)。

## 社群項目

**Note:** 這一部分以英文頁面為准，***請在英文頁面提交你的項目***。

Arch擁有一個充滿活力的用戶社區。如果你的項目想參與到社區中，請在下面連接的頁面報告以下信息：項目地址、項目開始時間、一兩句項目簡介。

**Note:** 下列所有項目都是社區支持的，是***非官方***的。

#### [基於Arch的發行版](/index.php/Arch_Based_Distributions "Arch Based Distributions")

	基於Arch的其他GNU/Linux發行版。

* * *

#### [AUR相關](/index.php/AUR_helpers "AUR helpers")

	方便用戶使用[AUR](/index.php/AUR "AUR")的工具。

* * *

#### [Pacman圖形前端](/index.php/Pacman_GUI_Frontends "Pacman GUI Frontends")

	[pacman](/index.php/Pacman "Pacman")的圖形前端，就像Ubuntu的「軟體中心」或「新立得軟體包管理器」。

* * *

#### [rc.conf圖形前端](/index.php/Rc.conf_GUI_Frontends "Rc.conf GUI Frontends")

	和[rc.conf](/index.php/Rc.conf "Rc.conf")有關的圖形工具。

* * *

#### 其他

	上述分類以外的項目。

*   [ArchMap](/index.php/ArchMap "ArchMap")

	Google Earth Arch user map

*   [ArchAudio](http://archaudio.org)

	A third-party package repository and online discussion board for Arch Linux pro-audio users

*   [Arch Linux Gaming Repository](http://github.com/Arch-Games/arch-games/wiki)

	A collection of some of the popular games in [unsupported], to save archers compilation time. They've also patched up many broken games that wouldn't compile.

*   [ArchLinux.us](http://archlinux.us)

	@archlinux.us emails, Gmail based

*   [ArchLinux.me](http://archlinux.me)

	Arch Linux Blogs

*   [ArchLinux.mobi](http://archlinux.mobi)

	Mobile access to the @archlinux.us emails

*   [Arch Quote Database](http://qdb.archuser.com) **(dead as 23/03/11)**

	A collection of humorous quotes from [#archlinux](/index.php/Irc "Irc")

*   [Namcap Reports](/index.php/Namcap_Reports "Namcap Reports")

	[namcap](http://github.com/abhidg/namcap-reports) is an utility for Arch Linux which helps in automatic detection of common mistakes and errors in PKGBUILDs. This page is an automatically generated report obtained after running namcap against the core, extra and community trees.

*   [Pacman on OS X](http://arch-osx.saikonet.org/) **(dead as 23/03/11)**

	Arch-OS X - Package management for OS X via `pacman`. [Here](https://bbs.archlinux.org/viewtopic.php?id=70396) is the forum thread.

*   [Parched](http://www.github.com/sebnow/parched)

	An ALPM package and PKGBUILD parser in Python

*   [Xyne's Arch Linux Stuff](http://xyne.archlinux.ca)

	Xyne's contributions to the Arch Linux community

*   [PKGBUILD.ORG for Archers](http://pkgbuild.org)

	Collect & Share PKGBUILD in Git's way

## 作為開發者...

*該部分源自[這個論壇帖子](https://bbs.archlinux.org/viewtopic.php?id=24503)。*

首先，牢記你所做的一切，都應以幫助大眾為出發點。其次，牢記你是社區大眾的一分子，幫助別人亦是幫助自己。

### 我能夠做什麼？

以下是一份沒有特定順序的清單，其中包含了你為了貢獻整個社群而可能想要做的事情：

*   在能力所及之範圍盡可能提供援助以建立聲望(reputation)
*   於論壇、IRC以及mailing list上回答問題
*   與Trusted Users一同工作，增加建造軟體包的經驗與展示你的技術能力
*   提交軟體包給予AUR
*   參加一個未來可能會進入Arch mainstream的offshoot專案，或自己開始一個專案
*   玩玩看pacman、makepkg、initscripts等工具與其他專案原始碼，並送交patch到bug tracker
*   瀏覽bug tracker然後解決既存的bug
*   尋找存在各個專案中的bug並送交
*   修正wiki裡的錯誤、增添新頁、清除已經存在的頁面，並確認內容保持更新
*   送交翻譯

### 我要如何成為一個Arch開發者？

通常來說，新的開發者是那些原本的開發者在工作份量增加時選擇的人們。 有時他們會直接公開徵求他們需要的角色，而你可就此應徵申請； 然而更常有的情況是，他們可能會直接邀請某些他們知道擅長此道並合適於團隊的人。 擁有良好的Arch貢獻歷程是幫助你成為開發者最好的方式。

## 作為藝術愛好者...

歡迎分享你的Arch藝術作品，例如桌布、系統主題……

參見： [https://www.archlinux.org/art/](https://www.archlinux.org/art/)

*   [ArchLinux Daemon Manager](http://github.com/Harvie/ArchLinux-Daemon-Manager)

	Shell + GTK+ GUI application that gives you control over services in rc.d and settings in rc.conf

*   [ArchMap](/index.php/ArchMap "ArchMap")

	Google Earth Arch user map

*   [Arch Quote Database](http://qdb.archuser.com)

	A collection of humorous quotes from [#archlinux](/index.php/Irc "Irc")

*   [ArchServer Project](http://www.archserver.org)

	Making Arch suitable for server use

*   [IgnorantGuru's Blog](http://igurublog.wordpress.com/)

	Useful scripts, mods, and tips

*   [Namcap Reports](/index.php/Namcap_Reports "Namcap Reports")

	[namcap](http://github.com/abhidg/namcap-reports) is an utility for Arch Linux which helps in automatic detection of common mistakes and errors in PKGBUILDs. This page is an automatically generated report obtained after running namcap against the core, extra and community trees.

*   [Pacman on OS X](http://arch-osx.saikonet.org/)

	Arch-OS X - Package management for OS X via `pacman`. [Here](https://bbs.archlinux.org/viewtopic.php?id=70396) is the forum thread.

*   [Parched](http://www.github.com/sebnow/parched)

	An ALPM package and PKGBUILD parser in Python

*   [Xyne's Arch Linux Stuff](http://xyne.archlinux.ca)

	Xyne's contributions to the Arch Linux community

*   [PKGBUILD.ORG for Archers](http://pkgbuild.org)

	Collect & Share PKGBUILD in Git's way