**翻譯狀態：** 本文章是 [The_Arch_Way](/index.php/The_Arch_Way "The Arch Way") 的翻譯版本。最近一次的翻譯時間：2013-09-05。點擊[本連結](https://wiki.archlinux.org/index.php?title=The_Arch_Way&diff=0&oldid=268537)查看英文頁面之後的變更。

以下五項核心原則將解釋何謂「Arch 之道」(the Arch Way)，又稱「Arch 哲學」(the Arch Philosophy)。但 KISS 這個縮寫或許會是對 Arch Linux 最好的詮釋：保持簡單易懂 (Keep It Simple, Stupid)。

## Contents

*   [1 簡單](#.E7.B0.A1.E5.96.AE)
*   [2 正確的程式碼勝過一時的便利](#.E6.AD.A3.E7.A2.BA.E7.9A.84.E7.A8.8B.E5.BC.8F.E7.A2.BC.E5.8B.9D.E9.81.8E.E4.B8.80.E6.99.82.E7.9A.84.E4.BE.BF.E5.88.A9)
*   [3 使用者至上](#.E4.BD.BF.E7.94.A8.E8.80.85.E8.87.B3.E4.B8.8A)
*   [4 開放](#.E9.96.8B.E6.94.BE)
*   [5 自由](#.E8.87.AA.E7.94.B1)

## 簡單

「簡單是複雜的至高境界。」 — 李奧納多·達文西

「簡單」一直是 Arch 的主要開發目標 。很多 GNU/Linux 發行版本都宣稱自己的「簡單」。不過，「簡單」一詞就有多種定義。

**Arch Linux 對簡單的定義如下：*除去不必要的枝節、修飾與複雜設計*，並提供輕量級的類 <tt>UNIX</tt> 基礎架構，讓個人使用者視自己的需要來型塑系統。總之，以最少的行動優雅的達成目的。**

輕量級的 Arch 基礎架構以嚴格的編程標準設計，盡量降低對系統資源的過度消耗。Arch 基礎系統盡量避免任何對系統重點產生干擾、存取與理解困難的成分。Arch 設定檔案內附加了精簡註釋，使用者可以快速地存取編輯，不會被任何繁瑣的圖形介面工具搞混重點。因此，經由 Arch Linux 的系統設定，就能輕易掌握住系統的每分細節。

**井然有序的複雜。**

Arch Linux 保留了 GNU/Linux 系統固有的複雜結構，也同時保持著良好的組織與透明化。我們的開發者與使用者相信，任何隱瞞系統複雜性的嘗試將使得系統更加混亂，應該盡量避免。

## 正確的程式碼勝過一時的便利

「正確明顯地代表品質。若一個系統無法依照要求行動，它的其他一切都顯得無關緊要。」 — Bertrand Meyer

Arch Linux 系統將優雅的設計和乾淨、正確、簡單的程式碼擺在第一位，避免不必要的修補、自動化、妝點或「新手友善度」。任何對軟體的修補都保持在最低限度，能避免的就盡量避免。比起簡單的使用界面，應該優先注重簡單的設計與實作。

**簡單的*實作*、典雅的程式碼與極簡化一直是 Arch 開發的最高指導原則。**

我們將 Arch 的準則奉為圭臬，不與外面的潮流一同起伏，Arch 的許多概念、設計因而誕生，也實作出不少功能。我們的開發團隊對 Arch 哲學的承諾與奉獻是堅定不移的。如果您的看法和我們的一致，可以體驗看看 Arch，也歡迎您加入我們的行列。

## 使用者至上

許多 GNU/Linux 發行版都嘗試讓自己更「對使用者友善」，而 Arch Linux 則一直保持「以使用者為中心」的一貫態度。

**Arch Linux 瞄準能幹的 GNU/Linux 使用者，並給予他們完整的系統控制權以及「責任」。**

Arch Linux 使用者將完全自行管理系統。系統本身不會提供太多協助，只提供一套簡單的維護工具，設計能完美將使用者的指令傳遞到系統。Arch 開發者不會花費力氣重新打造一套圖形化系統工具；Arch 依靠的是明智的設計與優秀的文件。

這種以使用者為中心的設計，必然意味著使用 Arch 發行版時要「自己動手做」（DIY，do-it-yourself）。Arch Linux 使用者傾向於自行解決問題並向社區和開發團隊分享結果，而非尋求協助或要求開發者實現某個新功能 – 這就是「先做再問」的哲學。對於 Arch 使用者軟體倉庫（AUR，Arch User Repository，由社群維護的 Arch Linux 官方軟體庫）內由使用者貢獻的軟體包而言，這種哲學是非常符合實際的。

## 開放

「開放」與「簡單」攜手共進，它也是 Arch Linux 開發過程中的指導性原則之一。

**Arch Linux 使用從開放的來源及其產物中選擇、建構的簡單工具。**

「開放」移除了使用者與系統之間所有的隔閡與抽象，在提供更多控制權的同時也簡化系統的維護工作。

Arch Linux 的開放本質也意味著一個相當陡峭的學習曲線，但對 Arch Linux 有一定經驗的使用者卻往往發現，其它較封閉的系統相對 Arch 而言更難駕馭。

開放原則也可延伸適用於 Arch 的社群成員。Arch Linux 使用者對任何協助與貢獻的態度都十分開放。

## 自由

Arch Linux 開發者的另一個指導原則就是「自由」。使用者不僅能對所有系統設定檔案做出決定，還可以決定自己系統的未來「走向」。

**藉由保持系統的簡單性，Arch Linux 提供了對系統做出任意決定的自由。**

全新安裝的 Arch Linux 系統僅包含基本的核心組件，不強加任何自動化設定。使用者可以從 shell 介面照著自己的意思設定系統。打從安裝過程一開始，系統的每一個組件都是 100% 透明、可以立刻存取，移除或用其他組件替換。

各個 Arch Linux 軟體倉庫中大量的軟體包和建構腳本也提供了選擇的自由，既有為偏愛開源的人提供的自由軟體，也有為信奉「功能勝過主義」的人提供的私有軟體。正是由使用者来做出這些選擇。

就像 Arch Linux 專案創建人 Judd Vinet 所說的：「Arch Linux 就看**你**怎樣打造它了。」