Sljedećih pet osnovnih principa čine ono što se obično naziva *Put Archa*, ili *Arch filozofija*, možda najbolja skraćenica za ovo je KISS (*Keep It Simple, Stupid*).

## Contents

*   [1 Jednostavnost](#Jednostavnost)
*   [2 Ispravnost osnove nad udobnosti](#Ispravnost_osnove_nad_udobnosti)
*   [3 Korisnik uvijek središte pažnje](#Korisnik_uvijek_sredi.C5.A1te_pa.C5.BEnje)
*   [4 Otvorenost](#Otvorenost)
*   [5 Sloboda](#Sloboda)

## Jednostavnost

*Jednostavnost je krajnja sofisticiranost.* — Leonardo da Vinci

Jednostavnost je apsolutno glavni cilj iza Arch razvoja. Mnoge GNU / Linux distribucije se predstavljaju "jednostavnim". Međutim, jednostavnost i sama ima mnoge definicije.

**Arch Linux definira jednostavnost: *bez nepotrebnih dodataka, izmjena ili komplikacija*, i pruža laganu UNIX osnovnu strukturu koja omogućuje pojedinačnom korisniku da oblikuje sustav prema vlastitim potrebama. Ukratko: Elegantan, minimalistički pristup.**

Lagana bazna struktura izgrađena sa visokim standardima programiranja ima tendenciju za niže zahtjeve sustava i manje resursa. Osnovni sustav je lišen svih nereda koji mogu *prikriti* važne dijelove sustava, ili je pristup nijma otežan. To je moderniji niz jezgrovito komentiranih, jasno konfiguracijskih datoteka koje su raspoređeni za brzi pristup i uređivanje, bez ogromnih grafičkih sučelja koji skrivaju mogućnosti od korisnika. Arch Linux sustav je, dakle, lako podesiv do zadnjeg detalja.

**Složenost bez komplikacija.**

Arch Linux zadržava nerazdvojivu složenost GNU / Linux sustava, dok ih zadržava dobro organizirne i transparentne. Arch Linux programeri i korisnici vjeruju da pokušavanje skrivanja složenosti sustava zapravo rezultira u još složenijem sustavu, te to strogo treba izbjegavati.

## Ispravnost osnove nad udobnosti

Arch Linux sustav-ov prioritet je elegancija dizajna, kao i čista, ispravna jednostavnog koda, a ne nepotrebno *krpanje*, automatizacija, ljepota-na-prvi pogled ili "prijateljsko napravljeno za newbije". Softverske zakrpe se stoga zadržavaju na apsolutnim minimumom: idealno, nikada. Jednostavna implementacija je uvijek adut jednostavnog korisničkog sučelje.

**Jednostavnost *primjene*, elegancija koda i minimalizam uvijek će biti vladajući prioriteti Arch razvoja.**

Koncepti, dizajn i značajke se prave uzeći Put Archa u obzir kao osnovno načelo, a ne klanja na vanjske utjecaje. Razvojni tim su odlučni u svojoj predanosti i posvećenosti luka Put filozofije. Ako dijelite svoju viziju, ti si pozdravio i ohrabrio za korištenje Arch.

## Korisnik uvijek središte pažnje

Dok mnoge GNU / Linux distribucije pokušavaju biti što *prilagodljiviji korisniku*, Arch Linux je oduvijek bio i uvijek će ostati pri *korisnik uvijek središte pažnje* principu.

**Arch Linux je namjenjen sposobnim GNU / Linux korisnicima dajući im potpunu kontrolu i *odgovornost* nad sustavom.**

Arch Linux korisnici u potpunosti upravljaju sustavom po svojim potrebama. Sam sustav ponudit će malo pomoći, osim jednostavnog održavanja skupa alata koji su dizajnirani da savršeno prenose korisničke naredbe sustava. Arch programeri ne žele trošiti energiju ponovo pravljeći grafička sučelja alata sustava, Arch se temelji na razumnom dizajnu i odličnoj dokumentaciji.

Ova vrsta dizajna nužno podrazumijeva određeni "uradi sam" pristup Arch distribucije. Umjesto da tražite pomoć ili novu značajku koji će se provoditi od strane developera, Arch Linux korisnici imaju tendenciju da sami rješe problem(e) i podijele rezultate sa zajednicom i razvojnim tima - što je "prvo učini, zatim pitaj" filozofija. Ovo osobito vrijedi za korisnički pridonijele pakete u spremištu Arch korisnika -- Arch Linux repozitorij zajednice za održavanje paketa.

## Otvorenost

Otvorenost ide s jednostavnošću, što je ujedno i jedna od vodećih načela Arch Linux razvoja.

**Arch Linux koristi jednostavne alate, koji su odabrani ili izgrađeni s otvorenosti izvornih datoteka i njihovu prikaz na umu.**

Otvorenost uklanja sve granice i apstrakcije između korisnika i sustava, pružajući veću kontrolu, a istovremeno pojednostavljuje održavanje sustava.

Otvorena priroda Arch Linux, također, podrazumijeva prilično marljivo vrijeme učenja, ali iskusni Arch Linux korisnici smatraju druge zatvoreni sustave mnogo nezgodnijim za kontrolirati.

Načelo otvorenosti se također proteže ka svojim članovima zajednice. Arch Linux korisnici su znani kao vrlo otvoreni, što se tiče pomoći i savjeta, kao i doprinosa paketa Arch User repozitoriji koju održava zajednica.

## Sloboda

Drugi princip Arch Linux razvoja je sloboda. Korisnici ne samo da smiju donositi sve odluke u vezi konfiguracije sustava, ali i izabrati ono što će njihov sustav **biti**.

**Držeći sustav jednostavnim, Arch Linux pruža slobodu bilo kojeg izbora na sustavu.**

Svježe instaliran Arch Linux sustav sadrži samo osnovne temeljne komponente bez automatskih konfiguracija. Korisnici mogu konfigurirati sustav po želji, od početka. Od početka postupka instalacije, svaka komponenta sustava je 100% transparentna i dostupna za brz pristup, uklanjanje, zamjenu ili zamjenu sa alternativnom komponentom.

Velik broj paketa i izgradne skripte u Arch Linux repozitoriju također podržavaju slobodu izbora, nudeći Open Source softver za one kojima se to sviđa, kao vlasničke pakete, za one koji prihvaćaju *funkcionalnost preko ideologije*. Korisnik je onaj koji bira.

Kao što je Judd Vinet, osnivač Arch Linux projekta rekao: "[Arch Linux] je ono što ga *vi* načinite."