## Contents

*   [1 Hvad er Arch Linux?](#Hvad_er_Arch_Linux.3F)
*   [2 Fordele](#Fordele)
*   [3 Unik pakkehåndtering](#Unik_pakkeh.C3.A5ndtering)
*   [4 Modernitet](#Modernitet)
*   [5 Enkelthed](#Enkelthed)
*   [6 Mere læsestof](#Mere_l.C3.A6sestof)
*   [7 I Danmark](#I_Danmark)

## Hvad er Arch Linux?

Arch Linux er en uafhængig i686/x86_64 fællesskabs-distribution, baseret på en rullende-udgivelses model, og målrettet til de lidt mere erfarne GNU/Linux-brugere. Udviklingen fokuserer på en balance mellem minimalisme, elegance, kode-korrekthed og modernitet. I starten var det baseret på idéer fra CRUX - en fremragende distribution udviklet af Per Lidén.

## Fordele

Arch Linux giver dig et minimalt miljø efter installation (ingen grafisk brugerflade), optimeret til i686/x86_64 arkitekturerne. Arch Linux er letvægt, fleksibel og enkel, og fokuserer på at være meget UNIX-agtig. Systemets designfilosofi og implementationen gør det yderst let at udvide og forme til det system du bygger, fra en minimalistisk konsolmaskine til det største og flotteste skrivebordsmiljø tilgængeligt. Rettere end at skulle rive unødige pakker ud, tilbyder Arch brugeren mulighed for, at opbygge sit system fra et minimalt fundament uden at nogle valg er truffet i forvejen. Det er *brugeren* som bestemmer hvad Arch Linux skal være.

## Unik pakkehåndtering

Arch Linux er bakket op af et *let at bruge* binært pakkesystem ([pacman](/index.php/Pacman "Pacman")) der tillader dig at opgradere hele dit system med én kommando. Pacman er kodet i **C** og designet fra bunden til at være letvægt, simpelt og hurtigt. Arch Linux benytter også et *ports*-lignende pakkesystem ([Arch Build System](/index.php/Arch_Build_System "Arch Build System")) for at gøre det nemmere at bygge pakker, som også kan synkroniseres med én kommando. Du kan endda genopbygge hele dit system med én kommando. Alt er gjort ganske enkelt og gennemskueligt. Den rullende udgivelsesmodel tillader en engangsinstallation og derefter løbende opgraderinger, uden nogensinde at skulle geninstallere eller udføre større systemopdateringer fra én version til den næste.

## Modernitet

Arch Linux går efter at vedligeholde den seneste version af dets software, baseret på et rullende udgivelsessystem. Vi understøtter nu et strømlinet *core* pakkesæt til de minimale i686 og x86_64 grundsystemer, tusinder af yderligere, højkvalitets binære pakker mellem både udvikler- og brugervedligeholdte pakkelagre, og mange tusinder PKGBUILD scripts til at bygge og pakke fra kildekode. Arch tilbyder urettet softwaret; pakker er tilbudt direkte fra *upstream* kilder, dvs. fra udvikleren selv, som udvikleren oprindeligt havde intention om at det skulle distribueres. Rettelse sker udelukkende i ekstremt sjældne tilfælde, for at forhindre svær ødelæggelse ved versionsforskelle som kan forekomme i den rullende udgivelsesmodel. Arch indarbejder mange af de nyere funktioner som er tilgængelige for brugere af GNU/Linux, inklusiv moderne filsystemer (Ext2/3/4, Reiser, XFS, JFS, Btrfs), LVM2,EVMS, software RAID, udev understøttelse og initcpio, udover de nyeste tilgængelige kerner.

## Enkelthed

[Arch-metoden](/index.php/The_Arch_Way_(Dansk) "The Arch Way (Dansk)") er en filosofi målrettet at holde det enkelt. Arch Linux basissystemet er ganske enkelt det minimale, dog funktionelle GNU/Linux-miljø; linuxkernen, GNU værktøjskæden, og en håndfuld valgfri kommandolinjeværktøjer som **links** og **Vi**. Dette rene og simple startpunkt skaber grundlaget for at udvide med hvad brugeren har behov for.

Arch's simple *init* system er inspireret af *BSD metoden at indarbejde en enkelt konfigurationsfil, i stedet for en indviklet mappestruktur med mange *symlinks* for hvert kørselsniveau.

Systemkonfiguration udføres ved at rette simple tekstfiler.

## Mere læsestof

Arch Linux's hjemmeside [https://www.archlinux.org/](https://www.archlinux.org/) hvor du også kan finde link til brugerforum, officiel dokumentation og alt andet, der er Arch. Læs også om [Arch-metoden](/index.php/The_Arch_Way_(Dansk) "The Arch Way (Dansk)") for at få lidt mere insigt.

## I Danmark

	Arch Linux har en dansk hjemmeside

	[http://www.archlinux.dk/](http://www.archlinux.dk/)

	Dansk Arch Linux forum

	[http://forum.archlinux.dk/index.php](http://forum.archlinux.dk/index.php)

	IRC kanal for archlinux.dk

	[irc://irc.freenode.net/archlinux.dk](irc://irc.freenode.net/archlinux.dk)