| **Summary**  |
| Provides a list of popular GNU/Linux games, categorized by genre. |
| **Related** |
| [Gaming](/index.php/Gaming "Gaming") |
| [Common Applications](/index.php/Common_Applications "Common Applications") |
| [Lightweight Applications](/index.php/Lightweight_Applications "Lightweight Applications") |

Denne sider viser kun populære spil for GNU/Linux. For at lære mere omkring kørsel af spil og relateret system konfigurations tips, se [Gaming](/index.php/Gaming "Gaming"). Se [Netbook Games](/index.php/Netbook_Games "Netbook Games") for spil lavet til netbooks.

## Contents

*   [1 Spil Miljøer](#Spil_Milj.C3.B8er)
*   [2 Action og eventyr](#Action_og_eventyr)
*   [3 Arcade](#Arcade)
*   [4 Course](#Course)
*   [5 Undervisning](#Undervisning)
*   [6 Platform spil](#Platform_spil)
*   [7 Role Playing Game (RPG)](#Role_Playing_Game_.28RPG.29)
*   [8 Skydespil: FPS, Third Person](#Skydespil:_FPS.2C_Third_Person)
*   [9 Simulation](#Simulation)
*   [10 MMOG - MMORPG](#MMOG_-_MMORPG)
*   [11 Strategi](#Strategi)
*   [12 Tycoon/Management Spil](#Tycoon.2FManagement_Spil)
*   [13 Puzzle](#Puzzle)
*   [14 CLI spil](#CLI_spil)
*   [15 Emulators](#Emulators)
*   [16 Native - Kommercielle](#Native_-_Kommercielle)
*   [17 Wine](#Wine)
*   [18 Desktop Environment](#Desktop_Environment)
*   [19 Eksterne links](#Eksterne_links)
    *   [19.1 Linux spil databaser](#Linux_spil_databaser)

## Spil Miljøer

Der findes flere spil miljøer for at spille spil i Linux:

*   **Native** - Spil der er skrevet til Linux (et stort nummer er tilgængelige i de officielle repositories eller i [AUR](/index.php/AUR "AUR")). [Loki](/index.php?title=Loki&action=edit&redlink=1 "Loki (page does not exist)") tilbyder også installers for flere spil.
*   [Wine](/index.php/Wine "Wine") - Tillader kørslen af nogle Windows spil.
*   [Crossover Games](http://www.codeweavers.com/) - Medlemme af Codeweavers teamet er hovedudviklere af Wine. Crossover Games gør installationen og opsætningen af nogle spil nemmere, mere stabile og endda mulige, i forhold til andre metoder. Crossover er en et billigt kommercielt produkt, som også tilbyder et [forum](http://www.codeweavers.com/support/forums/) hvor udviklerne er meget involveret i community'et.
*   [Java](/index.php/Java "Java") Webstart - for at installere cross-platform spil meget nemt.
*   **Web game** - Java applets, Flash spil osv.

## Action og eventyr

*   '***Astromenace'*** — AstroMenace is a modern 3D scrolling space shooter with ship upgrade possibilities

	[http://www.viewizard.com/download.php](http://www.viewizard.com/download.php) || [astromenace](https://www.archlinux.org/packages/?name=astromenace).

*   **[Blob Wars: Blob and Conquer](https://en.wikipedia.org/wiki/Blob_Wars "wikipedia:Blob Wars")** — 3D Action-adventure game, sequel to 2D platform game, Blob Wars: Metal Blob Solid

	[http://www.parallelrealities.co.uk/projects/blobAndConquer.php](http://www.parallelrealities.co.uk/projects/blobAndConquer.php) || [blobwars](https://www.archlinux.org/packages/?name=blobwars)

*   '***Bloodridge'*** — Java based, 3d adventure fantasy game

	[http://www.hayles.demon.co.uk/bloodridge/bloodridge.html](http://www.hayles.demon.co.uk/bloodridge/bloodridge.html) || No package

*   **[BZFlag](https://en.wikipedia.org/wiki/BZFlag "wikipedia:BZFlag")** — Multiperson, first-person tank shooter

	[http://bzflag.org/](http://bzflag.org/) || [bzflag](https://www.archlinux.org/packages/?name=bzflag)

*   [doukutsu](https://aur.archlinux.org/packages/doukutsu/)/Cave Story: addictive 1-man-made metroid-vania-esque platformer.

**Tip:** if there happens to be a notable lag when there are lots of enemies on screen or in larger levels, try running the windows version through Wine. It will probably fix this problem. The Windows version and English patch can be found at the [cave story tribute site](http://www.cavestory.org).

*   **[Freedink](https://en.wikipedia.org/wiki/Dink_Smallwood "wikipedia:Dink Smallwood")** — Free and enhanced version of the action-adventure "Dink Smallwood"

	[http://www.freedink.org/](http://www.freedink.org/) || [freedink](https://aur.archlinux.org/packages/freedink/)

*   **[Neverball](https://en.wikipedia.org/wiki/Neverball "wikipedia:Neverball")** — 3D game to guide a ball through a maze

	[http://neverball.org/](http://neverball.org/) || [neverball](https://www.archlinux.org/packages/?name=neverball)

## Arcade

*   [Barrage](http://lgames.sourceforge.net/index.php?project=Barrage) - Violent *point-and-click* shooting game with nice effects
*   [Bomberclone](http://bomberclone.sourceforge.net/homepage/) - Free Bomberman-like game for Linux and Windows. The rules of the game are simple: run though a level and bomb other players.
*   [Ceferino (spanish)](http://www.losersjuegos.com.ar/juegos/ceferino) - Action game similar to Super Pang
*   [Cosmic Trip](http://www.gagaplay.com/cosmictrip/cosmictrip.jnlp) - Fast 3D shooter featuring smooth, psychedelic graphics, fast and addictive gameplay, online high-scores, and free
*   [Chromium](http://chromium-bsu.sourceforge.net/) - Fast paced, arcade-style, top-scrolling space shooter
*   [Circus Linux!](http://www.newbreedsoftware.com/circus-linux/) - Clone of the Atari 2600 game "Circus Atari", produced by Atari, Inc
*   [Crack-attack](http://www.nongnu.org/crack-attack/) - Free OpenGL game based on the Super Nintendo classic Tetris Attack
*   [Frozen Bubble](http://www.frozen-bubble.org/) - Frozen Bubble arcade game with colorful animated penguin eyecandy
*   [lbreakout2](http://lgames.sourceforge.net/index.php?project=LBreakout2) - Breakout-style arcade game in the manner of Arkanoid
*   [LTris](http://lgames.sourceforge.net/index.php?project=LTris) - An arcade version of Tetris.
*   [Noiz2sa](http://www.asahi-net.or.jp/~cs8k-cyu/windows/noiz2sa_e.html) - A vertical shooter arcade game with nice abstract graphics, music, and joystick support.
*   [Pinball](http://pinball.sourceforge.net/) - Open source pinball simulator for linux and other unix systems
*   [PowerManga](http://linux.tlk.fr/games/Powermanga/) - Arcade 2D shoot-em-up game with 41 levels and more than 200 sprites
*   Tetrinet - Multiplayer online Tetris game for up to six people
*   [Ri-li](http://ri-li.sourceforge.net/) - Toy wood engine GPL game
*   [Tee Worlds](https://www.archlinux.org/packages/community/i686/teeworlds/) - Dynamic multiplayer 2D shooter
*   [Tuxanci](http://www.tuxanci.org/en/start) - Multiplatform game, inspired by well-known czech game Bulanci
*   [Ultrastar-ng](http://performous.org/) - Clone of SingStar, a music video game
*   [Viruskiller](http://www.parallelrealities.co.uk/projects/virusKiller.php) - Your computer has been invaded! Using your trusty mouse you must shoot the buggers before they can destroy your files!
*   [Warzone 3](http://www.javagameplay.com/wz3.html) - 3D tank combat simulation game, set during some of the most critical European and Russian battles of the Second World War

## Course

*   [Armagetron Advanced](http://armagetronad.net/) - A Tron Clone in 3D.
*   [BigFun Motorcycle Trials](http://ourawesomegames.com/pub/bigfun.jnlp)
*   [Extreme Tux Racer](http://extremetuxracer.com/) - A 3D game where you guide Tux the penguin down a course of snow and ice collecting herring. This game replaces "Tux Racer" and "Planet Penguin Racer", which are no longer under development.
*   [Maniadrive](http://maniadrive.raydium.org/) - Arcade car game on acrobatic tracks with quick and nervous gameplay.
*   [Moon-buggy](http://seehuhn.de/pages/moon-buggy) - Moon Buggy is a simple game for the text mode.
*   [Super Tux Kart](http://supertuxkart.sourceforge.net/) - A kart racing game featuring Tux and his friends.
*   [Torcs](http://torcs.sourceforge.net/) - A 3D racing cars simulator using OpenGL.
*   [Speed Dreams](http://speed-dreams.org/) - Fork of Torcs, aiming to implement exciting new features as well as improving realism.
*   [Trigger Rally](http://sourceforge.net/projects/trigger-rally/) - Free OpenGL rally car racing game.
*   [Ultimate Stunts](http://www.ultimatestunts.nl/) - UltimateStunts will be a remake of the famous DOS-game 'stunts'.
*   [VDrift](http://vdrift.net/) - An open source driving simulation made with drift racing in mind.

## Undervisning

*   GCompris
*   Gnumch
*   Tux Paint
*   Tux Typing

## Platform spil

*   [Dōkutsu Monogatari](http://www.miraigamer.net/cavestory/) (aka Cave Story) - Addictive 1-man-made metroid-vania-esque platformer
*   [Nikki and the Robots](http://joyridelabs.de/game/) - Cute physics platformer
*   knyttstories - Platformer with adventure elements, heavy exploration and downloadable levels
*   toppler - Reimplementation of the classic jump & run game "Nebulus"
*   [SuperTux](http://supertux.lethargik.org/) - Mario-style game featuring Tux.
*   **[Frogatto](https://en.wikipedia.org/wiki/Frogatto "wikipedia:Frogatto")** — much enjoyable platformer, in which you help a small green fellow named Frogatto walk and jump between solid footholds without getting hurt; have a look at [this review](http://www.slidetoplay.com/story/frogatto-review).

	[http://www.frogatto.com](http://www.frogatto.com) || [frogatto](https://www.archlinux.org/packages/?name=frogatto)

## Role Playing Game (RPG)

*   [Egoboo](http://egoboo.sourceforge.net/) - Open-source action RPG/dungeon crawling adventure with OpenGL 3D graphics

## Skydespil: FPS, Third Person

*   [Assault Cube](http://assault.cubers.net/) - Free multiplayer FPS, based on the cube engine. Realistic environments, fast, arcade gameplay. Much like Counter-Strike. Available from community in i686 and x86_64.
*   [Ancient Arenas](http://www.javagameplay.com/ancientarenas/medium.html)
*   Counter-Strike 2D - 2D clone (+additional features) of the popular Counter-Strike Mod. [counter-strike-2d](https://aur.archlinux.org/packages/counter-strike-2d/)
*   [Cube](http://cubeengine.com/) - Open source multiplayer and singleplayer first person shooter game.
    *   [Available from the AUR.](https://aur.archlinux.org/packages.php?ID=9163)
*   [Cube 2 : Sauerbraten](http://sauerbraten.org/) - Improved version of the Cube engine.
*   [Doomsday](http://www.dengine.net/) - An advanced port of the Doom game engine.
*   [Enemy Territory: Quake Wars](http://community.enemyterritory.com/) - Enemy Territory: Quake Wars is a commercial team and class-based multiplayer game. You need the retail DVD to play.
*   [Futuristic Arenas](http://www.javagameplay.com/futuristicarenas/medium.html)
*   [Jake 2](http://www.bytonic.de/downloads/jake2_jogl11.jnlp)
*   [Open Arena](http://www.openarena.ws/) - Fast multiplayer shooter based on the quake3-engine. Available in community.
*   [Nexuiz](http://www.alientrap.org/nexuiz/) - A free, open-source first person shooter. Development ceased, most of the developers moved to project [Xonotic](http://www.xonotic.org/)
*   [PrBoom+](http://prboom-plus.sourceforge.net/) - A game engine which provides a program to play Doom levels.
*   [Quake 3 Arena](http://www.idsoftware.com/games/quake/quake3-arena/index.php?game_section=demo) - Demo version from id.
*   [Quake Live](http://www.quakelive.com/)
*   [Scared](http://www.pulpgames.net/scared/)
*   [Steam under Linux](http://developer.valvesoftware.com/wiki/Steam_under_Linux)
*   [Space Phallus](http://www.charliesgames.com/wordpress/?page_id=18/) - A fun shoot-em-up with a retro 8 bit theme. You control the disembodied head of a dog, and fight against hordes of evil space penises. Features an online scoreboard.
*   [Tesseract](http://tesseract-fps.sourceforge.net)
*   [Tremulous](http://tremulous.net/) - FPS with elements of real time strategy, featuring humans and aliens
*   [True Combat: Elite(TCE)](http://www.truecombatelite.com/) - A completely free, realistic, team-based modification for Enemy Territory.
*   [TUER](http://tuer.sourceforge.net)
*   UT'99 (Unreal Tournament)] - You may be able to use the [Loki Package](http://www.linux-gamers.net/modules/wfdownloads/singlefile.php?cid=25&lid=79). [ut1999](https://aur.archlinux.org/packages/ut1999/)
*   [Urban Terror](/index.php/Urban_Terror "Urban Terror") - Modern multiplayer FPS based on the ioquake3 engine
*   [Warsow](http://www.warsow.net/) - Fast paced multiplayer FPS focusing on movement and trick jumps
*   [Wolfenstein: Enemy Territory](/index.php/Wolfenstein:_Enemy_Territory "Wolfenstein: Enemy Territory") - Freeware edition of Return to Castle Wolfenstein's multiplayer client
*   [World Of Padman : Stand Alone Complex](http://www.worldofpadman.com/) - Cartoon-style multiplayer first-person shooter.
*   [Xonotic](http://www.xonotic.org/) - A free, open-source first person shooter (a fork of Nexuiz but with modified gameplay).

## Simulation

*   [Beyond The Red Line](http://www.beyondtheredline.net/) - A completely free stand-alone conversion of Freespace 2 based on the TV show Battlestar Galactica
*   [Danger from deep](http://dangerdeep.sourceforge.net/) - Submarine simulator.
*   [Flight Gear](http://www.flightgear.org/) - An open-source, multi-platform flight simulator.
*   [Foobillard](http://foobillard.sourceforge.net/) - An OpenGL billiard game for Linux.
*   [Freespace 2](http://icculus.org/freespace2/)
*   [Pydance](http://icculus.org/pyddr/) - Python DDR game.
*   [Stepmania](http://www.stepmania.com/) - An Advanced Dance Simulation Game.

## MMOG - MMORPG

*   [Dofus](http://www.dofus.com) - A free, manga inspired, Massively Multiplayer Online Role-playing Game (MMORPG) for Adobe AIR.
*   [Landes Eternelles](http://www.eternal-lands.com)
*   [Eve Online](http://www.eve-online.com)
*   [Heroes of Newerth](http://heroesofnewerth.com/) - Online, multi-player strategy game that is based upon DoTA (Defense of the Ancients)
*   [Planeshift](http://www.planeshift.it)
*   [Regnum Online](http://www.regnumonlinegame.com) - Cross-platform 3D Massively Multiplayer Online Role-playing Game (MMORPG).
*   [Runescape](http://www.runescape.com) - Official RuneScape client.
*   [Savage - The Battle For Newerth](http://www.s2games.com/savage/index.php) - Savage: The Battle for Newerth is an online multiplayer team-based FPS/RTS hybrid. Completely free as of September 2006\. (Includes SFE Patches).
*   [Savage2 - A tortured soul](http://savage2.com) - A fantasy themed online multiplayer team-based FPS/RTS/RPG hybrid. Completely free as of December 2008.
*   [Second Life](http://secondlife.com/) - Online, 3D virtual world imagined and created by its residents
*   Spiral Knights - Free to play Java game developed by Three Rings Design and published by Sega. [spiral-knights](https://aur.archlinux.org/packages/spiral-knights/)
*   [The Mana World](http://themanaworld.org) - The Mana World (TMW) is a serious effort to create an innovative free and open source MMORPG.
*   [Vendetta Online](http://www.vendetta-online.com)
*   [Wurm Online](http://www.wurmonline.com)

## Strategi

*   [Advanced Strategic Command](http://www.asc-hq.org/) - A turn based strategy game in the tradition of the Battle Isle series.
*   [Battle for Wesnoth](http://www.wesnoth.org/) - Free, turn-based tactical strategy game with a high fantasy theme, featuring both single-player, and online/hotseat multiplayer combat.
*   [Boson](http://boson.eu.org/) - An OpenGL real-time strategy game, with the feeling of Command&Conquer(tm) or StarCraft(tm).
*   [Crimson Fields](http://crimson.seul.org/) - A tactical war game in the tradition of Battle Isle.
*   [Freeciv](http://freeciv.wikia.com/wiki/Main_Page) - A multiuser clone of the famous Microprose game of Civilization. Now there's also [http://freeciv.net](http://freeciv.net) - an HTML5 in-browser version.
*   [Freecol](http://www.freecol.org/) - A turn-based strategy game based on Colonization.
*   [Glest](http://glest.org) - Free 3D real-time strategy game, where you control the armies of two different factions: Tech, which is mainly composed of warriors and mechanical devices, and Magic, that prefers mages and summoned creatures in the battlefield
*   [Globulation 2](http://globulation2.org/wiki/Main_Page) - Multiplayer RTS with some "economic" elements minimizing the amount of micromanagement
*   [Lgeneral](http://lgames.sourceforge.net/index.php?project=LGeneral) - Turn-based strategy engine heavily inspired by Panzer General.
*   [Netpanzer](http://www.netpanzer.org/) - Realtime Strategy game like Command and Conquer but without building bases. [netpanzer](https://aur.archlinux.org/packages/netpanzer/)
    *   runs perfectly out of aur
*   [Penguin Command](http://www.linux-games.com/penguin-command/) - A clone of the classic game "Missile Command" with improved graphics and sound.
*   [Singularity (Endgame)](http://www.emhsoft.com/singularity/) - Turn based Single player strategy/simulation about a AI hiding, growing and evolving.
*   [Tower Defense Game](http://users.on.net/~bobjob/TD.jnlp)
*   [Tropic Euro](http://www.tropiceuro.com) - free online adaptation of the board game Puerto Rico for 2-5 players
*   [UFO Alien Invasion](http://ufoai.ninex.info/wiki/index.php/News) - Fight aliens trying to capture Earth.
*   [Warzone 2100](http://wz2100.net/) - In Warzone 2100, you command the forces of The Project in a battle to rebuild the world after mankind has almost been destroyed by nuclear missiles. The game offers campaign, multi-player, and single-player skirmish modes. An extensive tech tree with over 400 different technologies, combined with the unit design system, allows for a wide variety of possible units and tactics.
*   [Wormux](http://www.wormux.org/phpboost/news/news.php) - A clone of the worms game.
*   [Hedgewars](http://www.hedgewars.org/) - Another great clone of worms (more polished than Wormux). Take turns to blast your opponents to oblivion with comedic results! Best in Multiplayer.
*   [Widelands](http://widelands.org) - slow-paced strategy like "the Settlers 2". Available from community in i686 and x86_64.

## Tycoon/Management Spil

*   [Bygfoot](http://bygfoot.sourceforge.net/) - Football (soccer) management game.
*   [Lincity-ng](http://lincity-ng.berlios.de/) - City simulation game in which you are required to build and maintain a city. You can win the game either by building a sustainable economy or by evacuating all citizens with spaceships.
*   [OpenTTD](http://www.openttd.org/en/) - Open source clone of the Microprose game "Transport Tycoon Deluxe", a popular game originally written by Chris Sawyer. It attempts to mimic the original game as closely as possible while extending it with new features. See [OpenTTD](/index.php/OpenTTD "OpenTTD")
*   [Simutrans](http://www.simutrans.com/)- Another Transport simulation that works on linux with sdl, it is available in the AUR.

## Puzzle

*   [3D Breakout](http://www.dandeliongames.com/startup.jnlp)
*   [Crack Attack!](http://www.aluminumangel.org/attack/) - A free OpenGL game based on the Super Nintendo classic Tetris Attack.
*   [Cgoban3](http://www.igoweb.org/~wms/comp/cgoban/) - Kiseido Go and SGF client.
*   [chroma](http://www.level7.org.uk/chroma/) - A puzzle game like Sokoban with ncurses mode
*   [Eboard](http://www.bergo.eng.br/eboard/) - A chess interface to ICS and chess engines.
*   [glChess](http://live.gnome.org/glChess) - 3D Chess Frontend.
*   [Gnono](http://sourceforge.net/projects/gnono/) - A GNOME version of the classic card game UNO.
*   [Gnuchess](http://www.gnu.org/software/chess/) - Lets most modern computers play a full game of chess.
*   [Gnudoku](http://dir.filewatcher.com/d/FreeBSD/6.1-release/ia64/GNUDoku-0.93.tbz.43162.html) -
*   [Incredibuilder!](http://www.freewebs.com/jeromeblouin/mygames.htm)
*   [Ksudoku](http://ksudoku.sourceforge.net/) - Sudoku game & more for KDE.
*   [Netris](http://www.netris.org/) - This is an unfinished developmental version of Netris, a free networked version of T*tris.
*   [Pingus](http://pingus.seul.org/) - A Lemmings clone, i.e. a level-based puzzle game.
*   [Tuxtyping](http://tux4kids.alioth.debian.org/tuxtyping.php)
*   [World of Goo](http://www.worldofgoo.com/) - great 2D game with good physic, incredible music and nice graphics, you can find demo version in AUR, if you want full version, then you can purchase Linux version for 20$ from the game's homepage
*   [XMoto](http://xmoto.tuxfamily.org/) - A challenging 2D motocross platform game, where physics play an important role.
*   [Xscorch](http://www.xscorch.org/) - A clone of the classic DOS game Scorched Earth.

## CLI spil

Der er alt for mange at skrive ned. Her er et par eksempler (der må gerne tilføjes til listen):

*   [ASCIIpOrtal](http://www.cymonsgames.com/asciiportal/) - A sidescrolling game with ANSI text graphics in which you are a person holding a device which creates portals, or links to other parts of the level.
*   [bs](http://www.catb.org/~esr/bs/) - A Battleships based shooter for the console.
*   [Chroma](http://www.level7.org.uk/chroma/) - A puzzle game like Sokoban with ncurses mode.
*   [Crawl](http://www.dungeoncrawl.org/) (aka Dungeon Crawl, aka Linley's Dungeon Crawl).
*   [Dwarf Fortress](http://www.bay12games.com/dwarves/) - A single-player fantasy game. You control a dwarven outpost or an adventurer in a randomly generated persistent world.
*   [NetHack](http://www.nethack.org/) - A single player dungeon exploration game.
*   [nInvaders](http://ninvaders.sourceforge.net/) - in AUR, Ncurses based space invaders clone.
*   [Rogue](http://rogue.rogueforge.net/rogue-5-4/) - The original dungeon crawl game.
*   [Stone Soup](http://crawl.develz.org/wordpress/) (aka Dungeon Crawl Stone Soup).
*   [ToME](http://www.t-o-m-e.net/main.php?tome_current=0) (aka Troubles of Middle Earth).
*   [BSD Games](http://wiki.linuxquestions.org/wiki/BSD_games) - Collection of classic text games distributed with *BSD. Available in Community.
*   [fortune-mod](https://en.wikipedia.org/wiki/Fortune_(Unix) Displays Random messages/quotes/jokes when invoked. Available in Extra.

These games can usually be found in the official repositories or in [AUR](/index.php/AUR "AUR").

## Emulators

An emulator is a program which serves to replicate the functions of another platform or system so as to allow applications and games to be run in environments they were not programmed for. While emulators themselves are not games in a strict sense, they provide users with the ability to play games and therefore have been included in this article.

**Warning:** Emulators provide users with the ability to run programs called "ROMS", which are copies of games. While owning an emulator itself is not illegal, downloading or sharing (and in some cases, creating) copyrighted ROMs without the copyright holder's permission is ILLEGAL. Using an emulator to run ROMs that you do not own the legal rights to is ILLEGAL. Use at your own risk and be sure to read the Terms of Service for the emulator. Arch Linux etc. is not responsible if you get in trouble.

*   [DeSmuME](http://desmume.org/) - Linux Nintendo DS emulator.
*   [Dolphin](http://www.dolphin-emulator.com/) - Very nice GameCube and Wii emulator.
*   [DOSBox](http://www.dosbox.com/) - Open source DOS emulator which primarily focuses on running DOS Games.
*   [epsxe](http://www.epsxe.com/) - Emulator of the PlayStation video game console for x86-based PC hardware.
*   [fceux](http://fceux.com/web/htdocs/) - Cross platform, NTSC and PAL Famicom/NES emulator that is an evolution of the original FCE Ultra emulator.
*   Gens2 - Mega Drive/Genesis. Install from aur or archlinuxfr-repo
*   runs perfectly, install from aur or archlinuxfr-repo
    *   activate OpenGL, set video resolution per custom to 1024x600 for streched full-screen or 800x600 for non-streched
    *   use "Normal" renderer, I couldn't find a visible advantage with the other ones
*   [Mupen64Plus](http://code.google.com/p/mupen64plus/) - Highly compatible N64 emulator with plugin system.

**Note:** disable "frame skipping" to avoid flickering in games

*   [PCSX2](http://www.pcsx2.net/) - PlayStation 2 emulator it is still being maintained and developed.
*   **PCSXR** - Debian fork of the abandoned original PCSX. [pcsxr](https://www.archlinux.org/packages/?name=pcsxr)
*   **ScummVM** - Virtual machine for old school adventures, available in extra. [scummvm](https://www.archlinux.org/packages/?name=scummvm)
*   [MAME](http://mamedev.org/) - Multiple Arcade Machine Emulator (MAME). Can be obtained using pacman, [sdlmame](https://www.archlinux.org/packages/?name=sdlmame).
*   [snes-9x](http://www.snes9x.com/) - portable, freeware Super Nintendo Entertainment System (SNES) emulator.
*   [Visual Boy Advance](http://vba.ngemu.com/) - Game Boy emulator with Game Boy Advance, Game Boy Color, and Super Game Boy support.

**Note:** runs perfectly on netbooks with vbaexpress (available in aur). visualboyadvance is available in the community repository

*   [Wine](/index.php/Wine "Wine") - Wine is not actually an emulator, but it provides a way to play Windows games on Linux.
*   [ZSNES](http://www.zsnes.com/) - a Super Nintendo emulator.

**Note:** Netbook users may wish to set video mode to "640x480 ODS F" for using full screen (but streched) or "800x600 ODS F" for using max height (non-streched) & video filters: bilinear filter and hq filter activated here working fine, but that's your choice

For a full selection of emulators, try checking the [AUR 'emulators' category](https://aur.archlinux.org/packages.php?O=0&K=&do_Search=Go&detail=1&L=0&C=5&SeB=nd&SB=n&SO=a&PP=25)

## Native - Kommercielle

*   [Irukandji](http://www.charliesgames.com/wordpress/?page_id=11/) - A cross-platform 'pay as much as you want' (minimum $1 USD) scheme. A fun score attack shooter, set in an abstract underwater trench. Features unlockables, online score system, and challenges.

*   [Bullet Candy Perfect](http://www.charliesgames.com/wordpress/?page_id=14/) - A fun shoot-em-up game, with sharp, super smooth 3D graphics and a cool techno soundtrack. Features cross-platform, achievements, and online scores. 'PAMAYW' scheme.

**Tip:** x86_64 users may need lib32-mesa and lib32-libxxf86vm from [multilib] to run these games

*   [Rune](http://www.runegame.com/) - 3rd person Adventure / Hack'n Slay based on ut'99\. Runs great from box installation.

*   [Minecraft](/index.php/Minecraft "Minecraft") - A java based game that you can buy while still in beta for $15, but has a limited free to play version. Very addictive game, big community, lot of updates, don't miss this one.

*   [Book of Eschalon I and II](http://basiliskgames.com/) - Classical isometric RPG like Ultima, Might & Magic or Wizardry.

*   [Sacred Gold](https://en.wikipedia.org/wiki/Sacred_(video_game) - Hack'n Slay Roleplay Game like Diablo.

**Tip:** If running on a low resolution (netbook etc) either play it on external monitor, but you can't see the skill/action bar. You can move the Window pressing alt+left_mouse. You can see the action bar, but then you can't see the health bar anymore. Email Michael from linuxgamepublishing.com and ask for a fix - would be really great if we could fully enjoy this game on Linux netbooks

*   [VVVVVV](http://thelettervsixtim.es/) - Highly praised 2d puzzle platform indie game with a C64 retro theme, with a great chiptune soundtrack. You can buy the full version for £1.67, or play the [demo.](http://www.kongregate.com/games/TerryCavanagh/vvvvvv-demo/) in a browser.

**Tip:** You may want to backup your save file, which is found at ~/.macromedia/Flash_Player/#SharedObjects/<string>/localhost ... ...

## Wine

*   **Dark Reign: The Future of War** - A realtime strategy. Runs great.

**Tip:** run "winecfg" and disable "Vertex Shader" and "Pixel Shader" to make it run

*   **Diablo 2 + Lord Of Destruction** - Hack 'n' slash. See [Diablo II](/index.php/Diablo_II "Diablo II").

*   **Spelunky** - Indie Side Scroller.

Edit or create `settings.cfg` in the appropriate game directory and enter:

```
   1
   0
   0
   0
   1
   15
   15

```

*   **Warcraft III et al** - See [WarCraft III](/index.php/WarCraft_III "WarCraft III").

## Desktop Environment

GNOME and KDE also have the game projects. For GNOME, we can install the games with gnome-games and gnome-games-data . For KDE, we can install kdegames (meta package).

## Eksterne links

*   [arch-games](http://github.com/Arch-Games/arch-games/wiki) Games repo for Arch Linux
*   [The Java Game Tome](http://www.javagametome.com/) - The portal for all Java games
*   [Free Gamer](http://freegamer.blogspot.com/) - Open source games blog
*   [FreeGameDev](http://forum.freegamedev.net/) - Free/open source game development community
*   [Libregamewiki](http://libregamewiki.org/) - Free software games wiki
*   [SIG/Games](https://fedoraproject.org/wiki/SIGs/Games#Gaming_News_sites) - OS/Linux gaming news sites and lists at Fedora's wiki
*   [live.linux-gamers](http://live.linux-gamers.net) - Arch-based live gaming distro
*   [Unixgames](https://unixgames.org/) - Q&A service for Linux gamers

#### Linux spil databaser

*   [The Linux Game Tome](http://www.happypenguin.org/)
*   [Linux game database](http://www.lgdb.org/)
*   [Penguspy](http://www.penguspy.com/#/All/free_and_commercial/open_closed/sort=1/view=1/limit=0)
*   [Lists of Linux games on Wikipedia](https://en.wikipedia.org/wiki/Category:Linux_games "wikipedia:Category:Linux games")