De følgende fire principperer omfatter, hvad der normalt henvises til som Arch-metoden eller Arch-filosofien.
Dette beskrives lettest med akronymet **KISS** - **K**eep **I**t **S**imple, **S**tupid - hvilket på dansk er noget a'la Holde det enkelt - Dumme!

## Contents

*   [1 Enkelthed](#Enkelthed)
*   [2 Åben](#.C3.85ben)
*   [3 Brugerkoncentreret](#Brugerkoncentreret)
*   [4 Fri](#Fri)

## Enkelthed

Enkelthed er absolut det primære mål bag udviklingen af Arch Linux. Mange Linux-distributioner beskriver sig selv som "enkle". Dog har 'enkelthed' mange definitioner.

**Arch Linux definerer enkelthed som en *uden unødvendige tilsætninger, modifikationer eller komplikationer*, og giver en let <tt>UNIX</tt>-lignende grundstruktur, hvilket lader en individuel bruger forme systemet efter sit eget behov. Kort sagt: En elegant minimalistisk tilnærmelse.**

En let grundstruktur bygget med en høj programmeringsstandard vil tendere til at have lavere krav til systemressourcer. Grundsystemet er blottet for alt unødvendigt rod, der fordunkler vigtige dele af systemet, eller besværliggør adgangen til dem. Det har et strømlinet sæt konfigurationsfiler, der er ordnet for hurtig adgang og redigering, uden nogen tunge grafiske konfigurationsværktøjer, som forsøger at sløre brugerens muligheder. Et Arch Linux-system er derfor fuldt konfigurerbart ned til den allermindste detalje.

## Åben

Åbenhed sammen med enkelthed er et af de ledende principper i udviklingen af Arch Linux.

**Arch Linux anvender enkle værktøjer, der vælges og bygges med tanke på kildeåbenhed og produktion.**

Mens åbenhed kan være uoverskuelig for mange nye Linux-brugere, finder de mere erfarne Arch Linux-brugere det praktisk og byder det velkommen. Det fjerner alle barrierer mellem brugeren og systemet, idet det giver mere kontrol over systemet og forenkler vedligeholdelsen af samme.

Den åbne natur i Arch Linux betyder også en ret stejl indlæringskurve, men erfarne Arch Linux-brugere finder dog andre mere lukkede systemer meget vanskeligere at kontrollere.

Princippet om åbenhed strækker sig også til medlemmerne i fællesskabet. Arch Linux-brugere er kendt for at være meget åbne med hjælp og vejledning, så vel som med bidrag af pakker til det fællesskabsvedligeholdte "Arch User Repository".

## Brugerkoncentreret

Hvor mange Linux-distributioner forsøger at være 'brugervenlige', har Arch Linux altid været - og vil altid være - 'brugerkoncentreret'.

**Arch Linux gør brugerne til centrum i systemet, ved at give dem fuldt og uindskrænket kontrol over systemet.**

Arch Linux-brugere håndterer systemet helt på egen hånd. Selve systemet tilbyder kun lidt hjælp udover et simpelt sæt vedligeholdelsesværktøjer, designet til at overføre brugerens kommandoer fuldstændigt til systemet.

Det brugerkoncentrerede design indebærer også en vis "gør-det-selv"-tilnærmelse. I stedet for at spørge om en ny funktion kan implementeres af udviklerne, har Arch Linux-brugerne for vane at løse deres problemer selv, og dele resultaterne med fællesskabet og udviklingsholdet. Dette er specielt sandt for pakkerne i 'Arch User Repository (den officielle software-kilde i Arch Linux for pakker vedligeholdt af fællesskabet), som brugerne har bidraget med.

## Fri

Et andet ledende princip i udviklingen af Arch Linux er friheden til at vælge. Det tillades ikke kun brugerne, at foretage alle beslutninger vedrørende systemkonfigurationen, men de kan også bestemme, hvordan deres system *bliver*.

**Ved at holde systemet enkelt tilbyder Arch Linux friheden til at træffe ethvert valg omkring systemet.**

Det indre i et nyligt installeret Arch Linux-system består af Linux-komponenter uden automatisk udførte konfigurationer. Brugere kan konfigurere deres system, som de har lyst til. Helt fra start giver systemet adgang til øjeblikkeligt at fjerne komponenter, eller erstatte med en alternative komponenter.

Det store antal pakker i de forskellige software-kilder understøtter også friheden til at vælge. Endvidere - sammenlignet med andre distributioner - er selve processen med at oprette en ny pakke **enkel**, **åben**, **brugerkoncentreret** og **fri**.
Nye pakker kan nemt oprettes med lidt baggrundsviden ved hjælp af byggesystemet i Arch Linux - Arch Build System eller [ABS](/index.php/ABS_(Dansk) "ABS (Dansk)").

Som grundlæggeren af Arch Linux - Judd Vinet - sagde: "Det (Arch Linux) er, hvad du gør det til."