| **Summary**  |
| Biedt een overzicht van het Arch User Repository. |
| **Links** |
| [AUR Web Interface](https://aur.archlinux.org) |
| [AUR Mailing List](https://www.archlinux.org/mailman/listinfo/aur-general) |
| **Richtlijnen** |
| [AUR User Guidelines](/index.php/AUR_User_Guidelines "AUR User Guidelines") |
| [AUR Trusted User Guidelines](/index.php/AUR_Trusted_User_Guidelines "AUR Trusted User Guidelines") |

## Contents

*   [1 Overzicht](#Overzicht)
    *   [1.1 Belangrijke documenten](#Belangrijke_documenten)
*   [2 Beginnen met AUR](#Beginnen_met_AUR)
*   [3 Geschiedenis](#Geschiedenis)
    *   [3.1 Incoming](#Incoming)
    *   [3.2 Trusted User Repository's](#Trusted_User_Repository.27s)
*   [4 Zie ook](#Zie_ook)

## Overzicht

Het **Arch Linux User-Community Repository (AUR)** is een door de gemeenschap onderhouden repository voor Arch gebruikers. Het AUR was in eerste instantie ontstaan om het delen van PKGBUILDS in de gemeenschap te organiseren en om het opnemen van door gebruikers gemaakte PKGBUILDS in de [community](/index.php/Community "Community") repository te bevorderen.

Het AUR wordt de geboorteplaats van Arch's nieuwe pakketten genoemd. In AUR kunnen de gebruikers hun eigen pakketten delen. De AUR gemeenschap stemt voor of tegen de pakketten, en zodra een pakket een hoog aantal stemmen heeft, zal een TU (Trusted User, vertrouwde gebruiker) het pakket overnemen en onderhouden in de [community] repository, welke toegankelijk is via [pacman](/index.php/Pacman "Pacman") en [ABS](/index.php/ABS "ABS").

### Belangrijke documenten

Naast dit artikel is het belangrijk om de [AUR User Guidelines](/index.php/AUR_User_Guidelines "AUR User Guidelines") te lezen, als je een AUR gebruiker wilt zijn, en de [AUR Trusted User Guidelines](/index.php/AUR_Trusted_User_Guidelines "AUR Trusted User Guidelines") als je van plan bent om een TU te worden.

## Beginnen met AUR

*   Een korte handleiding om pakketten te installeren vanaf AUR kan [hier](/index.php/AUR_User_Guidelines#Using_Packages_from_UNSUPPORTED "AUR User Guidelines") worden gevonden. Voor gedetailleerde informatie over het bouwen van pakketten uit AUR, zie het [makepkg](/index.php/Makepkg "Makepkg") artikel.
*   De [AUR User Guidelines](/index.php/AUR_User_Guidelines "AUR User Guidelines") leggen uit en laten zien hoe je het [community] repository kunt activeren in [pacman](/index.php/Pacman "Pacman") en [ABS](/index.php/ABS "ABS").
*   Bezoek de [AUR Web Interface](https://aur.archlinux.org) om jezelf te informeren over updates en gebeurtenissen omtrent AUR. Daar zul je ook statistieken en bijgewerkte lijsten vinden van de nieuwste en recent bijgewerkte pakketten in AUR.
*   Neem ook een kijkje in de [AUR Q & A](/index.php/AUR_Q_%26_A "AUR Q & A").

## Geschiedenis

De volgende items worden alleen voor historische doelen getoond. Ze zijn al lang voorbij gestreeft door AUR en zijn niet langer beschikbaar.

### Incoming

In het begin was er:

```
[ftp://ftp.archlinux.org/incoming](ftp://ftp.archlinux.org/incoming)

```

en mensen droegen bij door simpelweg hun [PKGBUILD](/index.php/PKGBUILD "PKGBUILD"), samen met de benodigde bestanden en hun zelfgebouwde pakket te uploaden naar de server. Het pakket bleef daar tot een [Package Maintainer](/index.php/Package_Maintainer "Package Maintainer") het zag en overnam.

### Trusted User Repository's

Vervolgens werden de Trusted User Repositories geboren. Bepaalde mensen in de gemeenschap waren toegestaan om hun eigen repository's te hosten voor een ieder om te gebruiken. Het AUR breidde zich op deze manier uit, met het doel om het flexibeler en beter bruikbaar te maken. De huidige AUR onderhouders worden nog steeds TU's (Trusted Users) genoemd.

## Zie ook

*   [AUR helpers](/index.php/AUR_helpers "AUR helpers") kunnen je helpen met het zoeken naar, downloaden en installeren van pakketten van AUR.