In biologie is mutualisme een interactie tussen twee organismen die elk profijt trekt. Dit principe kan ook van toepassing op pro-actieve en gemotiveerde leden van de Arch gemeenschap die willen meedoen door dit aan hun favoriete GNU / Linux distributie bij te dragen. Deze participatie komt niet alleen ten goede voor het lid van de gemeenschap en hun collega-schutters, maar voor alle fans van vrije en open source software.

## Contents

*   [1 Schenken](#Schenken)
*   [2 Forums](#Forums)
*   [3 Wiki](#Wiki)
*   [4 Bugs](#Bugs)
*   [5 AUR](#AUR)
*   [6 'Rolling Release' e-zine](#.27Rolling_Release.27_e-zine)
*   [7 Arch projecten](#Arch_projecten)
*   [8 Community projecten](#Community_projecten)
*   [9 Bijdragen](#Bijdragen)
    *   [9.1 Wat kan ik doen als een ontwikkelaar?](#Wat_kan_ik_doen_als_een_ontwikkelaar.3F)
    *   [9.2 Hoe kan ik een arch ontwikkelaar worden?](#Hoe_kan_ik_een_arch_ontwikkelaar_worden.3F)
    *   [9.3 Wat kan ik doen als een kunstenaar?](#Wat_kan_ik_doen_als_een_kunstenaar.3F)

## Schenken

Arch Linux overleeft door onvermoeibare inspanningen van vele mensen in de gemeenschap. Niemand van ons wordt betaald voor ons werk, en we hebben niet de persoonlijke middelen om de server in stand te houden. Er zijn vele manieren om Arch Linux te ondersteunen. Als de technische ontwikkeling, documentatie, of ondersteuning niet uw sterke punten zijn, kan je ons zeker helpen door [enkele dollars te doneren.](https://www.archlinux.org/donate/)

## Forums

Een van de makkelijkste manieren om betrokken te raken is deel te nemen aan de [Arch Linux Forums](https://bbs.archlinux.org/). Lees eerst [Forum etiquette](/index.php/Forum_etiquette "Forum etiquette"), voel je dan vrij om je ideeën te delen, een helpende hand aan nieuwe gebruikers te zijn, en de gemeenschap te leren kennen. Gebruik het forum Report-functie (in de rechter benedenhoek van alle berichten) op het forum om ons team van misbruik te waarschuwen.

## Wiki

[ArchWiki](/index.php/AboutWiki "AboutWiki") is een gemeenschap die alle documentatie bijhoud. De inhoud wordt gemaakt door de gemeenschap voor de gemeenschap. Medewerkers spenderen vrijwillig hun tijd en energie om hun kennis te delen met de community. Alle gebruikers worden aangemoedigd om bij te dragen. Taken op ArchWiki kunnen grofweg worden onderverdeeld in de volgende:

*   Technisch onderhoud
*   Inhoud's management
*   Inhoud bewerken
*   Creatie en [vertaling](/index.php/ArchWiki_Translation_Team "ArchWiki Translation Team") van inhoud

	1\. Als u over de juiste kennis beschikt kan u zelf de [wiki pagina's aanpassen](/index.php/Help:Editing "Help:Editing").

	2\. Vlag artikelen met het juiste [artikel status](/index.php/Help:Template#Article_status_templates "Help:Template") van sjablonen.

	3\. Inhoud toevoegen aan [stubs](/index.php/Category:Pages_flagged_with_Template:Stub "Category:Pages flagged with Template:Stub") en [uitbreiden](/index.php/Category:Pages_or_sections_flagged_with_Template:Expansion "Category:Pages or sections flagged with Template:Expansion") van onvolledige of slecht geschreven artikelen.

	4\. [Toevoegen of de vertalingen te verbeteren](/index.php/Category:Pages_or_sections_flagged_with_Template:Translateme "Category:Pages or sections flagged with Template:Translateme"), zorgen dat de vertalingen synchroon met elkaar.

	5\. Verminder en [combineren](/index.php/Category:Pages_or_sections_flagged_with_Template:Merge "Category:Pages or sections flagged with Template:Merge") dubbele pagina's.

	6\. [Wijzigen](/index.php/Category:Pages_or_sections_flagged_with_Template:Accuracy "Category:Pages or sections flagged with Template:Accuracy") van onnauwkeurige inhoud, spelling, grammatica, taal en [stijl](/index.php/Help:Style "Help:Style").

	7\. Verminder het aantal [categorieën](/index.php/Special:Categories "Special:Categories"). Scan de wiki voor vergelijkbare categorieën die moeten worden gecombineerd; te verbeteren wiki [navigatie](/index.php/Table_of_contents "Table of contents").

	8\. [Categoriseren uncategorized pagina's](/index.php/Special:UncategorizedPages "Special:UncategorizedPages").

	9\. [Voeg artikel samenvatting dozen naar alle artikelen](/index.php/Writing_Article_Overviews "Writing Article Overviews").

	10\. Werk de [FAQ](/index.php/FAQ "FAQ") met relevante vragen van het forum en verwijder verouderde vragen.

Andere nuttige pagina's voor opruimen:

*   [Verzoeken](/index.php/ArchWiki:Requests "ArchWiki:Requests")
*   [Rapporten](/index.php/ArchWiki:Reports "ArchWiki:Reports")
*   [Spam](/index.php/ArchWiki:Spam "ArchWiki:Spam")
*   [Gebroken redirects](/index.php/Special:BrokenRedirects "Special:BrokenRedirects")
*   [Dubbele redirects](/index.php/Special:DoubleRedirects "Special:DoubleRedirects")
*   [Korte pagina's](/index.php/Special:ShortPages "Special:ShortPages")

Op lang termijn is het doel een professionele en gemakkelijk te navigeren wiki, zodat aanvullende gidsen, documenteerders, etc. niet nodig zijn. Dit is een gemeenschappelijke inspanning, maar het wiki onderhoud is vaak een vervelend en ondankbare taak. Als u de taak serieus neemt, kan een formele positie als wiki onderhouder in orde zijn. Dit geeft de job doel en erkenning.

## Bugs

Bugs rapporten op de [Arch Linux Bugtracker](https://bugs.archlinux.org/) is een van de mogelijke manieren om de gemeenschap te helpen. Inefficiënt gebruik van de bug-tracker kan contraproductief zijn in plaats van nuttig. [Dit artikel](/index.php/Reporting_bug_guidelines "Reporting bug guidelines") zal iedereen die aan de gemeenschap efficiënt helpen met het aanmelden of voor de jacht bugs.

Zie ook: [Bug squashen Day](/index.php/Bug_Squashing_Day "Bug Squashing Day")

## AUR

Het [Arch User Repository](/index.php/Arch_User_Repository "Arch User Repository") is een community-gedreven repository van PKGBUILDs voor Arch gebruikers. Pakketten in de AUR worden gebouwd door de PKGBUILDs en zijn niet pre-built binary's, zoals uit de officiële repositories. De AUR is gemaakt om zich te organiseren en nieuwe pakketten te delen van de gemeenschap en om de populaire pakketten te versnellen.

## 'Rolling Release' e-zine

Bijdragen tot de [Rolling Release](http://rollingrelease.com/), de officiële Arch Linux e-zine. Het is een community-backed, web-based publicatie die altijd op zoek is naar kopstukken, kunstenaars, en dergelijke.

## Arch projecten

U vindt hier de lijst van git repositories voor [officiële Arch Projects](https://projects.archlinux.org/).

## Community projecten

Arch heeft een vitale en actieve gemeenschap van software-ontwikkelaars. Als u een project wilt linken, is dit een geweldige plek om het te doen. Voeg een link naar uw project, de datum waarop uw project gestart, en een korte (een of twee zin) beschrijving van uw project.

**Note:** Alle hier genoemde projecten zijn projecten voor de gemeenschap. Geen van deze projecten worden beschouwd als officiële Arch projecten.

[**Arch gebaseerde distributies**](/index.php/Arch_Based_Distributions "Arch Based Distributions")

	Andere distributies op Arch Linux

[**AUR Helpers**](/index.php/AUR_helpers "AUR helpers")

	Hulpprogramma's voor eindgebruikers te helpen bij het gebruik van de AUR

[**Pacman GUI Frontends**](/index.php/Pacman_GUI_Frontends "Pacman GUI Frontends")

	Grafische front-ends voor pacman

[**rc.conf GUI Frontends**](/index.php/Rc.conf_GUI_Frontends "Rc.conf GUI Frontends")

	Grafische front-ends voor rc.conf

[**netcfg**](/index.php/Netcfg "Netcfg")

	Netwerk voor Arch Linux

**Andere**

	Projecten die niet helemaal past in een bestaande categorie

*   [ArchMap](/index.php/ArchMap "ArchMap")

	Google Earth Arch gebruiker kaart

*   [ArchAudio](http://archaudio.org/)

	Een derde pakket repository en online discussieforum voor Arch Linux pro-audio-gebruikers

*   [ArchLinux.us](http://archlinux.us/)

	@ Archlinux.us e-mails, Gmail op basis van

*   [ArchLinux.me](http://archlinux.me/)

	Arch Linux Agenda's

*   [ArchLinux.mobi](http://archlinux.mobi/)

	Mobiele toegang tot e-mails the@archlinux.us

*   [Arch Citaat Database](http://qdb.archuser.com/)

	Een verzameling van humoristische citaten van # archlinux

*   [LinkedIn Group](http://www.linkedin.com/groups?gid=1399787)

	Arch Linux-groep voor gebruikers en professionals.

*   [Namcap Reports](/index.php/Namcap_Reports "Namcap Reports")

	namcap is een hulpprogramma voor Arch Linux die helpt bij het automatisch detecteren van veel voorkomende fouten en fouten in PKGBUILDs. Deze pagina is een automatisch gegenereerd rapport verkregen na het uitvoeren van namcap tegen de kern, en de gemeenschap.

*   [Pacman op OS X](http://arch-osx.saikonet.org/) (dood als van 2011-03-23)

	Arch-OS X - Pakketbeheer voor OS X via pacman. Hier is de forum thread.

*   [Parched](http://www.github.com/sebnow/parched)

	Een ALPM pakket en PKGBUILD parser in Python

*   [Xyne's Arch Linux Stuff](http://xyne.archlinux.ca/)

	Xyne's bijdragen aan de Arch Linux-gemeenschap

## Bijdragen

Ten eerste, bedenk dan dat de belangrijkste motivatie voor je werk op Arch moet de hele gemeenschap te helpen, en niet proberen om een​​ *'Arch-ontwikkelaar "* met alle middelen te worden. Ten tweede, u maakt ook deel van de gemeenschap, ook de hulp aan anderen betekent dat je ook helpen jezelf.

### Wat kan ik doen als een ontwikkelaar?

Hier is een lijst, in willekeurige volgorde, van dingen die je zou willen doen om jezelf nuttig voor de gemeenschap:

*   Vaststelling van een reputatie als zijnde nuttig door het bieden van ondersteuning op het moment mogelijk
*   Beantwoord vragen op het forum, IRC, en mailinglijsten
*   Doe mee met de vertrouwde gebruikers van verpakkingen ervaring op te doen om je vaardigheden te tonen
*   Indienen pakketten om de AUR
*   Doe een van de uitloper projecten die kunnen worden opgenomen in Arch mainstream op een dag, of start je eigen
*   Werk aan pacman, makepkg, initscripts, of een andere broncode en legt patches om de bug tracker
*   Traverse de bug tracker en oplossen van bestaande bugs
*   Vind en legt nieuwe bugs
*   Bevestig wiki fouten, toevoegen van nieuwe pagina's, schoonmaken van bestaande pagina's, en zorg ervoor dat de procedures zijn up-to-date
*   Help patrouilleren de recente wijzigingen in de wiki
*   Verzend vertalingen

### Hoe kan ik een arch ontwikkelaar worden?

Meestal worden nieuwe ontwikkelaars opgepikt door de bestaande ontwikkelaars als de werkdruk toeneemt. Soms post een positie en je kunt toepassen om hem te vullen, maar vaker, maar ze nodigen iemand die ze kennen goed zou zijn bij het en zou goed passen bij de rest van het team. Met een portefeuille van Arch bijdragen is de beste manier om het te maken in het team.

### Wat kan ik doen als een kunstenaar?

Voel je vrij om wallpapers, splash schermen, kleurpaletten, widgets, thema's, etc. delen met de community op het forum.
Zie ook: [https://www.archlinux.org/art/](https://www.archlinux.org/art/)