De volgende vijf principes omvatten het begrip, waarnaar meestal wordt verwezen als op de Arch manier, of de Arch filosofie, die het best kan worden samengevat door het acroniem KISS voor Keep It Simple, Stupid.

## Contents

*   [1 Simpel](#Simpel)
*   [2 Liever correcte code dan gemak](#Liever_correcte_code_dan_gemak)
*   [3 Open](#Open)
*   [4 Gericht op gebruikers](#Gericht_op_gebruikers)
*   [5 Vrijheid](#Vrijheid)

## Simpel

Veel GNU/Linux distributies definieren hunzelf als "eenvoudig". Eenvoud zelf heeft echter veel definities.

**Arch Linux definieert eenvoud als een lichtgewichte basisstructuur zonder onnodige toevoegingen, veranderingen of complicaties, die een individuele gebruiker in staat stellen om een systeem te vormen naar hun eigen eisen. In het kort: een elegante minimalistische aanpak.**

Een lichtgewichte basisstructuur gebouwd met hoge programmeerstandaarden en correcte code in het achterhoofd zal naar een systeem leiden, dat lagere eisen stelt aan de systeembronnen. Het basissysteem is ontdaan van alle zaken die belangrijke onderdelen van het systeem kunnen verbergen of moeilijk toegankelijk maken. Het heeft een gestroomlijnde verzameling configuratiebestanden, die zijn opgezet voor snelle toegang en wijzigingen, zonder omslachtige grafische configuratieprogramma's, die de neiging hebben om mogelijkheden voor de gebruiker te verbergen. Een Arch Linux systeem is daarom vlot en gemakkelijk te configureren tot in het laatste detail.

Aan de andere kant houdt Arch Linux de onafscheidelijke complexiteiten van een GNU/Linux systeem intact, maar legt ze tegelijkertijd bloot aan de gebruiker. Arch Linux ontwikkelaars en gebruikers geloven dat het proberen te verbergen van de complexiteit van een systeem feitelijk resulteert in een nog complexer systeem, wat vermeden moet worden.

## Liever correcte code dan gemak

Het Arch Linux systeem geeft voorrang aan een elegant ontwerp en schone simpele code boven onnodige patches, automatisering, eye candy (visueel aantrekkelijke zaken) en gemak voor beginnende gebruikers. Software patches worden tot het absolute minimum beperkt, in het ideale geval geen patches.

**Eenvoud, elegante code en minimalisme zullen altijd de heersende prioriteit blijven van Arch's ontwikkeling.**

Concepten, ontwerpen en features worden gemaakt en geimplementeerd met de principes van de Arch filosofie als een leidraad. Er wordt niet ingegeven aan invloeden van buitenaf. Het ontwikkelteam is resoluut in hun gedrevenheid en toewijding aan de Arch filosofie. Als je hun visie deelt, ben je welkom en word je aangemoedigd om Arch Linux te gebruiken.

## Open

Openheid gaat hand in had met eenvoud en is één van de leidende principes van de ontwikkeling van Arch Linux.

**Arch Linux maakt gebruik van eenvoudige tools, die zijn geselecteerd en gebouwd met openheid van de broncode en hun uitvoer in het achterhoofd.**

Openheid doet alle grenzen en abstractie tussen de gebruiker en het systeem verdwijnen, en biedt meer controle, terwijl het tegelijkertijd het systeemonderhoud vergemakkelijkt.

De open natuur van Arch Linux impliceert redelijk stijle leercurve, maar ervaren Arch Linux gebruikers vinden andere, meer gesloten systemen, vaak veel lastiger om te beheren.

De principes van openheid reflecteren ook op de gemeenschap om Arch Linux. De gebruikers staan bekend om hun openheid in het geven van hulp en advies, als ook in hun bijdragen aan AUR (Arch User Repository).

## Gericht op gebruikers

Waar veel GNU/Linux distributies proberen om 'gebruikersvriendelijker' te worden, is Arch Linux altijd 'gebruikersgericht' en zal dat altijd blijven.

**Arch Linux doelt op en accomodeert bekwame GNU/Linux gebruikers door hen complete controle en verantwoordelijkheid over hun systeem te geven.**

Arch Linux gebruikers beheren hun systeem volledig zelf. Het systeem zelf zal weinig hulp bieden, met uitzondering van een simpele verzameling onderhoudsgerichte tools, die zijn ontworpen om de commando's van de gebruikers naar het systeem te verwijzen.

Dit gebruikersgerichte ontwerp impliceert een bepaalde "doe-het-zelf" aanpak bij het gebruik van Arch Linux. In plaats van het zoeken van hulp of het aanvragen van een nieuwe feature om te worden geimplementeerd door de ontwikkelaars, hebben Arch Linux gebruikers de neiging om hun problemen zelf op te lossen en de resultaten daarvan te delen met de gemeenschap en het ontwikkelteam -- een "eerst doen, dan vragen" filosofie. Dit is vooral van toepassing op de pakketten die door gebruikers zijn gedeeld in de Arch User Repository -- de officiële Arch Linux repository voor pakketten die door de gemeenschap worden onderhouden.

## Vrijheid

Een ander leidend principe van Arch Linux ontwikkeling is vrijheid. De gebruikers zijn niet alleen vrij in het maken van alle beslissingen omtrent systeemconfiguratie, maar krijgen ook alle mogelijkheden om te kiezen wat hun systeem zal worden.

**Door het systeem simpel te houden, biedt Arch Linux de vrijheid om elke keuze omtrent het systeem zelf te maken.**

Een vers geinstalleerd Arch Linux systeem bevat alleen de broodnodige componenten, zonder automatische configuratie. Gebruikers hebben de mogelijkheid om hun systeem te configureren naar hun eigen wensen, via de shell. Vanaf de installatieprocedure af is elk component van het systeem 100% transparant en toegankelijk voor directe toegang, verwijdering of vervanging door alternatieve componenten.

De grote hoeveelheid pakketten en bouwscripts in de diverse Arch Linux repository's ondersteunen ook vrijheid van keuze, door open source software aan te bieden voor degenen die dat verkiezen, als ook gesloten softwarepakketten voor degenen die het principe 'functionaliteit over ideologie' omhelsen. Het is de gebruiker die kiest.

Zoals Judd Vinet, de bedenker van Arch Linux, eens zei: "[Arch Linux](/index.php/Arch_Linux "Arch Linux") is what *you* make it." (Arch Linux is wat je er zelf van maakt)