## Contents

*   [1 Model G73SW-XN2:](#Model_G73SW-XN2:)
    *   [1.1 Hardware](#Hardware)
    *   [1.2 lspci](#lspci)
    *   [1.3 Graphics](#Graphics)
        *   [1.3.1 HDMI port](#HDMI_port)
    *   [1.4 Keyboard Backlight](#Keyboard_Backlight)
    *   [1.5 Hibernate and Suspend](#Hibernate_and_Suspend)
    *   [1.6 Touchpad](#Touchpad)
    *   [1.7 USB 3](#USB_3)
    *   [1.8 DVD](#DVD)
    *   [1.9 Sound](#Sound)
    *   [1.10 Webcam](#Webcam)
    *   [1.11 SD card reader](#SD_card_reader)
    *   [1.12 Networking](#Networking)
        *   [1.12.1 LAN](#LAN)
        *   [1.12.2 WLAN](#WLAN)
        *   [1.12.3 Bluetooth](#Bluetooth)
    *   [1.13 Untested](#Untested)

## Model G73SW-XN2:

### Hardware

*   **Processor:** Intel Core i7-2630QM 2.0 GHz (Turbo Boost up to 2.9 GHz)
*   **Display:** 17.3" FHD, native resolution 1920 x 1080
*   **Graphics:** NVIDIA GeForce GTX 460M with 1.5GB GDDR5 VRAM
*   **HDD:** 500GB Seagate Momentus @ 7200 rpm
*   **Memory:** 8GB DDR3 @ 1333 MHz
*   **Card Reader:** SD card reader
*   **Webcam:** 2.0MP
*   **WLAN:** Atheros AR9285 802.11b/g/n
*   **LAN:** Realtek RTL8111/8168B Gigabit Ethernet controller

### lspci

```
00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller (rev 09)
00:01.0 PCI bridge: Intel Corporation Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port (rev 09)
00:16.0 Communication controller: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 (rev 04)
00:1a.0 USB controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 (rev 05)
00:1b.0 Audio device: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller (rev 05)
00:1c.0 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 (rev b5)
00:1c.1 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 2 (rev b5)
00:1c.5 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 6 (rev b5)
00:1d.0 USB controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 (rev 05)
00:1f.0 ISA bridge: Intel Corporation HM65 Express Chipset Family LPC Controller (rev 05)
00:1f.2 SATA controller: Intel Corporation 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller (rev 05)
00:1f.3 SMBus: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller (rev 05)
01:00.0 VGA compatible controller: NVIDIA Corporation GF106 [GeForce GTX 460M] (rev a1)
01:00.1 Audio device: NVIDIA Corporation GF106 High Definition Audio Controller (rev a1)
03:00.0 Network controller: Atheros Communications Inc. AR9285 Wireless Network Adapter (PCI-Express) (rev 01)
04:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 06)

```

### Graphics

Works fine with [nvidia](https://www.archlinux.org/packages/?name=nvidia) from the [Official repositories](/index.php/Official_repositories "Official repositories").

I haven't tested the nouvueau driver on this machine.

 `/etc/X11/xorg.conf` 
```
# nvidia-xconfig: X configuration file generated by nvidia-xconfig
# nvidia-xconfig:  version 295.53  (buildmeister@swio-display-x86-rhel47-07.nvidia.com)  Sat May 12 00:34:20 PDT 2012

Section "ServerLayout"
    Identifier     "Layout0"
    Screen      0  "Screen0" 0 0
    InputDevice    "Keyboard0" "CoreKeyboard"
    InputDevice    "Mouse0" "CorePointer"
EndSection

Section "Files"
EndSection

Section "InputDevice"

    # generated from default
    Identifier     "Mouse0"
    Driver         "mouse"
    Option         "Protocol" "auto"
    Option         "Device" "/dev/psaux"
    Option         "Emulate3Buttons" "no"
    Option         "ZAxisMapping" "4 5"
EndSection

Section "InputDevice"

    # generated from default
    Identifier     "Keyboard0"
    Driver         "kbd"
EndSection

Section "Monitor"
    Identifier     "Monitor0"
    VendorName     "Unknown"
    ModelName      "Unknown"
    HorizSync       28.0 - 33.0
    VertRefresh     43.0 - 72.0
    Option         "DPMS"
    Option         "RegistryDwords" "EnableBrightnessControl=1"
EndSection

Section "Device"
    Identifier     "Device0"
    Driver         "nvidia"
    VendorName     "NVIDIA Corporation"
EndSection

Section "Screen"
    Identifier     "Screen0"
    Device         "Device0"
    Monitor        "Monitor0"
    DefaultDepth    24
    Option         "nologo" "true"
    Option         "RegistryDwords" "EnableBrightnessControl=1"
    Option         "Coolbits" "1"
    SubSection     "Display"
        Depth       24
    EndSubSection
EndSection

```

#### HDMI port

Video output works, but I couldn't get audio working over HDMI. If anyone has better luck, please post what you did.

### Keyboard Backlight

The keyboard backlight did not work out of the box. It is necessary to write scripts to get it working; take a look in /sys/class/leds/asus::kbd_backlight and it should be obvious what to do.

### Hibernate and Suspend

Works with some fixes [[1]](https://bbs.archlinux.org/viewtopic.php?id=99238)

1\. Create the file /etc/pm/sleep.d/20_custom-ehci_hcd with the following contents

```
#!/bin/sh
# File: "/etc/pm/sleep.d/20_custom-ehci_hcd".
TMPLIST=/tmp/ehci-dev-list

case "${1}" in
        hibernate|suspend)
    echo -n * > $TMPLIST*
          for i in `ls /sys/bus/pci/drivers/ehci_hcd/ | egrep '[0-9a-z]+\:[0-9a-z]+\:.*$'`; do
              # Unbind ehci_hcd for first device XXXX:XX:XX.X:
               echo -n "$i" | tee /sys/bus/pci/drivers/ehci_hcd/unbind
           echo "$i" >> $TMPLIST
          done
        ;;
        resume|thaw)
    for i in `cat $TMPLIST`; do
              # Bind ehci_hcd for first device XXXX:XX:XX.X:
              echo -n "$i" | tee /sys/bus/pci/drivers/ehci_hcd/bind
    done
    rm $TMPLIST
        ;;
esac

```

and make it executable

```
#chmod +x /etc/pm/sleep.d/20_custom-ehci_hcd

```

2\. Create the file /etc/pm/config.d/usb3-suspend-workaround with the following contents

```
#File: "/etc/pm/config.d/usb3-suspend-workaround".
SUSPEND_MODULES="xhci"

```

### Touchpad

Works fine with no configuration required, but works even better (3-finger) with [xf86-input-synaptics](https://www.archlinux.org/packages/?name=xf86-input-synaptics) from the [Official repositories](/index.php/Official_repositories "Official repositories").

### USB 3

The USB 3.0 port doesn't work at all under Windows or Arch, and I've been unable to determine why. I'm stuck with 3 USB 2.0 ports.

Note from another G73SW owner running Arch Linux: It works fine for me, has for over a year. I've a an early model G73SW with BIOS G73Sw.202\. My lspci is the same as above, but I have a few items that are one revision older, and an additional entry: 04:00.0 USB controller: Fresco Logic FL1000G USB 3.0 Host Controller (rev 04).

### DVD

Works fine with no configuration required.

### Sound

Works well both with pure ALSA and with PulseAudio. The two main speakers and the bass speaker can be controlled independently, which is sort of nifty. Jack detection in PulseAudio 2.0 didn't work so I disabled it, but I think that was Pulse's fault and not the hardware.

### Webcam

Works as well as in Windows, though that's not saying much. Except at very high light levels, the camera won't capture more than 3-5 frames per second. Cheese works fine out of the box.

### SD card reader

Works fine with no configuration required.

### Networking

#### LAN

Works fine with no configuration required.

#### WLAN

Works fine with no configuration required.

#### Bluetooth

Works fine with no configuration required.

### Untested

*   VGA output