## Contents

*   [1 Model G750JH-DB72-CA:](#Model_G750JH-DB72-CA:)
    *   [1.1 Hardware](#Hardware)
    *   [1.2 lspci](#lspci)
    *   [1.3 UEFI](#UEFI)
    *   [1.4 Graphics](#Graphics)
        *   [1.4.1 HDMI port](#HDMI_port)
        *   [1.4.2 VGA port](#VGA_port)
        *   [1.4.3 DisplayPort over Thunderbolt port](#DisplayPort_over_Thunderbolt_port)
    *   [1.5 Touchpad](#Touchpad)
    *   [1.6 USB 3](#USB_3)
    *   [1.7 Optical drive](#Optical_drive)
    *   [1.8 Sound](#Sound)
    *   [1.9 Webcam](#Webcam)
    *   [1.10 SD card reader](#SD_card_reader)
    *   [1.11 Networking](#Networking)
        *   [1.11.1 LAN](#LAN)
        *   [1.11.2 WLAN](#WLAN)
        *   [1.11.3 Bluetooth](#Bluetooth)
    *   [1.12 Untested](#Untested)

## Model G750JH-DB72-CA:

### Hardware

*   **Processor:** Intel Core i7-4700HQ 2.4GHz (Turbo Boost up to 3.4 GHz)
*   **Display:** 17.3" FHD, native resolution 1920 x 1080
*   **Graphics:** NVIDIA Geforce GTX 780M with 4GB GDDR5 VRAM
*   **HDD:** 750GB HDD @ 7200rpm + 256GB SSD
*   **Memory:** 16GB DDR3 @ 1600 MHz
*   **Card Reader:** 2-in-1 SD/MMC card reader
*   **Webcam:** 2.0MP
*   **WLAN:** Qualcomm Atheros AR9462 Wireless Network Adapter (802.11a/b/g/n)
*   **LAN:** Qualcomm Atheros QCA8171 Gigabit Ethernet

### lspci

```
00:00.0 Host bridge: Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor DRAM Controller (rev 06)
00:01.0 PCI bridge: Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor PCI Express x16 Controller (rev 06)
00:14.0 USB controller: Intel Corporation 8 Series/C220 Series Chipset Family USB xHCI (rev 04)
00:16.0 Communication controller: Intel Corporation 8 Series/C220 Series Chipset Family MEI Controller #1 (rev 04)
00:1a.0 USB controller: Intel Corporation 8 Series/C220 Series Chipset Family USB EHCI #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 8 Series/C220 Series Chipset High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 8 Series/C220 Series Chipset Family PCI Express Root Port #1 (rev d4)
00:1c.2 PCI bridge: Intel Corporation 8 Series/C220 Series Chipset Family PCI Express Root Port #3 (rev d4)
00:1c.3 PCI bridge: Intel Corporation 8 Series/C220 Series Chipset Family PCI Express Root Port #4 (rev d4)
00:1c.4 PCI bridge: Intel Corporation 8 Series/C220 Series Chipset Family PCI Express Root Port #5 (rev d4)
00:1d.0 USB controller: Intel Corporation 8 Series/C220 Series Chipset Family USB EHCI #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation HM87 Express LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 8 Series/C220 Series Chipset Family 6-port SATA Controller 1 [AHCI mode] (rev 04)
00:1f.3 SMBus: Intel Corporation 8 Series/C220 Series Chipset Family SMBus Controller (rev 04)
01:00.0 VGA compatible controller: NVIDIA Corporation GK104M [GeForce GTX 780M] (rev a1)
01:00.1 Audio device: NVIDIA Corporation GK104 HDMI Audio Controller (rev a1)
03:00.0 Network controller: Qualcomm Atheros AR9462 Wireless Network Adapter (rev 01)
04:00.0 Ethernet controller: Qualcomm Atheros QCA8171 Gigabit Ethernet (rev 10)

```

### UEFI

The G750 is a UEFI device, but can also boot from a partition with the "boot" flag set in the traditional manner. Both UEFI and legacy boot methods work with [syslinux](https://www.archlinux.org/packages/?name=syslinux) using the instructions on the wiki [here](/index.php/Syslinux "Syslinux").

### Graphics

Works fine with [nvidia](https://www.archlinux.org/packages/?name=nvidia) from the [official repositories](/index.php/Official_repositories "Official repositories"). The [xf86-video-nouveau](https://www.archlinux.org/packages/?name=xf86-video-nouveau) driver has not yet been tested.

 `/etc/X11/xorg.conf` 
```
# nvidia-settings: X configuration file generated by nvidia-settings
# nvidia-settings:  version 331.20  (buildmeister@swio-display-x86-rhel47-05)  Wed Oct 30 18:20:32 PDT 2013

Section "ServerLayout"
    Identifier     "Layout0"
    Screen      0  "Screen0" 0 0
    InputDevice    "Keyboard0" "CoreKeyboard"
    InputDevice    "Mouse0" "CorePointer"
    Option         "Xinerama" "0"
EndSection

Section "Files"
EndSection

Section "InputDevice"
    Identifier     "Mouse0"
    Driver         "mouse"
    Option         "Protocol" "auto"
    Option         "Device" "/dev/psaux"
    Option         "Emulate3Buttons" "no"
    Option         "ZAxisMapping" "4 5"
EndSection

Section "InputDevice"
    Identifier     "Keyboard0"
    Driver         "kbd"
EndSection

Section "Monitor"
    Identifier     "Monitor0"
    VendorName     "Unknown"
    ModelName      "AU Optronics Corporation"
    HorizSync       30.0 - 75.0
    VertRefresh     60.0
    Option         "DPMS"
EndSection

Section "Device"
    Identifier     "Device0"
    Driver         "nvidia"
    VendorName     "NVIDIA Corporation"
    BoardName      "GeForce GTX 780M"
    Option         "NoLogo" "True"
    Option         "registryDwords" "EnableBrightnessControl=1"
EndSection

Section "Screen"
    Identifier     "Screen0"
    Device         "Device0"
    Monitor        "Monitor0"
    DefaultDepth    24
    Option         "Stereo" "0"
    Option         "metamodes" "LVDS-0: nvidia-auto-select +0+0"
    Option         "SLI" "Off"
    Option         "MultiGPU" "Off"
    Option         "BaseMosaic" "off"
    SubSection     "Display"
        Depth       24
    EndSubSection
EndSection

```

#### HDMI port

HDMI video output works using the proprietary video driver. HDMI audio output works using [pulseaudio](https://www.archlinux.org/packages/?name=pulseaudio).

#### VGA port

Works using the proprietary video driver.

#### DisplayPort over Thunderbolt port

Works using the proprietary video driver.

### Touchpad

Does not quite work out-of-the-box with [xf86-input-synaptics](https://www.archlinux.org/packages/?name=xf86-input-synaptics) from the official repositories. The touchpad is mistakenly recognized as a click-pad, leading to the right mouse button being disabled and some other strange behaviour. A fix to enable the right physical button is available [here](http://superuser.com/questions/619582/right-elantech-touchpad-button-not-working-in-linux).

**UPDATE 2014-04-01** - The above has been fixed in [kernel 3.13.8 (Input: elantech - improve clickpad detection)](https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.13.8). Physical right touchpad button now confirmed working on a G750JX.

To remedy the other strange behaviour (a left-click is interpreted as a right-click if a finger is touching the lower-right area of the touchpad), the following options are required:

 `/etc/X11/xorg.conf.d/50-synaptics.conf` 
```
        Option "SoftButtonAreas" "0 0 0 0 0 0 0 0"
        Option "RTCornerButton" "0" #right-click to bottom right

```

### USB 3

All USB ports work fine with no configuration required.

### Optical drive

Can read from and write to CD/DVD media with no configuration required. BD-ROM reading has not yet been tested.

### Sound

The integrated stero microphones work out-of-the-box with PulseAudio. The headphone and microphone ports also behave as expected. To get the bass speaker working, it is necessary to enable 2.1 sound in PulseAudio:

 `/etc/pulse/daemon.conf` 
```
        default-sample-channels = 3
        enable-lfe-remixing = yes

```

alsamixer from [alsa-utils](https://www.archlinux.org/packages/?name=alsa-utils) maps the bass speaker to the "Speaker" channel, and maps the left and right speakers to the "Headphone" channel. PulseAudio jack detection can interfere with this configuration; to disable it, comment out this line:

 `/etc/pulse/default.pa` 
```
        # load-module module-switch-on-port-available

```

### Webcam

Works fine with no configuration required. The webcam records at a higher framerate than the sensor on the G73 and is actually usable, but it isn't anything special.

### SD card reader

Works fine with no configuration required. Note that the G750 is unable to boot from the card reader, even in legacy mode.

### Networking

#### LAN

Works fine with no configuration required.

#### WLAN

Works fine with no configuration required.

#### Bluetooth

Works fine using [bluez](https://www.archlinux.org/packages/?name=bluez) with no configuration required.

### Untested

*   Data transfer over Thunderbolt port
*   BD-ROM reading