## Contents

*   [1 Specialty distributions](#Specialty_distributions)
    *   [1.1 Antergos](#Antergos)
    *   [1.2 Apricity OS](#Apricity_OS)
    *   [1.3 ArchAssault](#ArchAssault)
    *   [1.4 ArchBang](#ArchBang)
    *   [1.5 Architect Linux](#Architect_Linux)
    *   [1.6 BBQLinux](#BBQLinux)
    *   [1.7 BlackArch Linux](#BlackArch_Linux)
    *   [1.8 Bluestar Linux](#Bluestar_Linux)
    *   [1.9 Bridge Linux](#Bridge_Linux)
    *   [1.10 PacBang Linux](#PacBang_Linux)
    *   [1.11 Papyros](#Papyros)
    *   [1.12 Ninja OS](#Ninja_OS)
    *   [1.13 TalkingArch](#TalkingArch)
    *   [1.14 Tux Hat Linux](#Tux_Hat_Linux)
*   [2 Counterpart distributions](#Counterpart_distributions)
    *   [2.1 Arch Linux ARM](#Arch_Linux_ARM)
    *   [2.2 MSYS2](#MSYS2)
    *   [2.3 PacBSD](#PacBSD)
    *   [2.4 Parabola GNU/Linux-libre](#Parabola_GNU.2FLinux-libre)
    *   [2.5 UBOS](#UBOS)
*   [3 Meta distributions](#Meta_distributions)
    *   [3.1 Archiso](#Archiso)
*   [4 Live distributions](#Live_distributions)
    *   [4.1 Archboot](#Archboot)
    *   [4.2 ArchEX](#ArchEX)
    *   [4.3 DidJiX](#DidJiX)
    *   [4.4 PoliArch](#PoliArch)
*   [5 Arch-influenced distributions](#Arch-influenced_distributions)
    *   [5.1 Alpine Linux](#Alpine_Linux)
    *   [5.2 Arquetype CRT](#Arquetype_CRT)
    *   [5.3 Chakra](#Chakra)
    *   [5.4 Enlisy](#Enlisy)
    *   [5.5 Frugalware](#Frugalware)
    *   [5.6 Kademar](#Kademar)
    *   [5.7 KaOS](#KaOS)
    *   [5.8 LinHES](#LinHES)
    *   [5.9 Manjaro Linux](#Manjaro_Linux)
    *   [5.10 Netrunner Rolling](#Netrunner_Rolling)
*   [6 See also](#See_also)

## Specialty distributions

Includes distributions that meant to be installed on persistent storage and use Arch Linux [official repositories](/index.php/Official_repositories "Official repositories") for package updates on installed system

### Antergos

Antergos started life under the name of Cinnarch, combining the Cinnamon desktop with the Arch Linux distribution, but the project has moved on from its original goals and now offers a choice of several desktops, including: KDE, GNOME 3 (default), MATE, Cinnamon, Openbox and Xfce.

Antergos is Archlinux-based via Arch's repositories and can be installed by booting the live ISO image and using its graphical installer, Cnchi.

*   Homepage: [http://antergos.com/](http://antergos.com/)
*   Forums: [http://forum.antergos.com/](http://forum.antergos.com/)
*   IRC: [irc://irc.freenode.net/antergos](irc://irc.freenode.net/antergos)
*   Wiki: [http://wiki.antergos.com/](http://wiki.antergos.com/)
*   Screenshots: [http://www.linuxscreenshots.org/?distro=antergos](http://www.linuxscreenshots.org/?distro=antergos)

### Apricity OS

Apricity OS uses the Pamac graphical package manager, PushBullet, Syncthing, the ICE SSB manager, and a modified [GNOME](/index.php/GNOME "GNOME") or [Cinnamon](/index.php/Cinnamon "Cinnamon") environment. It may be downloaded as a live image, and can be installed graphically.

*   Homepage: [http://apricityos.com/](http://apricityos.com/)
*   Forums: [http://apricityos.com/forum](http://apricityos.com/forum)
*   Blog: [http://apricityos.com/blog](http://apricityos.com/blog)
*   IRC: [irc://irc.freenode.net/apricityos](irc://irc.freenode.net/apricityos)
*   GitHub: [https://github.com/agajews/apricityos](https://github.com/agajews/apricityos)

### ArchAssault

ArchAssault has the security professional in mind. The i686, x86_64, armv6h, armv7h architectures are supported. You can use the installer ISO or add the repo to your existing Arch Linux install.

The ARM line helps you build embedded security devices. The project also supports some of the available Open Source AutoPilot hardware. This allows to easily add a payload brain to drones and add capabilities.

*   Homepage: [https://archassault.org/](https://archassault.org/)
*   IRC: [irc://irc.freenode.net/ArchAssault](irc://irc.freenode.net/ArchAssault)
*   Wiki: [http://wiki.archassault.org/](http://wiki.archassault.org/)

### ArchBang

ArchBang uses the Arch Linux repositories with a custom Openbox environment. It downloads as a LiveCD and includes a graphical installer. The name is inspired by CrunchBang Linux, which is based on Debian and likewise runs OpenBox.

*   Homepage: [http://www.archbang.org/](http://www.archbang.org/)
*   Forums: [http://bbs.archbang.org/](http://bbs.archbang.org/)
*   IRC: [irc://irc.freenode.net/archbang](irc://irc.freenode.net/archbang)
*   Wiki: [http://wiki.archbang.org/](http://wiki.archbang.org/)
*   Screenshots: [http://www.linuxscreenshots.org/?distro=archbang](http://www.linuxscreenshots.org/?distro=archbang)

### Architect Linux

Architect Linux is the successor to Evo/Lution Linux. Modelled after the original "Arch Installation Framework", Architect provides a net-based CLI installer to build vanilla Arch systems using only packages from the official repositories.

*   Forums: [http://architectlinux.boardhost.com/index.php](http://architectlinux.boardhost.com/index.php)
*   G+ Hub: [https://plus.google.com/u/0/communities/109428906975670306458](https://plus.google.com/u/0/communities/109428906975670306458)
*   Downloads and Screenshots: [https://sourceforge.net/projects/architect-linux/](https://sourceforge.net/projects/architect-linux/)

### BBQLinux

BBQLinux is made for Android developers. It has the needed tools to build AOSP or AOSP-based distributions like OmniROM or CyanogenMod. The default desktop environment is XFCE4, but MATE, GNOME, and KDE are also supported. It is using the Arch Linux repositories and a BBQLinux specific repo.

BBQLinux can be installed from within the live system using a graphical installer called Calamares.

*   Homepage: [http://www.bbqlinux.org/](http://www.bbqlinux.org/)
*   Forums: [http://bbs.bbqlinux.org/](http://bbs.bbqlinux.org/)
*   IRC: [irc://irc.freenode.net/bbqlinux](irc://irc.freenode.net/bbqlinux)
*   Screenshots: [http://bbqlinux.org/screenshots](http://bbqlinux.org/screenshots)
*   Downloads: [http://download.bbqlinux.org/](http://download.bbqlinux.org/)

### BlackArch Linux

BlackArch Linux is a distribution for pentesters and security researchers. It supports over 600 tools and a live ISO with multiple window managers. The BlackArch package repository is aimed to be compatible with regular Arch Linux installations.

*   Homepage [http://blackarch.org/](http://blackarch.org/)
*   IRC [irc://irc.freenode.net/blackarch](irc://irc.freenode.net/blackarch)
*   Documentation: [http://blackarch.org/guide.html](http://blackarch.org/guide.html)

### Bluestar Linux

Bluestar Linux is mainly focused on providing a KDE environment with a suite of graphical tools and applications. Both editions provide multilingual support, and have correlated versions supporting the Intel GMA3600 (GMA500) GPU at a 1024x600 native resolution and other resolutions via configuration.

Changes and updates are documented on a regular basis. Fixes are always incorporated into subsequent releases which occur at least twice a month.

*   Homepage: [http://bluestarlinux.sourceforge.net/](http://bluestarlinux.sourceforge.net/)
*   Forums: [http://bluestarlinux.sourceforge.net/index.php?action=forum](http://bluestarlinux.sourceforge.net/index.php?action=forum)
*   Documentation: [http://bluestarlinux.sourceforge.net/index.php?action=articles](http://bluestarlinux.sourceforge.net/index.php?action=articles)
*   Screenshots: [http://bluestarlinux.sourceforge.net/index.php?action=gallery](http://bluestarlinux.sourceforge.net/index.php?action=gallery)

### Bridge Linux

Bridge Linux provides pre-installed versions of LXDE, Openbox, GNOME, Cinnamon, Xfce, and KDE.

*   Homepage: [http://bridgelinux.org/](http://bridgelinux.org/)
*   Forums: [http://bridgelinux.org/forum/](http://bridgelinux.org/forum/)
*   Screenshots: [http://www.linuxscreenshots.org/?distro=bridge](http://www.linuxscreenshots.org/?distro=bridge)

### PacBang Linux

A sister project of Architect Linux, PacBang was originally developed as a revamped version of ArchBang. A minimalist distribution built around the Openbox window manager, it is built using only official Arch packages and features a powerful, user-friendly custom installer.

*   Forums: [http://architectlinux.boardhost.com/index.php](http://architectlinux.boardhost.com/index.php)
*   G+ Hub: [https://plus.google.com/u/0/communities/109428906975670306458](https://plus.google.com/u/0/communities/109428906975670306458)
*   Downloads and Screenshots: [http://sourceforge.net/projects/architect-linux/files/pacbang/](http://sourceforge.net/projects/architect-linux/files/pacbang/)

### Papyros

Papyros is an operating system which adheres to Google's Material Design guidelines and is based on Arch Linux, KDE and Wayland.

*   Homepage: [http://papyros.io/](http://papyros.io/)

### Ninja OS

Ninja OS is a pre-configured Live OS Desktop based on Arch Linux and XFCE 4.

*   Homepage: [http://ninjaos.org](http://ninjaos.org)
*   Onion: [http://ninjaos4xt6nc2ft.onion/ninjaos](http://ninjaos4xt6nc2ft.onion/ninjaos)
*   Git: [https://gitlab.com/ninjaos/ninjaos](https://gitlab.com/ninjaos/ninjaos)
*   Sourceforge: [http://sourceforge.net/projects/ninjaos/](http://sourceforge.net/projects/ninjaos/)

### TalkingArch

TalkingArch is respin of the Arch Linux live CD/USB image modified to include speech and braille output for blind and visually impaired users.

*   Homepage: [http://talkingarch.tk/](http://talkingarch.tk/)

### Tux Hat Linux

Tux Hat Linux is a Lightweight AwesomeWM GNU/Linux LiveCD/DVD/USB ISO

*   Homepage: [http://sourceforge.net/projects/tuxhatlinux/](http://sourceforge.net/projects/tuxhatlinux/)

## Counterpart distributions

Includes distributions that are built around kernels or for architectures that are not supported by Arch Linux

### Arch Linux ARM

[Arch Linux ARM is the new unified effort from PlugApps & ArchMobile](https://bbs.archlinux.org/viewtopic.php?id=117251).

*   Homepage: [http://archlinuxarm.org/](http://archlinuxarm.org/)
*   Forums: [http://archlinuxarm.org/forum/](http://archlinuxarm.org/forum/)
*   IRC: [irc://irc.freenode.net/archlinux-arm](irc://irc.freenode.net/archlinux-arm)

### MSYS2

MSYS2 is the most recent and active fork of Cygwin that provides a small, self-contained UNIX-like environment for Windows. It uses Windows port of [pacman](/index.php/Pacman "Pacman") to manage the whole system of MSYS2 and native packages which are updated in a timely manner.

*   Homepage: [http://msys2.github.io/](http://msys2.github.io/)
*   Forums: [http://sourceforge.net/p/msys2/discussion/](http://sourceforge.net/p/msys2/discussion/)
*   Wiki: [http://sourceforge.net/p/msys2/wiki/](http://sourceforge.net/p/msys2/wiki/)

### PacBSD

PacBSD began in July 2010 as ArchBSD in an attempt to bring pacman to FreeBSD, to ease the pain of upgrading and maintaining a system with ports and of outdated packages. Following [The Arch Way](/index.php/The_Arch_Way "The Arch Way") philosophy, PacBSD is lightweight, flexible, simple and aims to be very UNIX-like.

*   Homepage: [https://www.pacbsd.org/](https://www.pacbsd.org/)
*   Forums: [https://bbs.pacbsd.org/](https://bbs.pacbsd.org/)
*   IRC: [irc://irc.freenode.net/archbsd](irc://irc.freenode.net/archbsd)
*   Wiki: [https://wiki.pacbsd.org/](https://wiki.pacbsd.org/)

### Parabola GNU/Linux-libre

Parabola GNU/Linux-libre is a fully free (as in freedom) distribution [approved by the Free Software Foundation](http://www.gnu.org/distros/free-distros.html). It's packages are optimized for i686, x86_64, and armv7h CPUs.

Parabola uses [its own repositories](https://wiki.parabola.nu/Repositories), which are almost identical to Arch's [official repositories](/index.php/Official_repositories "Official repositories"), but with non-free or problematic packages removed (see [blacklist](https://repo.parabola.nu/docs/blacklist.txt) for difference) and other free software replacements available.

*   Homepage: [https://www.parabola.nu/](https://www.parabola.nu/)
*   Wiki: [https://wiki.parabola.nu/](https://wiki.parabola.nu/)
*   IRC: [irc://irc.freenode.net/parabola](irc://irc.freenode.net/parabola)

### UBOS

UBOS focuses on making it easier and less time-consuming to install and maintain web applications on headless, personal servers and IoT devices. It currently exists for x86 and the Raspberry Pi. UBOS has several different release channels for different levels of maturity.

UBOS only contains those Arch packages that are needed for its purpose. But is also contains a range of web applications that owners of personal servers and/or IoT devices may want to run. Unusually, installation, upgrade, backup and other management operations of the included web applications are part of the "full-stack" tests performed in the UBOS release process.

Web applications can be fully deployed at a virtual host with a single command. This includes provisioning of databases, configuring web server, restarting daemons etc. depending on the needs of the application. Other single-command management includes undeployment, per-app or per-site or per-host backup and restore, and single-command full-system upgrade (code, data, and configuration of web apps).

*   Homepage: [http://ubos.net/](http://ubos.net/)

## Meta distributions

### Archiso

[Archiso](/index.php/Archiso "Archiso") is a very simple set of bash scripts that allow for building live bootable CD/DVD/USB images based on Arch Linux. It uses a small uncomplicated code base and is actively developed. archiso is the tool used by Arch Linux to generate the official CD/USB images. It is a very generic tool, so it could potentially be used to generate anything from rescue systems, to install disks, to special interest live systems, and who knows what else. Simply put, if it involves Arch on a shiny coaster, it can do it.

*   Documentation: [Archiso - ArchWiki](/index.php/Archiso "Archiso")

## Live distributions

### Archboot

Archboot is designed for installation or rescue operations. It provides both the i686 and x86_64 architectures on one CD. It uses hwdetect and a different install script from the official Arch Linux install images. It runs in RAM using initramfs, without any special filesystems like squashfs, thus it is limited to the RAM which is installed in your system.

*   Documentation: [Archboot - ArchWiki](/index.php/Archboot "Archboot")

### ArchEX

ArchEX, based on Arch Linux, is one of the Linux Live DVDs created by C.A. Exton, the desktop environment of which is LXDE.

*   Homepage: [http://archex.exton.net/](http://archex.exton.net/)

### DidJiX

DidJiX is the free and open source digital DJ software Mixxx ([http://www.mixxx.org/](http://www.mixxx.org/)) powered by the simple and lightweight distribution Linux ArchLinux ([https://www.archlinux.org/](https://www.archlinux.org/)) on a usb live system! DidJiX is build with the Archiso project ([Archiso](/index.php/Archiso "Archiso"))

*   Homepage: [http://easy.open.and.free.fr/didjix/](http://easy.open.and.free.fr/didjix/)
*   Screenshots: [http://easy.open.and.free.fr/didjix/screenshots.html](http://easy.open.and.free.fr/didjix/screenshots.html)

### PoliArch

PoliArch is an Italian distribution and live CD featuring a number of system rescue and data recovery tools.

*   Homepage: [http://www.poliarch.org/](http://www.poliarch.org/)
*   Screenshots: [http://www.linuxscreenshots.org/?distro=poliarch](http://www.linuxscreenshots.org/?distro=poliarch)

## Arch-influenced distributions

### Alpine Linux

Alpine Linux is a run-from-RAM linux distribution. Its original target was small appliances like routers, VPN gateways, or embedded x86 devices. However, it supports hosting other Linux guest OSes under VServer control, making it an attractive hosting solution as well. Though Alpine Linux may not actually be based on Arch, its [build system](http://git.alpinelinux.org/cgit/aports/tree/main/abuild/APKBUILD) is heavily inspired by Arch's. [2](http://lists.busybox.net/pipermail/busybox/2009-January/068280.html)[3](http://wiki.alpinelinux.org/w/index.php?title=Creating_an_Alpine_package&oldid=2701#depends_.26_makedepends)

*   Homepage: [http://alpinelinux.org/](http://alpinelinux.org/)
*   Forums: [http://alpinelinux.org/forum/](http://alpinelinux.org/forum/)
*   IRC: [irc://irc.freenode.net/alpine-linux](irc://irc.freenode.net/alpine-linux)
*   Wiki: [http://wiki.alpinelinux.org/](http://wiki.alpinelinux.org/)

### Arquetype CRT

*"Our CRT "Continuous Release Term" is a rolling release with pacman as package manager, with a complete software suite ( internet, multimedia files, office, cloud-storage, development... )."*

*   Homepage: [https://arquetype.org/](https://arquetype.org/)
*   Forums: [https://arquetype.org/forums/](https://arquetype.org/forums/)
*   Screenshots: [https://arquetype.org/sections/screenshots/kde-pictures.html](https://arquetype.org/sections/screenshots/kde-pictures.html)

### Chakra

Chakra is a distribution with an emphasis on KDE and Qt. The fresh install is GTK-free. It features a graphical installer, automatic hardware detection and configuration. With the half-rolling release model a thoroughly tested core layer of software - such as the Linux kernel, GNU coreutils and common libraries - is provided, while the software in the applications layer is updated more frequently.

*   Homepage: [http://chakraos.org/](http://chakraos.org/)
*   Forums: [http://chakraos.org/forum/](http://chakraos.org/forum/)
*   IRC: [irc://irc.freenode.net/chakra](irc://irc.freenode.net/chakra)
*   Wiki: [http://chakraos.org/wiki/](http://chakraos.org/wiki/)
*   Screenshots: [http://www.linuxscreenshots.org/?distro=chakra](http://www.linuxscreenshots.org/?distro=chakra)

### Enlisy

Enlisy is an i686 optimized Linux distribution for Pentium 2 based processors and higher. It is also as simple as possible when it comes to the construction of its underlying core. Enlisy uses its own package manager Apport, which is is based on Libpysrc and Libpypac, which are inspired by Arch's package manager Pacman. Enlisy also uses InitNG for the init system.

*   Homepage: [http://www.enlisy.net/en/](http://www.enlisy.net/en/)

### Frugalware

*"Frugalware Linux is a general-purpose Linux distribution designed for intermediate users who are familiar with command-line operations. It is based on Slackware, but uses a different package management system, Pacman."*

	Source: [Wikipedia](https://en.wikipedia.org/wiki/Frugalware "wikipedia:Frugalware")

*   Homepage: [http://frugalware.org/](http://frugalware.org/)
*   Forums: [http://forums.frugalware.org/](http://forums.frugalware.org/)
*   IRC: [irc://irc.freenode.net/frugalware](irc://irc.freenode.net/frugalware)
*   Wiki: [http://wiki.frugalware.org/](http://wiki.frugalware.org/)
*   Documentation: [http://frugalware.org/docs/](http://frugalware.org/docs/)
*   Screenshots: [http://frugalware.org/screenshots/](http://frugalware.org/screenshots/)

### Kademar

Kademar distribution is a complete desktop Linux operating system based on Arch Linux (starting from version 5, previously it was based on Debian GNU/Linux). It comes in two editions - "Escritorio" is a full-featured variant with the latest KDE Plasma desktop, while "Khronos" is a lightweight flavour featuring the Xfce desktop environment.

*   Homepage: [http://www.kademar.org/](http://www.kademar.org/)
*   Screenshots: [http://www.kademar.org/en/capturas/kademar-linux/](http://www.kademar.org/en/capturas/kademar-linux/)

### KaOS

Pacman-based operating system developed by KaOS team with focus on packaging only KDE desktop environment and Qt applications.

*   Homepage: [http://kaosx.us/](http://kaosx.us/)
*   Forums: [http://kaosx.us/phpBB3/](http://kaosx.us/phpBB3/)
*   IRC: [irc://irc.freenode.net/kaosx](irc://irc.freenode.net/kaosx)
*   Screenshots: [http://kaosx.us/gallery/](http://kaosx.us/gallery/)

### LinHES

LinHES (**Lin**ux **H**ome **E**ntertainment **S**ystem) is a distro based heavily on Arch and centered around [MythTV](http://mythtv.org), with the expressed goal of being a HES-appliance. Utilizing open source software and off the shelf hardware, you'll be able to assemble a box that can serve as a PVR, Jukebox, Image Viewer, and Game Station. Users can go from a blank hard drive to fully functional MythTV system in literally 15-20 min.

*   Homepage: [http://linhes.org/](http://linhes.org/)
*   Forums: [http://forum.linhes.org/](http://forum.linhes.org/)
*   Wiki: [http://linhes.org/](http://linhes.org/)

### Manjaro Linux

Arch Linux-based operating system developed by Manjaro Development Team with a focus on user-friendliness and accessibility. Offers Xfce and KDE flavours (with pre-installed applications and multimedia codecs) and netinstall option. Cinnamon, Enlightenment, Fluxbox, GNOME, LXDE, LXQt, MATE, Netbook, Openbox and PekWM are available as Community Editions.

*   Homepage: [https://manjaro.github.io/](https://manjaro.github.io/)
*   Forums: [https://forum.manjaro.org/](https://forum.manjaro.org/)
*   IRC: [irc://irc.freenode.net/manjaro](irc://irc.freenode.net/manjaro)
*   Wiki: [https://wiki.manjaro.org/](https://wiki.manjaro.org/)

### Netrunner Rolling

Manjaro-based operating system developed by Blue Systems. Offers customised KDE desktop with extra applications, multimedia codecs, Flash and Java plugins.

*   Homepage: [http://www.netrunner.com/](http://www.netrunner.com/)
*   Forums: [http://forums.netrunner.com/](http://forums.netrunner.com/)
*   Screenshots: [http://www.netrunner.com/screenshots/](http://www.netrunner.com/screenshots/)

## See also

*   List at distrowatch.com - [http://distrowatch.com/search.php?basedon=Arch&status=Active](http://distrowatch.com/search.php?basedon=Arch&status=Active)