This page contains the list of users that is used by the [ArchMap](/index.php/ArchMap "ArchMap") project.

## Contents

*   [1 Adding yourself to the list](#Adding_yourself_to_the_list)
*   [2 How to get your coordinates](#How_to_get_your_coordinates)
    *   [2.1 Google Maps](#Google_Maps)
    *   [2.2 HTML5 Geolocation](#HTML5_Geolocation)
*   [3 List](#List)

## Adding yourself to the list

Please add yourself to the end of the list using the following format:

```
<latitude>,<longitude> "<name>" # <comment>

```

*   Use decimal coordinates; positive numbers mean north and east, negative numbers mean south and west, respectively.
*   Do not use the ampersand ("**&**") character.
*   The comment
    *   Should contain at least the country, which should be last on the line and in English.
    *   The country must be separated by a comma.
    *   The line should not end with a period.

## How to get your coordinates

### Google Maps

Open [Google Maps](https://maps.google.com/) in your browser:

1.  Find your place and click the right mouse button.
2.  Select "What's here?".
3.  Coordinates will appear in the search field.

### HTML5 Geolocation

You can use the following website to get your device's coordinates along with a map showing the location: [http://meskarune.com/demos/map/](http://meskarune.com/demos/map/) The source code is available here: [https://gist.github.com/meskarune/9590484](https://gist.github.com/meskarune/9590484)

## List

```
19.100030, 72.908897 "rihbyne" # Mumbai, Maharashtra, India
3.392083, -76.545803 "roadev" # Cali, Valle del Cauca, Colombia
37.834638, -82.478598 "osendott" # Inez, KY, USA
49.574583, 17.956361 "deu439" # Starý Jičín, Czech Republic
36.003135, -78.942432 "tannhauser" # Durham, NC, USA
44.5019424, 11.3493327 "matenoz" # Porretta Terme, Italy
67.416000,26.588699 "topyli" # Sodankylä, Finland
34.052234,-118.243685 "cinelli" # Los Angeles, California, USA
40.11263226927652,-88.21860820055008 "td123" # Urbana, IL, USA
48.42474,-123.4175 "lagagnon" # Victoria, BC, Canada
32.525652,-92.645355 "tesla" # Ruston, Louisiana, USA
38.4589,-90.5365 "kittykatt" # High Ridge, Missouri, USA
51.447495,7.256423 "akurei" # Bochum, Germany
51.025528,13.841417 "dogo77" # Dresden, Germany
-16.398056,-71.511944 "Oakenfold~" # Arequipa, Peru
28.677758,-106.1219 "Lucain" # Chihuahua, Mexico
48.792737,9.230836 "docloy" # Stuttgart, Germany
39.693406,-75.715108 "Ghost1227" # Newark, DE, USA
47.15655,-122.44884 "xterminus" # Tacoma, WA, USA
41.9425,-87.676 "phrakture" # Chicago, IL, USA
28.035847,-80.606915 "jb" # Palm Bay, FL, USA
59.3327,18.0645 "ZaxX" # Stockholm, Sweden
37.2246323,-80.4198074 "codemac" # Blacksburg, VA, USA
48.4825,-123.3713 "neri" # Victoria, BC, Canada
59.3327,18.0645 "monotux" # Stockholm, Sweden
53.2141,-6.1083 "tomk" # Bray, Ireland
53.2615,-9.0128 "Civ247" # Galway, Ireland
34.1435,-118.1266 "alturas" # Pasadena, CA, USA
39.0106,-76.7016 "Maveric-i686-" # Crofton, MD, USA
34.21245,-77.91129 "Penguin" # Wilmington, NC, USA
38.0035,-122.1034 "WillySilly" # Martinez, CA, USA
55.6892,12.5333 "FrankVaLi" # Frederiksberg, CPH, Denmark
38.655408,-121.261065 "joe" # Fair Oaks, CA, USA
59.7438,10.2159 "corky" # Drammen, Norway
-33.3557,-70.4634 "MartinZ" # Santiago, Chile
-23.4953,-46.7124 "Holskoiff" # São Paulo, Brazil
-27.1732,152.9714 "Cam" # Burpengary, QLD, Australia
42.975745,-90.44473 "LudoTheGreat" # Montfort, WI, USA
52.1957,0.1004 "Panu" # Cambridge, UK
29.9864,-90.1747 "Wolfman" # Metairie, LA, USA
32.6605,-97.0886 "mailto" # Arlington, TX, USA
42.6495,-71.1564 "syamajala" # Andover, MA, USA
36.174261,-85.49531 "jftaylor21" # Cookeville, TN, USA
31.6421,-97.4783 "ozar" # Valley Mills, TX, USA
45.467264,-122.884183 "Soloport" # Beaverton, OR, USA
51.0429,-114.0547 "nirvanix" # Calgary, AB, Canada
-31.9263,115.8786 "awalk" # Mount Lawley, WA, Australia
57.704,18.8028 "CyberTron" # Slite, Gotland, Sweden
40.535,-88.984 "rmbalfa" # Normal, IL, USA
-33.3557,-70.4634 "kakabaratruskia" # Santiago, Chile
55.8903,12.854 "N/A" # Landskrona, Sweden
49.0519,8.3958 "ise" # Karlsruhe, Germany
50.3175,8.859 "stimpy" # Florstadt, Germany
48.4168,8.6282 "madhatter" # Horb-Dettingen, Germany
49.9897,17.4588 "Largon" # Bruntal, Czech Republic
60.2301,25.0296 "murkus" # Helsinki, Finland
45.8809,12.5188 "kasa" # Treviso, Italy
48.1507,16.2849 "mercy" # Vienna, Austria
47.2581,11.3217 "tezem" # Innsbruck, Austria
32.1119,34.7803 "drakosha" # Herzelya, Israel
34.250548,35.664232 "venam" # Batroun, Lebanon
-25.416,-49.266 "nadal" # Curitiba, Brazil
45.1102,-93.331 "Shadowhand" # Minneapolis, MN, USA
30.033,31.2166 "Explosivo" # Cairo, Egypt
27.7772,-82.7061 "beniro" # St. Petersburg, FL, USA
40.8248,-96.624 "diablo93" # Lincoln, NE, USA
55.0037,12.3151 "Peque" # Moen, Denmark
52.0361,11.8274 "AndyRTR" # Pretzien, Germany
50.0334,14.2307 "Lejmr" # Rudna, Czech Republic
59.3561,24.6365 "maitrix" # Tallinn, Estonia
30.0351,-90.2446 "Lurch" # Kenner, LA, USA
48.7179,21.2676 "pholie" # Kosice, Slovakia
32.9122,-117.1401 "c14n" # San Diego, CA, USA
-11.7223,-49.0581 "linfocito" # Gurupi, TO, Brazil
42.6425,-95.2087 "medicated" # Storm Lake, IA, USA
41.386209,-73.081745 "omgpro" # Seymour, CT, USA
33.9998,-84.0139 "Frem" # Lawrenceville, GA, USA
48.3674,-89.2698 "gp_aaron" # Thunder Bay, ON, Canada
48.3214,-89.366 "swazo" # Thunder Bay, ON, Canada
55.3471,9.4851 "timmy" # Christiansfeld, Denmark
-6.1808,106.8239 "metromini" # Jakarta, Indonesia
32.0823,34.811 "z4ziggy" # Ramat Gan, Israel
32.2188,34.8447 "Greycloack" # Bnei-Zion, Israel
52.271,10.4831 "yogi" # Braunschweig, Germany
46.0436,14.48417 "iom" # Ljubljana, Slovenia
45.4058,-75.6413 "ith140" # Ottawa, ON, Canada
12.58,77.38 "shastry" # Bangalore, Karnataka, India
63.1753,27.6287 "mclang" # Pöljä, Finland
51.37,6.17 "Lone_Wolf" # Venlo, The Netherlands
45.0387,7.6698 "Arrakis" # Torino, Italy
48.4286,-123.3655 "apeiro" # Victoria, BC, Canada
40.058,-75.4008 "Andrewski" # Wayne, PA, USA
35.484807,-80.601536 "jerrym" # Kannapolis, NC, USA
40.715231,-73.987681 "darose" # New York City, NY, USA
59.8574,10.6782 "nut543" # Nesodden, Norway
35.6333,-77.4 "iBertus" # Greenville, NC, USA
33.6459,-112.0183 "celti" # Phoenix, AZ, USA
56.0514,24.3529 "/dev/null" # Pasvalys, Lithuania
59.3327,18.0645 "Lunke" # Stockholm, Sweden
49.2358,12.6296 "hellwoofa" # Oberpfalz, Bavaria, Germany
1.2988,103.825 "rasat" # Singapore, Singapore
52.7106,4.6963 "Marco`" # Schoorl, The Netherlands
51.1936,4.1788 "Pieter" # Sint-Niklaas, Belgium
42.743348,-87.8053 "ovrclkr" # Racine, WI, USA
50.5814,5.4207 "Michel" # Maasmechelen, Belgium
39.991,-105.239 "stonecrest" # Boulder, CO, USA
41.488,-87.343 "rayjgu3" # Merrillville, IN, USA
13.9161,-89.3336 "rdoggsv" # San Salvador, El Salvador
34.2205,-116.05 "jeebusroxors" # Twentynine Palms, CA, USA
21.2748,-157.819 "bosewicht" # Honolulu, HI, USA
47.5583,7.5808 "dp" # Basel, Switzerland
53.5805,9.7059 "baze" # Wedel, Germany
50.877,4.705 "FUBAR" # Leuven, Belgium
50.9661,20.6849 "zergu" # Zagnansk, Poland
43.4829,-80.5284 "Cerebral" # Waterloo, ON, Canada
36.2969,28.151 "stavrosg" # Afandou, Rhodes, Greece
35.0828,-86.5753 "deficite" # Fayetteville, Tennessee, USA
55.4073,-1.7023 "kern" # Northumberland, England, United Kingdom
53.2094,6.5507 "iLLucionist" # Groningen, The Netherlands
52.3411,-0.2023 "Sudman1" # Huntingdon, United Kingdom
48.4132,2.7293 "MSeb" # Avon, France
48.6889,6.1781 "wain" # Nancy, France
39.0083,-94.6367 "bpisciot" # Prairie Village, KS, USA
50.2355,8.7676 "mo_no" # Karben, Germany
41.5058,-81.4653 "msg43" # Cleveland, Ohio, USA
40.3348,-3.8638 "kagan" # Mostoles, Madrid, Spain
-28.2601,-52.3826 "BlackFenix" # Passo Fundo, RS, Brazil
47.4824,-0.5126 "fouiny" # Angers, France
49.0552,2.0455 "DesmoJ" # Cergy, France
55.7465,37.6319 "nariall" # Moscow, Russia
48.7092,2.2407 "oxman" # Palaiseau, France
45.7317,4.8928 "rem" # Bron, France
45.5088,-73.5541 "Snowman" # Montréal, QC, Canada
46.8276,-71.3175 "SolarBear" # Québec, QC, Canada
53.2459,-1.3771 "Renners" # Chesterfield, UK
34.0703,-118.4533 "jbloom" # Los Angeles, CA, USA
37.051262,-76.394421 "biryoku" # Hampton, VA, USA
55.9533,-3.1889 "samsara" # Edinburgh, United Kingdom
59.9174,10.7624 "postlogic" # Oslo, Norway
51.462,-2.6094 "al" # Bristol, England, UK
47.17,27.5699 "epo" # Iasi, Romania
49.1848,-0.3578 "kozaki" # Caen, France
48.5691,10.4299 "matsche" # Lauingen, Germany
45.0555,24.4791 "Oin" # Ramnicu Valcea, Romania
35.9134,139.4883 "huge" # Saitama, Japan
51.898,4.5428 "Idovitz" # Rotterdam, The Netherlands
40.703613,-73.896122 "shadrach" # Brooklyn, New York, USA
51.8015,10.3386 "rebel" # Clausthal, Lower Saxony, Germany
-42.761,-65.0573 "Francisco" # Puerto Madryn, Argentina
58.384,26.7061 "janwil" # Tartu, Estonia
56.9611,24.1752 "Stalwart" # Riga, Latvia
55.904,26.52649 "Dr.X" # Daugavpils, Latvia
49.2178,18.7337 "kajn" # Zilina, Slovakia
36.116534,-80.083115 "Bysshe" # Kernersville, NC, USA
52.542,13.3758 "dma147" # Berlin, Germany
55.6757,12.3605 "Andarki" # Albertslund, Denmark
49.3485,23.5165 "Romashka" # Drohobych, Ukraine
45.049582,-93.246095 "jskier" # Minneapolis, MN, USA
53.13,23.15 "Krzysiek_W" # Bialystok, Poland
49.8688,8.9287 "Moo-Crumpus" # Groß-Umstadt, Germany
34.529081,-117.2132 "jerryvb" # Apple Valley, CA, USA
50.8594,4.6864 "xirus" # Leuven, Belgium
47.2675,11.391 "MaceM" # Innbruck, Austria
-34.6244,-58.4444 "sud_crow" # Capital Federal, Buenos Aires, Argentina
51.5209,-0.0198 "arooaroo" # London, UK
45.4595,9.1657 "rensel" # Milano, Italy
-31.7811,115.7394 "B15HOP" # Mullaloo, WA, Australia
44.6664,-74.9741 "starsoldier" # Potsdam, NY, USA
48.4489,-123.3619 "bneate" # Victoria, BC, Canada
48.5681,-123.4005 "Xentac" # Victoria, BC, Canada
59.9266,10.7727 "bogomipz" # Oslo, Norway
38.0321,23.7367 "osigen" # Athens, Greece
51.3898,5.4431 "citral" # Waalre, The Netherlands
22.2222,113.5343 "fallen" # Zhuhai, China
27.4597,-82.6307 "whot" # Bradenton, Florida, USA
47.2887,5.0607 "fogoh" # Longvic, France
35.323,25.1081 "Phoinix" # Akis, Greece, Heraclion Crete
40.1028,-104.9309 "k-dub" # Frederick, CO, USA
42.5802,-71.1635 "Arenium" # Massachusetts, USA
51.3843,-0.0973 "born1956" # Croydon, UK
42.1554,-71.6505 "Freyrs" # Massachusetts, USA
57.6427,-3.5525 "Deggy" # Forres, UK
51.2316,6.8558 "HerrSchmitt" # Duesseldorf, Germany
45.5161,-122.6819 "lakanta" # Portland, OR, USA
-33.7082,151.1035 "multixrulz" # Waitara, Sydney, NSW, Australia
42.716,-71.1562 "JesusFranco" # Lawrence, Massachusetts, USA
61.4657,23.8388 "Gval" # Tampere, Finland
50.7837,18.9657 "swiergot" # Blachownia, Poland
49.3559,8.1523 "Silvio" # Neustadt/Wstr., Germany
41.1547,-8.6204 "Alexo" # Porto, Portugal
48.1362,17.1291 "no4" # Bratislava, Slovakia
43.661,-79.4056 "BigBadPenguin" # Toronto, ON, Canada
43.662,-79.3843 "JamesAn" # Toronto, ON, Canada
48.8984,14.5681 "myx" # Strážkovice, Czech Republic
50.0282,14.4531 "havli" # Prague, Czech Republic
49.5571,14.3521 "beda" # Vilasova Lhota, Czech Republic
49.8284,18.1638 "apr01" # Ostrava, Czech Republic
49.7939,18.1729 "KBBL" # Ostrava, Czech Republic
48.1362,17.1291 "marek" # Bratislava, Slovakia
50.078,14.4239 "Mikos" # Prague, Czech Republic
60.1594,24.8885 "Sami" # Helsinki, Finland
49.7424,13.6006 "wocas_0x1" # Mirošov, Czech Republic
48.2848,17.7366 "Tatinko" # Sered, Slovakia
43.4673,-80.519 "Chris_H-C" # Waterloo, Ontario, Canada
48.4497,17.5172 "Junckritter" # Trnava, Slovakia
49.949,15.25861 "appolito" # Kutná Hora, Czech Republic
40.793,-77.8522 "vande198" # State College, PA, USA
-22.8174,-47.0968 "Newton_C" # Campinas, SP, Brazil
49.7926,18.2492 "twinsen" # Ostrava, Czech Republic
48.1531,17.1297 "juice" # Bratislava, Slovakia
35.6686,139.824 "bryce" # Tokyo, Japan
34.101586,-118.053652 "Arch" # Temple City, CA, USA
38.1598,13.3604 "JoeyrS" # Palermo, Italy
63.4228,10.3939 "allanon" # Trondheim, Norway
48.1097,17.1122 "PetrYk" # Bratislava, Slovakia
50.9092,-1.3943 "AxelFendersson" # Southampton, UK
49.4403,6.657 "Searinox" # Merzig, Germany
60.4853,22.2386 "pxi" # Turku, Finland
48.0382,17.2549 "cm" # Hamuliakovo, Slovakia
59.841,30.4238 "EugenePhilippov" # St. Petersburg, Russia
51.168,4.4441 "evdvelde" # Mortsel, Belgium
48.4497,17.5172 "mimoto" # Trnava, Trebisov, Slovakia
50.9306,11.6204 "matrixp" # Jena, Germany
41.869647,-72.371789 "azdruid" # Tolland, CT, USA
48.8605,2.3115 "Aer" # Paris, France
45.3556,5.61709 "Brute" # Coublevie, France
45.6655,-122.574 "droog" # Vancouver, WA, USA
39.5578,-104.7845 "Ethilien" # Parker, CO, USA
45.6721,3.1126 "kylliox" # St Amant-tallende, France
42.9966,-89.5597 "Farhan" # Verona, WI, USA
45.4411,11.0184 "Slippery" # Verona, Italy
51.9646,5.6624 "surrounder" # Wageningen, The Netherlands
43.8164,11.0559 "furibondox" # Poggio a Caiano, Prato, Italy
50.9532,-0.1424 "BenedictWhite" # At Work in Burgess Hill Sussex, England
51.0097,-0.1377 "BenedictWhite" # At home Cuckfield Sussex, England
45.6161,-72.9777 "PouletFou" # St-Hyacinthe, Québec, Canada
41.8928,12.5553 "Bobonov" # Roma, Italy
48.1097,17.1122 "Jelkosz" # Bratislava, Slovakia
55.3925,10.4071 "Godballe" # Odense, Denmark
50.7309,-3.5082 "Bralkein" # Exeter, Devon, UK
63.4207,10.3967 "lessthanjake" # Trondheim, Norway
52.2158,5.9528 "Newjersey_nl" # Apeldoorn, The Netherlands
48.6616037,9.3501336 "TexasGerman" # Frankfdurt, Deutschland
19.0318,72.8487 "rohan" # Mumbai, India
34.0004,-81.033418 "Infracephas" # Columbia, SC, USA
49.8653,9.8998 "Legout" # Near Wuerzburg, Germany
55.3917,10.3439 "Whargoul" # Odense, Denmark
39.6692,20.8538 "Koukos" # Ioannina, Greece
33.0041,-96.5394 "D1sc1pl3" # Wylie, TX, USA
39.7876,-77.7012 "Rayzorblayde" # Greencastle, PA, USA
48.3929,9.9808 "klapmuetz" # Ulm, Germany
54.6012,25.1528 "Zolookas" # Vilnius, Lithuania
50.8594,4.6864 "Lode" # Leuven, Belgium
50.8594,4.6864 "eWoud" # Leuven, Belgium
-43.5292,172.5592 "AlexW" # Christchurch, New Zealand
45.5161,-122.6819 "cmhood" # Portland, OR, USA
41.9714,12.437 "Bfg9000it" # Roma, Italy
45.5619,9.2086 "alt-os" # Cinisello B., Italy
45.435,12.141 "Pierluigi" # Mira, Italy
39.8674,-83.0757 "JoeC" # Columbus, Oh, USA
48.183,11.6093 "Dengar" # Munich, Germany
50.9239,2.2336 "Helyo" # Bourbourg, France
-29.9008,-71.2448 "failure" # La Serena, Chile
-29.9438,-51.204 "yurijm" # Porto Alegre, Brazil
33.0244,-117.2794 "android" # Cardiff by the Sea, CA, USA
38.7474,-77.48537 "VLegacy" # Manassas, VA, USA
56.7028,16.351 "nine" # Kalmar, Sweden
38.7118,-9.3762 "tranquility" # Sao Joao do Estoril, Lisbon, Portugal
50.0276,14.5248 "eqixat" # Prague, Czech Republic
41.8526,12.5771 "Crow666" # Rome, Italy
45.3624,10.3143 "nixxo" # Prevalle, Brescia, Italy
45.7505,-122.8711 "marxom" # Scappoose, OR, USA
39.9,116.32 "hongy19" # Beijing, China
39.651426,-79.882429 "jp_fielding" # Morgantown, WV, USA
40.622493,-73.9650074 "Mazaev" # Brooklyn, NY, USA
51.5314,3.4419 "Michiel" # Westkapelle, The Netherlands
50.2917,18.6726 "TPJ" # Gliwice, Poland
52.372,4.8534 "tehmaze" # Amsterdam, The Netherlands
52.2906,4.9316 "MyZT" # Ouderkerk a/d Amstel, The Netherlands
41.2598,1.7726 "josarn" # Sant Pere de Ribes, Barcelona, Spain
27.7772,-82.7062 "thegnu" # St. Petersburg, FL, USA
38.040628,-84.543325 "mindtriggerz" # Lexington, KY, USA
42.279379,-83.783998 "iKevin" # Ann Arbor, MI, USA
42.1384,24.7664 "iko" # Plovdiv, Bulgaria
46.1024,14.44456 "Slav" # Ljubljana, Slovenia
55.5841,13.0038 "Tor" # Malmö, Sweden
45.3109,8.8648 "drizzt" # Vigevano (PV), Italy
51.618,-87.8385 "waabimiigwan" # Eabametoong, ON, Canada
51.985,9.5378 "querdenker" # Bodenwerder/Linse, Germany
43.2932,-2.9906 "Dienadel" # Barakaldo, Basque Country, Spain
60.174285,24.738035 "CFinnberg" # Espoo, Finland
53.5208,-113.513 "Kornhole" # Edmonton, AB, Canada
59.9174,10.7624 "Egil.B" # Oslo, Norway
48.3057,18.0851 "depi" # Nitra, Slovakia
-42.9016,147.3773 "neonnds" # Hobart, Tasmania, Australia
-33.3557,-70.4634 "Celeron" # Santiago, Chile
52.2475,21.2976 "Karc" # Sulejówek, Poland
30.6568,-96.3354 "BroodingDogma" # Bryan, Texas, USA
51.8203,0.746 "Stupidboy" # Tiptree, Essex, UK
49.6037,11.0003 "Manji" # Erlangen, Bavaria, Germany
38.2513,21.7422 "blackpit" # Patrai (or Patras), Greece
45.3327,-93.1555 "kernel528" # Wyoming, Minnesota, USA
40.212064,-74.822153 "phydeaux" # Morrisville, Pennsylvania, USA
34.7086,33.0267 "neok" # Lemesos, Cyprus
45.4058,-75.6413 "dadexter" # Ottawa, ON, Canada
35.2147,-106.6623 "Linux Rocks" # Rio Rancgo, NM, USA
-33.9332,18.406 "dave42" # Cape Town, South Africa
-44.3899,171.2306 "hads" # Timaru, New Zealand
-33.0383,-71.6133 "kronin" # Valparaiso, Chile
45.4445,9.2643 "mOLOk" # Milano, Italy
59.0515,9.7763 "Pappa" # Porsgrunn, Norway
33.31,-111.97 "McQueen" # Phoenix, AZ, USA
48.1791,16.3237 "jMCg" # Vienna, Austria
51.2176,3.2721 "g_bertje" # Brugge, Belgium
37.2076,-87.1806 "DEBuGRR" # Greenville, KY, USA
-23.5348,-46.5606 "amb" # São Paulo, SP, Brazil
25.6719,-100.2969 "oscarello" # Monterrey, NL, Mexico
45.84,-73.4189 "drynish" # L'Assomption, QC, Canada
41.9522,12.545 "rfilippone" # Roma, Lazio, Italy
52.2374,6.8447 "Nrpil" # Enschede, The Netherlands
38.7275,35.474 "yavuzselim" # Kayseri, Turkey
48.6715,10.1679 "Leslie" # Giengen, Germany
38.6804,-90.4343 "tribule" # St Louis, MO, USA
38.2943,21.7902 "Mandos" # Rio Patrai, Greece
52.5514,13.4135 "kth5" # Berlin, Germany
38.6298,-121.2225 "Casey" # Sacramento, CA, USA
28.0691,-80.6229 "ChrisX" # Melbourne, FL, USA
40.7547874,-73.9869385 "Abhay" # New York, NY, USA
53.9335,10.7065 "nagoola" # Bad Schwartau, Germany
45.7542,4.8448 "barjo" # Lyon, France
37.6006,15.1473 "gaiden" # Acireale, Italy
44.5348,10.8262 "DaNiMoTh" # Modena, Italy
38.0224,-121.3405 "mithus" # Stockton, Ca, USA
43.847,10.6142 "Panther" # Lucca, Italy
50.6278,3.0631 "p1pon" # Lille, France
60.2993,5.31 "Solskogen" # Bergen, Norway
47.1873,8.8288 "aamirtham" # Altendorf, Switzerland
50.1164,14.4406 "otakar" # Prague, Czech Republic
44.446,11.8332 "GeniE" # Massa Lombarda, Ravenna, Italy
48.1044,-1.68 "Gandalf" # Rennes, France
54.3375,10.0984 "s4rg.on" # Kronshagen, Germany
45.7964,3.1148 "raskolnikov" # Clermont-Ferrand, France
44.8074,10.3082 "frop" # Parma, Italy
-34.6046,-58.4384 "Sicarul" # Buenos Aires, Argentina
48.2892,18.9397 "Majso" # Sebechleby, Slovakia
43.0387,-87.9137 "Mekius_" # Milwaukee, Wisconsin, USA
38.999645,-76.503139 "Brohism" # Annapolis, MD, USA
40.9234,9.1937 "TINChEVRIG" # Calangianus, Sardinia, Italy
45.6368,13.0487 "grober" # Bibione, Venezia, Italy
50.047342,14.444797 "mezcal" # Prague, Czech Republic
51.2115,3.2323 "RedShift" # Brugge, Belgium
50.0103,10.8864 "Kintac" # Rattelsdorf, Germany
-27.6142,152.8917 "bones" # Brisbane, QLD, Australia
55.8903,12.854 "dopparn" # Landskrona, Sweden
57.0472,9.9201 "loke" # Aalborg, Denmark
35.232301,-89.850878 "entdiablo" # Memphis, TN, USA
51.3481,7.5686 "factorx" # Hagen, Germany
30.3601,-91.0879 "kikuchiyosesa" # Baton Rouge, Louisiana, USA
-23.2065,-45.866 "JulioMaranhao" # São José dos Campos, São Paulo, Brazil
41.4193,-79.7242 "twiistedkaos" # Oil City, PA, USA
44.9284,-68.6566 "Chocobo" # Old Town, ME, USA
51.2477,6.7882 "byte/jra" # Düsseldorf, Germany
51.3132,4.9849 "profoX" # Antwerpen, Belgium
50.0799,14.395 "ofey" # Prague, Czech Republic
55.8524,12.5009 "marteus" # Birkerød, Denmark
34.7482,-92.2862 "sn00py" # Little Rock, AR, USA
49.1137,9.7126 "kev`" # Schwäbisch Hall BaWü, Germany
43.8211,-79.3899 "paranoos" # Thornhill, ON, Canada
47.567,9.05 "Sigi" # Bissegg TG, Switzerland
59.3327,18.0645 "Liem" # Stockholm, Sweden
44.4252,26.0194 "Skee" # Bucharest, Romania
43.4116,-79.4741 "sputnik" # Brampton, Ontario, Canada
46.5666,-87.4 "barebones" # Marquette, Michigan, USA
65.5816,22.2636 "wulax" # Luleå, Sweden
59.399,13.5526 "Nisse" # Karlstad, Sweden
48.6987,2.1228 "Chman" # Gif, France
42.036168,-87.732828 "neotuli" # Skokie, IL, USA
41.340023,-71.908436 "fuzzy" # Stonington, CT, USA
37.6566,-77.5318 "thydian" # Glen Allen, VA, USA
45.1945,5.7104 "slubman" # Grenoble, France
59.3869,13.4632 "Basn" # Karlstad, Sweden
56.4324,10.8406 "henriknj" # Grenaa, Denmark
4.690524,-74.09751 "koven" # Bogota, Colombia
53.1364,8.1874 "siren" # Oldenburg, Germany
57.4766,9.9869 "julemand101" # Hjørring, Denmark
38.7628,-9.2004 "Schutzstaffel" # Pontinha, Odivelas, Portugal
40.4532,-86.9285 "ElasticDog" # West Lafayette, IN, USA
51.1013,17.0926 "qrak" # Wrocław, Poland
48.2325,13.9438 "IsSuE" # Wallern, Austria
50.841,19.1384 "turtle" # Czestochowa, Poland
19.606,-155.953 "benplaut" # Holualoa, HI, USA
59.1323,12.9291 "dsg" # Säffle, Sweden
45.1236,-73.9937 "Leif Thande" # Ormstown, Québec, Canada
60.3222,25.0762 "Ewi" # Vantaa, Finland
40.7175,-74.3047 "CapNemo" # Millburn, NJ, USA
46.4059,16.5226 "stjepan" # Medjimurje, Croatia
43.5477,10.3292 "giovanni" # Livorno, Italy
45.7851,12.0688 "L0cutus" # Montebelluna, TV, Italy
24.5848,121.3307 "Henry Lee" # Taipei, Taiwan
28.584647,-81.279308 "Omniwolf" # Winter Park Florida, USA
-38.1337,145.3279 "LeFallen" # Clyde, VIC, Australia
-37.1713,139.7702 "carnival" # Robe, SA, Australia
60.8249,23.4793 "Neverth" # A drain or some bush, Finland
64.7399,20.9689 "aakerlind" # Skellefteå, Sweden
52.5347,13.4067 "subatomic" # Berlin, Germany
39.5163,-0.4144 "ner0ne" # Burjassot, Valencia, Spain
60.3632,5.2241 "Mr.Elendig" # Vadmyra, Bergen, Norway
39.120246,-75.478966 "zoglesby" # Dover, Delaware, USA
10.963888,-74.796388 "josesito" # Barranquilla, Atlantico, Colombia
33.610872,-117.64245 "`kira" # Mission Viejo, CA, USA
44.925582,9.011997 "garba" # Rivanazzano, Italy
33.392204,-117.334713 "insanum" # Trabuco Canyon, CA, USA
51.706502,39.194241 "sergej" # Voronezh, Russia
60.1901043488,24.833972638 "usv" # HUT Campus, Espoo, Finland
53.586671,10.054207 "mockfrog" # Hamburg, Germany
43.2305,-79.8667 "grndrush" # Hamilton, ON, Canada
49.9768,36.285996 "skipper13" # Kharkiv, Ukraine
44.939025,-93.123855 "rgt31" # St. Paul, MN, USA
41.1402,-73.2638 "yankees26" # Fairfield, CT, USA
-23.420034,-51.893626 "FabioAquotte" # Maringá, PR, Brazil
29.96327,-95.38333 "ravnx" # Houston, TX, USA
45.735,7.3132 "Crazypu" # Aosta, Italy
56.6785,12.8536 "Fackamato" # Halmstad, Sweden
38.0406,-84.5433 "tom8658" # Lexington, KY, USA
63.0749,17.578 "Karro" # Mo, Sweden
53.0723,23.0611 "Mefju" # Bialystok, Poland
-6.91,107.6079 "matahari" # Bandung, Indonesia
58.03313,7.331646 "joga" # Mandal, Norway
43.8489,10.2784 "proc" # Viareggio, Italy
33.878,-118.342 "vladuz976" # Torrance, CA, USA
52.0382,5.67891 "janserv" # Ede, The Netherlands
48.6436,8.8981 "Firmicus" # Gärtringen, Germany
42.640462,-83.048109 "kano" # Utica, MI, USA
-26.143972,27.997053 "psi.neamf" # Johannesburg, South Africa
59.93812,10.75708 "haRald" # Oslo, Norway
31.802309,35.094881 "Mordechai" # Telshe Stone, Israel
58.4453,15.4959 "pilt" # Linköping, Sweden
40.514153,14.162435 "ozeta" # Napoli, Italy
-19.9475,-43.9515 "sooner" # Belo Horizonte, MG, Brazil
45.31709,8.85865 "The_ouroboros" # Vigevano, Pavia, Italy
35.23718,-97.410848 "cscook" # Hall Park, OK, USA
53.003292,18.364014 "Other" # Toruń, Poland
55.682658,13.178733 "riwa" # Lund, Sweden
41.0557,-81.3838 "Blutrane" # Copley, OH, USA
61.783391,34.353128 "pktfag" # Petrozavodsk, Russia
48.140556,9.450556 "apoca" # Altheim, Germany
56.917166,24.175797 "arvster" # Riga, Latvia
59.91635,10.7513 "gejr" # Oslo, Norway
38.462954,-9.063085 "Dextro" # Lisboa, Portugal
51.4756,-0.0177 "dtw" # London, UK
47.34889,11.71083 "tyr0" # Schwaz, Austria
45.56529,10.22086 "Gaap" # Brescia, Italy
29.9827,-90.1908 "csc" # Lousiana, USA
-12.091417,-76.990131 "Moises Baca" # Lima, Peru
48.4834,13.9922 "gothmog.todi" # Neufelden, Austria
38.987301,-76.542606 "rson" # Annapolis, MD, USA
45.301,11.2447 "Cif" # Montecchio Maggiore, Italy
41.114232,16.354188 "dax" # Molfetta, Italy
49.00846,8.41618 "defcon" # Karlsruhe, Germany
44.635653,22.660178 "wonder" # Drobeta-Turnu Severin, Romania
44.333333,23.816667 "Johan" # Craiova, Romania
45.5736,23.3412 "unixlust" # Sebeș, Romania
28.0072,-16.6564 "ArchHK" # Las Galletas, Arona, Spain
51.700688,4.875173 "DeliQ" # Raamsdonksveer, The Netherlands
40.335553,-74.59116 "lgbsneak" # Plainsboro, NJ, USA
53.36994,-6.20612 "aodhon" # Dublin, Ireland
44.83351,-92.95365 "plus_M" # Cottage Grove, MN, USA
39.131017,-120.963792 "abe" # Grass Valley, CA, USA
51.332533,6.455082 "Levent" # Dinslaken, Germany
49.78333,30.11667 "dimaka" # Bila Tserkva, Ukraine
45.88333,22.9 "coneu" # Deva, Romania
52.2584,20.91988 "juras256" # Warsaw, Poland
48.1917,18.0545 "jozef76" # Nitra, Slovakia
57.04887,9.583812 "KnoX-/heinep" # Aalborg, Denmark
49.15639,-121.95146 "thayer" # Chilliwack, BC, Canada
42.029859,-93.639398 "lavs23" # Ames, IA, USA
41.923782,12.498797 "Fruskio" # Rome, Italy
52.338718,9.764912 "MeMi69" # Hannover, Germany
63.40721,10.37753 "burk" # Trondheim, Norway
48.07361,37.73972 "dich" # Donetsk, Ukraine
-35.31,149.13 "Canberra" # ACT, Australia
53.506,8.61 "Doc Angelo" # Bremerhaven, Germany
44.82,-0.58 "ianux" # Bordeaux, France
29.370105,-98.5978 "redx" # Lackland AFB, TX, USA
38.7258,-9.1563 "Mektub" # Lisbon, Portugal
7.767,-72.225 "Skatox" # San Cristobal, TA, Venezuela
45.49577,-73.57914 "zhuqin" # Montréal, QC, Canada
67.8289,20.393585 "chairmeleon" # Gallivare, Sweden
45.4928,9.2066 "eaZy" # Milan, Italy
60.64803,17.31925 "HCS" # Furuvik, Sweden
49.389028,8.578106 "tuxfusion" # Schwetzingen, Germany
50.0305,14.5263 "Dragonlord" # Praha, Czech Republic
47.7667,8.8333 "n8schicht" # Singen am Hohentwiel, Germany
52.2713,0.0235 "gazj" # Chatteris, Cambs, England, United Kingdom
53.5935,-1.3157 "sjg" # North Yorkshire, United Kingdom
59.91678,10.6042 "tami" # Jar, Norway
45.46,11.43 "patroclo7" # Bassano del Grappa, Italy
30.1349,-95.48904 "Anonymo" # Spring, TX, USA
44.2211,12.0283 "penaf" # Forlì, Italy
44.4395,26.1329 "raisedfist" # Bucharest, Romania
51.452481,-0.979872 "sykesm" # Reading, UK
45.517,10.317 "Fisho" # Brescia, Italy
45.49667,-75.71879 "peart" # Gatineau QC, Canada
41.688,-71.679 "Luciferin" # Coventry, RI, USA
60.2307,25.0294 "purch" # Helsinki, Finland
48.4628,-123.3099 "colnago" # Victoria BC, Canada
43.163,-80.2766 "dmartins" # Brantford, ON, Canada
51.26667,7.18333 "Rasi" # Wuppertal, NRW, Germany
48.35641,-4.55927 "catwell" # Plouzané, France
43.019503,-88.230267 "" # Waukesha, WI, USA
45.51,-73.62 "peets" # Montréal, Québec, Canada
45.535,-73.605 "big_gie" # Montréal, Québec, Canada
45.425,-75.679321 "big_gie" # Ottawa, Ontario, Canada
44.6989,-93.2554 "Kiyura" # Lakeville, MN, USA
31.89462,-88.34245 "forestranger" # Long Beach, CA, USA
39.15033,-77.171405 "evaryont" # Gaithersburg, MD, USA
42.979158,-82.384181 "jeffd" # Sarnia, Ontario, Canada
50.563681,3.741872 "linox" # Huissignies, Belgium
13.083008,80.213592 "ScriptDevil" # Chennai, India
49.59283,17.25224 "rexcze" # Olomouc, Czech Republic
53.48077,-2.23437 "finferflu" # Manchester, UK
42.03946,21.304466 "Maki" # Skopje, Macedonia
-33.509778,-70.756417 "Phrodo_00" # Santiago, Chile
52.6632972,-8.5755694 "sebcactus" # Limerick, Ireland
-27.5905,-48.6124 "haltect" # São José, SC, Brazil
49.148742,-122.796447 "statix" # Surrey, BC, Canada
46.802078,-71.234856 "rttommy" # Québec, Qc, Canada
12.97662,77.60013 "yschandra" # Bangalore, India
49.028089,8.444578 "revelation" # Karlsruhe, Germany
61.000028,25.4975 "tuopppi" # Hollola, Finland
45.4834,12.0772 "weseven" # Mirano, Venezia, Italy
-34.810278,138.735833 "prune" # Adelaide, SA, Australia
45.4723,9.1042 "bardo" # Milano, Italy
47.67225,-116.75723 "millerl" # Coeur d'Alene, ID, USA
20.668625,-103.433094 "yorches" # Guadalajara, Jalisco, Mexico
45.766667,4.880278 "Fabien" # Villeurbanne, France
41.659514,0.856467 "amuchamu" # Zaragoza, Aragón, Spain
51.158014,4.4195 "mouse256" # Edegem, Belgium
40.633333,17.933333 "alcafar" # Brindisi, Italy
44.620053,19.784025 "vlstefanovic" # Vladimirci, Serbia
45.10365278,17.54548056 "pejakm" # Srbac, Bosnia and Herzegovina
45.49853,16.37012 "skfrik" # Sisak, Croatia
40.715231,-73.987681 "Profjim" # New York City, USA
52.24643,-3.39223 "TonyBurn" # Powys, Wales, UK
59.89444,30.26417 "dying_sphynx" # St. Petersburg, Russia
49.56667,21.68333 "TheBodziO" # Dukla, Poland
-15.719786,-47.882153 "Tomas Schertel (tschertel)" # Brasilia, Brazil
-22.285702,-46.363762 "Gabriel Maduro" # Ouro Fino, MG, Brazil
-23.548942,-46.638817 "OreiA" # São Paulo, SP, Brazil
27.43102,112.031 "Imagelife" # Loudi, Hunan, China
52.12775,-0.28825 "neildarlow" # Sandy, Bedfordshire, England, UK
27.561625,-82.454373 "Mister Auron" # ClearWater, Florida, USA
29.74155,-95.527888 "Misbah" # Houston, Texas, USA
45.509167,-122.680556 "Hunner" # Portland, Oregon, USA
52.881228,1.371683 "iainwillis" # Derby, England, UK
44.504402,11.312023 "zukka" # Bologna, Italy
43.818661,10.518058 "peoro" # Lucca, Italy
37.44491,-122.158906 "jcasper" # Palo Alto, CA, USA
61.454753,23.852553 "pretseli" # Tampere, Finland
32.110278,34.791111 "ido" # Tel-Aviv, Israel
41.646551,-0.896407 "4s1m3tr1ko0" # Zaragoza, Spain
45.82449,16.08584 "mfolnovich" # Zagreb, Croatia
43.62457,7.0499 "Wiz" # Valbonne / Sophia Antipolis, France
43.794017,11.160778 "Biagio" # Florence, Italy
45.8043,9.08111 "FlaPer87" # Como, Italy
42.43741,-71.050215 "RyanCacophony" # Malden, Massachusetts, USA
40.978006,28.856853 "Alper KANAT" # Istanbul, Turkey
-22.003389,-47.900112 "thotypous" # São Carlos, SP, Brazil
-12.9667,-38.4833 "even" # Salvador, BA, Brazil
61.741328,26.112008 "Atte" # Joutsa, Finland
37.914378,23.748178 "kostaswl" # Athens, Greece
49.59283,17.25224 "EVRAMP" # Olomouc, Czech Republic
42.427222,12.111667 "Perfectcircle" # Viterbo, Italy
-35.437403,-71.685378 "msdark" # Talca, Chile
-12.080556,-76.899722 "StingRay" # Lima, Peru
45.433971,8.629236 "Lord Xadar" # Novara, NO, Italy
-34.620278,-58.423889 "leo2501" # Capital Federal, Buenos Aires, Argentina
39.76015,-104.99539 "jwbirdsong" # Denver CO, USA
41.569,12.538 "deviantdark" # Rome, Italy
57.820556,28.397778 "Malexan" # Pskov, Russia
55.696667,13.194444 "peh" # Lund, Sweden
42.200067,-91.527533 "Predatorian" # Iowa, USA
56.025389,14.160728 "Maos" # Kristianstad, Sweden
19.552381,-99.244208 "nergar" # Mexico City, Mexico
57.0413,9.944065 "DivineAnt" # Aalborg, Denmark
3.15073,101.71085 "tomyeo" # Kuala Lumpur, Malaysia
41.934245,-88.760673 "kunwon1" # De Kalb, Illinois, USA
41.893461,12.492979 "svidoli" # Rome, Italy
48.683334,9.216667 "neosofti" # Stuttgart, Germany
60.24122,24.989392 "Matt" # Helsinki, Finland
49.486253,8.455144 "Romeo" # Mannheim, Germany
-34.594012,-58.501216 "djgera" # Capital Federal, Buenos Aires, Argentina
53.205695,23.324058 "kfgz" # Supraśl, Poland
48.854737,-122.550225 "smartboyathome" # Washington, USA
43.26973,-2.95332 "ornitorrincos" # Bilbao, Basque Country, Spain
50.13197,14.47128 "ondra" # Prague, Czech Republic
40.205886,18.303566 "ilpianista" # Martano (LE), Italy
51.1175,8.165833 "BFrank" # Saalhausen (NRW), Germany
-33.600516,-70.5779 "Madek" # Santiago, Chile
-36.80336,-73.047271 "zuargo" # Concepcion, Chile
-38.709701,-62.268314 "MarianoC" # Bahia Blanca, Argentina
-38.709701,-62.268314 "Mukenio" # Bahia Blanca, Argentina
-34.868794,-56.203292 "BrunoX" # Montevideo, Uruguay
-27.467108,-58.847431 "Muadib" # Corrientes, Argentina
53.1364,8.18752 "jinks" # Oldenburg, Germany
-34.77378,-58.271798 "lavidalinux" # Buenos Aires, Argentina
55.485489,8.454983 "cedeel" # Esbjerg, Denmark
34.42607,-80.18064 "shadowbranch" # Mcbee, SC, USA
36.529122,-6.191895 "maLen" # Puerto Real, Cadiz, Spain
-33.132617,-64.356612 "emab73" # Rio Cuarto, Cordoba, Argentina
-32.923379,-71.511434 "jorgicio" # Concón, Valparaíso, Chile
-36.824091,-73.016987 "XaBz" # Concepción, Chile
41.38285,2.181693 "Tekrotzen" # Barcelona, Spain
19.23336,-103.7166 "xXZeroXx" # Colima, Mexico
41.351299,-72.078896 "drcouzelis" # Groton, CT, USA
19.528706,-99.038728 "Vendaval" # Edo. Mex, Mexico
-32.974784,-68.873037 "FedeB" # Chacras de Coria, Mendoza, Argentina
43.543307,-89.465146 "Gen2ly" # Portage, WI, USA
4.659167,-74.053889 "Xavier" # Bogotá, Colombia
-34.828106,-58.390457 "exoslpm" # Burzaco, Buenos Aires, Argentina
-34.632921,-58.5714734 "danyelmo" # Villa Sarmiento, Buenos Aires, Argentina
13.73171,-89.187691 "" # Mejicanos, San Salvador, El Salvador
-34.169145,-58.957079 "Ausente" # Campana, Buenos Aires, Argentina
10.217647,-67.340805 "urKh" # La Victoria, Aragua, Venezuela
-53.158666,-70.917002 "yoyoyo" # Punta Arenas, Chile
-37.76628,144.97685 "aghitza" # Melbourne, Australia
33.648695,73.164074 "Arslan" # Islamabad, Pakistan
48.788756,2.373183 "etix" # Villejuif, France
58.301944,-134.419722 "Sarai" # Juneau, Alaska, USA
51.212716,6.748321 "brolyxxx" # Düsseldorf, Germany
-31.399403,-64.182125 "sironitomas" # Cordoba, Argentina
18.760728,-69.258539 "Arriagga" # Hato Mayor, Dominican Republic
44.87773,20.446565 "Nix" # Belgrade, Serbia
40.2946,-3.79588 "Ruano1983" # Fuenlabrada, Spain
49.35554,0.81865 "bberenger" # Bourg-Achard, France
54.6012,25.1528 "Dummas" # Vilnius, Lithuania
53.214,6.5516 "Menollo" # Groningen, The Netherlands
47.640717,-122.328647 "HackBug" # Seattle, WA, USA
47.571155,7.576039 "codefrost" # Basel, Switzerland
37.38323,-122.14408 "artico" # Los Altos Hills, CA, USA
52.62301,-1.1131 "sausageandeggs" # Leicester, England
40.24249,-75.36771 "Jimi" # Harleysville, PA, USA
19.469423,-99.127437 "cruznick" # Distriot Federal, Mexico
43.318168457071,-8.3661532402039 "gonzafreire" # Culleredo, Spain
38.006097,23.673756 "ebal" # Athens, Greece
48.814408,9.327236 "kpi" # Kernen, Germany
42.38185,-71.11776 "Sara" # Massachusetts, USA
10.46658,-66.616689 "sonartica" # Guarenas, Edo. Miranda, Venezuela
-37.960058,-57.554333 "msx" # Mar del Plata, Argentina
46.766667,23.583333 "drsjlazar" # Cluj-Napoca, Romania
-34.606544,-58.435743 "tangato" # Buenos Aires, Argentina
52.15,4.483333 "3])" # Leiden, The Netherlands
-0.2167,-78.5333 "minimal" # Quito, Ecuador
51.177651,4.432227 "Howitzer" # Berchem, Belgium
47.342778,5.824722 "brazzmonkey" # Courcuire, France
47.491519,19.277167 "SanskritFritz" # Budapest, Hungary
65.73,24.6 "Huulivoide" # Kemi, Finland
42.5297241,-87.8824882 "xaer0knight" # Pleasant Prairie, Wisconsin, USA
42.647222,23.343442 "Borislav Sabev aka Badganaka" # Sofia, Sofia, Bulgaria
51.459297,-0.109267 "xenex" # Brixton, London, UK
4.646742,-74.074064 "epsilom" # Bogotá, Colombia
38.5691,-8.9007 "lothar_m" # Palmela, Portugal
3.0582900658005,101.58221572638 "ngoonee" # Subang Jaya, Malaysia
50.9362785,4.6545649 "davidbe" # Tildonk, Belgium
51.342804,4.756009 "Alfadude" # Rijkevorsel, Belgium
49.293092,21.25226 "cinan" # Bardejov, Slovakia
41.722131,1.82373 "Daerun" # Manresa, Catalonia, Spain
44.425233,11.437567 "mangus" # San Lazzaro di Savena, Bologna, Italy
44.470496,11.386479 "gammaknife" # Bologna, Italy
42.434912,-71.087447 "jdarnold" # Medford, MA, USA
43.746960,-79.258033 "CanadaRox" # Scarborough (Toronto), Ontario, Canada
49.264248,-123.159828 "Postcomp" # Vancouver, British Columbia, Canada
53.383611, -1.466944 "tenmilestereo" # Sheffield, UK
35.675699,139.837051 "vigilandy" # Tokyo, Japan
51.355788,-2.376634 "ben9250" # Bath, BANES, UK
56.9618,24.102 "levantis" # Riga, Latvia
47.677381,9.187681 "sportscliche" # Konstanz, Germany
33.92480446370318,-84.11369919776917 "EmoSpice / synorgy" # Duluth, GA, USA
46.7993,-71.229476 "TioDuke" # Québec, QC, Canada
46.859252,9.529266 "k3njiy" # Chur, GR, Switzerland
40.476650,0.474365 "Raist" # Vinaròs, CS, Spain
44.7197,11.5333 "max.bra" # Malalbergo, Bologna, Italy
34.154286,-77.879264 "ant978" # Wilmington, NC, USA
50.411275,4.156757 "TimScampi" # Waudrez, Hainaut, Belgium
39.810761,16.207237 "Simandr" # Castrovillari, CS, Italy
39.843568,16.135632 "NGM" #Morano Calabro, CS, Italy
42.979397,-81.246139 "indienick" # London, Ontario, Canada
39.634638,22.395083 "DuckGrindrr" # Larisa, Greece
51.560535,0.250558 "tigerfish66" # Upminster, UK
25.663577,-100.192394 "Adrianirdz" # Monterrey, Mexico
41.842,8.871 "nicoo" # South-East of Ajaccio, Corsica, France
56.929676,24.064593 "skazhy" # Riga, Latvia
35.117347,-80.799017 "foxwolfblood" # Charlotte, NC, USA
42.9747,-81.2426 "parry.jacob" # London, Ontario, Canada
45.550932,-73.573143 "orph" # Montréal, QC, Canada
48.095687,17.358328 "dudko" # Stvrtok na Ostrove, Slovakia
-7.97,112.63 "archpastor" # Malang, Jawa Timur, Indonesia
-7.346072,112.739810 "igndenok" # Sidoarjo, Jawa Timur, Indonesia
-6.291475,106.834853 "boot-up" # Jakarta, Indonesia
50.021123,19.924641 "caminoix" # Cracow, Poland
-34.589128,-58.407955 "facucosta" # Capital Federal, Buenos Aires, Argentina
39.425292,-0.417717 "jospalau" # Paiporta, Valencia, Spain
50.457081,30.594557 "dkorzhevin" # Kiev, Ukraine
48.357359,10.89813 "vinz" # Augsburg, Germany
-7.967294,112.613977 "Maman.lalilu" # Malang, Indonesia
-23.541071,-46.31072 "Elder Marco" # Suzano, SP, Brazil
64.933144,-147.578716 "Jesse" # Fairbanks, AK, USA
44.011444,-121.344917 "doorknob60" # Bend, OR, USA
40.381336,-111.851292 "frostyfrog" # Lehi, UT, USA
46.268664,20.159423 "Lenry" # Szeged, Hungary
37.553778,126.904881 "ubermenschjo" # Seoul, South Korea
34.166870,-118.106905 "ewaller" # Pasadena, CA, USA
52.20382,0.124989 "DarkOtter" # Cambridge, UK
32.992567,-96.988284 "sLLiK" # Lewisville, TX, USA
43.795476,11.187347 "[delse]" # Firenze, FI, Italy
34.193204,-118.130665 "JMK" # Altadena, CA, USA
47.499228,19.040136 "City-busz" # Budapest, Hungary
-15.866768,-48.012695 "nanogennari" # Brasília, Brazil
53.296456,0.27947 "Clive" # Sutton On Sea, Lincolnshire, England
38.755974,-9.15704 "styluss" # Benfica, Lisbon, Portugal
41.993069,21.429992 "Chejo" # Skopje, Macedonia
-12.914724,28.649597 "rossmcd" # Ndola, Zambia
-33.744932,151.0533 "duran" # Pennant Hills, NSW, Australia
58.346289,26.773303 "syne" # Tartu, Estonia
49.832765,-97.203019 "glide" # Winnipeg, Canada
3.154443,101.734679 "so" # Kuala Lumpur, Malaysia
48.502,9.056 "neckbeard1" # Tuebingen, Germany
43.606343,3.877751 "mrknacky" # Montpellier, France
51.316277,9.465812 "takhadnotor" # Kassel, Germany
49.495406,-119.600356 "aianson" # Penticton, BC, Canada
48.128854,17.095036 "tlamer" # Bratislava, Slovakia
-33.374506,-70.481124 "Jristz" # Calera de Tango, Region Metropolitana, Chile
10.731158,106.707242 "magnox" # Currently Ho Chi Minh, Vietnam
47.402619,8.581073 "dimle" # Zurich, Switzerland
38.024980,23.670001 "giral" # Peristeri, Greece
37.975111,23.780536 "ChIossif" # NTUA, Greece
-23.180132,-46.885643 "duca" #Jundiai, SP, Brazil
37.943349,23.726204 "Herco" # Nea Smyrni, Greece
-6.888568,107.615842 "renodesper" # Bandung, Indonesia
40.502616,22.921715 "jemadux" # Peraia Thessaloniki, Greece
55.790142,-3.862025 "MrBlister" # Bonkle, North Lanarkshire, Scotland
47.915061,-122.214939 "bsod666" # Everett, WA, USA
48.755595,-123.7264 "Circleo" # Duncan, BC, Canada
53.156035,6.747465 "Ixium" # Hoogezand, The Netherlands
36.62283,-4.499931 "ppsalama" # Torremolinos, Spain
39.4565351307392,-87.4156802147627 "snakeb0t" #Terre Haute, Indiana, USA
51.647012,17.384294 "domryba" # Zduny, Poland
43.459461,19.811432 "mima" # Nova Varos, Serbia
42.301754,-83.030788 "uc50ic4more" # Windsor, Ontario, Canada
34.04745,-84.64179 "flagators" # Kennesaw, GA, USA
50.083912,19.944817 "magikmw" # Kraków, Poland
38.595789,-92.210011 "jpope" # Jefferson City, MO, USA
56.163906,10.195255 "theru" # Aarhus C, Denmark
-1.2532,109.954519 "camwebb" # Sukadana, Kalimantan, Indonesia
37.059946,127.060179 "motorcity0628" # Pyeongtaek, Gyeonggi, South Korea
51.906875,-0.46394 "mis1973" # Luton, UK
43.262612,5.400467 "wrzof" # Marseille, France
-28.218788,152.024595 "bananas4370" # Warwick QLD, Australia
53.514771,-113.991891 "hyshka" # Stony Plain, Alberta, Canada
39.197008,-94.512902 "Smasher816" # Kansas City, Missouri, USA
39.728218,-104.954367 "bearfights247" # Denver, Colorado, USA
43.072289,-89.40483 "Craig" # Madison, Wisconsin, USA
-41.275226,174.777374 "jasonwryan" # Wellington, New Zealand
30.329398,-81.659188 "Mostlyharmless" # Jacksonville, FL, USA
52.011303,8.510606 "deimos1" # Bielefeld, NRW, Germany
60.189265,11.996984 "toringe" # Kongsvinger, Norway
-23.615675,-46.538548 "CaioAlonso" # São Paulo, SP, Brazil
45.810570,8.825133 "Francesco" # Varese, Italy
49.338284,16.728239 "lahwaacz" # Rudice, Czech Republic
37.448019,-122.159294 "sokac" # Palo Alto, CA, USA
45.147187,17.259838 "geewid" # Gradiska, Bosnia and Herzegovina
42.481984,-73.769742 "Shake 'n' Bake" # Schodack Landing, NY, USA
43.6426932,-79.4086252 "typh" # Toronto, ON, Canada
42.953333,-73.874722 "meken" # Ballston Lake, NY, USA
43.046097,-87.907636 "pdgessler" # Milwaukee, WI, USA
48.208198,17.21874 "iFrag" # Bratislava, Slovakia
55.192065,30.217475 "radioxoma" # Vitebsk, Belarus
42.089051,-76.799927 "robgraves" # Elmira, NY, USA
41.070584,-75.785218 "lsk040365" # White Haven, PA, USA
35.858814,14.569416 "ChrisP" # Marsaskala, Malta
32.1652,-82.2892 "9mmtylenol" # Lyons, GA, USA
44.811923,-91.498303 "a0x" # Eau Claire, WI, USA
53.359337,83.705174 "tin" # Barnaul, Russia
55.839241,12.395664 "BentB" # Birkerød, Denmark
38.473167,-77.996639 "HashemnBashem" # VA, USA
33.95347,-83.358039 "riemannia" # Athens, GA, USA
46.251099,-60.307860 "Joseph Harrietha, A.K.A. NictraSavios" # Groves Point, NS, Canada
33.320523,-111.94225 "pithdillinja" # Chandler, AZ, USA
30.047927,31.374298 "mustafajnr" # Cairo, Egypt
28.67323,-106.13910 "TuXghOSt" # Chihuahua, Mexico
42.655243,23.333673 "xxcn" # Sofia, Bulgaria
34.858327,-82.392712 "x200proofx" # Clemson, SC, USA
-21.919097,-50.525973 "m.maga" # Tupa, Sao Paulo, Brazil
45.258848,-75.715971 "masterfuzz" # Ottawa, ON, Canada
-23.21217,-45.85181 "Igor1201" # Sao Jose dos Campos, Brazil
-22.41600,-45.45161 "Igor1201" # Itajuba, Brazil
40.89483,0.842743 "ivoarch" # L' Ametlla de Mar, Spain
53.213023,45.014992 "VlaoMao" # Penza, Russia
38.537697,-89.702551 "fresham" # New Baden, IL, USA
41.797475,-80.05435 "czubek" # Alliance College, PA, USA
-26.821974,-65.196242 "jorges" # Tucumán, Argentina
9.951597,-84.075534 "Sebas" # San José, Costa Rica
45.487937,-122.748213 "MicahElliott" # Portland, OR, USA
23.733616,-99.175966 "Hernando Ramos" # Cd. Victoria, Tamaulipas, Mexico
51.48172854,-2.5917976 "drewsberry" # Bristol, England, United Kingdom
50.647688,5.572548 "desaparecido" # Liege, Belgium
50.271416,18.503064 "cynamoon" # Tarnowskie Góry, Poland
30.396124,-88.951027 "wiske57" # Biloxi, Mississippi, USA
59.93758,10.683196 "snakebite" # Oslo, Norway
42.027364,-93.625002 "lpb612" # Ames, Iowa, USA
43.550337,-116.297815 "bladeslap" # Boise, ID, USA
-23.688498,-46.57001 "riccieri" # São Bernardo do Campo, Brazil
43.058102,-74.196568 "Runningdroid" # Broadalbin, NY, USA
53.897258,-122.767954 "Steven_Monday" # Prince George, BC, Canada
37.769493,-3.957721 "balnav" # Jaén, Spain
39.543367,-104.793803 "nerdwaller" # Parker, CO, USA
7.035816,79.880533 "maduraa" # kandana, Sri Lanka
52.496244,13.386055 "ekpyron" # Berlin, Germany
51.182248,6.400197 "buja" # Moenchengladbach, Germany
53.909192,14.227542 "marf41" # Swinoujscie, Poland
45.571621,-73.619171 "ximun" # Montreal, QC, Canada
36.046462,-95.815312 "jakhead" # Broken Arrow, Ok, USA
59.760371,9.994098 "torors" # Krokstadelva, Norway
33.887019,35.505738 "ezetreal" # Beirut, Lebanon
-38,-57.33 "msx" # Mar del Plata, Argentina
45.402608,8.907098 "zero" # Abbiategrasso, MI, Italy
62.9,27.683 "jukkan" # Kuopio, Finland
52.661291,19.057447 "Loper" # Wloclawek, Poland
39.2833,-76.6167 "secondplanet" # Baltimore, MD, USA
47.801827,13.776873 "evil-god" # Ebensee, Austria
31.281375,121.505876 "Yungtrizzle" # Studying in Shanghai, China
45.51906,-73.599107 "jcook818" # Montréal, Québec, Canada
45.505911,-73.565529 "draringi" # Montréal, QC, Canada
49.462044,36.911831 "pavelchavyr" # Balakleya,Kharkov,Ukraine
32.139435,-96.467477 "f1tzl4nd" # Corsicana, TX, USA
50.248193,12.03506 "patlux" # Rehau, Bayern, Germany
46.769483,6.649003 "danyright" # Yverdon-les-Bains, Switzerland
45.238167,13.942128 "korov2000" # Pazin, Istra, Croatia
20.984922,-89.595548 "Suzaku" # Yucatan, Mexico
45.739182,9.12924 "ingamedeo" # Cantu', Italy
27.88212,-81.846796 "ToddBS" # Bartow, FL, USA
19.12,72.85 "hemant_ng" # Andheri, MumbaI, Maharashtra, India
-37.91301,145.361966 "vk3mph" # Melbourne, Victoria, Australia
40.437214,-79.943231 "hayeksplosives" # Pittsburgh, PA, USA
43.859097,18.430898 "mtrokic" # Sarajevo, Bosnia and Herzegovina
49.887653,2.317983 "Shywim" # Amiens, France
36.32064,-119.310956 "jhutson456" # Visalia, CA, USA
40.684537,-3.974878 "AMJ" # Moralzarzal, Madrid, Spain
39.724805,-104.707044 "dcdc" # Aurora, CO, USA
32.977699,-111.543417 "pyronide" # Coolidge, AZ, USA
44.834619,20.406294 "Antikythera" # Beograd, Serbia
48.826393,2.326449 "kamaradclimber" # Paris, France
26.932477,-82.052765 "arielp" # Punta Gorda, FL, USA
45.954223,14.23326 "Zaplanincan" # Zaplana, Vrhnika, Slovenia
21.155718,-86.821357 "Ericjxc" # Cancun, Q.Roo, Mexico
55.698029,12.543481 "bjlyan" # Nørrebro, Copenhagen, Denmark
56.175076,10.169461 "aparthia" # Hasle, Aarhus, Denmark
29.510135,-95.095993 "whahn1983" # League City, Texas, USA
29.510135,-95.095993 "moonsorrow" # League City, Texas, USA
53.739330,-1.393140 "Ajt2" # Leeds, UK
47.001739,7.447184 "gnomeye" # Zollikofen, Switzerland
46.792799,4.425386 "vardump" # Le Creusot, France
58.391726,15.086285 "Persilja" # Skänninge, Sweden
37.361128,-121.961049 "Mridul" # Santa Clara, California, USA
51.243519,-0.589046 "franziskus" # Guildford, Surrey, UK
5.974402,10.177038 "Acho Arnold" # Bamenda, Cameroon
45.598598,9.164030 "Federico" # Varedo, Italy
55.7465,37.6319 "dront78" # Moscow, Russia
56.829465,53.139376 "GDX" # Izhevsk, Russia
49.833516,24.022357 "ziki" # L'viv, Ukraine
51.9838200,9.8198900 "posixru" # Alfeld, Germany
50.29526,24.25205 "vao78" # Sosnivka, Lvivska, Ukraine
44.047649,43.061036 "LonFas" # Pyatigorsk, Russia
50.419426,4.451257 "Diamant le Fou" # Charleroi, Belgium
59.195571,39.906571 "degrave" # Vologda, Russia
47.243362,39.691016 "modal" # Rostov-on-Don, Russia
59.939069,30.315796 "buhaha" # Saint_Petersburg‎, Russia
55.768704,37.634798 "willyborankin" # Moscow, Russia
32.940574,-96.384698 "paul" # Fate, Texas, USA
56.578361,84.927307 "KonstantinM" # Seversk, Russia
41.450881,31.760078 "Şenol Alan" # Zonguldak, Turkey
51.796726,55.096006 "wilful" # Orenburg, Russia
46.637003,32.616936 "muffinmad" # Kherson, Ukraine
48.228146,8.3844681 "techaddicted" # Schramberg, Germany
50.083763,8.232758 "jokke" # Wiesbaden, Germany
44.411145,43.864008 "Probeerka" # Zelenokumsk, Russia
-11.97845,-77.082283 "Carlos Joel" # Lima, Peru
49.0091,8.397367 "Frank" # Karlsruhe, Germany
33.592031,-7.616361 "Othmane AIT EL CADI" # Casablanca, Morocco
48.184051,11.610349 "greenway" # Munich, Germany
36.835187,-76.807787 "celticmusicguy" # Zuni, VA, USA
53.551476,9.993854 "momsen" # Hamburg, Germany
59.446297,17.926927 "malondron" # Sollentuna, Sweden
47.336118,-122.17055 "unsined" # Auburn, WA, USA
39.633613,-104.909490 "mistofvongola" # Denver, CO, USA
59.253569,17.880454 "demize" # Stoclholm, Sweden
44.734912,-93.228107 "Kingpatzer" # Apple Valley, MN, USA
49.594766,11.015444 "georgnix" # Erlangen, Germany
36.31439,139.578265 "Enz_worker" # Sano, Tochigi, Japan
47.6278959,12.1183256 "manveru" # Kiefersfelden, Germany
51.044848,13.749962 "xox" # Dresden, Germany
49.42884,11.084747 "dukun" # Nuremberg, Germany
51.044848,13.737946 "ow" # Dresden, Germany
41.419640,-72.895542 "joshinct" # Hamden, CT, USA
49.695693,7.957548 "Blacknose" # Oberwiesen, RLP, Germany
39.024598,-77.512196 "harrisek" # Ashburn, VA, USA
46.318137,16.348986 "efranor" # Varaždin, Croatia
39.483009599999995,-74.50769439999999 "meskarune" # Galloway, NJ, USA
44.853836,-93.650484 "nlydeen" # Victoria, MN, USA
13.060422,80.249583 "rkalyankumar" # Chennai, India
43.361507,-8.414497 "Xoan" # A Coruña, Spain
49.751409,6.629933 "iffer" # Trier, Germany
52.554860,13.371822 "transacid" # Berlin, Germany
32.622683,51.665740 "pSamim" # Esfahan, Iran
43.320512,-0.352522 "rdoursenaud" # Pau, France
35.665460,138.639732 "kusanaginoturugi" # Fuefuki, Yamanashi, Japan
49.996480,-110.672823 "sketchet" # Medicine Hat, AB, Canada
30.285122,-97.734057 "Jarkore" # Austin, TX, USA
34.727100,10.719314 "lejenome" # Sfax, Tunisia
26.508936, 80.231026 "govg" # Kanpur, India
55.755826,37.6173 "Agent0" # Moscow, Russia
-27.586230,151.983355 "andyc" # Toowoomba, Qld, Australia
45.518958,-122.6890503 "neophile" # Portland, OR, USA
13.155322,-61.224367  "cjaka12" # St.Vincent
40.357298,-74.667223 "miguel" # Princeton, NJ, USA
41.081444999999995,81.51900499999999 "locustmage" # Akron, Ohio, USA
36.1860589,-115.2617282 "cameros" # Las Vegas, Nevada, USA
53.599432,-113.491945 "shadowone" # Edmonton, AB, Canada
48.208174, 16.373819 "andixschild" # Vienna, Austria
40.377122,-74.551387 "Brandon" # Monmouth Junction, NJ, USA
45.492864, -122.621038 "MichaelRpdx" # Portland, Oregon, USA
22.273487,70.8212963 "delta24" # Rajkot, Gujarat, India
56.3187600,-3.020513 "Ranger" # Cupar, Scotland, UK
51.329888, 12.340868 "da" # Leipzig, Germany
44.798140, 20.469875 "zola" # Belgrade, Serbia
55.755826, 37.617300 "mango" # Moscow, Russia
-21.684616, -43.347343 "Orkan" # Juiz de Fora, Brazil
30.668912,  -81.4604791 "mlayland" # Fernandina Beach, FL, USA
42.356391, -71.097565 "ccompton" # Cambridge, MA, USA
41.633719, 9.237224 "Plastic-1" # Porto-Vecchio, Corsica, France
34.7361012,-87.7123259 "comhack" # Tuscumbia, AL, USA
-7.556497, 110.863657 "ibnuda" # Surakarta, Jawa Tengah, Indonesia
55.788994, 37.791333 "kirill9617" # Moscow, Russia
69.672155, 29.946787 "Ehtele" # Kirkenes, Norway
-15.788975, -48.008574 "Seninha" # Brasília, Brazil
59.726734, 17.773031 "Sarsaparilla" # Knivsta, Sweden
35.650711, -78.4563914 "Alex" # Clayton, NC, USA
60.226772, 24.654515 "haaja" # Espoo, Finland
61.458941, 23.850865 "sayami" # Tampere, Finland
31.830981, 117.255113 "wzhd" # Anhui, China
40.577862, -74.525521 "Poppamunz" # Bridgewater, NJ, USA
13.099386, 77.600913 "sria91" # Bengaluru, KA, IN
45.562541, -73.681114 "jflemieux" # Laval, QC, Canada
30.503504, 114.409928 "felixonmars" # Wuhan, Hubei, China
43.522033, -79.832676 "S29K" # Milton, ON, Canada
41.967952,-84.6459807 "myrrlyn" # Jonesville, MI, USA
37, 80 "riggt" # Blacksburg, Virginia, USA
49.23, -123.98 "pxit" # Nanaimo, BC Canada
41.091064, -73.865318 "snakeroot" # Sleepy Hollow, NY USA
46.518568, 6.566716 "dopsi" # Lausanne, VD, Switzerland
40.915535, 17.021062 "TheSillex" # Turi, BA, Italy
20.624184, -103.352554 "arknix" # Guadalajara, Jalisco, Mexico
52.5134438, 13.4263034 "XenGi" # Berlin, Germany
50.207419, 9.536354 "c-korn" # Hessen, Germany
52.468271, 4.837296 "hmhdiswiss" # Zaandam, The Netherlands
23.1344342,-82.3871747,"Uranio-235" # Havana, Cuba
52.318574, -0.082783 "andrewj720" # St Ives, Cambridgeshire, UK

```