## Create a new page and its translation

1.  If you do not know how to edit wiki pages, read [Help:Editing](/index.php/Help:Editing "Help:Editing").
2.  Read [Help:i18n](/index.php/Help:I18n "Help:I18n"), which contains comprehensive guidelines for ArchWiki internationalization and localization.
3.  [Login](/index.php/Special:UserLogin "Special:UserLogin") to be able to edit the wiki.
4.  Choose a page to translate. You can use the [random page function](/index.php/Special:Random "Special:Random") or translate a page in the [list of priority pages](/index.php/ArchWiki_Translation_Day#List_of_priority_pages "ArchWiki Translation Day"). Let us take this very page as an example: **ArchWiki Translation Team**.
5.  At the top of the page, click the "edit" tab in the horizontal menu.
6.  Add an interlanguage link for the language you are going to create. See [Help:i18n#Interlanguage links](/index.php/Help:I18n#Interlanguage_links "Help:I18n").
7.  Copy the entire page's source code.
8.  Save the page with the new interlanguage link.
9.  Visit the interlanguage link you have just created which will lead you to [ArchWiki Translation Team (Language)](/index.php?title=ArchWiki_Translation_Team_(Language)&action=edit&redlink=1 "ArchWiki Translation Team (Language) (page does not exist)"), where "Language" is the [language name](/index.php/Help:I18n#Languages "Help:I18n") associated with the translation you are about to create.
10.  Since the new page does not exist, create it by clicking on "create" in the horizontal menu.
11.  You will be shown a simple text editor. Paste here the source code of the page you copied earlier.
12.  Change the "Category" links to their localized versions. For example, change `[[Category:ArchWiki]]` to `[[Category:ArchWiki (Language)]]`. See [Help:Category](/index.php/Help:Category "Help:Category") for more information.
13.  Change the interlanguage link that you created earlier to point to the article *from* which you are translating.
14.  Translate the copied page text and save everything, also adding a proper [edit summary](/index.php/Help:Style#Edit_summary "Help:Style") such as `translate [[ArchWiki Translation Team]]`.
15.  Update the interlanguage link lists of all the other translations of the article (if any) to include the interlanguage link of the newly-created translation.
16.  At the bottom of the translated page, there is a list of categories the page is included in. Check that all these categories exist, i.e. the links should not be red. Otherwise create all missing categories following the red links - categories are created the same way as regular pages.
17.  (optional) Create another page, e.g. [Translated title of ArchWiki Translation Team](/index.php?title=Translated_title_of_ArchWiki_Translation_Team&action=edit&redlink=1 "Translated title of ArchWiki Translation Team (page does not exist)"), whose title will be a localized version of [ArchWiki Translation Team (Language)](/index.php?title=ArchWiki_Translation_Team_(Language)&action=edit&redlink=1 "ArchWiki Translation Team (Language) (page does not exist)"). Enter `#REDIRECT [[ArchWiki_Translation_Team_(Language)]]` as its only content and save it.

## Page list

List here articles that only exist in non-English languages, or that exist in English but are either not fully translated, or are in a worse state than the non-English version. Keep alphabetical order.

| Page | Language | Notes |
| [1C Enterprise (Русский)](/index.php/1C_Enterprise_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "1C Enterprise (Русский)") | Russian | [1C Enterprise](/index.php/1C_Enterprise "1C Enterprise") exists untranslated |
| [Asus M50Vm (Русский)](/index.php/Asus_M50Vm_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "Asus M50Vm (Русский)") | Russian | in Russian only |
| [CloudCross (Русский)](/index.php/CloudCross_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "CloudCross (Русский)") | Russian |
| [Collect system information (Español)](/index.php/Collect_system_information_(Espa%C3%B1ol) "Collect system information (Español)") | Spanish |
| [Daemontools and pppoe (Русский)](/index.php?title=Daemontools_and_pppoe_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9)&action=edit&redlink=1 "Daemontools and pppoe (Русский) (page does not exist)") | Russian | in Russian only |
| [DeaDBeeF (正體中文)](/index.php/DeaDBeeF_(%E6%AD%A3%E9%AB%94%E4%B8%AD%E6%96%87) "DeaDBeeF (正體中文)") | Chinese (Traditional) |
| [Dlua (Русский)](/index.php/Dlua_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "Dlua (Русский)") | Russian | in Russian only |
| [Fcitx (简体中文)](/index.php/Fcitx_(%E7%AE%80%E4%BD%93%E4%B8%AD%E6%96%87) "Fcitx (简体中文)") | Chinese (Simplified) |
| [Fujitsu LIFEBOOK UH572 Ultrabook (Русский)](/index.php/Fujitsu_LIFEBOOK_UH572_Ultrabook_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "Fujitsu LIFEBOOK UH572 Ultrabook (Русский)") | Russian | only in Russian |
| [GtkD (Русский)](/index.php/GtkD_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "GtkD (Русский)") | Russian |
| [Hime (正體中文)](/index.php/Hime_(%E6%AD%A3%E9%AB%94%E4%B8%AD%E6%96%87) "Hime (正體中文)") | Chinese (Traditional) |
| [How to repair a local pacman database (Русский)](/index.php?title=How_to_repair_a_local_pacman_database_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9)&action=edit&redlink=1 "How to repair a local pacman database (Русский) (page does not exist)") | Russian | in Russian only |
| [HP Nx7400 (Česky)](/index.php/HP_Nx7400_(%C4%8Cesky) "HP Nx7400 (Česky)") | Czech |
| [Huawei E3276 4G modem (Русский)](/index.php/Huawei_E3276_4G_modem_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "Huawei E3276 4G modem (Русский)") | Russian |
| [IBM T43 (Česky)](/index.php/IBM_T43_(%C4%8Cesky) "IBM T43 (Česky)") | Czech |
| [Internet key Momo Design (Italiano)](/index.php/Internet_key_Momo_Design_(Italiano) "Internet key Momo Design (Italiano)") | Italian |
| [IPsec-based VPN Server (简体中文)](/index.php/IPsec-based_VPN_Server_(%E7%AE%80%E4%BD%93%E4%B8%AD%E6%96%87) "IPsec-based VPN Server (简体中文)") | Chinese (Simplified) | See also [strongSwan](/index.php/StrongSwan "StrongSwan") and [L2TP/IPsec VPN client setup](/index.php/L2TP/IPsec_VPN_client_setup "L2TP/IPsec VPN client setup") |
| [Kile and TeX Live (Español)](/index.php/Kile_and_TeX_Live_(Espa%C3%B1ol) "Kile and TeX Live (Español)") | Spanish |
| [Media Center (Italiano)](/index.php/Media_Center_(Italiano) "Media Center (Italiano)") | Italian |
| [Mounting external storage with correct character encoding in Gnome (Русский)](/index.php/Mounting_external_storage_with_correct_character_encoding_in_Gnome_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "Mounting external storage with correct character encoding in Gnome (Русский)") | Russian | in Russian only |
| [MSI GT72 2QD Dominator (Español)](/index.php/MSI_GT72_2QD_Dominator_(Espa%C3%B1ol) "MSI GT72 2QD Dominator (Español)") | Spanish |
| [MYTHTV UNDERTHESTAIRS (Dansk)](/index.php/MYTHTV_UNDERTHESTAIRS_(Dansk) "MYTHTV UNDERTHESTAIRS (Dansk)") | Dansk |
| [Osiris (Italiano)](/index.php/Osiris_(Italiano) "Osiris (Italiano)") | Italian |
| [Palm Pre (Italiano)](/index.php/Palm_Pre_(Italiano) "Palm Pre (Italiano)") | Italian |
| [RoverBook Voyager H591 (Русский)](/index.php/RoverBook_Voyager_H591_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "RoverBook Voyager H591 (Русский)") | Russian | in Russian only |
| [Small Business Server (Italiano)](/index.php/Small_Business_Server_(Italiano) "Small Business Server (Italiano)") | Italian | See also [Category:Small Business Server (Italiano)](/index.php/Category:Small_Business_Server_(Italiano) "Category:Small Business Server (Italiano)") |
| [Tavolette Trust Aiptek (Italiano)](/index.php/Tavolette_Trust_Aiptek_(Italiano) "Tavolette Trust Aiptek (Italiano)") | Italian |
| [Telegram (简体中文)](/index.php/Telegram_(%E7%AE%80%E4%BD%93%E4%B8%AD%E6%96%87) "Telegram (简体中文)") | Chinese (Simplified) |
| [Tencent QQ (简体中文)](/index.php/Tencent_QQ_(%E7%AE%80%E4%BD%93%E4%B8%AD%E6%96%87) "Tencent QQ (简体中文)") | Chinese (Simplified) |
| [Zabbix with NGINX how-to (Русский)](/index.php/Zabbix_with_NGINX_how-to_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "Zabbix with NGINX how-to (Русский)") | Russian | Content from [Zabbix (Русский)](/index.php/Zabbix_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "Zabbix (Русский)") before it was synched with English version |