**This is a page to coordinate the amendment of the bylaws with respect to Standard Voting Procedure. If you are looking for the actual bylaws go here [https://aur.archlinux.org/trusted-user/TUbylaws.html](https://aur.archlinux.org/trusted-user/TUbylaws.html)**

Standard Voting Procedure (SVP) describes the formal procedure used by TUs to accept or reject proposals regarding TU affairs.

SVP begins with a proposal, for example the addition of a TU or an amendment to the bylaws. The proposal should be clear and concise and it must be posted on the aur-general mailing list (aur-general). The proposal must also be worded unambiguously, and such that a YES or NO answer may be given.

The discussion period begins when the proposal is posted on aur-general. The duration of the discussion period shall be 5 full days UNLESS otherwise stated in a section of the bylaws pertaining to the proposal. Official discussion shall take place on aur-general. During the discussion period, votes shall not be cast.

The voting period begins when the discussion period ends. The duration of the voting period shall be 7 full days UNLESS otherwise stated in a section of the bylaws pertaining to the proposal. During the voting period, TUs may vote YES, NO or ABSTAIN. Votes shall be cast under the Trusted User section of the AUR homepage. At the end of the voting period, all votes shall be tallied.

In the context of SVP, TUs are considered active if they are marked as active when the voting period ends.

Quorum shall be 66% of all active TUs and participation shall be measured by the sum of YES, NO and ABSTAIN votes, UNLESS otherwise stated in a section of the bylaws pertaining to the proposal.

The proposal is accepted if EITHER

```
 A) the number of YES votes is greater than half the number of active TUs OR
 B) quorum has been established and the number of YES votes is greater than the number of NO votes

```

UNLESS otherwise stated in a section of the bylaws pertaining to the proposal.

The proposal is rejected if EITHER

```
 A) the number of NO votes is greater than or equal to the number of active TUs have voted NO OR
 B) quorum was established and the number of NO votes is greater than or equal to the number of YES votes

```

UNLESS otherwise stated in a section of the bylaws pertaining to the proposal.

A rejected proposal may not be presented again before a waiting period has passed. The duration of the waiting period shall be 3 full months UNLESS otherwise stated in a section of the bylaws pertaining to the proposal. The waiting period begins at the end of the voting period.

If quorum is not established by the end of the voting period then the proposal is neither accepted nor rejected. A second SVP shall begin to establish the status of the proposal. If the proposal is not accepted at the end of the second SVP then it shall be rejected.