Common Lisp is a highly dynamic multi-paradigm language that emphasizes interactivity and performance.

## Contents

*   [1 Installation](#Installation)
*   [2 Quicklisp](#Quicklisp)
*   [3 SLIME](#SLIME)
*   [4 See also](#See_also)

## Installation

There are a variety of implementations to choose from. Three implementations available are [clisp](https://www.archlinux.org/packages/?name=clisp), [ecl](https://www.archlinux.org/packages/?name=ecl), and the particularly popular [sbcl](https://www.archlinux.org/packages/?name=sbcl).

SBCL features a highly optimized native code generating compiler with origins that date back to the early 90's. Known for its precise type derivation and its strict conformance to the ANSI standard, it is particularly suited for general purpose and scientific programming. On the other hand, both ECL and CLISP offer good C integration and embedability.

## Quicklisp

[Quicklisp](https://www.quicklisp.org/beta/) is a package manager written in common lisp for loading common lisp libraries. It works across all major common lisp implementations, and is the dominant choice for maintaining common lisp packages within the common lisp community.

## SLIME

For the interactive experience that Common Lisp is known for, see [slime](/index.php/Slime "Slime").

## See also

*   [The Common Lisp Wiki](http://cliki.net)
*   [Online Specification / Hyperspec](http://www.lispworks.com/documentation/HyperSpec/Front)