This article discusses plugging portable audio players (also sometimes called "MP3 players").

## Contents

*   [1 Player types](#Player_types)
    *   [1.1 Players accessible with native protocols](#Players_accessible_with_native_protocols)
    *   [1.2 Players accessible as USB storage](#Players_accessible_as_USB_storage)
*   [2 Accessing players](#Accessing_players)

## Player types

There are different kinds of portable audio players around:

### Players accessible with native protocols

*   iRiver
    *   All iRiver players with "Manager Mode" firmware should follow the instructions here: [IRiver iFP Audio Players](/index.php/IRiver_iFP_Audio_Players "IRiver iFP Audio Players")

*   Creative
    *   Creative players, probably all that do not support USB storage, should be supported by [gnomad2](https://aur.archlinux.org/packages/gnomad2/).

*   Sony
    *   Sony Walkman MP3 players released prior to mid-2007 require Sony's proprietary "SonicStage" software to transfer files. Unfortunately, this software is only available for Windows. However, you are better off using the [JSymphonic](http://symphonic.sourceforge.net/page.php?4) open source software anyway, as you will have more control over your player. JSymphonic is provided by [symphonic](https://aur.archlinux.org/packages/symphonic/).

### Players accessible as USB storage

*   Creative
    *   Creative MuVo

**Note:** For some older MuVo models, deleting `settings.dat` from the device renders it useless. Newer models do not have the file.

*   iRiver
    *   All iRiver players with "UMS Mode" firmware are recognized as USB storage

*   Cowon
    *   iAudio U2 MP3 player

*   NextCom
    *   flash drive + MP3 player

*   MPIO
    *   MPIO HD300

## Accessing players

You should mount your player, identified as USB storage, to access its contents. See [USB storage devices](/index.php/USB_storage_devices "USB storage devices") for details.