This is a list of basic sites and services we provide at archlinux.org, their status, and any outstanding concerns people have had with them.

## Current Services

*   Main Site
    *   Provides: News, Repo Listings, Out of date reporting, developer wiki, developer information, donation information, documentation
    *   Audience: everyone
    *   Status: operational
    *   Issues: none, documentation has few contributors and falls out of date easily

*   Forums
    *   Provides: place to discuss anything arch related, and even non-arch related, general announcements
    *   Audience: starting point for newer users, few older users, some non-users. Most people seem to start here and gravitate away over time.
    *   Status: operational
    *   Issues: none

*   Wiki
    *   Provides: user-based documentation, tutorials, etc
    *   Audience: newer users, many older users
    *   Status: operational
    *   Issues: none

*   Bug Tracker
    *   Provides: place to report distro-centric problems directly to developers
    *   Audience: everyone
    *   Status: operational
    *   Issues: none

*   AUR
    *   Provides: Central repository for user-contributed PKGBUILDs, managment for community repo
    *   Audience: TUs and more experienced users who are able to create and maintain pkgbuilds.
    *   Status: operational, with many known issues, slow development
    *   Issues: Codebase is messy and hard to work with. Slow development but rapid growth of userbase. Klunky interface.

*   Mailing Lists
    *   Provide: Place to discuss everything arch-related, including the distro, development, pacman, aur, and porting. Generally very on-topic.
    *   Audience: Users who wish to discuss those particular topics. Usually slightly more experienced users and those inclined to use email.
    *   Status: operational
    *   Issues: none

*   IRC channels
    *   Provide: Live dicussion about arch, arch development, and localized dicussion. Often other topics as well.
    *   Audience: Full range of users, often those who are IRC-inclined.
    *   Status: operational
    *   Issues: none

*   Planet Arch
    *   Provides: aggregation of arch-related blogs and feeds
    *   Audience: unsure
    *   Status: operational
    *   Issues: poor visibility, tracks very old entries leading to large page size

*   Package Repositories
    *   Provides: Basic and expanded package sets for the distro. FTP for little-used direct access. Rsync for mirroring access.
    *   Audience: all users
    *   Status: operational
    *   Issues: bandwidth is a limiting factor when large upgrades occur, leads to mirror sync issues

*   Revision Control - CVS, SVN, GIT
    *   Provides: Tracking for PKGBUILDs, arch site, scripts and related projects
    *   Audience: developers, advanced users
    *   Status: operational
    *   Issues: CVS migration needs to be finished.

*   Newsletter/Magazine
    *   Provides: Concise aggreggation of arch related activity over small timespans.
    *   Audience: everyone
    *   Status: monthly releases
    *   Issues: none

## Removed Services

*   Development Blog
    *   Provided: place to post arch development related items that are not quite front page newsworthy. Place for some community projects to post updates
    *   Status: Removed
    *   Issues: poor visibility, and little use
    *   Replaced by: Forum announcement section, which has been integrated into the planet feeds.

*   Arch Artwork Gallery
    *   Provided: place for users to post screenshots and arch-related images
    *   Status: Removed
    *   Issues: poor visibility, little use
    *   Replaced by: Nothing. The users historically used the forum for screenshot threads, and free image hosting sites. This trend continues.

*   Pastebin
    *   Provides: Place to share snippets of text
    *   Audience: mostly IRC users, but pretty much anyone
    *   Status: Removed
    *   Issues: Spam issues. It was little used.