Future policies for the community repository should be discussed to improve the usefulness of the repository and decrease the number of unused packages.

## Contents

*   [1 Ideas](#Ideas)
    *   [1.1 Minimum Vote Requirement](#Minimum_Vote_Requirement)
        *   [1.1.1 Plan of Action](#Plan_of_Action)
        *   [1.1.2 Maintenance](#Maintenance)
        *   [1.1.3 Exceptions](#Exceptions)

## Ideas

Also see the [Community move to devtools](/index.php/Community_move_to_devtools "Community move to devtools") page for more information on the proposal to make [community] use the same repository system as [core] or [extra].

### Minimum Vote Requirement

1.  Votes are an indicator of package interest or usage. They aren't an absolute indicator.
2.  There are almost three hundred packages in community with less than two votes.
3.  If a package has any significant usage it should really have at least three votes.
4.  If users realise that votes do have more of an impact they may be encouraged vote.
5.  Hundreds of unused packages will cause unneeded strain on the community server's resources.
6.  If the number of packages are allowed to increase without limit we would need unlimited resources.
7.  Increasing resources costs money. Increasing resources without limit requires an unlimited supply of money.
8.  This plan costs no money to implement.
9.  [Package Statistics](http://www.archlinux.de/?page=PackageStatistics)
10.  [AUR packages sorted by ascending votes](https://aur.archlinux.org/packages.php?L=3&SB=v&SO=a&PP=100)

#### Plan of Action

1.  Let users know that votes will be counted via mailing list and forum and packages with few votes will be moved to unsupported.
2.  Provide a deadline when packages will be moved so users can anticipate the change and vote if they need to.
3.  Move all packages with zero votes that are not dependencies of other non-zero vote packages.
4.  Move all packages with only one vote...
5.  And so on.

#### Maintenance

When adding a package, the Trusted User should consider the number of votes that a package has. If the package has a low number of votes (less than three (3)) then it should not be included in community.

Community should be checked periodically to ensure that it does not contain packages with votes below the minimum requirement.

The minimum number of votes required for a package to be included in community may be changed with a vote by Trusted Users.

#### Exceptions

*   Sometimes a package might be required in community because it is a dependency of a more popular package.
*   Internationalisation packages that are required to make a more popular package useful for certain language users.
*   More exceptions may be added on a general basis.