## Contents

*   [1 Trademark Policy](#Trademark_Policy)
    *   [1.1 The Trademarks](#The_Trademarks)
    *   [1.2 Permitted Use](#Permitted_Use)
    *   [1.3 Restricted use that requires a trademark license](#Restricted_use_that_requires_a_trademark_license)
    *   [1.4 Logo Usage Guidelines](#Logo_Usage_Guidelines)
        *   [1.4.1 Attribution](#Attribution)

## Trademark Policy

The objective of the Arch Linux trademark policy is to encourage widespread use of the Arch Linux trademarks by the Arch Linux community while controlling that use in order to avoid confusion on the part of Arch Linux users and the general public, to maintain the value of the image and reputation of the trademarks and to protect them from inappropriate or unauthorised use.

The sections below describe what is allowed, what isn't allowed, and cases in which you should ask permission. If you have any doubt, please contact us at **trademarks@archlinux.org**.

### The Trademarks

Aaron Griffin (hereinafter the "Arch Linux Project Lead") and Judd Vinet, on behalf of Arch Linux, own a number of trademarks including "ARCHLINUX", "ARCH LINUX", "A simple, lightweight Linux distribution" and the stylized Arch Linux logo. The trademarks are recognized in both word and logo form. Any mark beginning with the letters ARCH is sufficiently similar to one or more of the trademarks that permission will be needed in order to use it. This policy encompasses all marks, in word and logo form (collectively referred to as "Trademarks").

### Permitted Use

Certain usages of the Trademarks are fine and no specific permission from us is needed.

**Advocacy.** Arch Linux is built by, and largely for, its community. We share access to the Trademarks with the entire community for the purposes of discussion, development and advocacy. We recognise that most of the open source discussion and development areas are for non-commercial purposes and will allow the use of the Trademarks in this context, provided:

*   the Trademark is used in a manner consistent with the Usage Guidelines below
*   there is no commercial intent behind the use
*   what you are referring to is in fact Arch Linux. If someone is confused into thinking that what isn't Arch Linux is in fact Arch Linux, you are probably doing something wrong.
*   there is no suggestion (through words or appearance) that your project is approved, sponsored, or affiliated with Arch Linux or its related projects unless it has been approved by and is accountable to the Arch Linux Project Lead

**Derived works.** The ability to customise Arch Linux to meet your specific needs is one of the great strengths of free software in general, and Arch Linux in particular. While we encourage customisation and derivation of Arch Linux, we must balance that freedom with the integrity of the Trademarks and the quality which they represent. To help reach that balance, we have established the following guidelines and definitions.

We recognise and encourage the concept of a "**remix.**" Remixes are derived versions of Arch Linux, and it is intended that any software and hardware certifications will apply to a Remix. Therefore the changes from official Arch Linux products must be minimal to be permitted to use the Trademarks. These changes can include configuration changes through the existing Arch Linux configuration management tools, changes to artwork and graphical themes and some variance in package selection. In general, a Remix can have applications from the Arch Linux archives added, or default applications removed, but removing or changing any infrastructure components (e.g., shared libraries or desktop components) will result in changes too large for the resulting product to be called by a Trademark. Note that if the nature of the product's divergence from Arch Linux changes, the Remix naming and Trademark use may no longer apply.

Therefore, if you are creating a derivative of Arch Linux, you may use the Trademarks in association with the software product provided:

*   the changes are minimal and unsubstantial, as described above
*   there is no commercial intent associated with the new product
*   the Trademark is used in a way that makes it clear that your project is a development effort related to the Arch Linux source, but that the software you are working upon is not in fact Arch Linux as distributed by the Arch Linux project
*   there is no suggestion (through words or appearance) that your project is approved, sponsored, or affiliated with Arch Linux or its related projects unless it has been approved by and is governed by the Arch Linux Project Lead.

If you are producing a new product which is based on Arch Linux but which has more substantial changes than those described above as a Remix, you are allowed to state (and we would encourage you to do so) that your product is "derived from Arch Linux", "based on Arch Linux", or "a derivative of Arch Linux" but you may not use the Trademarks to refer to your product. In some cases you may be allowed to use the Trademarks, but permission must be explicitly granted by the Arch Linux Project Lead. In that event, these products will need a trademark license, and such a license can be revoked if the nature of your divergence from Arch Linux changes. Products which include very invasive changes, such as a new kernel, the inclusion of packages which are not part of the Arch Linux repositories, or anything else that significantly impacts the technical quality or user experience would fall into this category are unlikely to be approved. (Note that if you are including packages which are not part of the Arch Linux repositories, we encourage you to work within the community processes, such as the Arch User Repository (AUR) to submit and maintain those packages within the community repositories in order to minimise this issue.)

**Building on Arch Linux or for Arch Linux.** If you are producing new software which is intended for use with or on Arch Linux, you may use the trademark in a way which indicates the intent of your product. For example, if you are developing a system management tool for Arch Linux, acceptable project titles would be "System Management for Arch Linux" or "Arch Linux Based Systems Management". We would strongly discourage, and likely would consider to be problematic, a name such as ArchMan, Arch Management, ArchTools, etc. Furthermore, you may not use the Trademarks in a way which implies an endorsement where that doesn't exist, or which attempts to unfairly or confusingly capitalise on the goodwill or brand of the project.

**Commentary and parody.** The Arch Linux Trademarks are designed to cover use of a mark to imply origin or endorsement by the project. When a user downloads something called Arch Linux, they should know it comes from the Arch Linux project. This helps Arch Linux build a reputation that will not be damaged by confusion around what is, and isn't, Arch Linux. Using the Trademarks in your discussion, commentary, criticism or parody, in ways that unequivocally do not imply endorsement, is permissible. Anyone is free to write articles, create websites, blog about, or talk about Arch Linux -- as long as it's clear to everyone -- including people completely unfamiliar with Arch Linux -- that they are simply referring to Arch Linux and in no way speaking for the Arch Linux project.

We reserve the right to review all usage within the open source community, and to object to any usage that appears to overstep the bounds of discussion and good-faith non-commercial development. In any event, once a project has left the open source project phase or otherwise become a commercial project, this policy does not authorize any use of the Trademarks in connection to that project.

### Restricted use that requires a trademark license

Explicit permission from the Arch Linux Project Lead is necessary to use any of the Trademarks under any circumstances other than those specifically permitted above. These include:

*   Any commercial use.
*   Use on or in relation to a software product that includes or is built on top of a product supplied by us, if there is any commercial intent associated with that product.
*   Use for merchandising purposes, e.g. on t-shirts and the like.
*   Services relating to any of the above.

If you wish to have permission for any of the uses above or for any other use which is not specifically referred to in this policy, please email **trademarks@archlinux.org** and we'll let you know as soon as possible if your proposed use is permissible. Permission may only be granted subject to certain conditions and these may include the requirement that you enter into an agreement with us to maintain the quality of the product and/or service which you intend to supply at a prescribed level.

While there may be exceptions, it is very unlikely that we will approve Trademark use in the following cases:

*   Use of a Trademark in a company name.
*   Use of a Trademark in a domain name which has a commercial intent. The commercial intent can range from promotion of a company or product, to collecting revenue generated by advertising.
*   The calling of any software or product by the name Arch Linux (or another related Trademark), unless that software or product is a substantially unmodified Arch Linux product, or properly labelled as a "Remix" as described above.
*   Use in combination with any other marks or logos. This include use of a Trademark in a manner that creates a "combined mark," or use that integrates other wording with the Trademark in a way that the public may think of the use as a new mark (for example Club Arch Linux or ArchBooks, or in a way that by use of special fonts or presentation with nearby words or images conveys an impression that the two are tied in some way).
*   Use in combination with any product or service which is presented as being Certified or Official or formally associated with us or our products or services.
*   Use in a way which implies an endorsement where that doesn't exist, or which attempts to unfairly or confusingly capitalise on the goodwill or brand of the project.
*   Use of a Trademark in a manner that disparages Arch Linux and is not clearly third-party parody.
*   On or in relation to a software product which constitutes a substantially modified version of a product supplied by the Arch Linux project, that is to say with material changes to the code, or services relating to such a product.
*   In a title or metatag of a web page whose primary intention or result is to influence search engine rankings or result listings, rather than for discussion, development or advocacy of the Trademarks.

### Logo Usage Guidelines

In addition to the restrictions imposed above, **the Trademark declaration ( ™ ) must remain intact** whenever displaying the logos.

Our logos are presented in multiple colours and it is important that their visual integrity be maintained. It is therefore preferable that the logos only be used in their standard form but if you should feel the need to alter them in any way, please keep the following in mind:

*   Any scaling should retain the original proportions of the logo.
*   A monochrome version (white, black, etc.) should be used in certain situations, such as when applying it to colourful or "busy" backdrops that would otherwise make the logo difficult to read.

##### Attribution

*The Arch Linux trademark policy is published under the CC-BY-SA license, courtesy of the [Ubuntu project](http://www.ubuntu.com/). You are welcome to base your own project trademark policies off of it, but you must give credit to the [Ubuntu project](http://www.ubuntu.com/) as the original source, and let others use your changes freely.*