## Contents

*   [1 Introduction](#Introduction)
*   [2 Ideas and Suggestions](#Ideas_and_Suggestions)
    *   [2.1 OpenID](#OpenID)
    *   [2.2 Developer/Fellows profiles](#Developer.2FFellows_profiles)
    *   [2.3 Navbar for internal Arch sites](#Navbar_for_internal_Arch_sites)
    *   [2.4 Embed Ads by Google into content](#Embed_Ads_by_Google_into_content)
    *   [2.5 URI Linking](#URI_Linking)
    *   [2.6 Focus in Search](#Focus_in_Search)

## Introduction

This article is intended as a sandbox of ideas for the Arch Linux website. Feel free to add suggestions and any thoughts you might have about how the Arch Linux website can be improved.

This article is part of the [DeveloperWiki](/index.php/DeveloperWiki "DeveloperWiki").

## Ideas and Suggestions

### OpenID

Implement an [OpenID](http://openid.net/)-like identity system for the official Arch Linux websites.

*   If we could integrate login/pass throughout AUR, Wiki, Forums, and Bugs this way ... well I'm afraid I'd get a bit moist.  :)
    [georgia_tech_swagger](/index.php/User:Georgia_tech_swagger "User:Georgia tech swagger")
*   Might also consider Mozilla Persona[[1]](https://www.mozilla.org/en-US/persona/), which should be easier to implement than full blown openID.

I completely agree with this idea. I dreamed this since registration. Is it possible to implement? Also, it would be great that it would be possible to login to external arch wikis. — [Agent0](/index.php/User:Agent0 "User:Agent0") ([talk](/index.php/User_talk:Agent0 "User talk:Agent0")|[contribs](/index.php/Special:Contributions/Agent0 "Special:Contributions/Agent0")) 11:12, 22 July 2015 (UTC)

### Developer/Fellows profiles

Condense the developer profiles pages, reducing photo sizes and dropping relatively unimportant fields such as: Favourite Distros, Year of Birth, Interests, Other Contacts, etc.

*   I don't like this idea. I like any distro that has a soul and flavor to it. Sterile "strictly-business" design and community should be left to the Wall Street distros.
    [georgia_tech_swagger](/index.php/User:Georgia_tech_swagger "User:Georgia tech swagger")

### Navbar for internal Arch sites

Look at the feasibility of creating a unified navbar that would sit at the top of all Arch community sites (bbs.archlinux, wiki.archlinux, etc.), providing an exact copy of the main website hierarchy via drop-down menus (using CSS of course).

### ~~Embed Ads by Google into content~~

Consider placing the Ads by Google inside actual page content (or at least below the navigation) and removing it from the header entirely.

	The ads have been removed some time ago due to Google having issues with Arch violating the terms of service or something. -- [Karol](/index.php/User:Karol "User:Karol") 15:13, 27 November 2011 (EST)

### URI Linking

Implement a pacman:// URI as an option to quickly let users quickly install packages from webpages and same the functionality for AUR packages. [9mmtylenol](/index.php/User:9mmtylenol "User:9mmtylenol")

	I think it is easy to implement. It is very similar to [apt urls](https://wiki.debian.org/AptProtocol). It is even possible to install several packages [at once](https://help.ubuntu.com/community/AptURL#Use_of_apturl). But what is the difference in using such *apt:vlc* links from such *apt://vlc* ? — [Agent0](/index.php/User:Agent0 "User:Agent0") ([talk](/index.php/User_talk:Agent0 "User talk:Agent0")|[contribs](/index.php/Special:Contributions/Agent0 "Special:Contributions/Agent0")) 16:10, 28 July 2015 (UTC)

### Focus in Search

Is it possible to make ArchWiki to automatically focus on search box? It is common behavior. Look for example to [youtube](https://youtube.com) or [wikipedia](https://wikipedia.org). I feel uncomfortable, when I go to wiki.archlinux.org and additionally need to use mouse to focus on search field. I know about `Alt + Shift + f`, but it is not working, because alt+shift changes keyboard layout. — [Agent0](/index.php/User:Agent0 "User:Agent0") ([talk](/index.php/User_talk:Agent0 "User talk:Agent0")|[contribs](/index.php/Special:Contributions/Agent0 "Special:Contributions/Agent0")) 12:29, 17 November 2015 (UTC)