Fluxbox is yet another window manager for X11\. It is based on the (now abandoned) Blackbox 0.61.1 code, but with significant enhancements and continued development. Fluxbox is very light on resources and fast, yet provides interesting window management tools such as tabbing and grouping. Its configuration files are easy to understand and edit and there are hundreds of Fluxbox "styles" to make your desktop look great. Arch Linux with Fluxbox can turn an old Pentium 800 box with just 256MB of RAM into a very usable computer.

## Contents

*   [1 Installation](#Installation)
*   [2 Starting Fluxbox](#Starting_Fluxbox)
*   [3 Configuration](#Configuration)
    *   [3.1 Menu management](#Menu_management)
        *   [3.1.1 fluxbox-generate_menu](#fluxbox-generate_menu)
        *   [3.1.2 MenuMaker](#MenuMaker)
        *   [3.1.3 Xdg-menu](#Xdg-menu)
        *   [3.1.4 Manually create/edit the menu](#Manually_create.2Fedit_the_menu)
    *   [3.2 Init](#Init)
    *   [3.3 Hotkeys](#Hotkeys)
    *   [3.4 Workspaces](#Workspaces)
    *   [3.5 Tabbing and grouping](#Tabbing_and_grouping)
    *   [3.6 Wallpaper](#Wallpaper)
        *   [3.6.1 Swapping multiple backgrounds easily](#Swapping_multiple_backgrounds_easily)
        *   [3.6.2 Using feh with Fluxbox](#Using_feh_with_Fluxbox)
        *   [3.6.3 Nitrogen](#Nitrogen)
    *   [3.7 Theming](#Theming)
    *   [3.8 The Slit](#The_Slit)
    *   [3.9 Autostart programs](#Autostart_programs)
    *   [3.10 Other menus](#Other_menus)
    *   [3.11 Desktop effects](#Desktop_effects)
    *   [3.12 Notifications](#Notifications)
    *   [3.13 Xorg configuration without a xorg.conf file](#Xorg_configuration_without_a_xorg.conf_file)
        *   [3.13.1 Set the keyboard layout with Fluxbox](#Set_the_keyboard_layout_with_Fluxbox)
*   [4 See also](#See_also)

## Installation

[Install](/index.php/Install "Install") [fluxbox](https://www.archlinux.org/packages/?name=fluxbox). [Xorg](/index.php/Xorg "Xorg") must be installed as well.

## Starting Fluxbox

**Graphical login**

Just choose the *fluxbox* option from the session menu of your favourite [display manager](/index.php/Display_manager "Display manager").

**Manually**

Edit `~/.xinitrc` and add the following line:

```
exec startfluxbox

```

See [xinitrc](/index.php/Xinitrc "Xinitrc") for details, such as preserving the logind session.

## Configuration

System-wide Fluxbox configuration files are in `/usr/share/fluxbox` while user configuration files are in `~/.fluxbox`. The user config files are:

*   *init* - the main Fluxbox resource configuration file. See [Editing the init file](http://fluxbox-wiki.org/category/howtos/en/Editing_the_init_file.html)
*   *menu* - the Fluxbox menu config. See below and [Editing the menu file](http://fluxbox-wiki.org/category/howtos/en/Editing_the_menu.html)
*   *keys* - the Fluxbox keyboard shortcuts (hotkeys) file. See below and [here](http://fluxbox-wiki.org/category/howtos/en/Keyboard_shortcuts.html)
*   *startup* - where to launch startup apps but see below for .xinitrc and also [here](http://fluxbox-wiki.org/category/howtos/en/Editing_the_startup_file.html)
*   *overlay* - a config file to override elements of styles. See [here](http://fluxbox-wiki.org/category/howtos/en/Style_overlay.html).
*   *apps* - a config file for remembering the window configuration of specific apps. See [here](http://fluxbox-wiki.org/category/howtos/en/Editing_the_apps_file.html)
*   *windowmenu* - a config file for altering the Window Menu itself: [read this](http://fluxbox-wiki.org/category/howtos/en/Editing_the_windowmenu.html)

There are a couple of other less important config files in the directory. But the main ones to be concerned with are init, menu, keys and perhaps startup.

### Menu management

When you first install Fluxbox a very basic applications menu will be created at `~/.fluxbox/menu`. You access the menu via a right mouse button click on the desktop. As with other lightweight window managers Fluxbox does not automatically update its menu when you install new applications. It is therefore recommended that you install most of the apps you want on your system first and then re-generate or edit the menu. To enhance the menu and add/edit items there are basically four ways to do it:

#### fluxbox-generate_menu

There is a built-in command provided with Fluxbox:

```
$ fluxbox-generate_menu

```

This command will auto-generate a `~/.fluxbox/menu` file based on your installed programs. However, the menu it generates will not be as comprehensive as that generated by [MenuMaker](#MenuMaker).

#### MenuMaker

[MenuMaker](http://menumaker.sourceforge.net) is a powerful tool that creates XML-based menus for a variety of Window Managers, including Fluxbox. MenuMaker will search your computer for executable programs and create a menu based on the results. It can be configured to exclude Legacy X, GNOME, KDE, or Xfce applications if desired.

Install [menumaker](https://www.archlinux.org/packages/?name=menumaker), then you can generate a complete menu and overwrite the default one by running:

```
$ mmaker -f FluxBox

```

You can avoid populating your menu with terminal based applications such as *alsamixer* by running the following switches with the mmaker command: `--no-legacy` and `--no-debian`. For example:

```
$ mmaker -f --no-legacy --no-debian FluxBox

```

To see more MenuMaker options:

```
$ mmaker --help

```

#### Xdg-menu

You can also generate a menu using [Xdg-menu](/index.php/Xdg-menu "Xdg-menu"). See the [Xdg-menu#FluxBox](/index.php/Xdg-menu#FluxBox "Xdg-menu") section.

#### Manually create/edit the menu

Use your favourite text editor and edit the file: `~/.fluxbox/menu`. The basic syntax for a menu item to appear is:

```
[exec] (name) {command} <path to icon>

```

...where "name" is the text you wish to appear for that menu item and "command" is the location of the binary, e.g.:

```
[exec] (Firefox Browser) {/usr/bin/firefox} <path to firefox icon>

```

Note that the "<path to icon>" is optional. If you want to create a submenu the syntax is:

```
[submenu] (Name)
...
...
[end]

```

When you have finished editing, save the file and exit. There is no need to restart Fluxbox. For more info read [editing the Fluxbox menu](http://fluxbox-wiki.org/category/howtos/en/Editing_the_menu.html).

### Init

The `~/.fluxbox/init` file is Fluxbox's primary configuration resource file. You can change the basic functionality of Fluxbox, windows, toolbar, focus, etc. Some of these options are also available from the Fluxbox, Configuration Menu. For more detail read [Editing the init file](http://fluxbox-wiki.org/category/howtos/en/Editing_the_init_file.html).

### Hotkeys

Fluxbox offers basic hotkeys functionality. The Fluxbox hotkey file is located at `~/.fluxbox/keys`. The Control key is represented by "Control". Mod1 corresponds to the Alt key and Mod4 corresponds to Meta (not a standard key but most users map Meta to the "Win" key). When installed and first run Fluxbox will provide you with a very usable, almost complete set of hotkeys. You should peruse and learn the `~/.fluxbox/keys` file to enhance your Fluxbox experience.

Example: here is a quick way to control the Master volume:

```
Control Mod1 Up :Exec amixer set Master,0 5%+
Control Mod1 Down :Exec amixer set Master,0 5%-

```

### Workspaces

Fluxbox defaults to having four workspaces. These are accessible using Ctrl+F1-F4 shortcuts, or by using the left mouse button to click the arrows on the toolbar. You can also access workspaces via a middle mouse button click on desktop which pops up the Workspaces Menu.

### Tabbing and grouping

With at least two windows visible on your desktop use ctrl +left click on the upper window tab of one window and drag it into the other open window. The two windows will now be grouped together with window tabs in the upper window tab bar. You may now perform a window operation that will affect the entire window "group". To reverse the tabbing use `Ctrl+left click` on a tab and drag it to an empty space on the desktop.

### Wallpaper

Setting the background in Fluxbox has historically been convoluted, especially where transparency was required. The Fluxbox wiki now has an entry for [background setting](http://fluxbox-wiki.org/category/howtos/en/Howto_set_the_background.html), so please refer to that.

The easiest way to do it with ArchLinux is to first of all check that you have a background setting application available:

```
$ fbsetbg -i

```

If not, install either feh, esetroot or wmsetbg using pacman. Then add this "fbsetbg" line to your `~/.xinitrc` file, before the "exec" line, e.g.:

```
fbsetbg /path/to/my/image.image

```

If this command returns a line like this:

```
$ /usr/bin/fbsetbg: line 153: xmessage: command not found

```

Then you need to install the package xorg-xmessage

#### Swapping multiple backgrounds easily

Place the following submenu in your Fluxbox menu:

```
[submenu] (Backgrounds)
[wallpapers] (~/.fluxbox/backgrounds) {feh --bg-scale}
[wallpapers] (/usr/share/fluxbox/backgrounds) {feh --bg-scale}
[end]

```

Then put your background images into `~/.fluxbox/backgrounds` or any other folder you specify, they will then appear in the same fashion as your styles.

The same applies to a dual screen wallpaper on a system without 'xinerama' (NVidia TwinView for example):

```
[submenu] (Backgrounds)
[wallpapers] (/path/to/your/backgrounds) {feh --bg-scale --no-xinerama }
[end]

```

#### Using feh with Fluxbox

Install [feh](https://www.archlinux.org/packages/?name=feh).

To make sure Fluxbox will load feh background next time start:

**1.** Make `.fehbg` executable:

```
$ chmod 770 ~/.fehbg

```

**2.** Then add (or modify) the following line to the file `~/.fluxbox/init`:

```
session.screen0.rootCommand:	~/.fehbg

```

**3.** or add (or modify) the following line to the file `~/.fluxbox/startup`:

```
~/.fehbg

```

#### Nitrogen

You can also use the [Nitrogen](/index.php/Nitrogen "Nitrogen") background setter with Fluxbox. Run the following command in a terminal:

```
$ nitrogen

```

to display the graphical wallpaper selector. Add the directory that contains the picture file you wish to use, select the picture and apply it. You can also change options such as whether the wallpaper should be centered or zoomed.

To ensure that the wallpaper is started at login, add the following line to your `~/.fluxbox/startup` file: `nitrogen --restore &`

You may find that if you restart Fluxbox, the wallpaper set by the currently selected theme overwrites the wallpaper set by Nitrogen. To fix this, edit the `theme.cfg` file of the theme you are using and comment out or delete the following options:

```
background:
background.color:
background.colorTo:

```

### Theming

To install a Fluxbox theme, extract the theme archive file to a styles directory. The default directories are:

*   Global - `/usr/share/fluxbox/styles`
*   User only - `~/.fluxbox/styles`

The ArchLinux [AUR](/index.php/AUR "AUR") currently contains a compilation of good looking Fluxbox themes called "fluxmod-styles". Get it [here](https://aur.archlinux.org/packages/fluxmod-styles/). When installed correctly they will appear in the Fluxbox -> Styles section of your Fluxbox menu.

To create your own Fluxbox styles read [fluxbox-style(5)](http://fluxbox.org/help/man-fluxbox-style.php), [Fluxbox/Style guide](/index.php/Fluxbox/Style_guide "Fluxbox/Style guide") and this [style guide](http://tenr.de/howto/style_fluxbox/style_fluxbox.html).

If you use mmaker -f FluxBox to create your menus, you will not see the styles menu selection after you install the styles. To correct this add the following to `~/.fluxbox/menu` after the restart menu item:

```
               [submenu] (System Styles) {Choose a style...}
                     [stylesdir] (/usr/share/fluxbox/styles)
                       [end]
               [submenu] (User Styles) {Choose a style...}
                     [stylesdir] (~/.fluxbox/styles)
                       [end]

```

### The Slit

Fluxbox, WindowMaker and a couple of other lightweight window managers have a "Slit". This is a dock for any application that can be 'dockable'. A docked application is anchored and appears on every workspace. It cannot be moved freely and is not influenced by any manipulation to windows. It is basically a small widget. Dock apps that are useful in such a situation tend to be clocks, system monitors, weather, etc. Visit [dockapps.windowmaker.org](http://dockapps.windowmaker.org/)

### Autostart programs

Fluxbox provides functionality to autostart applications on its own. The `~/.fluxbox/startup` file is a script for autostarting applications as well as starting Fluxbox itself. The `#` symbol denotes a comment.

A sample file:

```
fbsetbg -l # sets the last background set, very useful and recommended.
# In the below commands the ampersand symbol (&) is required on all applications that do not terminate immediately.
# Failure to provide them will cause Fluxbox not to start.
idesk &
xterm &
# exec is for starting Fluxbox itself, do not put an ampersand (&) after this or Fluxbox will exit immediately.
exec /usr/bin/fluxbox
# or if you want to keep a log, uncomment the below command and comment out the above command:
# exec /usr/bin/fluxbox -log ~/.fluxbox/log

```

### Other menus

In the "Menu Management" section (above) we were discussing the main "Applications" Menu, called the "Root" menu in Fluxbox lingo. Fluxbox also has other menus available to the user:

*   Workspaces Menu: middle click on desktop.
*   Configuration Menu: located within the "Fluxbox" section of the "Root" menu.
*   Window menu: right click on the titlebar of any window, or its bar if minimized. Can be edited. See fluxbox-menu man page.
*   Toolbar menu: right click on empty part of toolbar. Also found as a sub-menu within the Configuration Menu.
*   Slit Menu: found as a sub-menu within the configuration menu.

### Desktop effects

To enable desktop effects such as true transparency or shadows in Fluxbox you need an X compositor such as [Xcompmgr](/index.php/Xcompmgr "Xcompmgr") or [Compton](/index.php/Compton "Compton").

### Notifications

To enable notifications on-screen for Fluxbox, ensure that a notification server is installed. See the [desktop notifications](/index.php/Desktop_notifications "Desktop notifications") article.

### Xorg configuration without a xorg.conf file

Xorg no longer requires an *xorg.conf* file. Traditionally this is where you would change your keyboard settings and powersave settings. Luckily there are elegant solutions not using *xorg.conf*.

#### Set the keyboard layout with Fluxbox

Just add the following line to `~/.fluxbox/startup`:

```
setxkbmap us -variant intl & # to have a us keyboard with special characters enabled (like éóíáú)

```

Instead of 'us' you can also pass your language code and remove the variant option (ex.: 'us_intl', which works like the command above in some setups). See *setxkbmap* manual page for more options.

To make a help function in your menu, just add in `~/.fluxbox/menu`:

```
[submenu] (Keyboard)
      [exec] (normal) {setxkbmap us}
      [exec] (international) {setxkbmap us -variant intl}
[end]

```

## See also

*   [Fluxbox Homepage](http://fluxbox.org/)
*   [Fluxbox wiki](http://fluxbox-wiki.org/)
*   [Gentoo Wiki about Fluxbox](http://wiki.gentoo.org/wiki/Fluxbox)
*   [Themes for Fluxbox](http://box-look.org/index.php?xcontentmode=7400)
*   [Narada's Fluxbox Guide](https://bbs.archlinux.org/viewtopic.php?id=77729)
*   The Fluxbox man pages: fluxbox, fluxbox-menu, fluxbox-style, fluxbox-keys, fluxbox-apps, fluxbox-remote, fbsetroot, fbsetbg, fbrun, startfluxbox.
*   [Arch Linux Fluxbox screenshots](https://bbs.archlinux.org/viewtopic.php?id=90260)