These guidelines have been developed over time based on the extensive experience of the moderation team with input by the community. The Arch forums are no-nonsense in nature.

## Contents

*   [1 Common-sense introduction](#Common-sense_introduction)
*   [2 Personal topics/rants](#Personal_topics.2Frants)
*   [3 Ineffective discussion ("bikeshed")](#Ineffective_discussion_.28.22bikeshed.22.29)
*   [4 Be responsible](#Be_responsible)
*   [5 Respect other users](#Respect_other_users)
*   [6 Respect other distributions and operating systems](#Respect_other_distributions_and_operating_systems)
*   [7 Pasting pictures and code](#Pasting_pictures_and_code)
*   [8 Product recommendation requests](#Product_recommendation_requests)
*   [9 Spam/advertising/solicitation](#Spam.2Fadvertising.2Fsolicitation)
*   [10 Homework](#Homework)
*   [11 Old threads/"necro-bumping"](#Old_threads.2F.22necro-bumping.22)
*   [12 Forum member accounts](#Forum_member_accounts)
*   [13 No trolling](#No_trolling)
*   [14 Avoid controversy/controversial topics](#Avoid_controversy.2Fcontroversial_topics)
*   [15 No power-posting/empty posts](#No_power-posting.2Fempty_posts)
*   [16 Life is a two-way street](#Life_is_a_two-way_street)
*   [17 Bumping](#Bumping)
*   [18 Cross-posting](#Cross-posting)
*   [19 Arch Linux distribution support ONLY](#Arch_Linux_distribution_support_ONLY)
*   [20 Misplaced posts](#Misplaced_posts)
*   [21 Thread hijacking](#Thread_hijacking)
*   [22 Do not flame](#Do_not_flame)
*   [23 Respect the staff](#Respect_the_staff)
*   [24 Warnings, user locking, banning](#Warnings.2C_user_locking.2C_banning)
*   [25 How to post](#How_to_post)
*   [26 Dustbin policy (marked for deletion)](#Dustbin_policy_.28marked_for_deletion.29)
*   [27 Legality](#Legality)
*   [28 Freedom](#Freedom)

## Common-sense introduction

*   If you choose to use the Arch Linux distribution, you are welcomed, and encouraged to embrace [The Arch Way](/index.php/The_Arch_Way "The Arch Way").
*   When asking for help, read the manual, do your research and provide details for those you are asking for assistance.
*   When offering help, be as patient and tactful as possible.

*   Arch is a community of volunteers. Therefore, this entire document may be condensed into one simple admonition:

***Proactively seek to give of yourself and to bring only benefit to your peers and community.***

## Personal topics/rants

Rants and complaints are frowned on and may be closed as they are discovered. Posts of this type are much better suited for a blog or other personal web space and are unwanted on the Arch forums. Public posts should be open, productive and inviting to all members. Discussions among a select group of users should take place in private message.

## Ineffective discussion (["bikeshed"](http://www.freebsd.org/doc/en/articles/mailing-list-faq/bikeshed.html))

Threads stating the equivalent of "there is a problem with the Arch system and methodology, we need to discuss it" have been repeatedly proven ineffective and inflammatory and will usually be locked after a warning from the moderation team. Arch is a Do It Yourself community. If you have identified a systemic issue, find a solution that works for you, implement it, then post.

Furthermore, questioning or discussing the methods used by the Arch Linux development team will be monitored closely and locked *if deemed unhelpful and/or unproductive*. Harsh, unproductive criticism is also uncalled for.

If you have a question regarding Arch development, please ensure that your topic poses a specific question and be open-minded to responses. If possible, provide a solution or partial solution. Submitting code and patches for discussion is always more pragmatic than asking others to do it for you.

## Be responsible

If an interpersonal issue arises, please be open-minded to the possibility that your behavior may have contributed to the problem. Taking responsibility for our actions is often a good first step toward a peaceful reconciliation.

## Respect other users

Simply put, treat others as you would be treated; respect them and their views, even if you disagree with them.

## Respect other distributions and operating systems

Maligning other FOSS projects or distributions, or any other operating systems and their users is prohibited. The entire Arch team is happy to volunteer their time and energy to provide you with the Arch Linux distribution, documentation and forums. Kindly show respect toward the volunteers, users and communities of other projects, distributions and operating systems as well. Views, experiences and opinions are always welcome, but unproductive slander is not.

## Pasting pictures and code

Please use [code] tags when pasting console snippets. Please use a [pastebin client](/index.php/Pastebin#Pastebin_clients "Pastebin") when posting large amounts of code. For non-English locale users: Please prepend `LC_ALL=C` to posted commands so that the output will be in English. Do not post full screen pictures; use links to the images instead, optionally with thumbnails. Any image with dimensions greater than 250x250px or over 50Kb in size will be removed. Do **not** post screenshots of text output; post the actual text.

## Product recommendation requests

Threads seeking advice about computer product recommendations are discouraged. Such topics, like the technology they discuss, quickly become obsolete and are unlikely to provide any lasting benefit to the wider community. You are expected to be able to do your own research and draw your own conclusions about which product best suits your individual requirements.

## Spam/advertising/solicitation

Spamming is forbidden. Please report spam with the forum report function and a moderator will review it for removal. Offending spam accounts and associated IP addresses will be banned. Do not reply to spam posts as it increases the amount of work required to clean them up.

Publicity, if it is related to Arch (as a project or community) or GNU/Linux/FOSS, will usually be allowed. Promoting web-invites, blog posts or commercial promotions are actively discouraged, or outright prohibited. Registering just to promote your issue/cause, FOSS-related or not, treats the community as a resource and is not acceptable; if unsure about the appropriateness of your content, contact the moderation team *before* posting. Also be aware that posting shortened/obscured links is a technique of spammers and deliberately inhibits the communities ability to judge the propriety of the link. Therefore, please only post links that include a clear destination.

## Homework

As a matter of principle, do not ask for homework answers, nor post answers to such requests. Homework assignments are designed to encourage a student to learn by their own personal research. Topics deemed to be about homework will be closed.

## Old threads/"necro-bumping"

Do your part to keep the forums tidy. Posting in old threads, or "necrobumping" is generally discouraged in the technical issue subforums, since it can potentially create disjointed "zombie" information; outdated posts with data which is no longer relevant due to Arch's rolling nature, combined with more recent posts reflecting more current circumstance. Furthermore, technical support threads should remain succinct, and multiple pages are to be avoided if possible.

**Rules of thumb**

*   If you have a question, start a new thread and link to the old if relevant.
*   If you have something to add and judge that your information is related, but more up-to-date, start a new thread and link to the old if desired, but avoid duplicating effort by posting information already contained in the Arch wiki.
*   If you have a version-agnostic or corresponding solution, necrobumping can be appropriate.

## Forum member accounts

Please limit your forum membership to one account only. Having multiple accounts is an unnecessary use of resources. Further, it may be interpreted as trolling behavior.

## No trolling

***A "troll" is a person who intentionally attempts to disrupt, cause controversy, incite an argument, and/or receive negative attention by deliberately posting provocative content. The term may also refer to the act of posting such content, or the content itself.***

Trolls are generally deceitful and often use ambivalence as a method of covertly insulting, intimidating, or inciting a person or persons for their own sadistic pleasure. They often pick their words very carefully and are therefore able to defend their masked attempts at creating unrest, frequently redirecting the blame onto the community and its supposed failure to understand them properly. Trolling is strictly prohibited.

## Avoid controversy/controversial topics

There is no explicit list of topics considered to be "trollish", controversial or provocative, but in the past, threads with posts pertaining to **Religion, Sports, Race, Nationalism** and **Politics** have invariably been closed. Therefore, ***specifically avoid these and all divisive topics on the Arch forums!*** The forum staff certainly realize that such issues are deeply ingrained human realities. However, this is a GNU/Linux distribution forum and is not intended nor able to effectively facilitate such commentary nor the resulting unrest.

## No power-posting/empty posts

Power-posting is best described as posting empty and worthless messages. It is not tolerated. People may have two reasons to do this: to increase their post count meaninglessly, or to lend support to an idea as if it were a vote. Examples of power-posting include, but are not limited to, replying with "+1", "lol", "me too", "I agree", or ":)".

When posting or replying to messages, make sure you have something to say. These empty posts clutter up threads and discussion, invalidate the 'Show New Posts' function, and waste bandwidth and server space.

Threads that degenerate into a series of "+1/-1" or "me too/I agree/I disagree" will be locked. Individual power posts may also be deleted.

## Life is a two-way street

A simple, yet profound and undeniable truth. Ensure your thread includes details and information that others will find useful. Share your findings with the community. Share your failures as well. Posting the equivalent of "Nevermind, I fixed it." in your thread or deleting your own posts for similar reasons is not only selfish and useless to the community, but a complete waste of resources and everyone's time. Also, demanding help or showing an obvious impatience toward getting it is unwanted here. Arch is provided by a community of volunteers. Arch users are strongly encouraged to do research, make an effort, report back in the thread, help others, get involved, and contribute to the community.

Please do not be a ["help vampire"](http://slash7.com/2006/12/22/vampires/).

## Bumping

Posting a single word or useless message (bumping) to attract attention to your thread is not allowed. Do your own research, continue to troubleshoot, post the results, and be patient with the community. If people are reading your thread without answering or offering help, you may try supplying more details, or ask to be pointed in the right direction. Often, the reason for posts remaining unanswered is due in large part to the sparse details in the original post itself, or, the obvious availability of solutions in the wiki, on the forum or on the web, and the community's unwillingness to point out the obvious.

## Cross-posting

Cross-posting is posting the same question multiple times in different subforums (for example, posting in both Newbie Corner and Installation). This is a waste of resources and is not permitted. Any cross-posted topic will be immediately locked or deleted.

## Arch Linux distribution support ONLY

Arch-based distributions often use different packages, package versions, repositories, and make custom system configurations surreptitiously, constituting support for such projects quite impossible on the Arch forums. Community technical support shall only be provided for the Arch Linux distribution and the Arch User Repository. Threads concerning issues with, and requesting support for, derivate distributions, or operating systems other than Arch Linux are strictly prohibited and will be closed.

## Misplaced posts

Try to place your posts in the correct forum for the topic. Our forums have been carefully categorized so that most topics fit in one logical location. Any post that is deemed by the staff to be in the wrong forum will be moved to the correct location without warning. Most users can find these on their own but if you lose your thread, it is acceptable to contact one of the forum advisers asking where it has been moved.

## Thread hijacking

Thread hijacking is the process of replying to an existing thread with a different topic. This is generally discouraged. It is better to start a new thread if you have a problem that is related to an existing posted issue but clearly different. Posts that hijack a serious thread with off-topic discussion are also discouraged.

## Do not flame

Flaming, in the most common sense definition, is directing negative, disrespectful, and/or insulting comments toward someone. An equally or more negative response, resulting in a cycling exchange of insults is often the consequence. Flaming fellow members (including the Arch team) will not be tolerated. Never resort to personal insults and please avoid sarcastic and patronizing language. *Discussions can be productive, but quarreling is always destructive.*

## Respect the staff

Members of The Forum Team have been chosen for their ability to exercise consistently good judgment and shall have the final say. Note that this forum is not run as a democracy. The forum staff shall always attempt to implement universally peaceful solutions, but in the end, are charged with the responsibility of maintaining peaceful, civil order for the forum majority. Therefore, they cannot always please everyone with the decisions made. Please do your part to contribute to a healthy community and environment.

*   If you feel that an egregious oversight has been made, do NOT post complaints in forum threads - they will be quickly closed. Alternatively, use the forum report function, email a member of the moderator group, or email forum@archlinux.org to contact the forum admins.

## Warnings, user locking, banning

If the Arch Forum Moderation Team feels that a member's behavior is unacceptable and warrants intervention, a warning will typically be issued unless the occurrence is judged to be especially flagrant, in which case a ban may become imminent. Warnings will not be discussed on the Arch Forums, IRC channels, or mailing lists by the Moderation Team. If the warning goes unheeded, further action will be taken. This may range from locking the offending user account, to deletion or banning of the user, out of consideration for a peaceful forum and community. Action is generally on a case-by-case basis.

If a user is apologetic, interested in a peaceful solution and wishes to have their account reinstated, a general consensus will be formed by the moderation team for, or against, such a request.

## How to post

*   Choose clear, informative subjects. This is more likely to elicit response from experienced users who have knowledge about that particular topic. It also makes the topic easy to reference and find in forum searches by future users with similar problems. Further, avoid extraneous phrases such as [HELP!], [URGENT], etc.
*   A sincere effort to use modest and proper language and grammar is a sign of respect toward the community that will certainly be appreciated and is quite likely to elicit positive responses. Please refrain from using so-called "textspeak", "netspeak", "leetspeak" and all other forms of internet slang.
*   When asking questions, provide as much information as possible, including error messages, terminal output, logs, what you have previously tried, what documentation and searches you have attempted, and related configuration files.
*   Choose one topic per thread. Long threads are typically discouraged in the technical issue subforums.
*   Post your question in only one subforum; pick the most relevant, and post there.
*   When responding to an existing thread, always read the original post and attempt to focus on the original topic.
*   Finally, when a solution is found, mark your thread as solved by editing the first post and prepending the tag [SOLVED] to the title in the "Subject" field.
    Note that you should avoid using [CLOSED], which is instead used by the system to mark a thread which is no longer accessible for new posts.
*   If a thread is marked as [SOLVED], do not reply stating the equivalent of "I am having a similar issue.."; start a new thread and link to the [SOLVED] thread, if relevant.

*   Further reading: [How To Ask Questions The Smart Way](http://www.catb.org/~esr/faqs/smart-questions.html)

## Dustbin policy (marked for deletion)

Threads that are locked/closed because they are either already documented on the boards or Wiki or are inconsistent with the Arch Way will be moved to Dust/troll-bin. After a period of five days, the thread will be deleted. The Moderator responsible will clearly mark the thread as "Binned" or "For deletion."

## Legality

[Criminal solicitation](http://definitions.uslegal.com/c/criminal-solicitation/) is strictly forbidden on this website. In this context, "criminal solicitation" shall mean, "To actively or passively inform about, facilitate, incite, move, or persuade others to some act of lawlessness or illegal activity."

Therefore, do not post discussions about or link to criminal solicitation in any form. This includes, but is not limited to information or links to facilitate illegal drug use, theft, network intrusion, creation of code for malicious purposes, prohibited software copying, prohibited use of copyrighted/patented material, so-called "warez", or sites which provide torrents or links to such content. Illegal content will be removed swiftly and dealt with in full accordance with known applicable law.

## Freedom

The free and open exchange of assistance, speech, ideas and opinions is highly regarded and encouraged on the forums, but it must be noted that the freedom granted to forum members is *relative freedom*. It exists within the boundaries of the above guidelines and principles. Complaints of censorship are therefore baseless and unfounded, since this necessary framework must simultaneously provide reasonable limitations. To illustrate, we are aware of the physical laws which govern energy and matter, yet we do not complain of their oppression. Instead, we recognize that such laws are essential for our welfare. Likewise, the Arch community's high standards reflected in these guidelines regulate community freedom for the common good and protection of all. The key, then, to true freedom on the forums is to cultivate benevolence toward others and harmonize our attitude with the Arch Way by bringing only benefit to our peers. In addition, this allows members to satisfy all contributive impulses without aggravating themselves or encroaching on the freedom of others. Embracing the above principles and obeying the forum guidelines therefore benefits the entire community by providing freedom from the harmful and negative consequences of a more chaotic approach.