**Gambas** is an object-oriented dialect of the BASIC programming language as well as the integrated development environment that accompanies it.

## Contents

*   [1 Installation](#Installation)
    *   [1.1 Gambas 3](#Gambas_3)
    *   [1.2 Gambas 2](#Gambas_2)
*   [2 Tips and tricks](#Tips_and_tricks)
*   [3 External Links](#External_Links)

## Installation

There are currently two versions of Gambas: Gambas 3 and the older Gambas 2.

**Note:** Gambas consists of a runtime and IDE further broken up into several distinct components. Not all of them may be needed for what you wish to do with the IDE or for running a specific Gambas application.

### Gambas 3

Gambas 3 is the latest version of the language, and is distinct from earlier versions of Gambas although most projects can be converted and ran on the latest version.

To install the latest stable version of Gambas 3, [install](/index.php/Install "Install") the [gambas3](https://www.archlinux.org/groups/x86_64/gambas3/) package from the [official repositories](/index.php/Official_repositories "Official repositories"). Development versions can be grabbed by installing the [gambas3-svn](https://aur.archlinux.org/packages/gambas3-svn/) package from the [AUR](/index.php/AUR "AUR").

### Gambas 2

To install the latest version of Gambas 2, [install](/index.php/Install "Install") the [gambas2](https://www.archlinux.org/packages/?name=gambas2) package from the [official repositories](/index.php/Official_repositories "Official repositories").

Gambas 2 will happily run alongside Gambas 3.

## Tips and tricks

Gambas 3 can build installation packages for various distributions and has support for building Arch packages, perfect for use with the [AUR](/index.php/AUR "AUR").

Gambas supports both the [GTK+](/index.php/GTK%2B "GTK+") and [Qt](/index.php/Qt "Qt") toolkits and can make use of both, allowing the application to fit seamlessly into most [Desktop environments](/index.php/Desktop_environment "Desktop environment"). This also applies to applications made inside the Gambas IDE, assuming the gb3-gui component is used.

## External Links

*   [Gambas Website](http://gambas.sourceforge.net/en/main.html) - the official Gambas website on Sourceforge.
*   [Gambas Documentation](http://www.gambasdoc.org/help?v3) - online documentation for Gambas 3.
*   [White Island Software](http://whiteislandsoftware.com/) - an active and friendly Gambas community.
*   [Gambas Examples](http://piga.tropicalwikis.com/wiki/Gambas_Examples) - several pieces of example code geared to game development.