The [TC 1100](https://en.wikipedia.org/wiki/HP_Compaq_TC1100 "wikipedia:HP Compaq TC1100") is a slate tablet PC with a 10.2" screen and detachable keyboard.

## Contents

*   [1 Booting](#Booting)
    *   [1.1 USB Key](#USB_Key)
    *   [1.2 USB CD/DVD Rom](#USB_CD.2FDVD_Rom)
*   [2 Installation](#Installation)
*   [3 Post Install](#Post_Install)
    *   [3.1 Graphics](#Graphics)
    *   [3.2 Power](#Power)
        *   [3.2.1 Suspending and Resuming](#Suspending_and_Resuming)
    *   [3.3 Stylus](#Stylus)
    *   [3.4 Wireless](#Wireless)
    *   [3.5 Stylus Buttons](#Stylus_Buttons)
    *   [3.6 Right Hand Buttons](#Right_Hand_Buttons)
    *   [3.7 Screen](#Screen)
*   [4 Recommended Tablet-related Applications](#Recommended_Tablet-related_Applications)
    *   [4.1 Input](#Input)
*   [5 References](#References)

## Booting

Since the tablet has no internal cd-rom, booting from USB is the only option for getting into the installation media.

### USB Key

**Note:** I was unable to get the tablet to boot from a USB key. Use USB CD-Rom if posible

### USB CD/DVD Rom

1.  Plugin a USB CD-Rom drive with installation disk
2.  Attach keyboard (USB or Dock are fine)
3.  Boot computer
4.  While in BIOS post screen, press the "jog-dial" located on the top left edge
5.  Select "CD-Rom" and press jog-dial again

## Installation

Installation is the same as with any laptop. I recommend following the [Beginners' guide](/index.php/Beginners%27_guide "Beginners' guide")

## Post Install

For additional tablet related information, please read the [Tablet PC] page.

### Graphics

[Nouveau](/index.php/Nouveau "Nouveau") works fine, including the 3D support

### Power

Install and setup the following

*   [Cpufreq](/index.php/Cpufreq "Cpufreq")
*   [Pm-utils](/index.php/Pm-utils "Pm-utils")
*   [ACPI hotkeys](/index.php/ACPI_hotkeys "ACPI hotkeys") (acpi and acpid for suspend button to work)

#### Suspending and Resuming

Using [pm-utils](https://www.archlinux.org/packages/?name=pm-utils), suspend to RAM works out of the box. Suspend to disk (hibernate) works once you have added the `resume` parameter to the kernel boot command and the `resume` hook to `/etc/mkinitcpio.conf`, as discussed in the [pm-utils](/index.php/Pm-utils "Pm-utils") article.

Resuming after suspending to disk causes the stylus to cease functioning. No data will be sent by the digitizer until it receives the `ISDV4_SAMPLING` command, which is merely the ASCII character "1" (49). Unfortunately, the [xf86-input-wacom](https://www.archlinux.org/packages/?name=xf86-input-wacom) driver only sends that particular command during initialization. I suppose the proper way to fix this would be to modify the driver to recognize when it's resuming from a suspend to disk and send the command accordingly. Of course, I didn't want to bother with all of that, so I put the following shell script in `/etc/pm/sleep.d` instead:

```
#!/bin/sh

case "$1" in
 hibernate|resume|suspend )
  ;;
 thaw )
  xset -display :0 q 2>&1 | head -1 | grep -Eqx 'No protocol specified|Keyboard Control:' && printf 1 >>/dev/ttyS0
  ;;
 * )
  exit $NA
  ;;
esac
```

Please note that this script, as written, requires [xorg-xset](https://www.archlinux.org/packages/?name=xorg-xset).

### Stylus

Install the [xf86-input-wacom](https://www.archlinux.org/packages/?name=xf86-input-wacom) package. A reboot may be required for Xorg to recognize the serial digitizer For additional help, see the [Wacom](/index.php/Wacom "Wacom") page.

### Wireless

**TODO**

### Stylus Buttons

I've done a [quick and dirty hack](https://docs.google.com/open?id=0B1SyqFJr-62rMXhPWUo2VVBYY28) of [xf86-input-wacom](https://www.archlinux.org/packages/?name=xf86-input-wacom) to get the stylus-activated buttons working.

Unpack it, build it using [makepkg](/index.php/Makepkg "Makepkg"), and install the resulting package with [pacman](/index.php/Pacman "Pacman"). The stylus buttons will now generate keycodes when triggered, and these can be bound to actions by either your [window manager](/index.php/Window_manager "Window manager") or [xbindkeys](/index.php/Xbindkeys "Xbindkeys"). The specific keycodes are as follows:

| Button | Keycode |
| Rotate | KEY_DIRECTION (161) |
| Journal Launch | KEY_PROG3 (210) |
| Tablet PC Input Panel Launch | KEY_PROG4 (211) |

### Right Hand Buttons

Side buttons work out of the box. Sometimes they do not respond until the unit is put into standby and then resumed

### Screen

**TODO**

## Recommended Tablet-related Applications

### Input

*   cellwriter
*   dasher

## References

Alternative Install Guides:

*   [http://wiki.linuxquestions.org/wiki/TC1100](http://wiki.linuxquestions.org/wiki/TC1100)

General TC1000/TC110 resources:

*   [http://81.5.185.34/tc-one-thousand/tc1x00_tweaks.html](http://81.5.185.34/tc-one-thousand/tc1x00_tweaks.html)