## Contents

*   [1 Programming/Scripting](#Programming.2FScripting)
    *   [1.1 General Material](#General_Material)
        *   [1.1.1 Video](#Video)
    *   [1.2 Languages](#Languages)
        *   [1.2.1 Bash/Shell](#Bash.2FShell)
        *   [1.2.2 C](#C)
        *   [1.2.3 C++](#C.2B.2B)
        *   [1.2.4 Erlang](#Erlang)
        *   [1.2.5 Haskell](#Haskell)
        *   [1.2.6 Java](#Java)
        *   [1.2.7 JavaScript](#JavaScript)
        *   [1.2.8 Lua](#Lua)
        *   [1.2.9 Perl](#Perl)
        *   [1.2.10 PHP](#PHP)
        *   [1.2.11 Python](#Python)
        *   [1.2.12 Ruby](#Ruby)
*   [2 Typesetting/Markup Languages](#Typesetting.2FMarkup_Languages)
    *   [2.1 (X)HTML](#.28X.29HTML)
    *   [2.2 LaTeX](#LaTeX)

## Programming/Scripting

### General Material

*   [The Architecture of Open Source Applications](http://www.aosabook.org/)
*   [Open Advice](http://open-advice.org/) FOSS: What we wish we had known when we started

#### Video

*   [Stanford Engineering Everywhere (SEE)](http://see.stanford.edu/)
*   [UC Berkeley's webcasts](http://webcast.berkeley.edu/)
*   [MIT Course](http://ocw.mit.edu/courses/electrical-engineering-and-computer-science/)
*   [Introduction to Computer Science](http://cs50.tv/2010/fall/) Harvard College's introductory course videos
*   [Academic Earth](http://academicearth.org/subjects/computer-science)

### Languages

#### [Bash/Shell](https://en.wikipedia.org/wiki/Bash_(Unix_shell) "wikipedia:Bash (Unix shell)")

*   [Bash FAQ](http://mywiki.wooledge.org/BashFAQ)
*   [Bash Guide](http://mywiki.wooledge.org/BashGuide)
*   [Bash Hacker's Wiki](http://wiki.bash-hackers.org/start)
*   [Shell Scripting: Expert Recipes for Linux, Bash and More](http://steve-parker.org/sh/sh.shtml)
*   [BASH Programming - Introduction HOW-TO](http://tldp.org/HOWTO/Bash-Prog-Intro-HOWTO.html)

#### [C](https://en.wikipedia.org/wiki/C_(programming_language) "wikipedia:C (programming language)")

*   [The C Programming Language, Second Edition](http://cm.bell-labs.com/cm/cs/cbook/)
*   [Learn C The Hard Way](http://c.learncodethehardway.org/)

#### [C++](https://en.wikipedia.org/wiki/C%2B%2B "wikipedia:C++")

#### [Erlang](http://www.erlang.org/)

*   [Learn you Some Erlang for Great Good!](http://learnyousomeerlang.com/)

#### [Haskell](http://haskell.org/)

*   [Learn You a Haskell for Great Good!](http://learnyouahaskell.com/)
*   [Real World Haskell](http://book.realworldhaskell.org/)

#### [Java](http://www.oracle.com/technetwork/java/)

*   [Introduction to Programming Using Java](http://math.hws.edu/javanotes/)

#### [JavaScript](https://en.wikipedia.org/wiki/JavaScript "wikipedia:JavaScript")

*   [JavaScript: The Good Parts](http://shop.oreilly.com/product/9780596517748.do)
*   [Eloquent JavaScript: A Modern Introduction to Programming](http://eloquentjavascript.net/)

#### [Lua](http://www.lua.org/)

#### [Perl](http://www.perl.org/)

*   [Higher-Order Perl](http://hop.perl.plover.com/)
*   [Modern Perl](http://onyxneon.com/books/modern_perl/)

#### [PHP](http://php.org/)

#### [Python](http://python.org/)

*   [Learn Python The Hard Way](http://learnpythonthehardway.org/)
*   [Dive Into Python 3](http://diveintopython3.ep.io/)
*   [Think Python: How to Think Like a Computer Scientist](http://www.greenteapress.com/thinkpython/thinkpython.html)

#### [Ruby](http://www.ruby-lang.org/)

*   [why's (poignant) Guide to Ruby](https://en.wikipedia.org/wiki/Why%27s_(poignant)_Guide_to_Ruby "wikipedia:Why's (poignant) Guide to Ruby")
*   [Learn Ruby The Hard Way](http://ruby.learncodethehardway.org/)

## [Typesetting](https://en.wikipedia.org/wiki/Typesetting "wikipedia:Typesetting")/[Markup Languages](https://en.wikipedia.org/wiki/Markup_language "wikipedia:Markup language")

### ([X](https://en.wikipedia.org/wiki/XHTML "wikipedia:XHTML"))[HTML](https://en.wikipedia.org/wiki/HTML "wikipedia:HTML")

*   [Dive into HTML5](http://diveintohtml5.info/)

### [LaTeX](http://www.latex-project.org/)