This article covers the installation and configuration of Arch Linux on a Lenovo T460s laptop.

## Contents

*   [1 Model Description](#Model_Description)
    *   [1.1 Support](#Support)
*   [2 Troubleshooting](#Troubleshooting)
    *   [2.1 Touchpad](#Touchpad)
    *   [2.2 Suspend / Resume](#Suspend_.2F_Resume)
    *   [2.3 Fingerprint Sensor](#Fingerprint_Sensor)

## Model Description

Lenovo ThinkPad T460s

### Support

| **Device** | **Working** |
| [Intel graphics](/index.php/Intel_graphics "Intel graphics") | Yes |
| [Wireless network configuration](/index.php/Wireless_network_configuration "Wireless network configuration") | Manual |
| [ALSA](/index.php/ALSA "ALSA") | Yes |
| [Touchpad](/index.php/Touchpad "Touchpad") | Manual |
| Trackpad | Yes |
| [Webcam](/index.php/Webcam "Webcam") | Yes |
| Fingerprint Sensor | No |
| Mobile Broadband |  ? |
| Bluetooth | Yes |

## Troubleshooting

The [linux-t460s](https://aur.archlinux.org/packages/linux-t460s/) package includes kernel patches that fix the mouse and suspend issues described below. Rumors are that these patches are included upstream for linux 4.6.

### Touchpad

There is an open [kernel bug](https://bugzilla.kernel.org/show_bug.cgi?id=114321) which causes the physical mouse button (belonging to the TrackPoint) to report release events immediately even when pressing and holding the button. This prevents drag and drop and similar actions from working. The patch provided in that thread fixes the issue.

### Suspend / Resume

Suspending the T460s by closing the lid when running on battery causes the machine to freeze up entirely. This can be worked around by setting the "intel_pstate=no_hwp" kernel parameter or by compiling the kernel with the patch attached to the [kernel bug](https://bugzilla.kernel.org/show_bug.cgi?id=113551) tracking this issue.

### Fingerprint Sensor

The fingerprint sensor built into the T460s is currently not supported by [Fprint](/index.php/Fprint "Fprint").