The idea behind this page is to make a list of big Linux conferences at which we'd like to have Arch Linux represented. The idea is that we can all contribute to it and coordinate on the dates, details, and who's going.

## Contents

*   [1 FOSDEM](#FOSDEM)
*   [2 FrOSCon](#FrOSCon)
*   [3 Linux Bier Wanderung](#Linux_Bier_Wanderung)
*   [4 Linux-Kongress](#Linux-Kongress)
*   [5 LinuxTag](#LinuxTag)
*   [6 SCALE](#SCALE)
*   [7 Linux World Expo 2006](#Linux_World_Expo_2006)
*   [8 More](#More)
*   [9 Notes about conference preparation](#Notes_about_conference_preparation)

## FOSDEM

| Quote: | FOSDEM meetings are recognized as "The best Free Software and Open Source events in Europe" |
| Site: | [https://fosdem.org/](https://fosdem.org/) |
| Wikipedia: | [Wikipedia:FOSDEM](https://en.wikipedia.org/wiki/FOSDEM "wikipedia:FOSDEM") |
| Where: | Brussels, Belgium |
| When: | February, 23th-24th (in 2008) |
| Since: | 2001 |
| Arch presence: | no booths, but in 2010, JGC, Thomas, Roman, and Dieter were there. In 2011, Dieter was there (both times in Arch clothing) |

## FrOSCon

| Site: | [http://www.froscon.de/en/home/](http://www.froscon.de/en/home/) |
| Where: | Sankt Augustin, Germany |
| When: | August, 23th-24th (2008); August, 25th-26th (2007); June, 24th-25th (2006) |
| Since: | 2006 |
| Arch presence: | 2007, 2008, 2009 |

## Linux Bier Wanderung

| Site: | [http://www.linuxbierwanderung.com/](http://www.linuxbierwanderung.com/)
[http://lbw2008.palfreman.com/](http://lbw2008.palfreman.com/)
[http://compsoc.dur.ac.uk/mediawiki/index.php/Mini_LBW_2008](http://compsoc.dur.ac.uk/mediawiki/index.php/Mini_LBW_2008) |
| Wikipedia: | [Wikipedia:Linux Bier Wanderung](https://en.wikipedia.org/wiki/Linux_Bier_Wanderung "wikipedia:Linux Bier Wanderung") |
| Where: | different European country each summer,
in 2008 - Samnaun-Compatsch, Switzerland,
Durham, UK (mini-LBW) |
| When: | August, 9th-17th (2008)
September, 26th-28th (2008, mini-LBW) |
| Since: | 1999 |
| Arch presence: | not yet :( |

## Linux-Kongress

| Quote: | Linux-Kongress is by far one of the most traditional Linux conferences with a focus on development and cutting edge topics |
| Site: | [http://www.linux-kongress.org/](http://www.linux-kongress.org/) |
| Wikipedia: | [Wikipedia:Linux Kongress](https://en.wikipedia.org/wiki/Linux_Kongress "wikipedia:Linux Kongress") |
| Where: | Hamburg, Germany |
| When: | October, 7th-10th (2008) |
| Since: | 1997 |
| Arch presence: | not yet :( |

## LinuxTag

| Quote: | Europe's leading exhibition on Linux and Open Source |
| Site: | [http://www.linuxtag.org/](http://www.linuxtag.org/) |
| Wikipedia: | [Wikipedia:LinuxTag](https://en.wikipedia.org/wiki/LinuxTag "wikipedia:LinuxTag") |
| Where: | Berlin, Germany (since 2007) |
| When: | May, 28th-31th (2008) |
| Since: | 1996 |
| Arch presence: | 2007 |

## SCALE

| Site: | [https://www.socallinuxexpo.org/scale/14x/](https://www.socallinuxexpo.org/scale/14x/) |
| Where: | Pasadena Convention Center, Pasadena, CA, USA |
| When: | January 21-24, 2016 |
| Since: | 2016 |
| Arch user presence: | Arch Linux Distribution Users, contact Systemservers re booth participation |

## Linux World Expo 2006

Boston, MA
April 3-5, 2006
[http://www.linuxworldexpo.com/](http://www.linuxworldexpo.com/) 

## More

*   [Wikipedia:Linux conference](https://en.wikipedia.org/wiki/Linux_conference "wikipedia:Linux conference")

## Notes about conference preparation

A few notes about conference preparation:

*   Make banners. Most likely the information will have changed enough from the last conference to not be able to use the old ones. Banners add a nice look to the drab, boring, grey walls.
*   Book hotels **early**. If I'm not making myself clear enough, it needs to be as **early as possible**. Otherwise you may end up sleeping in a field...
*   Try to have at least 2 shifts of people. A booth our size (about 12 square meters) only needed about 4 people at a time. By breaking into two shifts, the booth will be cleaner, have more room in it, and people won't want to all go to lunch at the same time (half went to lunch before they came, the other half go to lunch when they leave).
*   Always make sure there's someone in the booth from opening to the end. This means that some people can't party with everyone else the night before. If you rotate the previously mentioned shifts, everyone will have a chance to party with everyone else.
*   Have display machines. Nothing is worse than trying to explain how something works to a visitor and not being able to show them.
*   Try to have some cool videos running on the display machines. Then they're much less boring when people walk by.
*   If you plan on just laying CDs out on the table for anyone to grab, expect to give away a lot of CDs. We ended up having people take about 50 CDs a day, sometimes 2 or 3 at a time. If you plan on giving out CDs like this, look into getting a large bunch pressed: giving away burned CDs marked with a CD pen doesn't exactly look good.
*   If you plan on giving away flyers, have them printed before. Also, proof read them to make sure there aren't any silly spelling mistakes. You'll end up giving away more flyers than CDs.
*   Don't expect to get a lot of work done while you're in the booth. It's not exactly professional to sit there and force people to approach you because you're deep in some code somewhere.
*   Have a donation box. You will get donations.