This page strives to list all games which have a package available in the [official repositories](/index.php/Official_repositories "Official repositories") or the [AUR](/index.php/AUR "AUR"). There are many more Linux games available, which are not packaged. See [Gaming#Getting games](/index.php/Gaming#Getting_games "Gaming") for ways to obtain them.

For more about running games, related system configuration tips, see [Gaming](/index.php/Gaming "Gaming"). For an up to date selection of games available in the AUR, try checking the [AUR 'game' keyword](https://aur.archlinux.org/packages/?SeB=k&K=game).

## Contents

*   [1 Action and adventure](#Action_and_adventure)
*   [2 Arcade](#Arcade)
*   [3 Casual games](#Casual_games)
*   [4 Chess simulators](#Chess_simulators)
*   [5 Education](#Education)
*   [6 Interactive fiction](#Interactive_fiction)
*   [7 Massively multiplayer online games (MMO)](#Massively_multiplayer_online_games_.28MMO.29)
*   [8 Platformer](#Platformer)
*   [9 Puzzle](#Puzzle)
*   [10 Racing](#Racing)
*   [11 Rogue-like](#Rogue-like)
*   [12 Role-playing games (RPG)](#Role-playing_games_.28RPG.29)
*   [13 Shooters (FPS, third person)](#Shooters_.28FPS.2C_third_person.29)
*   [14 Simulation](#Simulation)
*   [15 Strategy](#Strategy)
*   [16 Tycoon/management games](#Tycoon.2Fmanagement_games)
*   [17 Visual novels](#Visual_novels)
*   [18 Other](#Other)
*   [19 See also](#See_also)

## Action and adventure

*   **Abuse** — Side-scroller action game that pits you against ruthless alien killers.

	[http://abuse.zoy.org/](http://abuse.zoy.org/) || [abuse](https://www.archlinux.org/packages/?name=abuse)

*   **[Aquaria](https://en.wikipedia.org/wiki/Aquaria_(video_game) "wikipedia:Aquaria (video game)")** — 2D sidescrolling action-adventure game, heavily focused on exploration and puzzle-solving, with non-linear gameplay. The game engine is open source.

	[http://www.bit-blot.com/aquaria](http://www.bit-blot.com/aquaria) || [aquaria-ose](https://aur.archlinux.org/packages/aquaria-ose/), [aquaria-hib](https://aur.archlinux.org/packages/aquaria-hib/)

*   **Astromenace** — Modern 3D scrolling space shooter with ship upgrade possibilities.

	[http://sourceforge.net/projects/openastromenace/](http://sourceforge.net/projects/openastromenace/) || [astromenace](https://www.archlinux.org/packages/?name=astromenace).

*   **Barrage** — Violent *point-and-click* shooting game with nice effects

	[http://lgames.sourceforge.net/index.php?project=Barrage](http://lgames.sourceforge.net/index.php?project=Barrage) || [barrage](https://www.archlinux.org/packages/?name=barrage)

*   **[Blob Wars: Metal Blob Solid](https://en.wikipedia.org/wiki/Blob_Wars "wikipedia:Blob Wars")** — 2D Action-adventure game with various weapons and missions.

	[https://sourceforge.net/projects/blobwars/](https://sourceforge.net/projects/blobwars/) || [blobwars](https://www.archlinux.org/packages/?name=blobwars)

*   **[Blob Wars: Blob and Conquer](https://en.wikipedia.org/wiki/Blob_Wars "wikipedia:Blob Wars")** — 3D Action-adventure game, sequel to 2D platform game, Blob Wars: Metal Blob Solid.

	[http://sourceforge.net/projects/blobandconquer/](http://sourceforge.net/projects/blobandconquer/) || [blobandconquer](https://aur.archlinux.org/packages/blobandconquer/)

*   **[BZFlag](https://en.wikipedia.org/wiki/BZFlag "wikipedia:BZFlag")** — Multiperson, first-person tank shooter.

	[http://bzflag.org/](http://bzflag.org/) || [bzflag](https://www.archlinux.org/packages/?name=bzflag)

*   **[Freedink](https://en.wikipedia.org/wiki/Dink_Smallwood "wikipedia:Dink Smallwood")** — Free and enhanced version of the action-adventure "Dink Smallwood".

	[http://www.freedink.org/](http://www.freedink.org/) || [freedink](https://aur.archlinux.org/packages/freedink/)

*   **[Gish](https://en.wikipedia.org/wiki/Gish_(video_game) "wikipedia:Gish (video game)")** — 2D physics platformer about adventures of ball of tar.

	[http://www.gishgame.com/](http://www.gishgame.com/) || [freegish-git](https://aur.archlinux.org/packages/freegish-git/)

*   **[Hammerfight](https://en.wikipedia.org/wiki/Hammerfight "wikipedia:Hammerfight")** — 2-dimensional physics-based combat game.

	[http://www.koshutin.com/](http://www.koshutin.com/) || [hammerfight](https://aur.archlinux.org/packages/hammerfight/)

*   The open-source Unix port of the Haaf's Game Engine is available at [icculus.org](https://icculus.org/hge-unix/).

*   **[Liquid War](https://en.wikipedia.org/wiki/Liquid_War "wikipedia:Liquid War")** — 2D multiplayer game with a simple and unique game mechanic. It could be classified as a fast-paced strategy.

	[http://www.ufoot.org/liquidwar/](http://www.ufoot.org/liquidwar/) || [liquidwar](https://aur.archlinux.org/packages/liquidwar/)

*   A rewrite of the game program, now adopted as a GNU project: [liquidwar6](https://aur.archlinux.org/packages/liquidwar6/), homepage: [| Liquid War 6](http://www.gnu.org/software/liquidwar6/)

*   **[Minecraft](/index.php/Minecraft "Minecraft")** — Java based sandbox game. Very addictive game, big community, lots of updates, do not miss this one.

	[http://minecraft.net](http://minecraft.net) || [minecraft](https://aur.archlinux.org/packages/minecraft/)

*   **[Neverball](https://en.wikipedia.org/wiki/Neverball "wikipedia:Neverball")** — 3D game to guide a ball through a maze.

	[http://neverball.org/](http://neverball.org/) || [neverball](https://www.archlinux.org/packages/?name=neverball)

*   **[Rune](https://en.wikipedia.org/wiki/Rune_(video_game) "wikipedia:Rune (video game)")** — 3rd person Adventure / Hack'n Slay using Unreal Engine. Runs great from box installation.

	[http://www.rune-world.com](http://www.rune-world.com) || [rune](https://aur.archlinux.org/packages/rune/)

*   **Paintball Party 2** — Paintball Party 2 is the sequel to Paintball Party, a multiplayer action platformer for all ages.

	[http://www.t3-i.com/pages/project.php?id=paintball_party_2](http://www.t3-i.com/pages/project.php?id=paintball_party_2) || [paintball-party-2](https://aur.archlinux.org/packages/paintball-party-2/)

## Arcade

*   **Bomberclone** — Free Bomberman-like game for Linux and Windows. The rules of the game are simple: run though a level and bomb other players.

	[http://bomberclone.sourceforge.net/homepage/](http://bomberclone.sourceforge.net/homepage/) || [bomberclone](https://www.archlinux.org/packages/?name=bomberclone)

*   **[Cave Story/Doukutsu](https://en.wikipedia.org/wiki/Cave_Story "wikipedia:Cave Story")** — Addictive 1-man-made metroid-vania-esque platformer. If there happens to be a noticible lag when there are lots of enemies on screen or in larger levels, try running the Windows version through Wine. This should fix the problem.

	[http://cavestory.org](http://cavestory.org) || [doukutsu](https://aur.archlinux.org/packages/doukutsu/)

*   **Ceferino** — Action game similar to Super Pang.

	[http://www.losersjuegos.com.ar/juegos/ceferino](http://www.losersjuegos.com.ar/juegos/ceferino) || [ceferino](https://aur.archlinux.org/packages/ceferino/)

*   **Chromium** — Fast paced, arcade-style, top-scrolling space shooter.

	[http://chromium-bsu.sourceforge.net/](http://chromium-bsu.sourceforge.net/) || [chromium-bsu](https://www.archlinux.org/packages/?name=chromium-bsu)

*   **Circus Linux!** — Clone of the Atari 2600 game "Circus Atari", produced by Atari, Inc.

	[http://www.newbreedsoftware.com/circus-linux](http://www.newbreedsoftware.com/circus-linux) || [circuslinux](https://aur.archlinux.org/packages/circuslinux/)

*   **Counter-Strike 2D** — 2D clone (+additional features) of the popular Counter-Strike Mod

	[http://cs2d.com](http://cs2d.com) || [counter-strike-2d](https://aur.archlinux.org/packages/counter-strike-2d/)

*   **Crack-attack** — Free OpenGL game, based on the Super Nintendo classic Tetris Attack.

	[http://www.nongnu.org/crack-attack/](http://www.nongnu.org/crack-attack/) || [crack-attack](https://aur.archlinux.org/packages/crack-attack/)

*   **[Frogatto](https://en.wikipedia.org/wiki/Frogatto "wikipedia:Frogatto")** — Much enjoyable platformer, in which you help a small green fellow named Frogatto walk and jump between solid footholds without getting hurt; have a look at [this review](http://www.slidetoplay.com/story/frogatto-review).

	[http://frogatto.com](http://frogatto.com) || [frogatto](https://www.archlinux.org/packages/?name=frogatto)

*   **[Frozen Bubble](https://en.wikipedia.org/wiki/Frozen_Bubble "wikipedia:Frozen Bubble")** — Arcade game with colorful animated penguin eyecandy

	[http://frozen-bubble.org](http://frozen-bubble.org) || [frozen-bubble](https://www.archlinux.org/packages/?name=frozen-bubble)

*   **[Hedgewars](https://en.wikipedia.org/wiki/Hedgewars "wikipedia:Hedgewars")** — Yet another Worms clone, considered to be better than its predecessor by many. Take turns to blast your opponents into oblivion with comedic results! Best in Multiplayer.

	[http://hedgewars.org/](http://hedgewars.org/) || [hedgewars](https://www.archlinux.org/packages/?name=hedgewars)

*   **lbreakout2** — Breakout-style arcade game in the manner of Arkanoid

	[http://lgames.sourceforge.net/index.php?project=LBreakout2](http://lgames.sourceforge.net/index.php?project=LBreakout2) || [lbreakout2](https://www.archlinux.org/packages/?name=lbreakout2)

*   **LTris** — Arcade version of Tetris

	[http://lgames.sourceforge.net/index.php?project=LTris](http://lgames.sourceforge.net/index.php?project=LTris) || [ltris](https://www.archlinux.org/packages/?name=ltris)

*   **[Mari0](https://en.wikipedia.org/wiki/Mari0 "wikipedia:Mari0")** — The Mario game with Portal gun mechanics.

	[http://stabyourself.net/mari0/](http://stabyourself.net/mari0/) || [mari0](https://www.archlinux.org/packages/?name=mari0)

*   **Nikki and the Robots** — Cute physics platformer

	[http://joyridelabs.de/game/](http://joyridelabs.de/game/) || [nikki](https://aur.archlinux.org/packages/nikki/)

*   **Noiz2sa** — Vertical shooter arcade game with nice abstract graphics, music, and joystick support.

	[http://www.asahi-net.or.jp/~cs8k-cyu/windows/noiz2sa_e.html](http://www.asahi-net.or.jp/~cs8k-cyu/windows/noiz2sa_e.html) || [noiz2sa](https://aur.archlinux.org/packages/noiz2sa/)

*   **Penguin Command** — Clone of the classic game "Missile Command" with improved graphics and sound.

	[http://www.linux-games.com/penguin-command/](http://www.linux-games.com/penguin-command/) || [penguin-command](https://aur.archlinux.org/packages/penguin-command/)

*   **Pinball** — Open source pinball simulator for Linux and other Unix systems.

	[http://pinball.sourceforge.net/](http://pinball.sourceforge.net/) || [pinball](https://aur.archlinux.org/packages/pinball/)

*   **PowerManga** — Arcade 2D shoot-em-up game with 41 levels and more than 200 sprites.

	[http://linux.tlk.fr/games/Powermanga/](http://linux.tlk.fr/games/Powermanga/) || [powermanga](https://aur.archlinux.org/packages/powermanga/)

*   **Streets of Rage Remake** — A remake of the classic Streets of Rage 1, 2 and 3 by Sega.

	[http://sorr.forumotion.net/](http://sorr.forumotion.net/) || [streetsofrageremake](https://aur.archlinux.org/packages/streetsofrageremake/)

*   **[Open Syobon Action](https://en.wikipedia.org/wiki/Syobon_action "wikipedia:Syobon action")** — Cross platform, open source version of the unforgiving Japanese parody of Super Mario Bros

	[https://github.com/Alexander--/open-syobon](https://github.com/Alexander--/open-syobon) || [open-syobon](https://aur.archlinux.org/packages/open-syobon/)

*   **opsu!** — An open source Java client for the rhythm game osu!.

	[https://itdelatrisu.github.io/opsu/](https://itdelatrisu.github.io/opsu/) || [opsu](https://aur.archlinux.org/packages/opsu/)

*   **[Teeworlds](https://en.wikipedia.org/wiki/Teeworlds "wikipedia:Teeworlds")** — Fast-paced 2D multiplayer shooter

	[http://teeworlds.com/](http://teeworlds.com/) || [teeworlds](https://www.archlinux.org/packages/?name=teeworlds)

*   **Tetrinet** — Multiplayer online Tetris game for up to six people.

	[http://www.tetrinet.info/](http://www.tetrinet.info/) || [gtetrinet](https://www.archlinux.org/packages/?name=gtetrinet)

*   **Tuxanci** — Multiplatform game, inspired by well-known czech game Bulanci.

	[http://www.tuxanci.org/en/start](http://www.tuxanci.org/en/start) || [tuxanci](https://aur.archlinux.org/packages/tuxanci/)

*   **Ultrastar-ng** — Clone of SingStar, a music video game.

	[http://performous.org/](http://performous.org/) || [ultrastardx-git](https://aur.archlinux.org/packages/ultrastardx-git/)

*   **[Warmux](https://en.wikipedia.org/wiki/Warmux "wikipedia:Warmux") (previously *Wormux*)** — Somewhat similar to Worms 2/Worms Armageddon

	[http://sourceforge.net/projects/warmux.mirror/](http://sourceforge.net/projects/warmux.mirror/) || [warmux](https://aur.archlinux.org/packages/warmux/)

## Casual games

*   **bs** — Battleships based shooter for the console

	[http://www.catb.org/~esr/bs/](http://www.catb.org/~esr/bs/) || [bs](https://aur.archlinux.org/packages/bs/)

*   **BSD Games** — Collection of classic text games distributed with *BSD

	[http://wiki.linuxquestions.org/wiki/BSD_games](http://wiki.linuxquestions.org/wiki/BSD_games) || [bsd-games](https://www.archlinux.org/packages/?name=bsd-games)

*   **[Fortune](https://en.wikipedia.org/wiki/Fortune_(Unix) "w:Fortune (Unix)")** — Displays Random messages/quotes/jokes when invoked

	|| [fortune-mod](https://www.archlinux.org/packages/?name=fortune-mod)

*   **Mah-Jong** — Chinese Classical mahjong (not solitaire) with network support

	[http://mahjong.julianbradfield.org/](http://mahjong.julianbradfield.org/) || [mahjong](https://www.archlinux.org/packages/?name=mahjong)

*   **nInvaders** — Ncurses based space invaders clone

	[http://ninvaders.sourceforge.net/](http://ninvaders.sourceforge.net/) || [ninvaders](https://aur.archlinux.org/packages/ninvaders/)

*   **xroach** — cockroaches hide under your windows

	|| [xroach](https://aur.archlinux.org/packages/xroach/)

## Chess simulators

*   **[GNU Chess](https://en.wikipedia.org/wiki/GNU_Chess "wikipedia:GNU Chess")** — One of the oldest computer chess programs for Unix-based computers, lets most modern computers play a full game of chess

	[https://gnu.org/s/chess](https://gnu.org/s/chess) || [gnuchess](https://www.archlinux.org/packages/?name=gnuchess)

*   **Eboard** — Chess interface to ICS and chess engines

	[http://bergo.eng.br/eboard](http://bergo.eng.br/eboard) || [eboard](https://aur.archlinux.org/packages/eboard/)

*   **Knights** — Simple chess board for KDE 4\. It is a rewrite of the KDE3 Knights.

	[http://noughmad.com/knights/](http://noughmad.com/knights/) || [knights](https://www.archlinux.org/packages/?name=knights)

*   **PyChess** — An advanced chess client for linux following the GNOME Human Interface Guidelines.

	[http://pychess.org/](http://pychess.org/) || [pychess](https://www.archlinux.org/packages/?name=pychess)

*   **[GNOME Chess](https://en.wikipedia.org/wiki/GNOME_Chess "wikipedia:GNOME Chess")** — A 2D chess game which can use third party chess engines.

	[https://wiki.gnome.org/Apps/Chess](https://wiki.gnome.org/Apps/Chess) || [gnome-chess](https://www.archlinux.org/packages/?name=gnome-chess)

*   **glChess** — 3D Chess Frontend.

	[https://wiki.gnome.org/Apps/Chess](https://wiki.gnome.org/Apps/Chess) || [glchess](https://aur.archlinux.org/packages/glchess/)

## Education

*   **GCompris** — Educational software suite comprising of numerous activities for children aged 2 to 10.

	[http://gcompris.net/-en-](http://gcompris.net/-en-) || [gcompris](https://www.archlinux.org/packages/?name=gcompris)

*   **Tux Paint** — Free drawing program designed for young children.

	[http://tuxpaint.org/](http://tuxpaint.org/) || [tuxpaint](https://www.archlinux.org/packages/?name=tuxpaint)

*   **Tux Type** — Educational typing tutor for kids starring Tux.

	[http://tux4kids.alioth.debian.org/tuxtype/](http://tux4kids.alioth.debian.org/tuxtype/) || [tuxtype](https://aur.archlinux.org/packages/tuxtype/)

*   **TuxMath** — Arcade game that helps kids practice their math facts.

	[http://tux4kids.alioth.debian.org/tuxmath/](http://tux4kids.alioth.debian.org/tuxmath/) || [tuxmath](https://aur.archlinux.org/packages/tuxmath/)

## Interactive fiction

See also [Wikipedia:Interactive fiction#Development systems](https://en.wikipedia.org/wiki/Interactive_fiction#Development_systems "wikipedia:Interactive fiction").

*   **[Inform](https://en.wikipedia.org/wiki/Inform "wikipedia:Inform")** — Design system for interactive fiction based on natural language

	[http://inform7.com/](http://inform7.com/) || [inform7](https://aur.archlinux.org/packages/inform7/)

*   **INSTEAD** — Quest interpreter using Lua macros as game writing language

	[http://instead.syscall.ru/index.html](http://instead.syscall.ru/index.html) || [instead-launcher](https://www.archlinux.org/packages/?name=instead-launcher) [instead](https://www.archlinux.org/packages/?name=instead)

*   **[TADS](https://en.wikipedia.org/wiki/TADS "wikipedia:TADS")** — Prototype-based domain-specific programming language and set of standard libraries for creating interactive fiction (IF) games

	[http://tads.org](http://tads.org) || [frobtads](https://aur.archlinux.org/packages/frobtads/)

## Massively multiplayer online games (MMO)

See also [Wikipedia:List of massively multiplayer online games](https://en.wikipedia.org/wiki/List_of_massively_multiplayer_online_games "wikipedia:List of massively multiplayer online games") and [Wikipedia:Comparison of massively multiplayer online role-playing games](https://en.wikipedia.org/wiki/Comparison_of_massively_multiplayer_online_role-playing_games "wikipedia:Comparison of massively multiplayer online role-playing games").

*   **[Dofus](/index.php/Dofus "Dofus")** — Free, manga inspired, Massively Multiplayer Online Role-playing Game (MMORPG) for Adobe AIR

	[http://www.dofus.com](http://www.dofus.com) || [dofus](https://aur.archlinux.org/packages/dofus/)

*   **[Eternal Lands](https://en.wikipedia.org/wiki/Eternal_Lands "wikipedia:Eternal Lands")** — 3D fantasy online role playing game

	[http://www.eternal-lands.com](http://www.eternal-lands.com) || [eternallands](https://aur.archlinux.org/packages/eternallands/)

*   **[Planeshift](https://en.wikipedia.org/wiki/PlaneShift_(video_game) "wikipedia:PlaneShift (video game)")** — Role Playing Game immersed into a 3D virtual fantasy world which is FULLY FREE to play. Fully free means you will have no surprises of premium content which will limit your gameplay or unbalance the game. There are no limitations in skills, ranks, abilities, items you can gain with your free account

	[http://www.planeshift.it](http://www.planeshift.it) || [planeshift](https://aur.archlinux.org/packages/planeshift/)

*   **[RuneScape](/index.php/RuneScape "RuneScape")** — Massive online adventure game by Jagex

	[http://www.runescape.com](http://www.runescape.com) || [unix-runescape-client](https://aur.archlinux.org/packages/unix-runescape-client/)

*   **[Ryzom](https://en.wikipedia.org/wiki/Ryzom "wikipedia:Ryzom")** — 3D Fantasy MMORPG

	[http://www.ryzom.com](http://www.ryzom.com) || [ryzom-client](https://aur.archlinux.org/packages/ryzom-client/)

*   **[Savage: The Battle for Newerth](https://en.wikipedia.org/wiki/Savage:_The_Battle_for_Newerth "wikipedia:Savage: The Battle for Newerth")** — Online multiplayer team-based FPS/RTS hybrid. Open-sourced in September 2006\. Savage XR, the most improved continuation (including SFE patches), is completely free (no purchasing/ads whatsoever) however closed-source to reduce cheating.

	[http://www.newerth.com/](http://www.newerth.com/) || [savage](https://aur.archlinux.org/packages/savage/)

*   **[Savage 2: A Tortured Soul](https://en.wikipedia.org/wiki/Savage_2:_A_Tortured_Soul "wikipedia:Savage 2: A Tortured Soul")** — Fantasy themed online multiplayer team-based FPS/RTS/RPG hybrid. Free-to-play as of December 2008\. Pay for premium accounts providing crucial game elements such as extra inventory slots, access to clans and removal of the Hellbourne unit restrictions (per-account), as well as access to replays and stats.

	[http://savage2.com](http://savage2.com) || [savage2](https://aur.archlinux.org/packages/savage2/)

*   **[Second Life](https://en.wikipedia.org/wiki/Second_Life "wikipedia:Second Life")** — Online, 3D virtual world imagined and created by its residents

	[http://secondlife.com/](http://secondlife.com/) || [secondlife-bin](https://aur.archlinux.org/packages/secondlife-bin/)

*   **[Spiral Knights](https://en.wikipedia.org/wiki/Spiral_Knights "wikipedia:Spiral Knights")** — Free to play Java game developed by Three Rings Design and published by Sega.

	[http://www.spiralknights.com/](http://www.spiralknights.com/) || [Play in browser](http://www.spiralknights.com/play.xhtml)

*   **Stendhal** — Fully fledged multiplayer online adventure game developed using the Arianne game development system

	[http://stendhalgame.org](http://stendhalgame.org) || [stendhal](https://aur.archlinux.org/packages/stendhal/)

*   **The Mana World** — Serious effort to create an innovative free and open source MMORPG

	[http://themanaworld.org](http://themanaworld.org) || [manaplus](https://www.archlinux.org/packages/?name=manaplus)

## Platformer

*   **Knyttstories** — Platformer with adventure elements, heavy exploration and downloadable levels.

	[http://nifflas.ni2.se/](http://nifflas.ni2.se/) || [knyttstories](https://aur.archlinux.org/packages/knyttstories/)

*   **Secret Maryo Chronicles** — Mario-style game.

	[http://www.secretmaryo.org/](http://www.secretmaryo.org/) || [smc](https://aur.archlinux.org/packages/smc/)

*   **SuperTux** — Mario-style game featuring Tux.

	[http://supertux.lethargik.org/](http://supertux.lethargik.org/) || [supertux](https://www.archlinux.org/packages/?name=supertux)

*   **Toppler** — Reimplementation of the classic jump & run game "Nebulus".

	[http://toppler.sourceforge.net/](http://toppler.sourceforge.net/) || [toppler](https://aur.archlinux.org/packages/toppler/)

*   **The Secret Chronicles of Dr. M.** — A fork of Secret Maryo Chronicles.

	[https://github.com/secretchronicles/TSC](https://github.com/secretchronicles/TSC) || [tsc](https://aur.archlinux.org/packages/tsc/)

## Puzzle

*   **Blockout II** — 3D tetris, free adaptation of the original BlockOut DOS game edited by California Dreams in 1989

	[http://www.blockout.net/blockout2/](http://www.blockout.net/blockout2/) || [blockout2](https://aur.archlinux.org/packages/blockout2/)

*   **Cgoban3** — Kiseido Go and SGF client.

	[http://www.igoweb.org/~wms/comp/cgoban/](http://www.igoweb.org/~wms/comp/cgoban/) || [cgoban](https://www.archlinux.org/packages/?name=cgoban)

*   **Chroma** — Puzzle game like Sokoban with ncurses and graphics mode

	[http://www.level7.org.uk/chroma/](http://www.level7.org.uk/chroma/) || [chroma](https://aur.archlinux.org/packages/chroma/)

*   **Crack Attack!** — Free OpenGL game based on the Super Nintendo classic Tetris Attack.

	[http://www.aluminumangel.org/attack/](http://www.aluminumangel.org/attack/) || [crack-attack](https://aur.archlinux.org/packages/crack-attack/)

*   **Hitori** — Small application written to allow one to play the eponymous puzzle game, which is similar in theme to more popular puzzles such as Sudoku.

	[https://wiki.gnome.org/Apps/Hitori](https://wiki.gnome.org/Apps/Hitori) || [hitori](https://www.archlinux.org/packages/?name=hitori)

*   **Ksudoku** — Sudoku game and more for KDE. Part of [kdegames](https://www.archlinux.org/groups/x86_64/kdegames/).

	[http://ksudoku.sourceforge.net/](http://ksudoku.sourceforge.net/) || [kdegames-ksudoku](https://www.archlinux.org/packages/?name=kdegames-ksudoku)

*   **Netris** — Unfinished developmental version of Netris, a free networked version of Tetris.

	[https://sourceforge.net/projects/netris/](https://sourceforge.net/projects/netris/) || [netris](https://aur.archlinux.org/packages/netris/)

*   **Pingus** — Lemmings clone, i.e. a level-based puzzle game.

	[http://pingus.seul.org/](http://pingus.seul.org/) || [pingus](https://www.archlinux.org/packages/?name=pingus)

*   **Ri-li** — Toy wood engine GPL game

	[http://ri-li.sourceforge.net/](http://ri-li.sourceforge.net/) || [ri-li](https://aur.archlinux.org/packages/ri-li/)

*   **Simon Tatham's Portable Puzzle Collection** — 30+ "quick" puzzle games with simplistic but polished GTK GUI

	[http://www.chiark.greenend.org.uk/~sgtatham/puzzles/](http://www.chiark.greenend.org.uk/~sgtatham/puzzles/) || [puzzles](https://www.archlinux.org/packages/?name=puzzles)

*   **[VVVVVV](https://en.wikipedia.org/wiki/VVVVVV "wikipedia:VVVVVV")** — Highly praised 2D puzzle platform indie game with a C64 retro theme, with a great chiptune soundtrack. You can buy the full version for £1.67, or play the [demo](http://www.kongregate.com/games/TerryCavanagh/vvvvvv-demo/) in a browser.

**Tip:** You may want to backup your save file, which is found at `~/.macromedia/Flash_Player/#SharedObjects/*string*/localhost...`.

	[http://thelettervsixtim.es/](http://thelettervsixtim.es/) || [vvvvvv](https://aur.archlinux.org/packages/vvvvvv/)

*   **Xscorch** — Clone of the classic DOS game Scorched Earth.

	[http://www.xscorch.org/](http://www.xscorch.org/) || [xscorch](https://aur.archlinux.org/packages/xscorch/)

*   **[World of Goo](https://en.wikipedia.org/wiki/World_of_Goo "wikipedia:World of Goo")** — Great 2D puzzle game.

	[http://www.2dboy.com](http://www.2dboy.com) || [worldofgoo](https://aur.archlinux.org/packages/worldofgoo/)

## Racing

*   **Armagetron Advanced** — Tron Clone in 3D.

	[http://armagetronad.net/](http://armagetronad.net/) || [armagetronad](https://www.archlinux.org/packages/?name=armagetronad)

*   **Extreme Tux Racer** — 3D game where you guide Tux the penguin down a course of snow and ice collecting herring.

	[https://sourceforge.net/projects/extremetuxracer](https://sourceforge.net/projects/extremetuxracer) || [extremetuxracer](https://www.archlinux.org/packages/?name=extremetuxracer)

*   **Maniadrive** — Arcade car game on acrobatic tracks with quick and nervous gameplay.

	[http://maniadrive.raydium.org/](http://maniadrive.raydium.org/) || [maniadrive](https://aur.archlinux.org/packages/maniadrive/)

*   **Moon Buggy** — Simple game for the text mode.

	[http://seehuhn.de/pages/moon-buggy/](http://seehuhn.de/pages/moon-buggy/) || [moon-buggy](https://aur.archlinux.org/packages/moon-buggy/)

*   **Speed Dreams** — Fork of Torcs, aiming to implement exciting new features as well as improving realism.

	[http://speed-dreams.org/](http://speed-dreams.org/) || [speed-dreams](https://www.archlinux.org/packages/?name=speed-dreams)

*   **Stunt Rally** — Game with track editor, based on VDrift and OGRE.

	[http://code.google.com/p/vdrift-ogre/](http://code.google.com/p/vdrift-ogre/) || [stuntrally](https://www.archlinux.org/packages/?name=stuntrally)

*   **Supertux Kart** — Kart racing game featuring Tux and his friends.

	[http://supertuxkart.sourceforge.net/](http://supertuxkart.sourceforge.net/) || [supertuxkart](https://www.archlinux.org/packages/?name=supertuxkart)

*   **Torcs** — 3D racing cars simulator using OpenGL.

	[http://torcs.sourceforge.net/](http://torcs.sourceforge.net/) || [torcs](https://www.archlinux.org/packages/?name=torcs)

*   **Trigger Rally** — Free OpenGL rally car racing game.

	[http://sourceforge.net/projects/trigger-rally/](http://sourceforge.net/projects/trigger-rally/) || [trigger](https://aur.archlinux.org/packages/trigger/)

*   **Ultimate Stunts** — Remake of the famous DOS-game 'stunts'.

	[http://www.ultimatestunts.nl/](http://www.ultimatestunts.nl/) || [ultimatestunts](https://aur.archlinux.org/packages/ultimatestunts/)

*   **VDrift** — Open source driving simulation made with drift racing in mind.

	[http://vdrift.net/](http://vdrift.net/) || [vdrift](https://www.archlinux.org/packages/?name=vdrift)

*   **[XMoto](https://en.wikipedia.org/wiki/X-Moto "wikipedia:X-Moto")** — Challenging 2D motocross platform game, where physics play an important role.

	[http://xmoto.tuxfamily.org/](http://xmoto.tuxfamily.org/) || [xmoto](https://www.archlinux.org/packages/?name=xmoto)

## Rogue-like

See also [Wikipedia:Chronology of roguelike video games](https://en.wikipedia.org/wiki/Chronology_of_roguelike_video_games "wikipedia:Chronology of roguelike video games").

*   **[ADOM](https://en.wikipedia.org/wiki/ADOM "wikipedia:ADOM")** — Ancient Domains Of Mystery.

	[http://adom.de](http://adom.de) || [adom](https://aur.archlinux.org/packages/adom/)

*   **[Angband](https://en.wikipedia.org/wiki/Angband_(video_game) "wikipedia:Angband (video game)")** — Roguelike dungeon exploration game based on the writings of JRR Tolkien.

	[http://rephial.org/](http://rephial.org/) || [angband](https://www.archlinux.org/packages/?name=angband)

*   **ASCIIpOrtal** — Sidescrolling game with ANSI text graphics in which you are a person holding a device which creates portals, or links to other parts of the level.

	[http://cymonsgames.com/asciiportal](http://cymonsgames.com/asciiportal) || [asciiportal](https://aur.archlinux.org/packages/asciiportal/)

*   **[Cataclysm: Dark Days Ahead](https://en.wikipedia.org/wiki/Cataclysm:_Dark_Days_Ahead "wikipedia:Cataclysm: Dark Days Ahead")** — Post-apocalyptic roguelike.

	[http://en.cataclysmdda.com/](http://en.cataclysmdda.com/) || [cataclysm-dda](https://www.archlinux.org/packages/?name=cataclysm-dda)

*   **[Linley's Dungeon Crawl](https://en.wikipedia.org/wiki/Linley%27s_Dungeon_Crawl "wikipedia:Linley's Dungeon Crawl")** —

	[http://www.dungeoncrawl.org/](http://www.dungeoncrawl.org/) || [crawl](https://aur.archlinux.org/packages/crawl/)

*   **[DoomRL](https://en.wikipedia.org/wiki/DoomRL "wikipedia:DoomRL")** — Simple roguelike game, based on Doom. Perfect for starters.

	[http://doom.chaosforge.org/](http://doom.chaosforge.org/) || [doomrl](https://aur.archlinux.org/packages/doomrl/)

*   **[Dwarf Fortress](https://en.wikipedia.org/wiki/Dwarf_Fortress "wikipedia:Dwarf Fortress")** — Single-player fantasy game. You control a dwarven outpost or an adventurer in a randomly generated persistent world.

	[http://www.bay12games.com/dwarves/](http://www.bay12games.com/dwarves/) || [dwarffortress](https://www.archlinux.org/packages/?name=dwarffortress)

*   **[Nethack](https://en.wikipedia.org/wiki/NetHack "wikipedia:NetHack")** — Single player dungeon exploration game.

	[http://www.nethack.org/](http://www.nethack.org/) || [nethack](https://www.archlinux.org/packages/?name=nethack)

*   **[Rogue](https://en.wikipedia.org/wiki/Rogue_(video_game) "wikipedia:Rogue (video game)")** — Original dungeon crawl game.

	[http://rogue.rogueforge.net/rogue-5-4/](http://rogue.rogueforge.net/rogue-5-4/) || [rogue](https://www.archlinux.org/packages/?name=rogue)

*   **[Stone Soup](https://en.wikipedia.org/wiki/Dungeon_Crawl_Stone_Soup "wikipedia:Dungeon Crawl Stone Soup")** — Dungeon Crawl Stone Soup.

	[http://crawl.develz.org/wordpress/](http://crawl.develz.org/wordpress/) || [stone-soup](https://www.archlinux.org/packages/?name=stone-soup)

*   **[Tales of Maj'Eyal](https://en.wikipedia.org/wiki/Tales_of_Maj%27Eyal "wikipedia:Tales of Maj'Eyal") (previously *Troubles of Middle Earth*)** — A dungeon crawler similar to Angband, based on the works of Tolkien.

	[http://te4.org/](http://te4.org/) || [tome2](https://aur.archlinux.org/packages/tome2/), [tome4](https://aur.archlinux.org/packages/tome4/)

*   **wanderer** — Wanderer is a game similar to Boulderdash, Repton, XOR and others.

	[http://e271.net/~marina/wanderer.html](http://e271.net/~marina/wanderer.html) || [wanderer](https://aur.archlinux.org/packages/wanderer/) [wanderer-git](https://aur.archlinux.org/packages/wanderer-git/)

## Role-playing games (RPG)

*   **Arx Libertatis** — This project is a fully working, open source port of Arx Fatalis, a 2002 first-person role-playing game developed by Arkane Studios. It features some improvements over the original engine like bug fixes and wide screen support.

	[http://arx-libertatis.org/](http://arx-libertatis.org/) || [arx-libertatis](https://aur.archlinux.org/packages/arx-libertatis/)

*   **Egoboo** — Open-source action RPG/dungeon crawling adventure with OpenGL 3D graphics.

	[http://egoboo.sourceforge.net/](http://egoboo.sourceforge.net/) || [egoboo](https://aur.archlinux.org/packages/egoboo/)

*   **[Eschalon: Book I](https://en.wikipedia.org/wiki/Eschalon:_Book_I "wikipedia:Eschalon: Book I")** — Classical isometric RPG like Ultima, Might & Magic or Wizardry.

	[http://basiliskgames.com/](http://basiliskgames.com/) || [eschalon1](https://aur.archlinux.org/packages/eschalon1/)

*   **[Eschalon: Book II](https://en.wikipedia.org/wiki/Eschalon:_Book_II "wikipedia:Eschalon: Book II")** — Isometric, turn-based RPG.

	[http://basiliskgames.com/](http://basiliskgames.com/) || [eschalon2](https://aur.archlinux.org/packages/eschalon2/)

*   **fheores2** — Attempt to reimplement the [Heroes of Might and Magic II](https://en.wikipedia.org/wiki/Heroes_of_Might_and_Magic_II "wikipedia:Heroes of Might and Magic II") engine using SDL.

	[http://sourceforge.net/apps/mediawiki/fheroes2/index.php](http://sourceforge.net/apps/mediawiki/fheroes2/index.php) || [fheroes2-svn](https://aur.archlinux.org/packages/fheroes2-svn/)

*   **Flare** — Action game similar to Diablo.

	[http://www.flarerpg.org/](http://www.flarerpg.org/) || [flare-game](https://aur.archlinux.org/packages/flare-game/)

*   **FreedroidRPG** — Mature science fiction role playing game set in the future

	[http://freedroid.org/](http://freedroid.org/) || [freedroidrpg](https://www.archlinux.org/packages/?name=freedroidrpg)

*   **GemRB** — Attempt to reimplement the [Bioware's Infinity Engine](https://en.wikipedia.org/wiki/Infinity_Engine "wikipedia:Infinity Engine") under GNU GPL.

	[http://www.gemrb.org/](http://www.gemrb.org/) || [gemrb](https://www.archlinux.org/packages/?name=gemrb)

*   **OpenMW** — Attempt to reimplement the popular role-playing game [Morrowind](https://en.wikipedia.org/wiki/Morrowind "wikipedia:Morrowind"). OpenMW aims to be a fully playable, open source implementation of the game's engine.

	[http://openmw.org](http://openmw.org) || [openmw](https://www.archlinux.org/packages/?name=openmw)

*   **VCMI** — Attempt to reimplement [Heroes of Might and Magic III](https://en.wikipedia.org/wiki/Heroes_of_Might_and_Magic_III "wikipedia:Heroes of Might and Magic III").

	[http://forum.vcmi.eu/portal.php](http://forum.vcmi.eu/portal.php) || [vcmi](https://aur.archlinux.org/packages/vcmi/) [vcmi-git](https://aur.archlinux.org/packages/vcmi-git/)

*   **Vulture** — Isometric graphical interface for NetHack, SlashEM and UnNethack.

	[http://www.darkarts.co.za/vulture](http://www.darkarts.co.za/vulture) || [vulture](https://aur.archlinux.org/packages/vulture/)

## Shooters (FPS, third person)

*   **[Alien Arena](https://en.wikipedia.org/wiki/CodeRED:_Alien_Arena "wikipedia:CodeRED: Alien Arena")** — Free, standalone FPS focused mainly on online multiplayer, but can also be played singleplayer against bots.

	[http://red.planetarena.org/](http://red.planetarena.org/) || [alienarena](https://www.archlinux.org/packages/?name=alienarena)

*   **[AssaultCube](https://en.wikipedia.org/wiki/AssaultCube "wikipedia:AssaultCube")** — Free multiplayer FPS, based on the cube engine. Realistic environments, fast, arcade gameplay. Much like Counter-Strike.

	[http://assault.cubers.net/](http://assault.cubers.net/) || [assaultcube](https://www.archlinux.org/packages/?name=assaultcube)

*   **AssaultCube Reloaded** — AssaultCube improved.

	[http://acr.victorz.ca](http://acr.victorz.ca) || [assaultcube-reloaded](https://aur.archlinux.org/packages/assaultcube-reloaded/)

*   **[Cube](https://en.wikipedia.org/wiki/Cube_(video_game) "wikipedia:Cube (video game)")** — Open source multiplayer and singleplayer first person shooter game.

	[http://cubeengine.com/](http://cubeengine.com/) || [cube](https://aur.archlinux.org/packages/cube/)

*   **[Cube 2: Sauerbraten](https://en.wikipedia.org/wiki/Cube_2:_Sauerbraten "wikipedia:Cube 2: Sauerbraten")** — Improved version of the Cube engine.

	[http://sauerbraten.org/](http://sauerbraten.org/) || [sauerbraten](https://www.archlinux.org/packages/?name=sauerbraten)

*   [Doom](https://en.wikipedia.org/wiki/Doom_(1993_video_game) "wikipedia:Doom (1993 video game)"): the famous shooter from ID Software has several ports for Linux. None of the id-engine games have copyleft game resources, only the game engine code was open sourced. See [[1]](http://doom.wikia.com/wiki/Source_port) for details.

*   Doom 1 Demo data – [doom1-wad](https://aur.archlinux.org/packages/doom1-wad/)
*   **Freedoom** — Project aimed at creation of free Doom data files.

	[http://www.nongnu.org/freedoom/](http://www.nongnu.org/freedoom/) || [freedoom1](https://aur.archlinux.org/packages/freedoom1/), [freedoom2](https://aur.archlinux.org/packages/freedoom2/)

*   **Chocolate Doom** — Doom port reproducing the behavior of the original DOS version.

	[http://www.chocolate-doom.org/](http://www.chocolate-doom.org/) || [chocolate-doom](https://aur.archlinux.org/packages/chocolate-doom/)

*   **Doomsday** — Advanced port of the Doom game engine, capable also of running Heretic, and Hexen games.

	[http://www.dengine.net/](http://www.dengine.net/) || [doomsday](https://aur.archlinux.org/packages/doomsday/)

*   **GZDoom** — Doom source port based on ZDoom with an OpenGL renderer.

	[http://www.osnanet.de/c.oelckers/gzdoom/index.html](http://www.osnanet.de/c.oelckers/gzdoom/index.html) || [gzdoom](https://aur.archlinux.org/packages/gzdoom/)

*   **PrBoom Plus** — Enhanced version of the PrBoom Doom engine port.

	[http://prboom-plus.sourceforge.net/](http://prboom-plus.sourceforge.net/) || [prboom-plus](https://aur.archlinux.org/packages/prboom-plus/)

*   **Remood** — advanced Doom game engine based on Doom Legacy.

	[http://remood.org/](http://remood.org/) || [remood](https://aur.archlinux.org/packages/remood/)

*   **Strawberry Doom** — Fork of Chocolate Doom extending certain engine limits.

	[http://doom.wikia.com/wiki/Strawberry_Doom](http://doom.wikia.com/wiki/Strawberry_Doom) || [strawberry-doom-svn](https://aur.archlinux.org/packages/strawberry-doom-svn/)

*   **Vavoom** — Highly advanced Doom engine port with added support for Heretic/Hexen/Strife.

	[http://vavoom-engine.com/](http://vavoom-engine.com/) || [vavoom](https://aur.archlinux.org/packages/vavoom/)

*   **ZDoom** — Enhanced Doom port with additional support for Heretic, Hexen and Strife.

	[http://www.zdoom.org/](http://www.zdoom.org/) || [zdoom](https://aur.archlinux.org/packages/zdoom/)

*   [Doom 3](https://en.wikipedia.org/wiki/Doom_3 "wikipedia:Doom 3")

*   **Doom 3** — Stock Doom 3 binaries

	[http://www.idsoftware.com](http://www.idsoftware.com) || [doom3-bin](https://aur.archlinux.org/packages/doom3-bin/)

*   **Doom 3 Engine** — Source-based Doom 3 engine

	[http://www.idsoftware.com](http://www.idsoftware.com) || [doom3](https://aur.archlinux.org/packages/doom3/)

*   **dhemw3** — Fork of iodoom3

	[https://github.com/dhewm/dhewm3](https://github.com/dhewm/dhewm3) || [dhewm3](https://aur.archlinux.org/packages/dhewm3/)

*   **RBDOOM-3-BFG** — Fork of Doom 3 BFG Edition

	[https://github.com/RobertBeckebans/RBDOOM-3-BFG](https://github.com/RobertBeckebans/RBDOOM-3-BFG) || [rbdoom-3-bfg](https://aur.archlinux.org/packages/rbdoom-3-bfg/)

*   **ezQuake** — Fast paced multiplayer FPS focusing on movement and trick jumps. The popular, modern and maintained Quake/QuakeWorld client. Can play on-line for free

	[http://ezquake.sourceforge.net/](http://ezquake.sourceforge.net/) || [ezquake](https://aur.archlinux.org/packages/ezquake/)

*   [Duke Nukem 3D](https://en.wikipedia.org/wiki/Duke_Nukem_3D "wikipedia:Duke Nukem 3D")

*   **Duke 3D** — Original port.

	[http://icculus.org/projects/duke3d/](http://icculus.org/projects/duke3d/) || [duke3d-svn](https://aur.archlinux.org/packages/duke3d-svn/)

*   **eduke32** — Advanced source port.

	[http://eduke32.com/](http://eduke32.com/) || [eduke32](https://aur.archlinux.org/packages/eduke32/)

*   **[Enemy Territory: Quake Wars](https://en.wikipedia.org/wiki/Enemy_Territory:_Quake_Wars "wikipedia:Enemy Territory: Quake Wars")** — Commercial team and class-based multiplayer game. Full version requires retail DVD to play.

	[http://zerowing.idsoftware.com/linux/etqw/](http://zerowing.idsoftware.com/linux/etqw/) || [etqw](https://aur.archlinux.org/packages/etqw/)

*   **HHeretic** — Linux port of Raven Game's old shooter, Heretic.

	[http://hhexen.sourceforge.net/hheretic.html](http://hhexen.sourceforge.net/hheretic.html) || [hheretic](https://aur.archlinux.org/packages/hheretic/)

*   Heretic Demo game data – [heretic1-wad](https://aur.archlinux.org/packages/heretic1-wad/)
*   **Blasphemer** — Project aimed at creation of free Heretic data files.

	[http://code.google.com/p/blasphemer/](http://code.google.com/p/blasphemer/) || [blasphemer](https://aur.archlinux.org/packages/blasphemer/)

*   **HHexen** — Linux port of Raven Game's old shooter, Hexen.

	[http://hhexen.sourceforge.net/hhexen.html](http://hhexen.sourceforge.net/hhexen.html) || [hhexen](https://aur.archlinux.org/packages/hhexen/)

*   Hexen 1 Demo game data – [hexen1-wad](https://aur.archlinux.org/packages/hexen1-wad/)

*   **[Nexuiz](https://en.wikipedia.org/wiki/Nexuiz "wikipedia:Nexuiz")** — Free, open-source first person shooter. Development ceased, most of the developers moved to project [Xonotic](http://xonotic.org/).

	[http://alientrap.org/nexuiz](http://alientrap.org/nexuiz) || [nexuiz](https://aur.archlinux.org/packages/nexuiz/)

*   **nQuake** — Fast paced multiplayer FPS focusing on movement and trick jumps. This is the popular Quake / QuakeWorld package, including ezQuake client, 24bit textures, maps, bots and more. Can play on-line for free.

	[http://nquake.sourceforge.net/](http://nquake.sourceforge.net/) || [nquake-arena](https://aur.archlinux.org/packages/nquake-arena/)

*   **[OpenArena](https://en.wikipedia.org/wiki/OpenArena "wikipedia:OpenArena")** — Fast multiplayer shooter based on the quake3-engine.

	[http://openarena.ws](http://openarena.ws) || [openarena](https://aur.archlinux.org/packages/openarena/)

*   **[Prey](https://en.wikipedia.org/wiki/Prey_(video_game) "wikipedia:Prey (video game)")** — First Person Shooter released in 2006 (with a GNU/Linux port in 2008), published by 3D Realms.

	[http://www.3drealms.com/prey/index.html](http://www.3drealms.com/prey/index.html) || [prey](https://aur.archlinux.org/packages/prey/)

*   [Quake](https://en.wikipedia.org/wiki/Quake_(video_game) "wikipedia:Quake (video game)")

*   Advanced Quake 1 game engine – [darkplaces](https://aur.archlinux.org/packages/darkplaces/)
*   Free content replacement project for Quake 1 – [oqplus-svn](https://aur.archlinux.org/packages/oqplus-svn/)
*   High quality textures for Quake from the Quake Revitalization Project – [quake-qrp-textures](https://aur.archlinux.org/packages/quake-qrp-textures/)

*   [Quake II](https://en.wikipedia.org/wiki/Quake_II "wikipedia:Quake II")

*   **Quake 2** — Built by Icculus

	[http://www.icculus.org/quake2/](http://www.icculus.org/quake2/) || [quake2](https://aur.archlinux.org/packages/quake2/)

*   Advanced Quake 2 engine – [qudos-zws](https://aur.archlinux.org/packages/qudos-zws/)
*   Enhanced Quake 2 engine with Lazarus mod support – [kmquake2](https://aur.archlinux.org/packages/kmquake2/)
*   A true color retexture pak for Quetoo and other Quake2 engines supporting 32bpp tga textures – [quake2-retexture](https://aur.archlinux.org/packages/quake2-retexture/)
*   Quake 2 engine focused on single player and 64bits. [yamagi-quake2](https://aur.archlinux.org/packages/yamagi-quake2/)

*   [Quake III Arena](https://en.wikipedia.org/wiki/Quake_III_Arena "wikipedia:Quake III Arena")

*   Quake III Arena binaries – [quake3](https://aur.archlinux.org/packages/quake3/)
*   **ioquake3** — De-facto FOSS Quake 3 distribution.

	[http://ioquake3.org/](http://ioquake3.org/) || [ioquake3](https://aur.archlinux.org/packages/ioquake3/)

*   [Quake 4](https://en.wikipedia.org/wiki/Quake_4 "wikipedia:Quake 4")

*   Demo version – [quake4-demo](https://aur.archlinux.org/packages/quake4-demo/)
*   Quake 4 engine – [quake4](https://aur.archlinux.org/packages/quake4/)

*   **[Red Eclipse](https://en.wikipedia.org/wiki/Red_Eclipse "wikipedia:Red Eclipse")** — Single-player and multi-player first-person ego-shooter, built as a total conversion of Cube Engine 2.

	[http://redeclipse.net](http://redeclipse.net) || [redeclipse](https://aur.archlinux.org/packages/redeclipse/)

*   **Tesseract** — Smooth FPS with map editing, instagib, DM and CTF.

	[http://tesseract.gg/](http://tesseract.gg/) || [tesseract-game](https://www.archlinux.org/packages/?name=tesseract-game)

*   **[Tremulous](https://en.wikipedia.org/wiki/Tremulous "wikipedia:Tremulous")** — FPS with elements of real time strategy, featuring humans and aliens.

	[http://tremulous.net/](http://tremulous.net/) || [tremulous](https://aur.archlinux.org/packages/tremulous/)

*   **[Unreal Tournament (upcoming)](https://en.wikipedia.org/wiki/Unreal_Tournament_(upcoming_video_game) "wikipedia:Unreal Tournament (upcoming video game)")** — Free and open-source remake of the original using Unreal Engine 4

	[https://www.unrealtournament.com/](https://www.unrealtournament.com/) || [ut4](https://aur.archlinux.org/packages/ut4/)

*   **[Unvanquished](https://en.wikipedia.org/wiki/Unvanquished_(video_game) "wikipedia:Unvanquished (video game)")** — Team-based fps/rts hybrid game which pits aliens against humans. Monthly release that can be played on official servers.

	[http://unvanquished.net/](http://unvanquished.net/) || [unvanquished](https://aur.archlinux.org/packages/unvanquished/)

*   **[Urban Terror](/index.php/Urban_Terror "Urban Terror")** — Modern multiplayer FPS based on the ioquake3 engine.

	[http://urbanterror.info](http://urbanterror.info) || [urbanterror](https://www.archlinux.org/packages/?name=urbanterror)

*   **[Warsow](https://en.wikipedia.org/wiki/Warsow_(game) "wikipedia:Warsow (game)")** — Fast paced multiplayer FPS focusing on movement and trick jumps.

	[http://warsow.net](http://warsow.net) || [warsow](https://www.archlinux.org/packages/?name=warsow)

*   [Wolfenstein: Enemy Territory](/index.php/Wolfenstein:_Enemy_Territory "Wolfenstein: Enemy Territory")

*   Completely free, standalone, team-based, multiplayer FPS – [enemy-territory](https://aur.archlinux.org/packages/enemy-territory/)
*   Advanced open source project and fully compatible client and server – [etlegacy32](https://aur.archlinux.org/packages/etlegacy32/)

*   **[World of Padman](https://en.wikipedia.org/wiki/World_of_Padman "wikipedia:World of Padman")** — Stand slone somplex – cartoon-style multiplayer first-person shooter.

	[http://worldofpadman.net/website](http://worldofpadman.net/website) || [worldofpadman](https://aur.archlinux.org/packages/worldofpadman/)

*   **[Xonotic](https://en.wikipedia.org/wiki/Xonotic "wikipedia:Xonotic")** — Free, open-source first person shooter (a fork of Nexuiz but with modified gameplay).

	[http://xonotic.org](http://xonotic.org) || [xonotic](https://www.archlinux.org/packages/?name=xonotic)

*   **Mutant Factions** — Free multiplayer action coop game.

	[http://mutantfactions.net](http://mutantfactions.net) || [mutantfactions](https://aur.archlinux.org/packages/mutantfactions/)

## Simulation

*   **[Beyond the Red Line](https://en.wikipedia.org/wiki/Beyond_the_Red_Line "wikipedia:Beyond the Red Line")** — Completely free stand-alone conversion of Freespace 2 based on the TV show Battlestar Galactica. Presumed abandoned, see Diaspora: Shattered Armistice for an alternative.

	[http://www.beyondtheredline.net/](http://www.beyondtheredline.net/) || [btrl](https://aur.archlinux.org/packages/btrl/)

*   **Bygfoot** — Football (soccer) management game.

	[http://bygfoot.sourceforge.net/](http://bygfoot.sourceforge.net/) || [bygfoot](https://aur.archlinux.org/packages/bygfoot/)

*   **[Danger from the Deep](https://en.wikipedia.org/wiki/Danger_from_the_Deep "wikipedia:Danger from the Deep")** — Submarine simulator.

	[http://dangerdeep.sourceforge.net/](http://dangerdeep.sourceforge.net/) || [dangerdeep-svn](https://aur.archlinux.org/packages/dangerdeep-svn/)

*   **Diaspora: Shattered Armistice** — Completely free stand-alone conversion of Freespace 2 based on the TV show Battlestar Galactica. Single and multiplayer capabilities.

	[http://diaspora.hard-light.net/](http://diaspora.hard-light.net/) || [diaspora-sa](https://aur.archlinux.org/packages/diaspora-sa/)

*   **[Flight Gear](https://en.wikipedia.org/wiki/Flight_Gear "wikipedia:Flight Gear")** — Open-source, multi-platform flight simulator.

	[http://www.flightgear.org/](http://www.flightgear.org/) || [flightgear](https://www.archlinux.org/packages/?name=flightgear)

*   **[Foobillard++](https://en.wikipedia.org/wiki/FooBillard "wikipedia:FooBillard")** — Successor to Foobillard, OpenGL billiard game for Linux.

	[http://foobillardplus.sourceforge.net/](http://foobillardplus.sourceforge.net/) || [foobillard++](https://www.archlinux.org/packages/?name=foobillard%2B%2B)

*   **[FreeSpace 2](https://en.wikipedia.org/wiki/FreeSpace_2 "wikipedia:FreeSpace 2")** — Open sourced space emulator.

	[http://icculus.org/freespace2/](http://icculus.org/freespace2/) || [fs2_open](https://aur.archlinux.org/packages/fs2_open/)

*   **[Minetest](/index.php/Minetest "Minetest")** — Voxel-based sandbox game engine and game.

	[http://www.minetest.net/](http://www.minetest.net/) || [minetest](https://www.archlinux.org/packages/?name=minetest)

*   **[openBVE](https://en.wikipedia.org/wiki/BVE_Trainsim#openBVE "wikipedia:BVE Trainsim")** — Free-as-in-freedom train simulator placed in the public domain.

	[http://web.archive.org/web/odakyufan.zxq.net/openbve/](http://web.archive.org/web/odakyufan.zxq.net/openbve/) || [openbve](https://aur.archlinux.org/packages/openbve/)

*   **Powder Toy** — Physics and chemistry simulation sandbox game.

	[http://powdertoy.co.uk/](http://powdertoy.co.uk/) || [powder-toy](https://aur.archlinux.org/packages/powder-toy/)

*   **Pydance** — Python Dance Dance Revolution style game.

	[http://icculus.org/pyddr/](http://icculus.org/pyddr/) || [pydance](https://aur.archlinux.org/packages/pydance/)

*   **[Stepmania](https://en.wikipedia.org/wiki/Stepmania "wikipedia:Stepmania")** — Advanced dance simulation game.

	[http://www.stepmania.com/](http://www.stepmania.com/) || [stepmania](https://aur.archlinux.org/packages/stepmania/)

*   **[Vega Strike](https://en.wikipedia.org/wiki/Vega_Strike "wikipedia:Vega Strike")** — 3D action-space-sim allowing player to trade and bounty hunt in a vast universe.

	[http://vegastrike.sourceforge.net/](http://vegastrike.sourceforge.net/) || [vegastrike](https://aur.archlinux.org/packages/vegastrike/)

## Strategy

*   **[0 A.D.](https://en.wikipedia.org/wiki/0_A.D._(video_game) "wikipedia:0 A.D. (video game)")** — 3D and historically-based real-time strategy game, alpha stage.

	[http://play0ad.com/](http://play0ad.com/) || [0ad](https://www.archlinux.org/packages/?name=0ad)

*   **Advanced Strategic Command** — Turn based strategy game in the tradition of the Battle Isle series.

	[http://www.asc-hq.org/](http://www.asc-hq.org/) || [advanced-strategic-command](https://aur.archlinux.org/packages/advanced-strategic-command/)

*   **Crimson Fields** — Tactical war game in the tradition of Battle Isle.

	[http://crimson.seul.org/](http://crimson.seul.org/) || [crimson](https://aur.archlinux.org/packages/crimson/)

*   **Dark Oberon** — Open source real-time strategy game similar to Warcraft II.

	[http://dark-oberon.sourceforge.net/](http://dark-oberon.sourceforge.net/) || [dark-oberon](https://aur.archlinux.org/packages/dark-oberon/)

*   **[Endgame Singularity](https://en.wikipedia.org/wiki/Endgame:_Singularity "wikipedia:Endgame: Singularity")** — Turn based single player strategy/simulation about a AI hiding, growing and evolving.

	[http://www.emhsoft.com/singularity/](http://www.emhsoft.com/singularity/) || [singularity](https://www.archlinux.org/packages/?name=singularity)

*   **Factorio** — A game about mining resources, planning and building factories, automating production and fighting alien enemies.

	[http://www.factorio.com/](http://www.factorio.com/) || [factorio](https://aur.archlinux.org/packages/factorio/)

*   **Factorio demo** — A game about mining resources, planning and building factories, automating production and fighting alien enemies. (Demo)

	[http://www.factorio.com/](http://www.factorio.com/) || [factorio-demo](https://aur.archlinux.org/packages/factorio-demo/)

*   **[Freeciv](https://en.wikipedia.org/wiki/Freeciv "wikipedia:Freeciv")** — Multiuser clone of the famous Microprose game of Civilization.

	[http://freeciv.wikia.com/wiki/Main_Page](http://freeciv.wikia.com/wiki/Main_Page) || [freeciv](https://www.archlinux.org/packages/?name=freeciv)

*   **[FreeCol](https://en.wikipedia.org/wiki/FreeCol "wikipedia:FreeCol")** — Turn-based strategy game based on Colonization.

	[http://www.freecol.org/](http://www.freecol.org/) || [freecol](https://www.archlinux.org/packages/?name=freecol)

*   **[FTL: Faster Than Light](https://en.wikipedia.org/wiki/FTL:_Faster_Than_Light "wikipedia:FTL: Faster Than Light")** — Popular rogue-like space-sim released to positive reception in 2012.

	[http://www.ftlgame.com/](http://www.ftlgame.com/) || [ftl](https://aur.archlinux.org/packages/ftl/)

*   **[Glest](https://en.wikipedia.org/wiki/Glest "wikipedia:Glest")** — Free 3D real-time strategy game, where you control the armies of two different factions: Tech, which is mainly composed of warriors and mechanical devices, and Magic, that prefers mages and summoned creatures in the battlefield.

	[http://glest.org](http://glest.org) || [glest](https://aur.archlinux.org/packages/glest/)

*   **Globulation 2** — Multiplayer RTS with some "economic" elements minimizing the amount of micromanagement.

	[http://globulation2.org/wiki/Main_Page](http://globulation2.org/wiki/Main_Page) || [glob2](https://www.archlinux.org/packages/?name=glob2)

*   **[Heroes of Newerth](https://en.wikipedia.org/wiki/Heroes_of_Newerth "wikipedia:Heroes of Newerth")** — Online, multi-player strategy game that is based upon DoTA (Defense of the Ancients). Free-to-own (gameplay free; pay for cosmetic upgrades only)

	[http://heroesofnewerth.com/](http://heroesofnewerth.com/) || [hon](https://aur.archlinux.org/packages/hon/)

*   **Lgeneral** — Turn-based strategy engine heavily inspired by Panzer General.

	[http://lgames.sourceforge.net/index.php?project=LGeneral](http://lgames.sourceforge.net/index.php?project=LGeneral) || [lgeneral](https://aur.archlinux.org/packages/lgeneral/)

*   **[Kernel Panic](https://en.wikipedia.org/wiki/Spring_Engine#Kernel_Panic "wikipedia:Spring Engine")** — A game based around combat inside a computer, with 3 unique sides: the System, the Hacker and the Network waging war in a matrix of DOOM! No resource economy exists in KP, with the only constraints being time and space.

	[http://springrts.com/wiki/Kernel_Panic](http://springrts.com/wiki/Kernel_Panic) || [spring-kp](https://www.archlinux.org/packages/?name=spring-kp)

*   **[MegaGlest](https://en.wikipedia.org/wiki/MegaGlest "wikipedia:MegaGlest")** — Fork of Glest, a 3D real-time strategy game in a fantastic world.

	[http://github.com/megaglest](http://github.com/megaglest) || [megaglest](https://www.archlinux.org/packages/?name=megaglest)

*   **[Netpanzer](https://en.wikipedia.org/wiki/Netpanzer "wikipedia:Netpanzer")** — Realtime Strategy game like Command and Conquer but without building bases.

	[http://www.netpanzer.org/](http://www.netpanzer.org/) || [netpanzer](https://aur.archlinux.org/packages/netpanzer/)

*   **[Spring:1944](https://en.wikipedia.org/wiki/Spring_Engine#Spring:1944 "wikipedia:Spring Engine")** — A WWII themed game with four fully functional sides (US, Germany, USSR, Britain), period-accurate units and strengths. Realism comes second only to creating a game that is fun and accessible to play.

	[http://spring1944.org/](http://spring1944.org/) || [spring-1944](https://www.archlinux.org/packages/?name=spring-1944)

*   **[The Battle for Wesnoth](https://en.wikipedia.org/wiki/The_Battle_for_Wesnoth "wikipedia:The Battle for Wesnoth")** — Free, turn-based tactical strategy game with a high fantasy theme, featuring both single-player, and online/hotseat multiplayer combat.

	[http://www.wesnoth.org/](http://www.wesnoth.org/) || [wesnoth](https://www.archlinux.org/packages/?name=wesnoth)

*   **UFO Alien Invasion** — Fight aliens trying to capture Earth.

	[http://ufoai.ninex.info/wiki/index.php/News](http://ufoai.ninex.info/wiki/index.php/News) || [ufoai](https://www.archlinux.org/packages/?name=ufoai)

*   **[Unknown Horizons](https://en.wikipedia.org/wiki/Unknown_Horizons "wikipedia:Unknown Horizons")** — 2.5D isometric realtime strategy simulation with an emphasis on economy and city building. Expand your small settlement to a strong and wealthy colony, collect taxes and supply your inhabitants with valuable goods. Increase your power with a well balanced economy and with strategic trade and diplomacy.

	[http://www.unknown-horizons.org/](http://www.unknown-horizons.org/) || [unknown-horizons-git](https://aur.archlinux.org/packages/unknown-horizons-git/)

*   **[Widelands](https://en.wikipedia.org/wiki/Widelands "wikipedia:Widelands")** — Slow-paced strategy like "the Settlers 2".

	[http://widelands.org](http://widelands.org) || [widelands](https://www.archlinux.org/packages/?name=widelands)

*   **[Warzone 2100](/index.php/Warzone_2100 "Warzone 2100")** — You command the forces of The Project in a battle to rebuild the world after mankind has almost been destroyed by nuclear missiles. The game offers campaign, multi-player, and single-player skirmish modes. An extensive tech tree with over 400 different technologies, combined with the unit design system, allows for a wide variety of possible units and tactics.

	[http://wz2100.net/](http://wz2100.net/) || [warzone2100](https://www.archlinux.org/packages/?name=warzone2100)

*   **[Zero-K](https://en.wikipedia.org/wiki/Zero-K "wikipedia:Zero-K")** — Zero-K is a free multi-platform open source real-time strategy computer game. Initially based on content from Total Annihilation on the open source Spring Engine, it was forked and all proprietary content replaced, and evolved into a completely new game with unique features. It can be easily installed by installing the flobby client from the AUR or alternatively (and preferably) by installing the official mono package and downloading and running the Zero-K lobby from the official website.

	[http://zero-k.info/](http://zero-k.info/) || [flobby-git](https://aur.archlinux.org/packages/flobby-git/)

## Tycoon/management games

*   **Lincity-ng** — City simulation game in which you are required to build and maintain a city. You can win the game either by building a sustainable economy or by evacuating all citizens with spaceships.

	[https://fedorahosted.org/LinCity-NG/](https://fedorahosted.org/LinCity-NG/) || [lincity-ng](https://www.archlinux.org/packages/?name=lincity-ng)

*   **[Simutrans](https://en.wikipedia.org/wiki/Simutrans "wikipedia:Simutrans")** — Another Transport simulation that works on linux with sdl.

	[http://www.simutrans.com/](http://www.simutrans.com/) || [simutrans](https://www.archlinux.org/packages/?name=simutrans)

*   **[OpenTTD](/index.php/OpenTTD "OpenTTD")** — Open source clone of the Microprose game "Transport Tycoon Deluxe", a popular game originally written by Chris Sawyer. It attempts to mimic the original game as closely as possible while extending it with new features.

	[http://www.openttd.org/](http://www.openttd.org/) || [openttd](https://www.archlinux.org/packages/?name=openttd)

*   **Tropic Euro** — Free online adaptation of the board game Puerto Rico for 2-5 players.

	[Play via Web Start](http://www.tropiceuro.com/play) || [http://www.tropiceuro.com](http://www.tropiceuro.com)

## Visual novels

*   **[Digital: A Love Story](https://en.wikipedia.org/wiki/Digital:_A_Love_Story "wikipedia:Digital: A Love Story")** — Computer mystery/romance set five minutes into the future of 1988.

	[http://www.scoutshonour.com/digital/](http://www.scoutshonour.com/digital/) || [digital](https://aur.archlinux.org/packages/digital/)

*   **[Don't take it personally](https://en.wikipedia.org/wiki/Don%27t_take_it_personally,_babe,_it_just_ain%27t_your_story "wikipedia:Don't take it personally, babe, it just ain't your story")** — Almost kinetic visual novel that tells a story of a new high school literature teacher, set in a prestigious private high school, and on the social networks of 2027.

	[http://scoutshonour.com/donttakeitpersonallybabeitjustaintyourstory/](http://scoutshonour.com/donttakeitpersonallybabeitjustaintyourstory/) || [donttakeitpersonally](https://aur.archlinux.org/packages/donttakeitpersonally/)

*   **[Juniper's Knot](https://en.wikipedia.org/wiki/Juniper%27s_Knot "wikipedia:Juniper's Knot")** — Short game about boy and fiend.

	[http://junipersknot.dischan.org/](http://junipersknot.dischan.org/) || [junipersknot](https://aur.archlinux.org/packages/junipersknot/)

*   **[Katawa Shoujo](https://en.wikipedia.org/wiki/Katawa_Shoujo "wikipedia:Katawa Shoujo")** — Bishoujo-style visual novel game that tells a story of a young man and five other girls suffering with varying disabilities.

	[http://katawa-shoujo.com/](http://katawa-shoujo.com/) || [katawa-shoujo](https://aur.archlinux.org/packages/katawa-shoujo/)

*   **[Narcissu](https://en.wikipedia.org/wiki/Narcissu "wikipedia:Narcissu")** — Visual novel, telling the story of a terminally ill young man and woman.

	[http://narcissu.insani.org/](http://narcissu.insani.org/) || [narcissu2-en](https://aur.archlinux.org/packages/narcissu2-en/)

*   **[RE: Alistair++](https://en.wikipedia.org/wiki/RE:_Alistair "wikipedia:RE: Alistair")** — English otome game (subtype of visual novel) that tells a story of a young girl fond of MMORPGs, her online and everyday life.

	[http://sakevisual.com/realistair/](http://sakevisual.com/realistair/) || [realistair](https://aur.archlinux.org/packages/realistair/)

## Other

*   **Pygame** — A set of python modules for writing games in [python](https://en.wikipedia.org/wiki/python "wikipedia:python"). It is used as the basis of the ["Invent with Python"](http://inventwithpython.com/) books.

	[http://www.pygame.org](http://www.pygame.org) || [python2-pygame](https://www.archlinux.org/packages/?name=python2-pygame)

## See also

*   [Linux Installers for Linux Gamers](http://liflg.org/)
*   [The Linux Gamers' Game List](http://www.icculus.org/lgfaq/gamelist.php)
*   [The Humble Bundle](https://www.humblebundle.com/)
*   [Wikipedia:Humble Bundle](https://en.wikipedia.org/wiki/Humble_Bundle "wikipedia:Humble Bundle")
*   [Steam Linux store](http://store.steampowered.com/browse/linux/)
*   [List of Linux Steam games](https://steamdb.info/linux/)
*   [Wikipedia:List of games developed by Valve](https://en.wikipedia.org/wiki/List_of_games_developed_by_Valve "wikipedia:List of games developed by Valve")
*   [Wikipedia:Game engine recreation](https://en.wikipedia.org/wiki/Game_engine_recreation "wikipedia:Game engine recreation")
*   [Wikipedia:Source port](https://en.wikipedia.org/wiki/Source_port "wikipedia:Source port")
*   [Linux game database](http://www.lgdb.org/)
*   [Penguspy](http://www.penguspy.com/#/All/free_and_commercial/open_closed/sort=1/view=1/limit=0)
*   [Lists of Linux games on Wikipedia](https://en.wikipedia.org/wiki/Category:Linux_games "wikipedia:Category:Linux games")
*   [http://rewiki.regengedanken.de/wiki/Links_to_engine_reimplementations](http://rewiki.regengedanken.de/wiki/Links_to_engine_reimplementations)