This article aims to help users implement services to actively monitor, log, and report hardware errors. A machine check exception (MCE) is an error generated by the CPU when the CPU detects that a hardware error or failure has occurred.

Machine check exceptions (MCEs) can occur for a variety of reasons ranging from undesired or out-of-spec voltages from the power supply, from cosmic radiation flipping bits in memory DIMMs or the CPU, or from other miscellaneous faults, including faulty software triggering hardware errors.

## Contents

*   [1 Installation](#Installation)
*   [2 Configuration](#Configuration)
*   [3 See also](#See_also)
    *   [3.1 Hardware documentation](#Hardware_documentation)

## Installation

[Install](/index.php/Install "Install") the [mcelog](https://www.archlinux.org/packages/?name=mcelog) package. [mcelog](http://www.mcelog.org/) written by Andi Kleen is one of the tools to gather MCE information.

## Configuration

mcelog's configuration file is located at `/etc/mcelog/mcelog.conf`. See `man mcelog`, `man mcelog.conf` and `man mcelog.triggers` for more information.

[Start](/index.php/Start "Start") and enable `mcelog.service`. By default, the service runs *mcelog* as a daemon.

## See also

*   [Wikipedia:Machine_Check_Exception](https://en.wikipedia.org/wiki/Machine_Check_Exception "wikipedia:Machine Check Exception")
*   [Wikipedia:Machine_check_architecture](https://en.wikipedia.org/wiki/Machine_check_architecture "wikipedia:Machine check architecture")
*   [mcelog Home](http://www.mcelog.org/)
*   [mcelog References](http://www.mcelog.org/references.html)

### Hardware documentation

*   [AMD64 Architecture Programmer's Manual, Volume 2: System Programming](http://support.amd.com/us/Processor_TechDocs/APM_v2_24593.pdf)
*   [BIOS and Kernel Developer's Guide for AMD Athlon™ 64 and AMD Opteron™ Processors](http://support.amd.com/us/Processor_TechDocs/26094.PDF)