## Contents

*   [1 Install 2014 update](#Install_2014_update)
*   [2 Install](#Install)
    *   [2.1 Office 2007 SP3](#Office_2007_SP3)
    *   [2.2 Office 2007 Fonts](#Office_2007_Fonts)
    *   [2.3 Winetricks](#Winetricks)
        *   [2.3.1 Droid fonts](#Droid_fonts)
        *   [2.3.2 Lucida and Tahoma fonts](#Lucida_and_Tahoma_fonts)

## Install 2014 update

```
# pacman -S wine winetricks wine_gecko wine-mono lib32-ncurses

```

create a 32 bit wineprefix e.g. directory win32

```
# WINEARCH=win32 WINEPREFIX=~/win32 winecfg

```

A pop up will appear, set it to Windows XP.

**Note:** Do not manually create the directory before running that command; Wine must create it.

Install msxml3

```
# WINEPREFIX=~/win32 winetricks msxml3

```

Install office

```
# WINEPREFIX=~/win32 wine /path/to/office2007image/setup.exe

```

Install SP

```
# WINEPREFIX=~/win32 wine /path/to/office2007sp3-kb2526086-fullfile-en-us.exe

```

Set riched20 to native

```
# WINEPREFIX=~/win32 winecfg

```

Libraries -> add riched20 -> native

## Install

**Note:** To work with JPG images (i.e. in PowerPoint) install `lib32-lcms`.

The following has been reported to work, using wine-1.5.0\. See these forum posts for details:

*   [https://bbs.archlinux.org/viewtopic.php?id=138082](https://bbs.archlinux.org/viewtopic.php?id=138082)
*   [https://bbs.archlinux.org/viewtopic.php?id=86436](https://bbs.archlinux.org/viewtopic.php?id=86436)

Or have a look at the install instructions on Wine's Application Database

*   [http://appdb.winehq.org/objectManager.php?sClass=version&iId=4992](http://appdb.winehq.org/objectManager.php?sClass=version&iId=4992)

**Warning:** You should never run Wine commands as root. Only run Wine as your user.

To get office 2007 working, install bin32-wine, winetricks. This is necessary if you are running a x64 Arch, but are using a 32bit Office installer

```
# pacman -S wine winetricks wine_gecko wine-mono

```

Then run:

```
$ WINEARCH=win32 WINEPREFIX=~/win32 winecfg

```

A pop up will appear, set it to Windows XP, then run: (this download is ~1gb so be prepared)

```
$ WINEPREFIX=~/win32 winetricks msxml3  gdiplus riched20 riched30 vcrun2005sp1 allfonts

```

Mount the installation image, then run:

```
$ WINEPREFIX=~/win32 wine /path/to/office2007image/setup.exe

```

To actually use any of the executables you must cd to the directory. IE:

```
$ cd ~/win32/drive_c/Program Files/Microsoft Office/Office12
$ WINEPREFIX=~/win32 wine ./EXCEL.EXE

```

You could set WINEPREFIX in your `.bash_profile`, or make 32bit wine your default (then you only have to do `WINEARCH=win32 winecfg`). Two reported issues are accidentally emulating 64bit Windows instead of 32 bit and that the programs hang if you don't `cd` into the directory, probably because the dlls are linked with the local directory.

### Office 2007 SP3

To upgrade to Service Pack 3

Download from: [http://www.microsoft.com/en-us/download/details.aspx?id=27838](http://www.microsoft.com/en-us/download/details.aspx?id=27838)

Install with:

```
WINEPREFIX=~/win32 wine office2007sp3-kb2526086-fullfile-en-us.exe

```

### Office 2007 Fonts

To install the Office 2007 Fonts, (this probably isn't necessary)

First download [ttf-office-2007-fonts](https://aur.archlinux.org/packages/ttf-office-2007-fonts/) from the AUR

Change to the directory you will be building the package, then run

```
$ cabextract --filter *.TTF /path/to/office2007image/Enterprise.WW/EnterWW.cab

```

Then proceed to install the package as usual.

See [MS Fonts](/index.php/MS_Fonts "MS Fonts") for more details

### Winetricks

The Droid, Lucida and Tahoma fonts will fail to download due to broken URLs or IP addresses. To fix these perform the following steps:

**Note:** *Both* steps must be performed *prior* to installing the allfonts package using winetricks

#### Droid fonts

Edit the winetricks script:

```
sudo nano -w /usr/bin/winetricks

```

and search for `load_droid()`

You should see this:

```
load_droid()
{
   # See http://en.wikipedia.org/wiki/Droid_(font)
   # Old url was http://android.git.kernel.org/?p=platform/frameworks/base.git;a=blob_plain;f=data/fonts/'
   DROID_URL='https://github.com/android/platform_frameworks_base/blob/master/data/fonts/'

   do_droid DroidSans-Bold.ttf        "Droid Sans Bold"         560e4bcafdebaf29645fbf92633a2ae0d2f9801f
   do_droid DroidSansFallback.ttf     "Droid Sans Fallback"     c5e4f11e2f1d0b84e5f268a7ebfd28b54dc6bcdc
   do_droid DroidSansJapanese.ttf     "Droid Sans Japanese"     b3a248c11692aa88a30eb25df425b8910fe05dc5
   do_droid DroidSansMono.ttf         "Droid Sans Mono"         133fb6cf26ea073b456fb557b94ce8c46143b117
   do_droid DroidSans.ttf             "Droid Sans"              62f2841f61e4be66a0303cd1567ed2d300b4e31c
   do_droid DroidSerif-BoldItalic.ttf "Droid Serif Bold Italic" 41ce5fef1bd0164caed6958885d7285c841c95f1
   do_droid DroidSerif-Bold.ttf       "Droid Serif Bold"        2775e9b8e96a3e9593acb5cf6923abb2e6008187
   do_droid DroidSerif-Italic.ttf     "Droid Serif Italic"      e91cc6c1ae9a6699683bcee024551cb58d1be790
   do_droid DroidSerif-Regular.ttf    "Droid Serif"             a689ce25a4063cf501c12d616f832f2235b5b93b
}

```

Since both the download URL and the checksums for the Droid font files have changed, replace

```
   DROID_URL='https://github.com/android/platform_frameworks_base/blob/master/data/fonts/'

   do_droid DroidSans-Bold.ttf        "Droid Sans Bold"         560e4bcafdebaf29645fbf92633a2ae0d2f9801f
   do_droid DroidSansFallback.ttf     "Droid Sans Fallback"     c5e4f11e2f1d0b84e5f268a7ebfd28b54dc6bcdc
   do_droid DroidSansJapanese.ttf     "Droid Sans Japanese"     b3a248c11692aa88a30eb25df425b8910fe05dc5
   do_droid DroidSansMono.ttf         "Droid Sans Mono"         133fb6cf26ea073b456fb557b94ce8c46143b117
   do_droid DroidSans.ttf             "Droid Sans"              62f2841f61e4be66a0303cd1567ed2d300b4e31c
   do_droid DroidSerif-BoldItalic.ttf "Droid Serif Bold Italic" 41ce5fef1bd0164caed6958885d7285c841c95f1
   do_droid DroidSerif-Bold.ttf       "Droid Serif Bold"        2775e9b8e96a3e9593acb5cf6923abb2e6008187
   do_droid DroidSerif-Italic.ttf     "Droid Serif Italic"      e91cc6c1ae9a6699683bcee024551cb58d1be790
   do_droid DroidSerif-Regular.ttf    "Droid Serif"             a689ce25a4063cf501c12d616f832f2235b5b93b

```

with

```
   DROID_URL='https://www.codeaurora.org/gitweb/quic/la/?p=platform/frameworks/base.git;a=blob_plain;f=data/fonts/'

   do_droid DroidSans-Bold.ttf        "Droid Sans Bold"         ada4e79c592f3c54546b7587b48f2b232d95ce2f
   do_droid DroidSansFallback.ttf     "Droid Sans Fallback"     2f8a266389a8e22f68f402b775731eec6b760334
   do_droid DroidSansJapanese.ttf     "Droid Sans Japanese"     d2db187953a457d7791f03a50ceda4aecc389dcd
   do_droid DroidSansMono.ttf         "Droid Sans Mono"         f0815c6f36c72be1d0f2f5e2b82fa85c8bf95655
   do_droid DroidSans.ttf             "Droid Sans"              de95860690f2b1d72f567b01a5ee18dd0f1f1c1f
   do_droid DroidSerif-BoldItalic.ttf "Droid Serif Bold Italic" c1602dc11bf0f7131aec21c7c3888195ad78e486
   do_droid DroidSerif-Bold.ttf       "Droid Serif Bold"        d7896b9c0723299553e95a00d27cbe52f7515c8c
   do_droid DroidSerif-Italic.ttf     "Droid Serif Italic"      117941be102c8f38a86a70ebccaecb8078f7027e
   do_droid DroidSerif-Regular.ttf    "Droid Serif"             7f243858e496ed1bb1faca9f3a7bbe52defcbb5d

```

#### Lucida and Tahoma fonts

Attempts to download the Lucida and Tahoma fonts will time out due to a broken IP address. Still in the winetricks script, search for `ftp_microsoft_com` and replace

```
ftp_microsoft_com=64.4.17.176

```

with

```
ftp_microsoft_com=134.170.188.232

```

Save and exit, then install the fonts:

```
$ WINEPREFIX=~/win32 winetricks allfonts

```