From [Puppet web site](https://puppetlabs.com/puppet/what-is-puppet/):

	*Puppet is IT automation software that helps system administrators manage infrastructure throughout its lifecycle, from provisioning and configuration to patch management and compliance. Using Puppet, you can easily automate repetitive tasks, quickly deploy critical applications, and proactively manage change, scaling from 10s of servers to 1000s, on-premise or in the cloud.*

## Contents

*   [1 Installation](#Installation)
*   [2 Configuration](#Configuration)
*   [3 Facter](#Facter)
*   [4 Puppet Resources](#Puppet_Resources)
    *   [4.1 Packages](#Packages)
    *   [4.2 Services](#Services)
*   [5 PuppetDB](#PuppetDB)

## Installation

[puppet](https://www.archlinux.org/packages/?name=puppet) is available in the official repositories.

If you want to install from Puppet's git repo, [puppet-git](https://aur.archlinux.org/packages/puppet-git/) is available through the [AUR](/index.php/AUR "AUR").

## Configuration

Puppet's main configuration file is `puppet.conf` which is located at `/etc/puppetlabs/puppet/puppet.conf`.

There are 3 sections to place settings depending if it is a master/agent: `[main]`, `[agent]` and `[master]`.

Bare minimum of settings are:

*   server: The hostname of the puppet server. Default: `puppet`
*   report: Most users should set this to true.
*   pluginsync: Most users should set this to true.
*   certname: The certified name of the machine (unique identifier). Default: `fqdn`

Puppet will look for node configuration in `/etc/puppetlabs/code/environments/production/manifests/site.pp`.

After starting puppet by daemon/cron/standalone, it will generate certificates in `/etc/puppetlabs/puppet/ssl/` directory. You need to accept this certificate in the puppet master with: `sudo puppet cert sign <name>`.

## Facter

Facter is a companion program of puppet that gathers facts about the system it runs on.
commands:

```
# puppet facts find facter
# facter -p

```

**Note:** Facter is installed by default as a dependency of [puppet](https://www.archlinux.org/packages/?name=puppet).

## Puppet Resources

### Packages

"Pacman" is supported by puppet. Installing packages works out of the box since puppet 3.1.0.

### Services

Since puppet 3.2.1 systemd on archlinux is fully supported.
The systemd provider in Puppet today only uses two commands for the service enable state:

```
 systemctl is-enabled <unit>, checking return code for the current enable state

 systemctl enable/disable <unit> to change it.

```

Otherwise service running will use:

```
 # systemctl start/stop/restart <unit>

```

Using the full unit name unit.service is supported.

## PuppetDB

PuppetDB is the fast, scalable, and reliable data warehouse for Puppet.
It caches data generated by Puppet, and gives you advanced features at awesome speed with a powerful API.
Puppetdb is in aur install [puppetdb](https://aur.archlinux.org/packages/puppetdb/) and [puppetdb-terminus](https://aur.archlinux.org/packages/puppetdb-terminus/)
[More information: [https://github.com/puppetlabs/puppetdb](https://github.com/puppetlabs/puppetdb)]