The [Trusted Users](https://www.archlinux.org/trustedusers/) serve the following purposes:

1.  Maintain the *community* repository as an intermediary between Arch Linux's [official repositories](/index.php/Official_repositories "Official repositories") and the unsupported package collection in the [AUR](/index.php/AUR "AUR").
2.  Maintain, manage, and watch over the operation of the [AUR](/index.php/AUR "AUR").

## Contents

*   [1 How to become TU?](#How_to_become_TU.3F)
*   [2 Active Trusted Users](#Active_Trusted_Users)
*   [3 Inactive Trusted Users](#Inactive_Trusted_Users)
*   [4 Some Past Trusted Users](#Some_Past_Trusted_Users)

## How to become TU?

The *minimum* requirements to becoming a TU are as follows:

*   know basic shell scripting
*   maintain a few packages in AUR with clean, high-quality PKGBUILDs
*   basic community involvement (mailing list, forums, IRC)
*   know Google-Fu
*   a general idea of the kind of packages you want to maintain (basically, why do you want to become TU?)

Even though you could become a TU by merely fulfilling those minimum requirements, the people judging you [during voting](https://aur.archlinux.org/trusted-user/TUbylaws.html#_standard_voting_procedure) might expect more of you. Such as:

*   involvement in the bug tracker (reporting, research, info)
*   patches for Arch projects
*   involvement in a few open-source projects (even if they are your own)

In case you still feel up to becoming TU after reading these lists, you should find another TU to sponsor you and write a witty application signed with your GPG key to the aur-general mailing list.

**Note:** Should the TU you contact decline to sponsor your application, you should make this fact known if you seek sponsorship from another TU.

For more information, please see [Trusted User Bylaws](https://aur.archlinux.org/trusted-user/TUbylaws.html) and [AUR Trusted User Guidelines](/index.php/AUR_Trusted_User_Guidelines "AUR Trusted User Guidelines").

## Active Trusted Users

| Nick | Name | E-Mail |
| [alucryd](https://aur.archlinux.org/packages.php?K=alucryd&SeB=m) | Maxime Gauduin | alucryd@gmail.com |
| [Ambrevar](https://aur.archlinux.org/packages.php?K=Ambrevar&SeB=m) | [Pierre Neidhardt](/index.php/User:Ambrevar "User:Ambrevar") | ambrevar@gmail.com |
| [anatolik](https://aur.archlinux.org/packages.php?K=anatolik&SeB=m) | Anatol Pomozov | anatol dot pomozov + arch at gmail |
| [anthraxx](https://aur.archlinux.org/packages.php?K=anthraxx&SeB=m) | [Levente Polyak](/index.php/User:Anthraxx "User:Anthraxx") | anthraxx [at] archlinux [dot] org |
| [Atsutane](https://aur.archlinux.org/packages.php?K=Atsutane&SeB=m) | Thorsten Töpper | atsutane {0x40} freethoughts {0x2E} de |
| [arcanis](https://aur.archlinux.org/packages/?SeB=m&K=arcanis) | Evgeniy Alekseev | arcanis DOT arch AT gmail DOT com |
| [arojas](https://aur.archlinux.org/packages/?SeB=m&K=arojas) | Antonio Rojas | nqn76sw@gmail.com |
| [Barthalion](https://aur.archlinux.org/packages.php?K=Barthalion&SeB=m) | Bartłomiej Piotrowski | spam@bpiotrowski.pl |
| [BlackIkeEagle](https://aur.archlinux.org/packages.php?K=BlackIkeEagle&SeB=m) | [Ike Devolder](/index.php/User:BlackEagle "User:BlackEagle") | ike DOT devolder AT gmail DOT com |
| [Bluewind](https://aur.archlinux.org/packages.php?K=bluewind&SeB=m) | Florian Pritz | bluewind@xinu.at |
| [City-busz](https://aur.archlinux.org/packages.php?K=City-busz&SeB=m) | György Balló | ballogyor+arch at gmail dot com |
| [ConnorBehan](https://aur.archlinux.org/packages.php?K=ConnorBehan&SeB=m) | Connor Behan | connor.behan@gmail.com |
| [cryptocrack](https://aur.archlinux.org/packages.php?K=cryptocrack&SeB=m) | Lukas Fleischer | archlinux at cryptocrack dot de |
| [Dicebot](https://aur.archlinux.org/packages.php?K=Dicebot&SeB=m) | Mihails Strasuns | public@dicebot.lv |
| [eworm](https://aur.archlinux.org/packages.php?K=eworm&SeB=m) | Christian Hesse | mail@eworm.de |
| [Dragonlord](https://aur.archlinux.org/packages.php?K=Dragonlord&SeB=m) | [Jaroslav Lichtblau](/index.php/User:Drag0nl0rd "User:Drag0nl0rd") | dragonlord @ aur archlinux org |
| [Faidoc](https://aur.archlinux.org/packages.php?K=faidoc&SeB=m) | Alexandre Filgueira | alexfilgueira [at] cinnarch [dot] com |
| [farseerfc](https://aur.archlinux.org/packages.php?K=farseerfc&SeB=m) | Jiachen Yang | farseerfc[at]gmail[dot]com |
| [felixonmars](https://aur.archlinux.org/packages.php?K=felixonmars&SeB=m) | Felix Yan | felixonmars[at]gmail[dot]com |
| [flexiondotorg](https://aur.archlinux.org/packages.php?K=flexiondotorg&SeB=m) | Martin Wimpress | [martin+arch@flexion.org](mailto:martin+arch@flexion.org) |
| [foutrelis](https://aur.archlinux.org/packages.php?K=foutrelis&SeB=m) | Evangelos Foutras | evangelos@foutrelis.com |
| [giniu](https://aur.archlinux.org/packages.php?K=giniu&SeB=m) | [Andrzej Giniewicz](/index.php/User:Giniu "User:Giniu") | gginiu@gmail.com |
| [gtmanfred](https://aur.archlinux.org/packages.php?K=gtmanfred&SeB=m) | Daniel Wallace | danielwallace gtmanfred com |
| [heftig](https://aur.archlinux.org/packages.php?K=heftig&SeB=m) | Jan Steffens | jan.steffens@student.kit.edu |
| [jelly](https://aur.archlinux.org/packages.php?K=jelly&SeB=m) | Jelle van der Waa | jelle vdwaa nl |
| [jleclanche](https://aur.archlinux.org/packages.php?K=jleclanche&SeB=m) | [Jerome Leclanche](/index.php/User:Jleclanche "User:Jleclanche") | jerome*@*leclan*.*ch |
| [jsteel](https://aur.archlinux.org/packages.php?K=jsteel&SeB=m) | Jonathan Steel | jsteel at aur.archlinux.org |
| [keenerd](https://aur.archlinux.org/packages.php?K=keenerd&SeB=m) | Kyle Keen | keenerd@gmail.com |
| [Kyrias](https://aur.archlinux.org/packages.php?K=Kyrias&SeB=m) | [Johannes Löthberg](/index.php/User:Kyrias "User:Kyrias") | johannes@kyriasis.com |
| [Lordheavy](https://aur.archlinux.org/packages.php?K=lordheavy&SeB=m) | [Laurent Carlier](/index.php/User:Lordheavy "User:Lordheavy") | lordheavym at gmail com |
| [mtorromeo](https://aur.archlinux.org/packages.php?K=mtorromeo&SeB=m) | Massimiliano Torromeo | massimiliano.torromeo@gmail.com |
| [Muflone](https://aur.archlinux.org/packages.php?K=Muflone&SeB=m) | Fabio Castelli | webreg (at) vbsimple.net |
| [schivmeister](https://aur.archlinux.org/packages.php?K=schivmeister&SeB=m) | [Ray Rashif](/index.php/User:Schivmeister "User:Schivmeister") | schiv archlinux org |
| [schuay](https://aur.archlinux.org/packages.php?K=schuay&SeB=m) | Jakob Gruber | jakob.gruber@gmail.com |
| [seblu](https://aur.archlinux.org/packages.php?K=seblu&SeB=m) | Sébastien Luttringer | s е b l u *at* a r c h l і n ux *dot* o r g |
| [sergej](https://aur.archlinux.org/packages.php?K=sergej&SeB=m) | [Sergej Pupykin](/index.php/User:Sergej "User:Sergej") | pupykin.s+arch@gmail.com |
| [speps](https://aur.archlinux.org/packages.php?K=speps&SeB=m) | SpepS | dreamspepser at yahoo dot it |
| [stativ](https://aur.archlinux.org/packages.php?K=stativ&SeB=m) | Lukas Jirkovsky | l.jirkovsky strange_curved_character gmail.com |
| [svenstaro](https://aur.archlinux.org/packages.php?K=svenstaro&SeB=m) | [Sven-Hendrik Haase](/index.php/User:Svenstaro "User:Svenstaro") | sh@lutzhaase.com |
| [td123](https://aur.archlinux.org/packages.php?K=td123&SeB=m) | Thomas Dziedzic | gostrc at gmail |
| [thestinger](https://aur.archlinux.org/packages.php?K=thestinger&SeB=m) | Daniel Micay | [danielmicay@gmail.com](mailto:danielmicay@gmail.com) |
| [tredaelli](https://aur.archlinux.org/packages.php?K=tredaelli&SeB=m) | Timothy Redaelli | timothy.redaelli@gmail.com |
| [Xyne](https://aur.archlinux.org/packages.php?K=Xyne&SeB=m) | Xyne | ca . archlinux @ xyne, in reverse order |
| [xyproto](https://aur.archlinux.org/packages.php?K=xyproto&SeB=m) | Alexander Rødseth | rodseth@gmail.com |

## Inactive Trusted Users

| Nick | Name | E-Mail | Comments/Reference |

## Some Past Trusted Users

| Nick | Name |
| [abhidg](https://aur.archlinux.org/packages.php?K=abhidg&SeB=m) | Abhishek Dasgupta |
| [Allan](https://aur.archlinux.org/packages.php?K=Allan&SeB=m) | Allan McRae |
| [anders](https://aur.archlinux.org/packages.php?K=anders&SeB=m) | Anders Bergh |
| [angvp](https://aur.archlinux.org/packages.php?K=angvp&SeB=m) | [Angel Velásquez](/index.php/User:Angvp "User:Angvp") |
| [bardo](https://aur.archlinux.org/packages.php?K=bardo&SeB=m) | Corrado Primier |
| [ndr](https://aur.archlinux.org/packages.php?K=ndr&SeB=m) | Andrea Scarpino |
| [bfinch](https://aur.archlinux.org/packages.php?K=bfinch&SeB=m) | Bob Finch |
| [brain0](https://aur.archlinux.org/packages.php?K=brain0&SeB=m) | Thomas Bächler |
| [bjorn](https://aur.archlinux.org/packages.php?K=bjorn&SeB=m) | [Bjørn Lindeijer](/index.php/User:Bj%C3%B8rn "User:Bjørn") |
| [cinelli](https://aur.archlinux.org/packages/?K=Cinelli&SeB=m) | Federico Cinelli |
| [codemac](https://aur.archlinux.org/packages.php?K=codemac&SeB=m) | Jeff Mickey |
| [cmb](https://aur.archlinux.org/packages.php?K=cmb&SeB=m) | Chris Brannon |
| [Daenyth](https://aur.archlinux.org/packages.php?K=Daenyth&SeB=m) | Daenyth Blank |
| [DaNiMoTh](https://aur.archlinux.org/packages.php?K=DaNiMoTh&SeB=m) | JJ. DaNiMoTh |
| [dejari](https://aur.archlinux.org/packages.php?K=dejari&SeB=m) | Leslie P. Polzer |
| [dsa](https://aur.archlinux.org/packages.php?K=dsa&SeB=m) | Douglas Soares de Andrade |
| [dtw](https://aur.archlinux.org/packages.php?K=dtw&SeB=m) | Phil Dillon-Thiselton |
| [elasticdog](https://aur.archlinux.org/packages.php?K=elasticdog&SeB=m) | Aaron Bull Schaefer |
| [encelo](https://aur.archlinux.org/packages.php?K=encelo&SeB=m) | Angelo Theodorou |
| [even](https://aur.archlinux.org/packages.php?K=even&SeB=m) | Kessia Pinheiro |
| [falconindy](https://aur.archlinux.org/packages.php?K=falconindy&SeB=m) | Dave Reisner |
| [filoktetes](https://aur.archlinux.org/packages.php?K=filoktetes&SeB=m) | Robert Emil Berge |
| [firmicus](https://aur.archlinux.org/packages.php?K=firmicus&SeB=m) | François Charette |
| [ganja_guru](https://aur.archlinux.org/packages.php?K=ganja_guru&SeB=m) | Varun Acharya |
| [gcarrier](https://aur.archlinux.org/packages.php?K=gcarrier&SeB=m) | Geoffroy Carrier |
| [Ghost1227](https://aur.archlinux.org/packages.php?K=Ghost1227&SeB=m) | Dan Griffiths |
| [gummibaerchen](https://aur.archlinux.org/packages.php?K=gummibaerchen&SeB=m) | Timm Preetz |
| [hdoria](https://aur.archlinux.org/packages.php?K=hdoria&SeB=m) | Hugo Doria |
| [iphitus](https://aur.archlinux.org/packages.php?K=iphitus&SeB=m) | James Rayner |
| [itsbrad212](https://aur.archlinux.org/packages.php?K=itsbrad212&SeB=m) | Brad Fanella |
| [kaitocracy](https://aur.archlinux.org/packages.php?K=kaitocracy&SeB=m) | Kaiting Chen |
| [louipc](https://aur.archlinux.org/packages.php?K=louipc&SeB=m) | Loui Chang |
| [mOLOk](https://aur.archlinux.org/packages.php?K=mOLOk&SeB=m) | Alessio Bolognino |
| [nesl247](https://aur.archlinux.org/packages.php?K=nesl247&SeB=m) | Alex Heck |
| [Neverth](https://aur.archlinux.org/packages.php?K=Neverth&SeB=m) | Mikko Seppälä |
| [Partition](https://aur.archlinux.org/packages.php?K=Partition&SeB=m) | Mateusz Herych |
| [petelewis](https://aur.archlinux.org/packages.php?K=petelewis&SeB=m) | Peter Lewis |
| [PirateJonno](https://aur.archlinux.org/packages.php?K=PirateJonno&SeB=m) | Jonathan Conder |
| [phrakture](https://aur.archlinux.org/packages.php?K=phrakture&SeB=m) | Aaron Griffin |
| [Pierre](https://aur.archlinux.org/packages.php?K=Pierre&SeB=m) | Pierre Schmitz |
| [pizzapunk](https://aur.archlinux.org/packages.php?K=pizzapunk&SeB=m) | Alexander Fehr |
| [pjmattal](https://aur.archlinux.org/packages.php?K=pjmattal&SeB=m) | Paul Mattal |
| [pressh](https://aur.archlinux.org/packages.php?K=pressh&SeB=m) | Ronald van Haren |
| [Ranguvar](https://aur.archlinux.org/packages.php?K=Ranguvar&SeB=m) | Devin Cofer |
| [Romashka](https://aur.archlinux.org/packages.php?K=Romashka&SeB=m) | Roman Kyrylych |
| [shastry](https://aur.archlinux.org/packages.php?K=shastry&SeB=m) | Vinay S Shastry |
| [Snowman](https://aur.archlinux.org/packages.php?K=Snowman&SeB=m) | Eric Bélanger |
| [shinlun](https://aur.archlinux.org/packages.php?K=shinlun&SeB=m) | Shinlun Hsieh |
| [StefanHusmann](https://aur.archlinux.org/packages.php?K=StefanHusmann&SeB=m) | Stefan Husmann |
| [STiAT](https://aur.archlinux.org/packages.php?K=STiAT&SeB=m) | Georg Grabler |
| [swiergot](https://aur.archlinux.org/packages.php?K=swiergot&SeB=m) | Jaroslaw Swierczynski |
| [tardo](https://aur.archlinux.org/packages.php?K=tardo&SeB=m) | Shehzad Qureshi |
| [thatch45](https://aur.archlinux.org/packages.php?K=thatch45&SeB=m) | Thomas S Hatch |
| [thotypous](https://aur.archlinux.org/packages.php?K=thotypous&SeB=m) | Paulo Matias |
| [vegai](https://aur.archlinux.org/packages.php?K=vegai&SeB=m) | Vesa Kaihlavirta |
| [voidnull](https://aur.archlinux.org/packages.php?K=voidnull&SeB=m) | Giovanni Scafora |
| [wizzomafizzo](https://aur.archlinux.org/packages.php?K=wizzomafizzo&SeB=m) | Callan Barrett |
| [wonder](https://aur.archlinux.org/packages.php?K=wonder&SeB=m) | Ionut Biru |
| [Xilon](https://aur.archlinux.org/packages.php?K=Xilon&SeB=m) | Sebastian Nowicki |
| [xterminus](https://aur.archlinux.org/packages.php?K=xterminus&SeB=m) | Charles Mauch |
| [zeus](https://aur.archlinux.org/packages.php?K=zeus&SeB=m) | Zhukov Pavel |