Ο πίνακας κατατμήσεων GUID (GPT) είναι ενας νέος τρόπος κατάτμησης ο οποίος αποτελεί μέρος της προδιαγραφής Unified Extensible Firmware Interface, και κάνει χρήση του καθολικά μοναδικού αναγνωριστικού συσκευών. Διαφέρει από το Master Boot Record (ο συνήθης τρόπος κατάτμησης) σε πολλές πτυχές και έχει πολλά πλεονεκτήματα.

Για την κατανόηση του GPT, είναι σημαντικό να κατανοήσει κανείς τι είναι το MBR και ποιά είναι τα μειονεκτήματά του.

Σε κάθε τρόπο κατάτμησης, ο αριθμός των κατατμήσεων οι οποίες μπορούν να οριστούν βασίζεται στο συνολικό χώρο που καταλαμβάνει ο πίνακας κατατμήσεων και στον χώρο που απαιτείται για την αποθήκευση των πληροφοριών μιας μεμονωμένης κατάτμησης.

## Contents

*   [1 Master Boot Record](#Master_Boot_Record)
    *   [1.1 Τα προβλήματα του MBR](#.CE.A4.CE.B1_.CF.80.CF.81.CE.BF.CE.B2.CE.BB.CE.AE.CE.BC.CE.B1.CF.84.CE.B1_.CF.84.CE.BF.CF.85_MBR)
*   [2 GUID Partition Table](#GUID_Partition_Table)
    *   [2.1 Πλεονεκτήματα του GPT](#.CE.A0.CE.BB.CE.B5.CE.BF.CE.BD.CE.B5.CE.BA.CF.84.CE.AE.CE.BC.CE.B1.CF.84.CE.B1_.CF.84.CE.BF.CF.85_GPT)
    *   [2.2 Υποστήριξη Kernel](#.CE.A5.CF.80.CE.BF.CF.83.CF.84.CE.AE.CF.81.CE.B9.CE.BE.CE.B7_Kernel)
*   [3 Υποστήριξη Bootloader](#.CE.A5.CF.80.CE.BF.CF.83.CF.84.CE.AE.CF.81.CE.B9.CE.BE.CE.B7_Bootloader)
    *   [3.1 Συστήματα UEFI](#.CE.A3.CF.85.CF.83.CF.84.CE.AE.CE.BC.CE.B1.CF.84.CE.B1_UEFI)
    *   [3.2 Συστήματα BIOS](#.CE.A3.CF.85.CF.83.CF.84.CE.AE.CE.BC.CE.B1.CF.84.CE.B1_BIOS)
*   [4 Εργαλεία Κατάτμησης](#.CE.95.CF.81.CE.B3.CE.B1.CE.BB.CE.B5.CE.AF.CE.B1_.CE.9A.CE.B1.CF.84.CE.AC.CF.84.CE.BC.CE.B7.CF.83.CE.B7.CF.82)
    *   [4.1 GPT fdisk](#GPT_fdisk)
        *   [4.1.1 Μετατροπή από MBR σε GPT](#.CE.9C.CE.B5.CF.84.CE.B1.CF.84.CF.81.CE.BF.CF.80.CE.AE_.CE.B1.CF.80.CF.8C_MBR_.CF.83.CE.B5_GPT)
    *   [4.2 GNU Parted](#GNU_Parted)
*   [5 Δείτε επίσης](#.CE.94.CE.B5.CE.AF.CF.84.CE.B5_.CE.B5.CF.80.CE.AF.CF.83.CE.B7.CF.82)

## Master Boot Record

Ο πίνακας κατατμήσεων MBR αποθηκεύει τις πληροφορίες των κατατμήσεων στον πρώτο τομέα του σκληρού δίσκου ως εξής

| Τοποθεσία στον Σκληρό Δίσκο | Λειτουργία Κώδικα |
| Πρώτα 440 bytes | Κώδικας εκκίνησης του MBR που εκτελείται απο το BIOS. |
| 441-446 bytes | Αναγνωριστικό δίσκου MBR. |
| 447-510 bytes | Πραγματικός πίνακας κατατμήσεων με πληροφορίες για τις πρωτεύουσες και εκτεταμένες κατατμήσεις. (Σημειώστε οτι οι λογικές κατατμήσεις δεν καταγράφονται εδώ) |
| 511-512 bytes | Αναγνωριστικό εκκίνησης MBR 0xAA55. |

Όλες οι πληροφορίες σχετικά με τις πρωτεύουσες κατατμήσεις περιορίζονται στα 64 bytes που έχουν εκχωρηθεί. Για να ξεπεραστεί ο περιορισμός αυτός, χρησιμοποιήθηκαν οι εκτεταμένες κατατμήσεις. Μια εκτεταμένη κατάτμηση είναι απλά μια πρωτεύουσα κατάτμηση στον MBR η οποία περιλαμβάνει άλλες κατατμήσεις οι οποίες καλούνται λογικές κατατμήσεις. Λαμβάνοντας υπόψη τα προηγούμενα αντιλαμβάνεται κανείς τον περιορισμό χρήσης 4 πρωτευουσών κατατμήσεων, ή 3 πρωτευουσών και 1 εκτεταμένης κατάτμησης με πολλές λογικές κατατμήσεις στο εσωτερικό της.

### Τα προβλήματα του MBR

1.  Μπορούν να οριστούν μόνο 4 πρωτεύουσες κατατμήσεις ή 3 πρωτεύουσες κατατμήσεις + 1 εκτεταμένη κατάτμηση (με ακαθόριστο αριθμό λογικών κατατμήσεων να εμπεριέχονται σε αυτή). Εάν έχουμε 3 πρωτεύουσες + 1 εκτεταμένη κατάτμηση, και υπάρχει ελεύθερος χώρος έξω από τα όρια του χώρου που καταλαμβάνει η εκτεταμένη κατάτμηση, δεν μπορεί να δημιουργηθεί μια νέα κατάτμηση η οποία να εκμεταλλεύεται τον χώρο αυτό.
2.  Στο εσωτερικό της εκτεταμένης κατάτμησης, τα μετα-δεδομένα των λογικών κατατμήσεων αποθηκεύονται σε μία δομή συνδεδεμένης λίστας. Αν ενας σύνδεσμος χαθεί, όλες οι λογικές κατατμήσεις οι οποίες ακολουθούν τα μεταδεδομένα αυτά χάνονται.
3.  Ο MBR υποστηρίζει κωδικούς ορισμού τύπου κατάτμησης οι οποίοι καταλαμβάνουν μόνο ενα byte κάτι που οδηγεί σε πολλές διενέξεις.
4.  Ο MBR αποθηκεύει τις πληροφορίες τομέα κατάτμησης κάνοντας χρήση 32-bit LBA τιμών. Το μήκος LBA μαζί με το μέγεθος τομέα που αποτελείται από 512 bytes (που χρησιμοποιείται συνήθως) περιορίζει το μέγιστο μέγεθος δίσκου που μπορεί να διευθυνσιοδοτηθει στα 2 [TiB](https://en.wikipedia.org/wiki/TiB "wikipedia:TiB"). Οποιοσδήποτε χώρος πέραν των 2 TiB δεν μπορεί να οριστεί ως κατάτμηση αν χρησιμοποιηθεί ο MBR.

## GUID Partition Table

Ο Πίνακας Κατατμήσεων GUID (GPT) χρησιμοποιεί τα GUIDs (ή UUIDs κατα linux) ώστε να ορίσει κατατμήσεις και τους τύπους των, εξ 'ου και το ονομά του. Ο GPT αποτελείται από:

| Τοποθεσία στον Σκληρό Δίσκο | Σκοπός |
| Πρώτος λογικός τομέας του δίσκου ή τα πρώτα 512 bytes | Protective MBR - Όπως και ο κοινός MBR με την διαφορά ότι το τμήμα των 64-byte περιέχει μια μεμονωμένη εγγραφή πρωτεύουσας κατάτμησης τύπου 0xEE η οποία καταλαμβάνει όλο τον διαθέσιμο χώρο στον δίσκο, ή στην περίπτωση > των 2 [TiB](https://en.wikipedia.org/wiki/TiB "wikipedia:TiB"), καταλαμβάνει χώρο μεγέθους 2 TiB. |
| Δεύτερος λογικός τομέας του δίσκου ή τα επόμενα 512 bytes | Primary GPT Header (Πρωτεύουσα Κεφαλίδα GPT) - Περιέχει το μοναδικό αναγνωριστικό δίσκου GUID, την τοποθεσία του Πρωτεύοντος Πίνακα Κατατμήσεων, τον αριθμό των πιθανών εγγραφών στον πίνακα κατατμήσεων, τα αθροίσματα ελέγχου CRC32 του εαυτού του και του Πρωτεύοντος Πίνακα Κατατμήσεων, την τοποθεσία της Δευτερεύουσας (ή εφεδρικού αντιγράφου) Κεφαλίδας GPT |
| 16 KiB (εξ’ ορισμού) ακολουθουν τον δεύτερο λογικό τομέα του δίσκου | Primary GPT Table (Πρωτεύων Πίνακας GPT) - 128 εγγραφές κατατμήσεων (εξ'ορισμού, μπορεί να είναι περισσότερες), καθεμία από τις οποίες περιέχει μια καταχώριση μεγέθους 128 bytes (ως εκ τούτου συνολικά 16 KiB για 128 καταχωρίσεις κατατμήσεων). Οι αριθμοί των τομέων αποθηκεύονται ως 64-bit LBA και κάθε κατάτμηση έχει ενα μοναδικό αναγνωριστικό τύπου κατάτμησης (GUID) και ενα μοναδικό αναγνωριστικό κατάτμησης (GUID). |
| 16 KiB (εξ’ ορισμού) πριν τον τελευταίο λογικό τομέα του δίσκου | Secondary GPT table (Δευτερεύων Πίνακας GPT) - Αποτελεί ενα byte-προς-byte πανομοιότυπο αντίγραφο του Πρωτεύοντος Πίνακα. Χρησιμοποιείται κυρίως για λόγους ανάκαμψης σε περίπτωση αλλοίωσης του πρωτεύοντος πίνακα κατατμήσεων. |
| Τελευταίος λογικός τομέας του δίσκου ή τα τελευταία 512 bytes | Secondary GPT Header (Δευτερεύουσα Κεφαλίδα GPT) - το μοναδικό αναγνωριστικό δίσκου GUID, την τοποθεσία του Δευτερεύοντος Πίνακα Κατατμήσεων, τον αριθμό των πιθανών εγγραφών στον πίνακα κατατμήσεων, τα αθροίσματα ελέγχου CRC32 του εαυτού του και του Δευτερεύοντος Πίνακα Κατατμήσεων, την τοποθεσία της Πρωτεύουσας Κεφαλίδας GPT. Η κεφαλίδα αυτή μπορεί να χρησιμοποιηθεί για επαναφορά των πληροφοριών GPT σε περίπτωση αλλοίωσης της πρωτεύουσας κεφαλίδας. |

### Πλεονεκτήματα του GPT

1.  Χρήση GUIDs (UUIDs) για την αναγνώριση των τύπων καταμήσεων - Αποφυγή διενέξεων.
2.  Παροχή ενός μοναδικού αναγνωριστiκού GUID δίσκου και ενός μοναδικού αναγνωριστiκού GUID για κάθε κατάτμηση - Ενας καλος τρόπος αναφοράς σε κατατμήσεις και δίσκους ανεξαρτήτως συστήματος αρχείων.
3.  Ακαθόριστος αριθμός κατατμήσεων - εξαρτάται απο τον χλωρο που έχει εκχωρηθεί στον πίνακα κατατμήσεων - Καμία ανάγκη χρήσης εκτεταμένων και λογικών κατατμήσεων. Εξ'ορισμού ο πίνακας GPT περιέχει χώρο για τον ορισμό 128 κατατμήσεων. Παρόλα αυτά αν ο χρήστης επιθυμεί να ορίσει περισσότερες κατατμήσεις, μπορεί να εκχωρήσει περισσότερο χώρο στον πίνακα κατατμήσεων (προς το παρόν μόνο το gdisk είναι γνωστό ότι υποστηρίζει το χαρακτηριστικό αυτό).
4.  Χρήση 64-bit LBA για την αποθήκευση αριθμών τομέων - ο μέγιστος διευθυνσιοδοτούμενος χώρος είναι τα 2 [ZiB](https://en.wikipedia.org/wiki/ZiB "wikipedia:ZiB").
5.  Αποθήκευση ενός αντιγραφου ασφαλείας της κεφαλίδας και του πίνακα κατατμήσεων στο τέλος του δίσκου το οποίο βοηθά στην ανάκαμψη σε περίπτωση που τα πρωτότυπα καταστραφούν.
6.  Χρήση αθροισμάτων ελέγχου CRC32 για τον εντοπισμό σφαλμάτων και αλλοιώσεων της κεφαλίδας και του πίνακα κατατμήσεων.

### Υποστήριξη Kernel

Ο ορισμός της επιλογής `CONFIG_EFI_PARTITION` κατα την ρύθμιση του πυρήνα (kernel) ενεργοποιεί την υποστήριξη GPT σε επίπεδο πυρήνα (παρά το όνομα EFI PARTITION). Η επιλογή αυτή πρέπει να συμπεριληφθεί ως μέρος του πυρήνα και όχι να μεταγλωττιστεί σαν άρθρωμα το οποίο μπορεί να φορτωθεί. Η ενεργοποίηση της επιλογής αυτής απαιτείται ακόμη και στην περίπτωση που οι δίσκοι GPT χρησιμοποιούνται μόνο για αποθήκευση δεδομένων και όχι για εκκίνηση συστήματος. Η επιλογή αυτή είναι ήδη ενεργοποιημένη στου πυρήνες [linux](https://www.archlinux.org/packages/?name=linux) και [linux-lts](https://www.archlinux.org/packages/?name=linux-lts) του Arch που περιλαμβάνονται στο αποθετήριο [core] . Στην περίπτωση παραμετροποιημένου πυρήνα ενεργοποιείστε την επιλογή αυτή ορίζοντας `CONFIG_EFI_PARTITION=y`.

## Υποστήριξη Bootloader

### Συστήματα UEFI

Όλοι οι UEFI Bootloaders υποστηρίζουν δίσκους GPT disks μιας και το GPT είναι μέρος της προδιαγραφής UEFI και ως εκ τούτου υποχρεωτική για την εκκίνηση συστημάτων UEFI. Δείτε το [UEFI Bootloaders](/index.php/UEFI_Bootloaders "UEFI Bootloaders") για περισσότερες πληροφορίες.

### Συστήματα BIOS

**Note:** Μερικά συστήματα BIOS μπορεί να μην εκκινήσουν απο δίσκους GPT. Δείτε τα [http://mjg59.dreamwidth.org/8035.html](http://mjg59.dreamwidth.org/8035.html) και [http://rodsbooks.com/gdisk/bios.html](http://rodsbooks.com/gdisk/bios.html) για πείσσότερες πληροφορίες και λύσεις.

*   [GRUB](/index.php/GRUB "GRUB") απαιτεί μια κατάτμηση [BIOS Boot](/index.php/GRUB#GUID_Partition_Table_.28GPT.29_specific_instructions "GRUB") των 1007 [KiB](https://en.wikipedia.org/wiki/KiB "wikipedia:KiB") τύπου (`EF02` στο gdisk και την σήμανση bios_grub στο GNU Parted) στα συστήματα BIOS ώστε να προσαρτήσει το αρχείο `core.img` λόγω έλλειψης του περιθωρίου προσάρτησης μετά τον MBR στους δίσκους. Η υποστήριξη GPT στον GRUB παρέχεται μέσω του αρθρώματος `part_gpt`.

*   [Syslinux](/index.php/Syslinux "Syslinux") απαιτεί η κατάτμηση που περιέχει το `/boot/syslinux/ldlinux.sys` (Ανεξάρτητα αν ο κατάλογος `/boot` αποτελεί ξεχωριστή κατάτμηση ή όχι) να επισημανθεί με το χαρακτηριστικό "Legacy BIOS Bootable" του GPT (*legacy_boot* για το GNU Parted) ώστε να αναγνωριστεί πως περιέχει τα αρχεία εκκίνησης του Syslinux απο τον κώδικα εκκίνησης MBR, των 440-byte `gptmbr.bin`. Δείτε το [Syslinux#GUID Partition Table aka GPT](/index.php/Syslinux#GUID_Partition_Table_aka_GPT "Syslinux") για περισσότερες πληροφορίες. Είναι αντίστοιχο της σήμανσης "boot" στους δίσκους MBR.

*   [GRUB Legacy](/index.php/GRUB_Legacy "GRUB Legacy"), δεν υποστηρίζει δίσκους GPT. Η διανομή Fedora έχει ενημερώσει σε μεγάλο βαθμό την διακλάδωση GRUB Legacy [grub-legacy-fedora-git](https://aur.archlinux.org/packages/grub-legacy-fedora-git/) η οποία περιέχει τις ενημερώσεις GPT της Intel (δοκιμασμένες στην διανομή Fedora, αλλά όχι στην διανομή Arch). Η διακλάδωση αυτή δεν ενημερώνεται πλέον καθώς η διανομή Fedora ήδη χρησιμοποιεί τον GRUB σαν τον προεπιλεγμένο φορτωτή εκκίνησης (bootloader) στα συστήματα BIOS από την έκδοση F16\. Προτείνεται οι χρήστες να μεταβούν στον GRUB ή τον Syslinux αντίστοιχα.

**Note:** Κάποιες μητρικές πλακέτες επιτραπέζιων συστημάτων θα εκκινήσουν από ενα δίσκο GPT μόνο αν η κατάτμηση protective MBR έχει επισημανθεί ως Boot. Αυτό μπορεί να επιτευχθεί ασφαλώς με τα εργαλεία fdisk/cfdisk χωρίς την αλλοίωση του GPT (καλή είναι η τήρηση αντιγράφων ασφαλείας / και ο έλεγχος της ακεραιότητας του GPT μετά το πέρας της διαδικασίας).

*   [LILO](/index.php/LILO "LILO") Η υποστήριξη του GPT δεν έχει δοκιμαστεί μέχρι στιγμής οπότε δεν είναι ξεκάθαρο εάν υπάρχουν προβλήματα εκκίνησης από δίσκους GPT.

## Εργαλεία Κατάτμησης

### GPT fdisk

Το πακέτο GPT fdisk απαρτίζεται από ενα σύνολο εργαλείων κελύφους για την επεξεργασία δίσκων GPT. Αποτελείται από τα gdisk, sgdisk και cgdisk κατ' αντιστοιχία με τα εργαλεία fdisk του πακέτου util-linux (Χρησιμοποιείται σε δίσκους MBR). Είναι διαθέσιμο στο αποθετήριο [extra] ως [gptfdisk](https://www.archlinux.org/packages/?name=gptfdisk).

**Note:** Τα εργαλεία κατάτμησης fdisk από το util-linux (π.χ. fdisk, cfdisk and sfdisk) δεν υποστηρίζουν το GPT, ενω μπορεί να αλλοώσουν την κεφαλίδα GPT και τον πίνακα κατατμήσεων εάν χρησιμοποιηθούν σε ενα δίσκο GPT.

#### Μετατροπή από MBR σε GPT

Ενα από τα καλύτερα χαρακτηριστικά του gdisk (όπως επίσης του sgdisk και του cgdisk) είναι η ικανότητά του να μετατρέπει ετικέτες δίσκου MBR και BSD σε GPT χωρίς απώλεια δεδομένων. Κατά την μετατροπή, όλες οι πρωτεύουσες και λογικές κατατμήσεις γίνονται κατατμήσεις GPT με τα σωστά αναγνωριστικά τύπου κατάτμησης GUIDs και τα Μοναδικά αναγνωριστικά κατάτμησης GUIDs να δημιουργούνται για κάθε κατάτμηση.

Απλά επεξεργαστείτε τον δίσκο MBR χρησιμοποιώντας την επιλογή "w" για να αποθηκεύσετε τις αλλαγές (αντίστοιχα με το fdisk) για να μετατρέψετε τον δίσκο MBR σε GPT. **Προσοχή για τυχόντα σφάλματα τα οποία θα πρέπει να διορθώσετε πριν την αποθήκευση οποιασδήποτε αλλαγής στον δίσκο** διότι υπάρχει κίνδυνος απώλειας δεδομένων. Δείτε το [http://www.rodsbooks.com/gdisk/mbr2gpt.html](http://www.rodsbooks.com/gdisk/mbr2gpt.html) για περισσότερες πληροφορίες. Μετά το πέρας της διαδικασίας μετατροπής, οι bootloaders θα πρέπει να επανεγκατασταθούν ώστε να ρυθμιστούν για εκκίνηση από GPT.

**Note:** Θυμηθείτε ότι το GPT αποθηκεύει εναν δευτερεύοντα πίνακα στο τέλος του δίσκου. Πρέπει να βεβαιωθείτε πως τουλάχιστον 1 [MiB](https://en.wikipedia.org/wiki/MiB "wikipedia:MiB") του δίσκου δεν έχει εκχωρηθεί σε καμία κατάτμηση.

**Note:** Έχετε υπόψη ότι αν χρησιμοποιείτε τον GRUB, τότε χρειάζεται μια κατάτμηση [BIOS Boot](/index.php/GRUB#GUID_Partition_Table_.28GPT.29_specific_instructions "GRUB"). Αν ο σχεδιασμός MBR κατατμήσεων σας δεν είναι ιδιαίτερα παλιός, υπάρχει μεγάλη πιθανότητα η πρώτη κατάτμηση να ξεκινά στον τομέα 2048 για λόγους στοίχισης. Το οποίο σημαίνει ότι στην αρχή θα υπάρχουν 1007 [KiB](https://en.wikipedia.org/wiki/KiB "wikipedia:KiB") άδειου χώρου όπου η κατάτμηση bios-boot μπορεί να δημιουργηθεί. Για να επιτευχθεί αυτό, Αρχικά πραγματοποιήστε την μετατροπή mbr->gpt με το gdisk όπως περιγράφηκε παραπάνω. Έπειτα, δημιουργήστε χειροκίνητα μια νέα κατάτμηση με το gdisk και ορίστε την θέση της στους τομείς 34 - 2047, και θέστε τον τύπο `EF02` ως τύπο της εν λόγω κατάτμησης.

### GNU Parted

Το GNU Parted >=3.0, η εντολή κελύφους `parted` δεν υποστηρίζει οποιαδήποτε λειτουργία έχει σχέση με το σύστημα αρχείων, και ώς επι τω πλείστον ο σχετικός κώδικας FS έχει αφαιρεθεί απο την βιβλιοθήκη libparted, παραμένει μόνο ελάχιστος κώδικας ο οποίος απαιτείται από εξωτερικές εφαρμογές όπως η εφαρμογή gparted. Οι προγραμματιστές συνιστούν την χρήση των εργαλειών για το εκάστοτε σύστημα αρχείων ή μια εκ των γραφικών διεπαφών που έχουν αναπτυχθεί γύρω από την εφαρμογή parted όπως το gparted (η οποία καλεί αυτά τα εξωτερικά εργαλεία) για λειτουργίες σχετικές με το σύστημα αρχείων.

## Δείτε επίσης

1.  Wikipedia's Page on [GPT](https://en.wikipedia.org/wiki/GUID_Partition_Table "wikipedia:GUID Partition Table") and [MBR](https://en.wikipedia.org/wiki/Master_boot_record "wikipedia:Master boot record")
2.  [Homepage of Rod Smith's GPT fdisk tool](http://rodsbooks.com/gdisk/) and its [Sourceforge.net Project page - gptfdisk](http://sourceforge.net/projects/gptfdisk/)
3.  Rod Smith's page on [Converting MBR to GPT](http://rodsbooks.com/gdisk/mbr2gpt.html) and [Booting OSes from GPT](http://rodsbooks.com/gdisk/booting.html)
4.  Rod Smith's page on the [New Partition Type GUID](http://www.rodsbooks.com/linux-fs-code/index.html) for Linux data partitions
5.  [System Rescue CD's page on GPT](http://sysresccd.org/Sysresccd-Partitioning-The-new-GPT-disk-layout)
6.  Wikipedia page on [BIOS Boot Partition](https://en.wikipedia.org/wiki/BIOS_Boot_partition "wikipedia:BIOS Boot partition")
7.  [Make the most of large drives with GPT and Linux - IBM Developer Works](http://www.ibm.com/developerworks/linux/library/l-gpt/index.html?ca=dgr-lnxw07GPT-Storagedth-lx&S_TACT=105AGY83&S_CMP=grlnxw07)
8.  [Microsoft's Windows and GPT FAQ](http://www.microsoft.com/whdc/device/storage/GPT_FAQ.mspx)