Berikut ini lima prinsip utama yang biasanya disebut sebagai Arch Way, atau Filosofi Arch, boleh jadi teringkas paling baik dalam istilah KISS untuk Keep It Simple, Stupid.

## Contents

*   [1 Kesederhanaan](#Kesederhanaan)
*   [2 Kebenaran-kode diatas kemudahan](#Kebenaran-kode_diatas_kemudahan)
*   [3 User-centric (Berpusat pada pengguna)](#User-centric_.28Berpusat_pada_pengguna.29)
*   [4 Keterbukaan](#Keterbukaan)
*   [5 Kebebasan](#Kebebasan)

## Kesederhanaan

*"Kesederhanaan adalah kepuasan tertinggi." -Leonardo Da Vinci*

Kesederhanaan merupakan mutlak tujuan utama di balik pengembangan Arch. Banyak distribusi GNU/Linux menyatakan diri mereka "sederhana". Akan tetapi, kesederhanaan itu sendiri memiliki banyak definisi.

**Arch Linux mendefinisikan kesederhanaan sebagai 'tanpa tambahan yang tidak perlu, modifikasi, atau komplikasi', dan menyediakan struktur dasar `UNIX`-like yang ringan yang memungkinkan seorang pengguna untuk membentuk sendiri sistemnya sesuai dengan kebutuhan. Singkatnya; elegan, pendekatan minimalis.**

Struktur dasar yang ringan dibangun dengan standar tinggi pemrograman akan cenderung memiliki tuntutan sumber daya sistem yang lebih rendah. Sistem dasar meniadakan semua kekacauan yang mungkin mengaburkan bagian-bagian yang penting dari sistem, atau membuat aksesnya lebih sulit atau kusut. Sistem ini memiliki seperangkat komentar ringkas yang efisien, berkas konfigurasi yang rapi yang disusun untuk akses cepat dan penyuntingan, tanpa alat konfigurasi grafis yang tidak praktis yang bertujuan untuk menyembunyikan segala kemungkinan yang ada dari pengguna. Sistem Arch Linux merupakan sebuah sistem yang siap dikonfigurasikan sampai detil terdalam.

**Kompleksitas tanpa Komplikasi.**

Arch Linux menjaga kompleksitas inheren dengan sistem GNU/Linux yang utuh, sambil menjaganya tetap terorganisir dan transparan. Pengembang Arch Linux dan penggunanya yakin bahwa menyembunyikan kompleksitas dari sebuah sistem justru menghasilkan sistem yang lebih kommpleks lagi, dan oleh karena itu harus dihindari.

## Kebenaran-kode diatas kemudahan

Sistem Arch Linux mendahulukan desain yang elegan serta bersih, kode sederhana, dari pada tambalan yang tidak diperlukan, otomatisasi, jajanan mata atau "newbie-friendliness". Penambalan perangkat lunak tetap ada dengan jumlah seminimum mungkin-- idealnya, tidak ada. Implementasi sederhana akan selalu mengalahkan interface pengguna sederhana.

**Kesederhanaan *implementasi*, keanggunan-kode, dan minimalisme akan selalu tetap menjadi prioritas utama pengembangan Arch.**

Konsep, desain, dan fitur-fitur dihasilkan dan diimplementasikan dengan menggunakan prinsip-prinsip Arch Way sebagai panduan, daripada tunduk pada pengaruh eksternal. Tim pengembangan teguh dengan komitmen dan dedikasi mereka terhadap filosofi Arch Way. Jika kita memiliki kesamaan visi, maka anda kami sambut dan kami dorong untuk menggunakan Arch.

## User-centric (Berpusat pada pengguna)

Ketika banyak distribusi GNU/Linux mencoba untuk menjadi lebih ramah pengguna, Linux Arch selalu mencoba, dan akan selalu berpusat pada pengguna.

**Arch Linux targets and accommodates competent GNU/Linux users by giving them complete control and *responsibility* over the system (Linux Arch menargetkan dan mengakomodasikan pengguna GNU/Linux yang kompeten dengan memberikan mereka kontrol dan *tanggung jawab* yang utuh atas sistemnya).**

Pengguna Linux Arch mengelola seluruh sistemnya masing-masing. Sistemnya sendiri akan menawarkan sedikit bantuan, kecuali untuk suatu set perangkat pemeliharaan sederhana yang didesain untuk menyampaikan perintah ke sistem dengan baik melalui perintah pengguna.

Desain berpusat pada pengguna ini memakai pendekatan "do-it-yourself" dalam penggunaan distribusi Linux Arch. Daripada menuntut bantuan atau meminta fitur baru untuk diimplementasikan oleh para pengembang, pengguna Linux Arch lebih memilih untuk mengatasi masalahnya sendiri dan membagi hasilnya dengan komunitas dan tim pengembang -- suatu filosofi "Do first, then ask (coba dulu, baru tanya)". Ini sesuai untuk paket-paket kontribusi pengguna yang ada di Arch User Repository -- repositori resmi Linux Arch untuk paket-paket yang dipelihara oleh komunitas.

## Keterbukaan

Keterbukaan setara dengan kesederhanaan, dan juga salah satu prinsip utama pengembangan Linux Arch.

***Arch Linux uses simple tools, that are selected or built with openness of the sources and their output in mind* (Linux Arch memakai perangkat sederhana yang dipilih dan dibangun dengan keterbukaan sumber dan hasilnya).**

Keterbukaan menghapus segala batas dan abstraksi antara pengguna dan sistem, memberi kontrol lebih, saat penyederhanaan pemeliharaan sistem secara simultan.

Keterbukaan alami Linux Arch juga mempengaruhi peningkatan bertahap kurva pembelajaran, tetapi pengguna Linux Arch yang berpengalaman merasa bahwa sistem yang lebih tertutup kurang nyaman dikontrol.

Prinsip keterbukaan meluas ke anggota komunitas dengan baik. Pengguna Linux Arch dikenali sangat terbuka dalam memberi bantuan dan nasihat, seperti juga kontribusi paket ke *Arch User Repository* yang dikelola komuntas.

## Kebebasan

Prinsip utama pengembangan Linux Arch lainnya yaitu kebebasan. Para pengguna bukan hanya diijinkan untuk memutuskan semuanya terkait konfigurasi sistem, tetapi juga menentukan sistem mereka akan menjadi seperti apa.

***By keeping the system simple, Arch Linux provides the freedom to make any choice about the system* (Dengan sistem yang sederhana, Linux Arch memberi kebebasan untuk membuat tiap keputusan terhadap sistem).**

Sistem Linux Arch yang baru selesai dipasang, hanya memiliki komponen dasar utama tanpa konfigurasi otomatis. Pengguna dipersilakan mengonfigurasikan sistem sesuai keinginannya, dari *shell*. Dari awal prosedur instalasi, tiap komponen sistem transparan 100% dan mudah diakses, dihapus, atau diganti dengan komponen alternatif.

Sejumlah besar paket dan skrip di pelbagai repositori Linux Arch juga mendukung kebebasan dalam memilih, menawarkan perangkat lunak bebas dan *open source* bagi yang mengutamakannya, sebagaimana perangkat lunak proprietari, bagi mereka yang lebih mengharapkan fungsionalitas dibanding ideologi. Pengguna yang memilih.

Seperti yang Judd Vinet, penemu proyek Linux Arch katakan: *[Arch Linux] is what* you *make it.*