La [comunità ufficiale italiana](http://www.archlinux.it/) di Arch Linux ha fondato l'**ArchWiki Translation Team**, un gruppo aperto e collaborativo di utenti, con lo scopo di allineare la documentazione italiana con quella inglese e tenerla costantemente aggiornata, in modo da offrire il miglior servizio possibile alla propria comunità. Se volete aiutarci ad avere una documentazione sempre efficace, aggiornata e più ampia possibile, considerate la possibilità di unirvi a [questo progetto](http://www.archlinux.it/forum/viewtopic.php?f=19&t=8483). Non bisogna preoccuparsi del tempo da dedicare, ogni aiuto è ben accetto compatibilmente con il tempo a propria disposizione.

## Contents

*   [1 Note per i revisori](#Note_per_i_revisori)
*   [2 Bando di traduzione](#Bando_di_traduzione)
*   [3 Revisioni](#Revisioni)
    *   [3.1 Adottare un wiki](#Adottare_un_wiki)
    *   [3.2 Tabella riassuntiva dei wiki revisionati e adottati](#Tabella_riassuntiva_dei_wiki_revisionati_e_adottati)
        *   [3.2.1 Articoli principali](#Articoli_principali)
        *   [3.2.2 Articoli secondari](#Articoli_secondari)
*   [4 Linee guida](#Linee_guida)
*   [5 Staff tecnico](#Staff_tecnico)
*   [6 Ulteriori informazioni e supporto](#Ulteriori_informazioni_e_supporto)
*   [7 Altre risorse](#Altre_risorse)

## Note per i revisori

Di seguito vengono esplicati alcuni criteri di come il nostro gruppo di traduzione è organizzato, agisce e collabora:

*   Le pagine da tradurre vengono discusse sul [Forum](http://www.archlinux.it/forum/viewtopic.php?f=19&t=8483) e scelte possibilmente in base a criteri di importanza nell'installazione, utilizzo e configurazione di un sistema Arch Linux. In ogni caso ogni articolo può essere proposto per la traduzione.
*   Scelta la pagina da tradurre verrà inserita nel [Bando delle Traduzioni](#Bando_di_traduzione). Gli utenti disponibili per la traduzione possono modificare questa tabella segnalando la pagina che intendono tradurre, è possibile anche suddividere la pagina in paragrafi se il compito di traduzione risultasse oneroso per un utente.
*   Se la pagina da tradurre è già presente in italiano si utilizza di solito lo strumento di *Cronologia* per controllare le differenze tra le versioni. Le pagine che hanno una controparte italiana sono elencate nella [Tabella riassuntiva dei wiki revisionati](#Tabella_riassuntiva_dei_wiki_revisionati_e_adottati)
*   Durante la durata delle traduzioni, o se si rileva una pagina datata, è consigliabile aggiungere all'inizio della pagina uno dei seguenti *template* per avvisare gli utenti:

	Nel caso di Aggiornamenti e Revisioni

	`{{out_of_date | Questa pagina è in fase di revisione e potrebbe non essere aggiornata. Seguite per ora le istruzioni della versione inglese. | Talk:ArchWiki Translation Team (Italiano)#Pagine Marcate come "out of date" e "Traslateme"}}`

	Nel caso di traduzioni in corso e/o pagine create

	`{{translateme | Questo articolo è in fase di traduzione. Seguite per ora le istruzioni della versione inglese. | Talk:ArchWiki Translation Team (Italiano)#Pagine Marcate come "out of date" e "Traslateme"}}`

*   Ricordarsi di tradurre anche il sommario ad inizio pagina.
*   Considerate l'eventualità di [Adottare un wiki](#Adottare_un_wiki)

**Suggerimento:** Per ogni domanda in merito chiedere sul [forum italiano](http://www.archlinux.it/forum/viewtopic.php?f=19&t=8483).

Per informazioni avanzate sulla corretta sintassi da utilizzare si legga il paragrafo facoltativo [linee guida](#Linee_guida).

## Bando di traduzione

Qui è presente una tabella dove sono inserite le pagine da tradurre suddivisa in questo modo:

*   **Pagina** - Dove viene inserito il link della pagina da tradurre.
*   **Note** - serve a dare un avviso ai potenziali revisori nel caso ci siano accorgimenti da intraprendere prima di effettuare la traduzione, questo spazio è riservato anche a note personali dei traduttori.
*   **Traduttore** - Qui si immette il nome dell'utente che si è preso carico della pagina da tradurre, serve ad avvisare agli altri utenti che è già sotto revisione.
*   **Stato** - L'ultima voce della tabella serve a descrivere semplicemente l'andamento della traduzione che può essere: **In Corso** o **Completata**.

L'apposizione dello stato "*Completata*" fa sì che il responsabile di turno sposti il wiki tradotto completamente nella sezione [Revisioni](#Revisioni), **non sta al traduttore prendersi carico di questo onere**.

**Nota:** Ricordarsi di tradurre sia il sommario, sia i link relativi alle categorie.

| Pagina - Paragrafi | Note | Traduttore | Stato |
| [dm-crypt with LUKS (Italiano)](/index.php/Dm-crypt_with_LUKS_(Italiano) "Dm-crypt with LUKS (Italiano)") | Pagina da allineare e tradurre | maveloth | in corso |
| [Disk encryption (Italiano)](/index.php/Disk_encryption_(Italiano) "Disk encryption (Italiano)") | Pagina da completare la traduzione | n/a | traduzione incompleta |
| [Android (Italiano)](/index.php/Android_(Italiano) "Android (Italiano)") | n/a | SirX | In corso |
| [Eclipse (Italiano)](/index.php/Eclipse_(Italiano) "Eclipse (Italiano)") | Pagina da tradurre allineata il 09/10/2011 | n/a | n/a |
| [Larch (Italiano)](/index.php/Larch_(Italiano) "Larch (Italiano)") | Pagina creata il 10 gennaio | n/a | n/a |
| [Plasma (Italiano)](/index.php/Plasma_(Italiano) "Plasma (Italiano)") | Pagina allineata il 27/12/2010 | Trapanator | In corso |
| [PostgreSQL (Italiano)](/index.php/PostgreSQL_(Italiano) "PostgreSQL (Italiano)") | Traduzione incompleta | n/a | n/a |
| [Python package guidelines (Italiano)](/index.php/Python_package_guidelines_(Italiano) "Python package guidelines (Italiano)") | Pagina da riallineare | NoMore | In corso |
| [Ruby Gem package guidelines (Italiano)](/index.php/Ruby_Gem_package_guidelines_(Italiano) "Ruby Gem package guidelines (Italiano)") | Pagina da riallineare | n/a | n/a |
| [System Encryption with eCryptfs (Italiano)](/index.php/System_Encryption_with_eCryptfs_(Italiano) "System Encryption with eCryptfs (Italiano)") | Pagina da riallineare | n/a | n/a |
| [User:Maveloth#Pagine con riferimenti a kernel26](/index.php/User:Maveloth#Pagine_con_riferimenti_a_kernel26 "User:Maveloth") | Lista delle pagine che utilizzano ancora la dicitura al kernel26 invece che a **linux** | n/a | n/a |

**Nota:** É importante segnare la data di ultimo allineamento con l'articolo inglese, questo serve a tenerne traccia nel tempo.

## Revisioni

In questa sezione vengono messi i vari articoli del wiki presenti in lingua italiana, verrà inserita la data di ultima revisione e eventualmente il *nome utente* e lo *stato* di revisione in caso si stia procedendo al riallineamento della pagina rispetto al wiki inglese.

**Attenzione:** Attenzione le date sono in stile anglosassone ovvero: yyyy-mm-gg (es. 2011-01-30).

### Adottare un wiki

È possibile **Adottare** un wiki a vostra scelta, l'adozione di un wiki comporta la piena responsabilità della revisione e l'allineamento continuo della pagina che si prende in custodia nel tempo. Per procedere all'adozione si consiglia di:

Alcuni accorgimenti prima di procedere all'adozione di una pagina:

*   Controllare le [preferenze del vostro profilo](/index.php/Special:Preferences "Special:Preferences") sul wiki e selezionare l'opzione (disattivata di default) per essere avvisati via e-mail dei cambiamenti nelle pagine da voi messe sotto osservazione. In particolare devono essere spuntate tutte le seguenti opzioni:

	Segnalami via e-mail le modifiche alle pagine osservate <br\> Segnalami via e-mail le modifiche alla mia pagina di discussione <br\> Segnalami via e-mail anche le modifiche minori

*   Andando sul wiki da seguire e premendo sul link **Segui** situato affianco a "Cronologia", è possibile aggiungere la pagina desiderata tra i propri [Osservati Speciali](/index.php/Special:Watchlist "Special:Watchlist"), accessibile nel menu del proprio profilo. È possibile aggiungere le pagine anche manualmente cliccando su [Modifica la lista in formato testo](/index.php/Special:Watchlist/raw "Special:Watchlist/raw") (fate attenzione all'ortografia e in caso di più pagine aggiungetele una sotto l'altra). Facoltativamente è consigliabile aggiungere anche la propria pagina italiana tra quelle da "seguire", in modo che si venga avvistati di eventuali modifiche da parte di altri utenti, evitando anche eventuali errori.

Dalla pagina [Osservati Speciali](/index.php/Special:Watchlist "Special:Watchlist") e possibile seguire tutte le variazioni delle pagine da noi adottate in un unico resoconto. Se avete seguito attentamente la procedura indicata, verrete contattati via email nel caso di cambiamenti anche minori delle pagine adottate.

**Nota:** Nella email che vi viene mandata come avviso, vi sarà anche un link diretto alla Diff della cronologia dell'articolo preso in esame (è il secondo link in ordine). **Fate attenzione**, non sempre le modifiche mostrate sono complete, soprattutto nel caso di molte modifiche ravvicinate. É preferibile, una volta ricevuto l'avviso di revisione, procedere con un Diff personalizzato, impostando una data antecedente all'ultima revisione nella scheda *cronologia*. Un'altra peculiarità osservata, è che visitando le pagine senza aver effettuato il login, dopo aver ricevuto le email, o modificandole in un momento successivo, il sistema smette di inviare le notifiche, in quanto considera l'utente non più interessato a riceverle. Meglio quindi, per sicurezza, dare una controllata "manuale" alle proprie pagine ogni tanto.

Facoltativo:

*   Atom feeds: è anche possibile ricevere notifiche sull'attività di tutte le pagine wiki aggiungendo il seguente link [Archwiki Atom feed](https://wiki.archlinux.org/index.php?title=Special:RecentChanges&feed=atom) al proprio lettore Feed preferito (akregator, liferea, ecc).

**Suggerimento:** Può risultare utile avere un *feed Atom personalizzato* per le sole pagine che state seguendo. Per ottenerlo basta andare nella pagina dei vostri [Osservati Speciali](/index.php/Special:Watchlist "Special:Watchlist") (bisogna aver effettuato il login al wiki per raggiungerlo), successivamente seguire il link **Feed Atom** sulla sinistra nel menu *strumenti* e aggiungerlo al proprio lettore Feed.

### Tabella riassuntiva dei wiki revisionati e adottati

Vengono presentati tutti gli articoli suddivisi in due tabelle a seconda delle priorità ([Articoli Princpali](#Articoli_principali) e [Articoli Secondari](#Articoli_secondari)). Teoricamente sarebbe consono adottare prima tutte le pagine presenti nella prima tabella. Il contenuto delle tabelle viene discusso sul [froum](http://www.archlinux.it/forum/viewtopic.php?f=19&t=8483) e può variare in base alle esigenze della comunità.

Le tabelle contengono cinque voci:

1.  **Pagina** - Viene inserito il link alla pagina italiana trattata.
2.  **Ultima revisione** - Viene inserita la data di ultima revisione e/o riallineamento. La data è in stile anglosassone: yyyy-mm-gg.
3.  **Revisore** - L'utente che adotta la pagine immette qui il suo nome utente.
4.  **Redirect Ita** - Vengono immessi qui i wiki con titolo italiano che hanno un *redirect* al wiki tradotto.
5.  **Note** - Spazio riservato a note personali dell'utente che ha in adozione l'articolo e/o ad appunti di un supervisore. Qui immettendo **Cedibile** si rende pubblica la volontà di lasciare l'adozione di un wiki (in tal caso eliminare anche il proprio nome dalla colonna *Revisore*).

Le colonne contengono un link *rapido* di consultazione che effettua un ordinamento alfabetico.

#### Articoli principali

| Pagina | Ultima revisione | Revisore | Redirect Ita | Note |
| [Advanced Linux Sound Architecture (Italiano)](/index.php/Advanced_Linux_Sound_Architecture_(Italiano) "Advanced Linux Sound Architecture (Italiano)") | 2013-07-20 | 4javier | n/a | n/a |
| [AMD Catalyst (Italiano)](/index.php/AMD_Catalyst_(Italiano) "AMD Catalyst (Italiano)") | 2013-02-27 | umby213 | n/a | n/a |
| [Arch boot process (Italiano)](/index.php/Arch_boot_process_(Italiano) "Arch boot process (Italiano)") | 2014-01-05 | Kynikos | n/a | Cedibile |
| [Arch Build System (Italiano)](/index.php/Arch_Build_System_(Italiano) "Arch Build System (Italiano)") | 2013-07-21 | 4javier | n/a | n/a |
| [Arch Linux (Italiano)](/index.php/Arch_Linux_(Italiano) "Arch Linux (Italiano)") | 2012-11-06 | icetux | n/a | n/a |
| [Arch User Repository (Italiano)](/index.php/Arch_User_Repository_(Italiano) "Arch User Repository (Italiano)") | 2014-01-05 | Kynikos | n/a | Cedibile |
| [Arch64 FAQ (Italiano)](/index.php/Arch64_FAQ_(Italiano) "Arch64 FAQ (Italiano)") | 2014-03-03 | Veleno77 | n/a | n/a |
| [ATI (Italiano)](/index.php/ATI_(Italiano) "ATI (Italiano)") | 2013-07-22 | 4javier | n/a | n/a |
| [Beginners' guide (Italiano)](/index.php/Beginners%27_guide_(Italiano) "Beginners' guide (Italiano)") | 2014-03-09 | Veleno77 | [Guida per Principianti](/index.php/Guida_per_Principianti "Guida per Principianti") | n/a |
| [Configuring Network (Italiano)](/index.php/Configuring_Network_(Italiano) "Configuring Network (Italiano)") | 2012-10-04 | icetux | [Configurazione della Rete](/index.php/Configurazione_della_Rete "Configurazione della Rete") | n/a |
| [CUPS (Italiano)](/index.php/CUPS_(Italiano) "CUPS (Italiano)") | 2013-02-27 | umby213 | n/a | n/a |
| [FAQ (Italiano)](/index.php/FAQ_(Italiano) "FAQ (Italiano)") | 2012-08-20 | umby213 | [Domande Frequenti](/index.php/Domande_Frequenti "Domande Frequenti") | in allineamento --[Umby213](/index.php/User:Umby213 "User:Umby213") ([talk](/index.php/User_talk:Umby213 "User talk:Umby213")) 09:46, 15 December 2012 (UTC) |
| [Fstab (Italiano)](/index.php/Fstab_(Italiano) "Fstab (Italiano)") | 2013-06-29 | maveloth | n/a | n/a |
| [GNOME (Italiano)](/index.php/GNOME_(Italiano) "GNOME (Italiano)") | 2011-12-3 | Cylon | n/a | In allineamento |
| [GRUB2 (Italiano)](/index.php/GRUB2_(Italiano) "GRUB2 (Italiano)") | 2012-01-19 | Hilinus | n/a | n/a |
| [Help:Style (Italiano)](/index.php/Help:Style_(Italiano) "Help:Style (Italiano)") | 2014-01-12 | Kynikos | n/a | Cedibile |
| [Installation guide (Italiano)](/index.php/Installation_guide_(Italiano) "Installation guide (Italiano)") | 2014-03-03 | Veleno77 | [Guida all'installazione](/index.php/Guida_all%27installazione "Guida all'installazione") | n/a |
| [Intel (Italiano)](/index.php/Intel_(Italiano) "Intel (Italiano)") | 2014-03-09 | Veleno77 | n/a | n/a |
| [KDE (Italiano)](/index.php/KDE_(Italiano) "KDE (Italiano)") | 2014-03-06 | Veleno77 | n/a | n/a |
| [Laptop (Italiano)](/index.php/Laptop_(Italiano) "Laptop (Italiano)") | 2013-09-22 | Nierro | n/a | n/a |
| [Locale (Italiano)](/index.php/Locale_(Italiano) "Locale (Italiano)") | 2014-03-09 | Veleno77 | n/a | n/a |
| [Main page (Italiano)](/index.php/Main_page_(Italiano) "Main page (Italiano)") | 2014-03-03 | Veleno77 | n/a | n/a |
| [Makepkg (Italiano)](/index.php/Makepkg_(Italiano) "Makepkg (Italiano)") | 2012-11-29 | icetux | n/a | n/a |
| [Nouveau (Italiano)](/index.php/Nouveau_(Italiano) "Nouveau (Italiano)") | 2014-03-03 | Veleno77 | n/a | n/a |
| [NVIDIA (Italiano)](/index.php/NVIDIA_(Italiano) "NVIDIA (Italiano)") | 2014-03-03 | Veleno77 | n/a | n/a |
| [Official repositories (Italiano)](/index.php/Official_repositories_(Italiano) "Official repositories (Italiano)") | 2012-10-04 | icetux | [Repository Ufficiali](/index.php/Repository_Ufficiali "Repository Ufficiali") | n/a |
| [Openbox (Italiano)](/index.php/Openbox_(Italiano) "Openbox (Italiano)") | 2013-07-21 | 4javier | n/a | n/a |
| [Pacman (Italiano)](/index.php/Pacman_(Italiano) "Pacman (Italiano)") | 2014-01-12 | Kynikos | n/a | Cedibile |
| [Pacman-key (Italiano)](/index.php/Pacman-key_(Italiano) "Pacman-key (Italiano)") | 2012-01-19 | Hilinus | n/a | n/a |
| [PKGBUILD (Italiano)](/index.php/PKGBUILD_(Italiano) "PKGBUILD (Italiano)") | 2013-07-21 | 4javier | n/a | n/a |
| [PulseAudio (Italiano)](/index.php/PulseAudio_(Italiano) "PulseAudio (Italiano)") | 2012-02-10 | Hilinus | n/a | n/a |
| [PulseAudio/Examples (Italiano)](/index.php/PulseAudio/Examples_(Italiano) "PulseAudio/Examples (Italiano)") | 2012-02-10 | Hilinus | n/a | n/a |
| [RAID (Italiano)](/index.php/RAID_(Italiano) "RAID (Italiano)") | 2012-11-04 | maveloth | n/a | n/a |
| [Rc.conf (Italiano)](/index.php/Rc.conf_(Italiano) "Rc.conf (Italiano)") | 2012-02-07 | 4javier | n/a | n/a |
| [Start X at Login (Italiano)](/index.php/Start_X_at_Login_(Italiano) "Start X at Login (Italiano)") | 2011-09-20 | Hilinus | [Far partire X al boot](/index.php/Far_partire_X_al_boot "Far partire X al boot") | n/a |
| [Syslinux (Italiano)](/index.php/Syslinux_(Italiano) "Syslinux (Italiano)") | 2012-08-01 | Hilinus | n/a | n/a |
| [Systemd (Italiano)](/index.php/Systemd_(Italiano) "Systemd (Italiano)") | 2013-02-16 | ambro | n/a | n/a |
| [Systemd FAQ (Italiano)](/index.php/Systemd_FAQ_(Italiano) "Systemd FAQ (Italiano)") | 2012-11-04 | ambro | n/a | n/a |
| [systemd/User (Italiano)](/index.php/Systemd/User_(Italiano) "Systemd/User (Italiano)") | 2013-01-10 | Hilinus | n/a | n/a |
| [SysVinit (Italiano)](/index.php/SysVinit_(Italiano) "SysVinit (Italiano)") | 2014-02-28 | umby213 | n/a | n/a |
| [The Arch Way (Italiano)](/index.php/The_Arch_Way_(Italiano) "The Arch Way (Italiano)") | 2012-09-06 | icetux | [Il Metodo Arch](/index.php/Il_Metodo_Arch "Il Metodo Arch") | n/a |
| [Touchpad Synaptics (Italiano)](/index.php/Touchpad_Synaptics_(Italiano) "Touchpad Synaptics (Italiano)") | 2011-04-19 | ninquitassar | n/a | n/a |
| [Udev (Italiano)](/index.php/Udev_(Italiano) "Udev (Italiano)") | 2011-12-08 | ninquitassar | n/a | n/a |
| [Unified Extensible Firmware Interface (Italiano)](/index.php/Unified_Extensible_Firmware_Interface_(Italiano) "Unified Extensible Firmware Interface (Italiano)") | 2013-03-03 | maveloth | n/a | n/a |
| [USB Installation Media (Italiano)](/index.php/USB_Installation_Media_(Italiano) "USB Installation Media (Italiano)") | 2013-05-02 | umby213 | [Installare da supporto USB](/index.php/Installare_da_supporto_USB "Installare da supporto USB") | n/a |
| [Users and groups (Italiano)](/index.php/Users_and_groups_(Italiano) "Users and groups (Italiano)") | 2014-03-03 | Veleno77 | [Utenti e Gruppi](/index.php/Utenti_e_Gruppi "Utenti e Gruppi") | n/a |
| [Wireless Setup (Italiano)](/index.php/Wireless_Setup_(Italiano) "Wireless Setup (Italiano)") | 2012-02-13 | Hilinus | [Configurazione Wireless](/index.php/Configurazione_Wireless "Configurazione Wireless") | n/a |
| [WPA supplicant (Italiano)](/index.php/WPA_supplicant_(Italiano) "WPA supplicant (Italiano)") | 2012-02-07 | Hilinus | n/a | n/a |
| [Xfce (Italiano)](/index.php/Xfce_(Italiano) "Xfce (Italiano)") | 2014-03-03 | Veleno77 | n/a | n/a |
| [Xinitrc (Italiano)](/index.php/Xinitrc_(Italiano) "Xinitrc (Italiano)") | 2013-05-02 | umby213 | n/a | n/a |
| [Xorg (Italiano)](/index.php/Xorg_(Italiano) "Xorg (Italiano)") | 2014-03-06 | Veleno77 | n/a | n/a |

#### Articoli secondari

| Pagina | Ultima revisione | Revisore | Redirect Ita | Note |
| [ACPI modules (Italiano)](/index.php/ACPI_modules_(Italiano) "ACPI modules (Italiano)") | n/a | n/a | n/a | Out of date --[Umby213](/index.php/User:Umby213 "User:Umby213") ([talk](/index.php/User_talk:Umby213 "User talk:Umby213")) 17:51, 24 September 2012 (UTC) |
| [Acpid (Italiano)](/index.php/Acpid_(Italiano) "Acpid (Italiano)") | 2013-08-03 | Nierro | n/a | n/a |
| [Activating Numlock on Bootup (Italiano)](/index.php/Activating_Numlock_on_Bootup_(Italiano) "Activating Numlock on Bootup (Italiano)") | n/a | n/a | [Attivare Numlock all'Avvio](/index.php/Attivare_Numlock_all%27Avvio "Attivare Numlock all'Avvio") | Out of date |
| [Advanced Linux Sound Architecture/Example Configurations (Italiano)](/index.php/Advanced_Linux_Sound_Architecture/Example_Configurations_(Italiano) "Advanced Linux Sound Architecture/Example Configurations (Italiano)") | 2012-02-07 | 4javier | n/a | n/a |
| [Allow users to shutdown (Italiano)](/index.php/Allow_users_to_shutdown_(Italiano) "Allow users to shutdown (Italiano)") | 2012-12-16 | umby213 | [Permettere Spegnimento agli Utenti](/index.php/Permettere_Spegnimento_agli_Utenti "Permettere Spegnimento agli Utenti") | n/a |
| [Amarok 2 (Italiano)](/index.php/Amarok_2_(Italiano) "Amarok 2 (Italiano)") | 2012-01-19 | n/a | n/a | n/a |
| [Android notifier (Italiano)](/index.php/Android_notifier_(Italiano) "Android notifier (Italiano)") | 2012-01-19 | n/a | n/a | n/a |
| [Arch compared to other distributions (Italiano)](/index.php/Arch_compared_to_other_distributions_(Italiano) "Arch compared to other distributions (Italiano)") | 2012-01-19 | Toketin | [Arch Comparato con altre Distribuzioni](/index.php/Arch_Comparato_con_altre_Distribuzioni "Arch Comparato con altre Distribuzioni") | Da controllare la formattazzione Html [Veleno](/index.php/User:Veleno77 "User:Veleno77") 11:17, 19 January 2012 (EST) |
| [Arch wine PKGBUILD guidelines (Italiano)](/index.php/Arch_wine_PKGBUILD_guidelines_(Italiano) "Arch wine PKGBUILD guidelines (Italiano)") | 2012-01-19 | n/a | n/a | n/a |
| [Archiso (Italiano)](/index.php/Archiso_(Italiano) "Archiso (Italiano)") | 2012-02-05 | n/a | n/a | **da riallineare** -- [Kynikos](/index.php/User:Kynikos "User:Kynikos") 07:06, 24 March 2012 (EDT) |
| [ArchWiki:About (Italiano)](/index.php/ArchWiki:About_(Italiano) "ArchWiki:About (Italiano)") | n/a | n/a | n/a | **Controllare allineamento** [Veleno](/index.php/User:Veleno77 "User:Veleno77") 18:02, 10 March 2012 (EST) |
| [Asus Eee PC 900A (Italiano)](/index.php/Asus_Eee_PC_900A_(Italiano) "Asus Eee PC 900A (Italiano)") | n/a | n/a | n/a | Versione inglese segnata come out of date --[Umby213](/index.php/User:Umby213 "User:Umby213") ([talk](/index.php/User_talk:Umby213 "User talk:Umby213")) 17:39, 24 September 2012 (UTC) |
| [Autofs (Italiano)](/index.php/Autofs_(Italiano) "Autofs (Italiano)") | 2012-01-19 | n/a | n/a | n/a |
| [Automatic login to virtual console (Italiano)](/index.php/Automatic_login_to_virtual_console_(Italiano) "Automatic login to virtual console (Italiano)") | 2012-12-21 | umby213 | [Login Automatico in una console virtuale](/index.php/Login_Automatico_in_una_console_virtuale "Login Automatico in una console virtuale") | n/a |
| [Awesome3 (Italiano)](/index.php/Awesome3_(Italiano) "Awesome3 (Italiano)") | 2011-01-06 | Delcaran | n/a | **Da Ri-allineare** [Veleno](/index.php/User:Veleno77 "User:Veleno77") 11:17, 19 January 2012 (EST) |
| [Bash (Italiano)](/index.php/Bash_(Italiano) "Bash (Italiano)") | 2012-02-01 | n/a | n/a | n/a |
| [Bluetooth (Italiano)](/index.php/Bluetooth_(Italiano) "Bluetooth (Italiano)") | 2012-10-14 | icetux | n/a | n/a |
| [BOINC (Italiano)](/index.php/BOINC_(Italiano) "BOINC (Italiano)") | n/a | n/a | n/a | out of date --[Umby213](/index.php/User:Umby213 "User:Umby213") ([talk](/index.php/User_talk:Umby213 "User talk:Umby213")) 17:39, 24 September 2012 (UTC) |
| [Boot debugging (Italiano)](/index.php/Boot_debugging_(Italiano) "Boot debugging (Italiano)") | 2012-01-19 | n/a | n/a | n/a |
| [Bootchart (Italiano)](/index.php/Bootchart_(Italiano) "Bootchart (Italiano)") | n/a | n/a | n/a | Out of date; versione inglese segnata a sua volta come Out of Date --[Umby213](/index.php/User:Umby213 "User:Umby213") ([talk](/index.php/User_talk:Umby213 "User talk:Umby213")) 17:39, 24 September 2012 (UTC) |
| [Bumblebee (Italiano)](/index.php/Bumblebee_(Italiano) "Bumblebee (Italiano)") | 2014-03-09 | Veleno77 | n/a | n/a |
| [Burg (Italiano)](/index.php/Burg_(Italiano) "Burg (Italiano)") | 2011-09-21 | Toketin | n/a | n/a |
| [Chromium (Italiano)](/index.php/Chromium_(Italiano) "Chromium (Italiano)") | n/a | n/a | n/a | Out of Date --[Umby213](/index.php/User:Umby213 "User:Umby213") ([talk](/index.php/User_talk:Umby213 "User talk:Umby213")) 17:39, 24 September 2012 (UTC) |
| [Cinergy T stick (Italiano)](/index.php/Cinergy_T_stick_(Italiano) "Cinergy T stick (Italiano)") | n/a | n/a | n/a | Versione inglese non esiste; riferimenti a kernel26 --[Umby213](/index.php/User:Umby213 "User:Umby213") ([talk](/index.php/User_talk:Umby213 "User talk:Umby213")) 17:39, 24 September 2012 (UTC) |
| [ClamAV (Italiano)](/index.php/ClamAV_(Italiano) "ClamAV (Italiano)") | n/a | n/a | n/a | out of date --[Umby213](/index.php/User:Umby213 "User:Umby213") ([talk](/index.php/User_talk:Umby213 "User talk:Umby213")) 17:51, 24 September 2012 (UTC) |
| [Codecs (Italiano)](/index.php/Codecs_(Italiano) "Codecs (Italiano)") | 2014-03-07 | Veleno77 | n/a | n/a |
| [Color Bash Prompt (Italiano)](/index.php/Color_Bash_Prompt_(Italiano) "Color Bash Prompt (Italiano)") | 2012-02-01 | n/a | n/a | n/a |
| [Compiz (Italiano)](/index.php/Compiz_(Italiano) "Compiz (Italiano)") | 2013-07-20 | NoMore | n/a | n/a |
| [Compiz Troubleshooting (Italiano)](/index.php/Compiz_Troubleshooting_(Italiano) "Compiz Troubleshooting (Italiano)") | 2012-01-19 | NoMore | n/a | n/a |
| [Conky (Italiano)](/index.php/Conky_(Italiano) "Conky (Italiano)") | 2011-09-21 | Ninquitassar | n/a | **Da Ri-allineare** [Veleno](/index.php/User:Veleno77 "User:Veleno77") 11:17, 19 January 2012 (EST) |
| [Connman (Italiano)](/index.php/Connman_(Italiano) "Connman (Italiano)") | 2012-01-19 | n/a | n/a | n/a |
| [Console mouse support (Italiano)](/index.php/Console_mouse_support_(Italiano) "Console mouse support (Italiano)") | 2012-01-19 | n/a | n/a | n/a |
| [ConsoleKit (Italiano)](/index.php/ConsoleKit_(Italiano) "ConsoleKit (Italiano)") | 2012-12-16 | umby213 | n/a | n/a |
| [CPU frequency scaling (Italiano)](/index.php/CPU_frequency_scaling_(Italiano) "CPU frequency scaling (Italiano)") | 2014-03-07 | Veleno77 | [Variazione di frequenza CPU](/index.php/Variazione_di_frequenza_CPU "Variazione di frequenza CPU") | n/a |
| [Creating packages (Italiano)](/index.php/Creating_packages_(Italiano) "Creating packages (Italiano)") | 2012-01-19 | n/a | n/a | n/a |
| [Cwm (Italiano)](/index.php/Cwm_(Italiano) "Cwm (Italiano)") | 2012-01-19 | n/a | n/a | n/a |
| [Daemon (Italiano)](/index.php/Daemon_(Italiano) "Daemon (Italiano)") | 2012-11-06 | n/a | [Demoni](/index.php/Demoni "Demoni") | n/a |
| [Deltup (Italiano)](/index.php/Deltup_(Italiano) "Deltup (Italiano)") | n/a | n/a | n/a | out of date; versione inglese "need expansions" --[Umby213](/index.php/User:Umby213 "User:Umby213") ([talk](/index.php/User_talk:Umby213 "User talk:Umby213")) 17:51, 24 September 2012 (UTC) |
| [Desktop environment (Italiano)](/index.php/Desktop_environment_(Italiano) "Desktop environment (Italiano)") | 2014-03-09 | Veleno77 | n/a | n/a |
| [Digital Cameras (Italiano)](/index.php/Digital_Cameras_(Italiano) "Digital Cameras (Italiano)") | 2012-01-19 | n/a | [Fotocamere Digitali](/index.php/Fotocamere_Digitali "Fotocamere Digitali") | n/a |
| [Disk cloning (Italiano)](/index.php/Disk_cloning_(Italiano) "Disk cloning (Italiano)") | 2012-01-19 | n/a | n/a | n/a |
| [Display manager (Italiano)](/index.php/Display_manager_(Italiano) "Display manager (Italiano)") | 2012-01-19 | Hilinus | [Avviare automaticamente un gestore login grafico all'avvio](/index.php/Avviare_automaticamente_un_gestore_login_grafico_all%27avvio "Avviare automaticamente un gestore login grafico all'avvio") | n/a |
| [Dnsmasq (Italiano)](/index.php/Dnsmasq_(Italiano) "Dnsmasq (Italiano)") | 2012-11-20 | maveloth | n/a | n/a |
| [Downgrading packages (Italiano)](/index.php/Downgrading_packages_(Italiano) "Downgrading packages (Italiano)") | 2012-11-06 | icetux | n/a | n/a |
| [Dropbox (Italiano)](/index.php/Dropbox_(Italiano) "Dropbox (Italiano)") | 2013-02-27 | umby213 | n/a | n/a |
| [Drupal (Italiano)](/index.php/Drupal_(Italiano) "Drupal (Italiano)") | n/a | n/a | n/a | Out of Date --[Umby213](/index.php/User:Umby213 "User:Umby213") ([talk](/index.php/User_talk:Umby213 "User talk:Umby213")) 17:39, 24 September 2012 (UTC) |
| [Eclipse plugin package guidelines (Italiano)](/index.php/Eclipse_plugin_package_guidelines_(Italiano) "Eclipse plugin package guidelines (Italiano)") | 2012-09-04 | n/a | n/a | n/a |
| [Enlightenment (Italiano)](/index.php/Enlightenment_(Italiano) "Enlightenment (Italiano)") | 2014-03-09 | Veleno77 | n/a | n/a |
| [Evilwm (Italiano)](/index.php/Evilwm_(Italiano) "Evilwm (Italiano)") | 2012-01-19 | n/a | n/a | n/a |
| [Exaile (Italiano)](/index.php/Exaile_(Italiano) "Exaile (Italiano)") | n/a | n/a | n/a | Out of date --[Umby213](/index.php/User:Umby213 "User:Umby213") ([talk](/index.php/User_talk:Umby213 "User talk:Umby213")) 17:39, 24 September 2012 (UTC) |
| [Execute on USB insert (Italiano)](/index.php/Execute_on_USB_insert_(Italiano) "Execute on USB insert (Italiano)") | 2012-01-19 | n/a | n/a | n/a |
| [Ext3 (Italiano)](/index.php/Ext3_(Italiano) "Ext3 (Italiano)") | 2012-01-19 | n/a | n/a | n/a |
| [Ext4 (Italiano)](/index.php/Ext4_(Italiano) "Ext4 (Italiano)") | 2012-01-19 | n/a | n/a | n/a |
| [FAM (Italiano)](/index.php/FAM_(Italiano) "FAM (Italiano)") | n/a | n/a | n/a | Out of date --[Umby213](/index.php/User:Umby213 "User:Umby213") ([talk](/index.php/User_talk:Umby213 "User talk:Umby213")) 17:39, 24 September 2012 (UTC) |
| [Fan speed control (Italiano)](/index.php/Fan_speed_control_(Italiano) "Fan speed control (Italiano)") | 2012-01-26 | n/a | [Controllo ventola CPU](/index.php/Controllo_ventola_CPU "Controllo ventola CPU") | n/a |
| [Fbsplash (Italiano)](/index.php/Fbsplash_(Italiano) "Fbsplash (Italiano)") | 2012-01-19 | Cylon | n/a | n/a |
| [Feh (Italiano)](/index.php/Feh_(Italiano) "Feh (Italiano)") | 2013-01-26 | umby213 | n/a | n/a |
| [File systems (Italiano)](/index.php/File_systems_(Italiano) "File systems (Italiano)") | 2014-03-09 | Veleno77 | [Formattare una Periferica](/index.php/Formattare_una_Periferica "Formattare una Periferica"), [Format a device (Italiano)](/index.php/Format_a_device_(Italiano) "Format a device (Italiano)") è un redirect | n/a |
| [Filesystem Hierarchy Standard (Italiano)](/index.php/Filesystem_Hierarchy_Standard_(Italiano) "Filesystem Hierarchy Standard (Italiano)") | 2012-01-19 | n/a | n/a | Versione inglese rinominata in [Arch filesystem hierarchy](/index.php/Arch_filesystem_hierarchy "Arch filesystem hierarchy") [Umby213](/index.php/User:Umby213 "User:Umby213") ([talk](/index.php/User_talk:Umby213 "User talk:Umby213")) 17:39, 24 September 2012 (UTC) |
| [Firefox (Italiano)](/index.php/Firefox_(Italiano) "Firefox (Italiano)") | n/a | n/a | n/a | Out of Date --[Umby213](/index.php/User:Umby213 "User:Umby213") ([talk](/index.php/User_talk:Umby213 "User talk:Umby213")) 17:39, 24 September 2012 (UTC) |
| [Firewalls (Italiano)](/index.php/Firewalls_(Italiano) "Firewalls (Italiano)") | 2012-12-08 | maveloth | n/a | n/a |
| [Fluxbox (Italiano)](/index.php/Fluxbox_(Italiano) "Fluxbox (Italiano)") | 2013-02-24 | umby213 | n/a | n/a |
| [Fluxbox Style Guide (Italiano)](/index.php/Fluxbox_Style_Guide_(Italiano) "Fluxbox Style Guide (Italiano)") | 2012-12-16 | umby213 | n/a | n/a |
| [Font configuration (Italiano)](/index.php/Font_configuration_(Italiano) "Font configuration (Italiano)") | 2012-09-11 | icetux | n/a | n/a |
| [Fonts (Italiano)](/index.php/Fonts_(Italiano) "Fonts (Italiano)") | 2012-01-26 | n/a | n/a | n/a |
| [FVWM (Italiano)](/index.php/FVWM_(Italiano) "FVWM (Italiano)") | 2012-10-30 | Veleno77 | n/a | n/a |
| [Gamin (Italiano)](/index.php/Gamin_(Italiano) "Gamin (Italiano)") | n/a | n/a | n/a | Versione inglese segnata come "stub"; out of date --[Umby213](/index.php/User:Umby213 "User:Umby213") ([talk](/index.php/User_talk:Umby213 "User talk:Umby213")) 17:39, 24 September 2012 (UTC) |
| [General recommendations (Italiano)](/index.php/General_recommendations_(Italiano) "General recommendations (Italiano)") | 2012-01-19 | asa | [Raccomandazioni Generali](/index.php/Raccomandazioni_Generali "Raccomandazioni Generali") [Suggerimenti Post Installazione](/index.php/Suggerimenti_Post_Installazione "Suggerimenti Post Installazione") | **da allineare** [Umby213](/index.php/User:Umby213 "User:Umby213") 15:36, 26 January 2012 (EST) |
| [Getting involved (Italiano)](/index.php/Getting_involved_(Italiano) "Getting involved (Italiano)") | 2012-03-12 | Kynikos | [Come contribuire](/index.php/Come_contribuire "Come contribuire") | **Cedibile**, **da riallineare** -- [Kynikos](/index.php/User:Kynikos "User:Kynikos") 06:51, 13 March 2012 (EDT) |
| [GNOME package guidelines (Italiano)](/index.php/GNOME_package_guidelines_(Italiano) "GNOME package guidelines (Italiano)") | 2012-02-07 | 4javier | n/a | n/a |
| [GNOME Tips (Italiano)](/index.php/GNOME_Tips_(Italiano) "GNOME Tips (Italiano)") | 2011-03-22 | n/a | n/a | n/a |
| [Google Earth (Italiano)](/index.php/Google_Earth_(Italiano) "Google Earth (Italiano)") | n/a | n/a | n/a | Versione italiana più completa di quella inglese; credo che comunque sia da rivedere e aggiornare --[Umby213](/index.php/User:Umby213 "User:Umby213") ([talk](/index.php/User_talk:Umby213 "User talk:Umby213")) 17:39, 24 September 2012 (UTC) |
| [Grub-gfx (Italiano)](/index.php/Grub-gfx_(Italiano) "Grub-gfx (Italiano)") | n/a | n/a | n/a | Out of Date; versione inglese a sua volta out of date --[Umby213](/index.php/User:Umby213 "User:Umby213") ([talk](/index.php/User_talk:Umby213 "User talk:Umby213")) 17:39, 24 September 2012 (UTC) |
| [GRUB Legacy (Italiano)](/index.php/GRUB_Legacy_(Italiano) "GRUB Legacy (Italiano)") | 2013-05-02 | umby213 | n/a | n/a |
| [GTK+ (Italiano)](/index.php/GTK%2B_(Italiano) "GTK+ (Italiano)") | 2012-08-28 | n/a | n/a | n/a |
| [Hardware Diagnostics (Italiano)](/index.php/Hardware_Diagnostics_(Italiano) "Hardware Diagnostics (Italiano)") | n/a | n/a | [Diagnostica Hardware](/index.php/Diagnostica_Hardware "Diagnostica Hardware") | Segnata come "out of date"; non esiste versione inglese --[Umby213](/index.php/User:Umby213 "User:Umby213") ([talk](/index.php/User_talk:Umby213 "User talk:Umby213")) 17:39, 24 September 2012 (UTC) |
| [Haskell package guidelines (Italiano)](/index.php/Haskell_package_guidelines_(Italiano) "Haskell package guidelines (Italiano)") | 2012-01-19 | Hilinus | n/a | n/a |
| [Help:Editing (Italiano)](/index.php/Help:Editing_(Italiano) "Help:Editing (Italiano)") | n/a | n/a | n/a | Out of Date |
| [High Performance Firewall (Italiano)](/index.php/High_Performance_Firewall_(Italiano) "High Performance Firewall (Italiano)") | n/a | n/a | n/a | Versione inglese segnata come: poorly written, merging in [Router](/index.php/Router "Router"); out of date --[Umby213](/index.php/User:Umby213 "User:Umby213") ([talk](/index.php/User_talk:Umby213 "User talk:Umby213")) 17:39, 24 September 2012 (UTC) |
| [IceWM (Italiano)](/index.php/IceWM_(Italiano) "IceWM (Italiano)") | 2012-12-16 | umby213 | n/a | n/a |
| [Improve pacman performance (Italiano)](/index.php/Improve_pacman_performance_(Italiano) "Improve pacman performance (Italiano)") | 2012-02-04 | Hilinus | n/a | n/a |
| [Install from existing Linux (Italiano)](/index.php/Install_from_existing_Linux_(Italiano) "Install from existing Linux (Italiano)") | 2012-02-02 | Stele | n/a | n/a |
| [Install from SSH (Italiano)](/index.php/Install_from_SSH_(Italiano) "Install from SSH (Italiano)") | 2012-06-15 | Stele | n/a | n/a |
| [Installing Arch Linux on a USB key (Italiano)](/index.php/Installing_Arch_Linux_on_a_USB_key_(Italiano) "Installing Arch Linux on a USB key (Italiano)") | 2012-02-26 | n/a | n/a | n/a |
| [Internet key Momo Design (Italiano)](/index.php/Internet_key_Momo_Design_(Italiano) "Internet key Momo Design (Italiano)") | n/a | n/a | n/a | la versione inglese è scritta in italiano **Controllare allineamento** [Veleno](/index.php/User:Veleno77 "User:Veleno77") 18:02, 10 March 2012 (EST) |
| [Internet Share (Italiano)](/index.php/Internet_Share_(Italiano) "Internet Share (Italiano)") | n/a | n/a | [Condivisione connessione internet](/index.php/Condivisione_connessione_internet "Condivisione connessione internet") | Out of Date --[Umby213](/index.php/User:Umby213 "User:Umby213") ([talk](/index.php/User_talk:Umby213 "User talk:Umby213")) 17:39, 24 September 2012 (UTC) |
| [Intel C++ (Italiano)](/index.php/Intel_C%2B%2B_(Italiano) "Intel C++ (Italiano)") | 2012-09-16 | bred | n/a | n/a |
| [Iptables (Italiano)](/index.php/Iptables_(Italiano) "Iptables (Italiano)") | 2012-11-13 | maveloth | n/a | n/a |
| [Java (Italiano)](/index.php/Java_(Italiano) "Java (Italiano)") | 2014-04-10 | thewall | n/a | n/a |
| [Java package guidelines (Italiano)](/index.php/Java_package_guidelines_(Italiano) "Java package guidelines (Italiano)") | 2012-01-19 | n/a | n/a | n/a |
| [JWM (Italiano)](/index.php/JWM_(Italiano) "JWM (Italiano)") | 2012-01-19 | n/a | n/a | n/a |
| [KDM (Italiano)](/index.php/KDM_(Italiano) "KDM (Italiano)") | 2012-11-06 | icetux | n/a | n/a |
| [Kernel module package guidelines (Italiano)](/index.php/Kernel_module_package_guidelines_(Italiano) "Kernel module package guidelines (Italiano)") | 2010-12-30 | n/a | n/a | Versione inglese "need expansions"; entrambe le pagine puntano a kernel26 |
| [Kernel modules (Italiano)](/index.php/Kernel_modules_(Italiano) "Kernel modules (Italiano)") | 2014-01-12 | Kynikos | n/a | Cedibile |
| [Kernel Panics (Italiano)](/index.php/Kernel_Panics_(Italiano) "Kernel Panics (Italiano)") | n/a | n/a | n/a | out of date --[Umby213](/index.php/User:Umby213 "User:Umby213") ([talk](/index.php/User_talk:Umby213 "User talk:Umby213")) 17:51, 24 September 2012 (UTC) |
| [Kernels (Italiano)](/index.php/Kernels_(Italiano) "Kernels (Italiano)") | 2012-04-01 | n/a | n/a | n/a |
| [Kernels/Arch Build System (Italiano)](/index.php/Kernels/Arch_Build_System_(Italiano) "Kernels/Arch Build System (Italiano)") | 2012-03-23 | n/a | n/a | n/a |
| [Kernels/Compilation/Script (Italiano)](/index.php/Kernels/Compilation/Script_(Italiano) "Kernels/Compilation/Script (Italiano)") | 2012-04-09 | n/a | n/a | n/a |
| [Kernels/Compilation/Traditional (Italiano)](/index.php/Kernels/Compilation/Traditional_(Italiano) "Kernels/Compilation/Traditional (Italiano)") | 2012-04-20 | n/a | n/a | n/a |
| [KVM (Italiano)](/index.php/KVM_(Italiano) "KVM (Italiano)") | 2012-02-07 | 4javier | n/a | n/a |
| [LAMP (Italiano)](/index.php/LAMP_(Italiano) "LAMP (Italiano)") | 2012-01-26 | n/a | n/a | n/a |
| [Laptop Mode Tools (Italiano)](/index.php/Laptop_Mode_Tools_(Italiano) "Laptop Mode Tools (Italiano)") | 2012-11-05 | veleno77 | n/a | n/a |
| [Lisp package guidelines (Italiano)](/index.php/Lisp_package_guidelines_(Italiano) "Lisp package guidelines (Italiano)") | 2012-01-19 | n/a | n/a | n/a |
| [List of applications (Italiano)](/index.php/List_of_applications_(Italiano) "List of applications (Italiano)") | 2013-09-08 | Veleno77 | n/a | n/a |
| [LVM (Italiano)](/index.php/LVM_(Italiano) "LVM (Italiano)") | 2013-02-25 | maveloth | n/a | n/a |
| [LXDE (Italiano)](/index.php/LXDE_(Italiano) "LXDE (Italiano)") | 2011-01-06 | xaber | n/a | La pagina non è allineata alla versione inglese. [Veleno](/index.php/User:Veleno77 "User:Veleno77") 07:50, 21 October 2011 (EDT) |
| [MacBook (Italiano)](/index.php/MacBook_(Italiano) "MacBook (Italiano)") | 2014-03-11 | Deid | n/a | out of date --[Umby213](/index.php/User:Umby213 "User:Umby213") ([talk](/index.php/User_talk:Umby213 "User talk:Umby213")) 17:51, 24 September 2012 (UTC) |
| [Master Boot Record (Italiano)](/index.php/Master_Boot_Record_(Italiano) "Master Boot Record (Italiano)") | 2013-02-01 | maveloth | n/a | n/a |
| [MATE (Italiano)](/index.php/MATE_(Italiano) "MATE (Italiano)") | 2012-07-29 | n/a | n/a | n/a |
| [Mathematica (Italiano)](/index.php/Mathematica_(Italiano) "Mathematica (Italiano)") | n/a | n/a | n/a | Segnate come "stub" entrambe le versioni --[Umby213](/index.php/User:Umby213 "User:Umby213") ([talk](/index.php/User_talk:Umby213 "User talk:Umby213")) 17:51, 24 September 2012 (UTC) |
| [Media Center (Italiano)](/index.php/Media_Center_(Italiano) "Media Center (Italiano)") | n/a | Stele | n/a | **É una pagina italiana e non ha il corrispettivo inglese** |
| [Mirrors (Italiano)](/index.php/Mirrors_(Italiano) "Mirrors (Italiano)") | 2013-02-24 | umby213 | n/a | n/a |
| [Mkinitcpio (Italiano)](/index.php/Mkinitcpio_(Italiano) "Mkinitcpio (Italiano)") | 2013-09-08 | Veleno77 | n/a | n/a |
| [Mpd (Italiano)](/index.php/Mpd_(Italiano) "Mpd (Italiano)") | 2011-01-08 | Delcaran | n/a | **DA ALLINEARE** [Umby213](/index.php/User:Umby213 "User:Umby213") 14:20, 19 January 2012 (EST) |
| [MPlayer (Italiano)](/index.php/MPlayer_(Italiano) "MPlayer (Italiano)") | 2013-02-24 | umby213 | n/a | n/a |
| [Mutt (Italiano)](/index.php/Mutt_(Italiano) "Mutt (Italiano)") | 2012-07-06 | umby213 | n/a | n/a |
| [MySQL (Italiano)](/index.php/MySQL_(Italiano) "MySQL (Italiano)") | 2012-01-26 | n/a | n/a | n/a |
| [Namcap (Italiano)](/index.php/Namcap_(Italiano) "Namcap (Italiano)") | 2014-04-06 | thewall | n/a | n/a |
| [Nano (Italiano)](/index.php/Nano_(Italiano) "Nano (Italiano)") | 2013-05-02 | umby213 | n/a | n/a |
| [Ncmpcpp (Italiano)](/index.php/Ncmpcpp_(Italiano) "Ncmpcpp (Italiano)") | 2012-01-14 | Ninquitassar | n/a | n/a |
| [Netcfg (Italiano)](/index.php/Netcfg_(Italiano) "Netcfg (Italiano)") | 2012-10-03 | Toketin | n/a | n/a |
| [Network Time Protocol daemon (Italiano)](/index.php/Network_Time_Protocol_daemon_(Italiano) "Network Time Protocol daemon (Italiano)") | 2012-11-06 | icetux | n/a | n/a |
| [NetworkManager (Italiano)](/index.php/NetworkManager_(Italiano) "NetworkManager (Italiano)") | 2013-02-24 | umby213 | n/a | n/a |
| [NFS (Italiano)](/index.php/NFS_(Italiano) "NFS (Italiano)") | 2012-01-27 | n/a | n/a | n/a |
| [NFSv4 (Italiano)](/index.php/NFSv4_(Italiano) "NFSv4 (Italiano)") | 2012-02-18 | n/a | n/a | n/a |
| [Notify OSD (Italiano)](/index.php/Notify_OSD_(Italiano) "Notify OSD (Italiano)") | n/a | n/a | n/a | Versione inglese è redirect a [Unity](/index.php/Unity "Unity") --[Umby213](/index.php/User:Umby213 "User:Umby213") ([talk](/index.php/User_talk:Umby213 "User talk:Umby213")) 17:51, 24 September 2012 (UTC) |
| [NTFS-3G (Italiano)](/index.php/NTFS-3G_(Italiano) "NTFS-3G (Italiano)") | 2012-01-19 | n/a | n/a | n/a |
| [Ntop (Italiano)](/index.php/Ntop_(Italiano) "Ntop (Italiano)") | n/a | n/a | n/a | out of date --[Umby213](/index.php/User:Umby213 "User:Umby213") ([talk](/index.php/User_talk:Umby213 "User talk:Umby213")) 17:51, 24 September 2012 (UTC) |
| [OCaml package guidelines (Italiano)](/index.php/OCaml_package_guidelines_(Italiano) "OCaml package guidelines (Italiano)") | 2012-01-31 | n/a | n/a | n/a |
| [Openbox Themes and Apps (Italiano)](/index.php/Openbox_Themes_and_Apps_(Italiano) "Openbox Themes and Apps (Italiano)") | 2012-02-07 | 4javier | n/a | n/a |
| [OpenNTPD (Italiano)](/index.php/OpenNTPD_(Italiano) "OpenNTPD (Italiano)") | 2012-01-19 | Toketin | n/a | n/a |
| [OpenOffice (Italiano)](/index.php/OpenOffice_(Italiano) "OpenOffice (Italiano)") | n/a | n/a | n/a | Scritta in inglese e Out of Date --[Umby213](/index.php/User:Umby213 "User:Umby213") ([talk](/index.php/User_talk:Umby213 "User talk:Umby213")) 17:51, 24 September 2012 (UTC) |
| [Opera (Italiano)](/index.php/Opera_(Italiano) "Opera (Italiano)") | n/a | n/a | n/a | Out of date --[Umby213](/index.php/User:Umby213 "User:Umby213") ([talk](/index.php/User_talk:Umby213 "User talk:Umby213")) 17:51, 24 September 2012 (UTC) |
| [Optical disc drive (Italiano)](/index.php/Optical_disc_drive_(Italiano) "Optical disc drive (Italiano)") | 2013-09-02 | Veleno77 | n/a | n/a |
| [Osiris (Italiano)](/index.php/Osiris_(Italiano) "Osiris (Italiano)") | n/a | n/a | n/a | Versione inglese non esiste --[Umby213](/index.php/User:Umby213 "User:Umby213") ([talk](/index.php/User_talk:Umby213 "User talk:Umby213")) 17:51, 24 September 2012 (UTC) |
| [OSS (Italiano)](/index.php/OSS_(Italiano) "OSS (Italiano)") | 2012-01-19 | asa | n/a | **da allineare** [Umby213](/index.php/User:Umby213 "User:Umby213") 15:36, 26 January 2012 (EST) |
| [Pacman GUI Frontends (Italiano)](/index.php/Pacman_GUI_Frontends_(Italiano) "Pacman GUI Frontends (Italiano)") | n/a | n/a | [Interfacce Grafiche per Pacman](/index.php/Interfacce_Grafiche_per_Pacman "Interfacce Grafiche per Pacman") | out of date --[Umby213](/index.php/User:Umby213 "User:Umby213") ([talk](/index.php/User_talk:Umby213 "User talk:Umby213")) 17:51, 24 September 2012 (UTC) |
| [Pacman Tips (Italiano)](/index.php/Pacman_Tips_(Italiano) "Pacman Tips (Italiano)") | n/a | n/a | n/a | out of date --[Umby213](/index.php/User:Umby213 "User:Umby213") ([talk](/index.php/User_talk:Umby213 "User talk:Umby213")) 17:51, 24 September 2012 (UTC) |
| [Pacnew and Pacsave Files (Italiano)](/index.php/Pacnew_and_Pacsave_Files_(Italiano) "Pacnew and Pacsave Files (Italiano)") | n/a | n/a | [File Pacnew e Pacsave](/index.php/File_Pacnew_e_Pacsave "File Pacnew e Pacsave") | out of Date --[Umby213](/index.php/User:Umby213 "User:Umby213") ([talk](/index.php/User_talk:Umby213 "User talk:Umby213")) 17:51, 24 September 2012 (UTC) |
| [Palm Pre (Italiano)](/index.php/Palm_Pre_(Italiano) "Palm Pre (Italiano)") | n/a | n/a | n/a | Versione inglese scritta in italiano --[Umby213](/index.php/User:Umby213 "User:Umby213") ([talk](/index.php/User_talk:Umby213 "User talk:Umby213")) 17:51, 24 September 2012 (UTC) |
| [Partitioning (Italiano)](/index.php/Partitioning_(Italiano) "Partitioning (Italiano)") | 2013-09-01 | Veleno77 | n/a | n/a |
| [Password Recovery (Italiano)](/index.php/Password_Recovery_(Italiano) "Password Recovery (Italiano)") | 2011-10-11 | n/a | n/a | n/a |
| [Pawm (Italiano)](/index.php/Pawm_(Italiano) "Pawm (Italiano)") | 2012-11-01 | Veleno77 | n/a | n/a |
| [PekWM (Italiano)](/index.php/PekWM_(Italiano) "PekWM (Italiano)") | 2013-08-25 | Veleno77 | n/a | n/a |
| [Perl package guidelines (Italiano)](/index.php/Perl_package_guidelines_(Italiano) "Perl package guidelines (Italiano)") | 2011-09-23 | Hilinus | n/a | n/a |
| [Persistent block device naming (Italiano)](/index.php/Persistent_block_device_naming_(Italiano) "Persistent block device naming (Italiano)") | 2011-12-08 | n/a | n/a | n/a |
| [Plymouth (Italiano)](/index.php/Plymouth_(Italiano) "Plymouth (Italiano)") | n/a | n/a | n/a | Out of Date --[Umby213](/index.php/User:Umby213 "User:Umby213") ([talk](/index.php/User_talk:Umby213 "User talk:Umby213")) 17:51, 24 September 2012 (UTC) |
| [Pm-utils (Italiano)](/index.php/Pm-utils_(Italiano) "Pm-utils (Italiano)") | 2013-09-22 | Nierro | n/a | n/a |
| [Powerpill (Italiano)](/index.php/Powerpill_(Italiano) "Powerpill (Italiano)") | 2012-01-31 | n/a | n/a | n/a |
| [Privoxy (Italiano)](/index.php/Privoxy_(Italiano) "Privoxy (Italiano)") | 2011-09-08 | n/a | n/a | n/a |
| [Readline (Italiano)](/index.php/Readline_(Italiano) "Readline (Italiano)") | 2012-02-26 | n/a | n/a | n/a |
| [Resolv.conf (Italiano)](/index.php/Resolv.conf_(Italiano) "Resolv.conf (Italiano)") | 2011-11-02 | n/a | n/a | n/a |
| [Samba (Italiano)](/index.php/Samba_(Italiano) "Samba (Italiano)") | 2011-11-02 | n/a | n/a | n/a |
| [Secure Shell (Italiano)](/index.php/Secure_Shell_(Italiano) "Secure Shell (Italiano)") | 2011-12-08 | n/a | n/a | n/a |
| [Shutdown Pressing Power Button (Italiano)](/index.php/Shutdown_Pressing_Power_Button_(Italiano) "Shutdown Pressing Power Button (Italiano)") | 2011-10-20 | n/a | n/a | n/a |
| [SLiM (Italiano)](/index.php/SLiM_(Italiano) "SLiM (Italiano)") | 2013-01-26 | umby213 | n/a | n/a |
| [Small Business Server (Italiano)](/index.php/Small_Business_Server_(Italiano) "Small Business Server (Italiano)") | n/a | n/a | n/a | **Pagina italiana più aggiornata, contiene sottopagine** [Veleno](/index.php/User:Veleno77 "User:Veleno77") 18:02, 10 March 2012 (EST) |
| [Solid State Drives (Italiano)](/index.php/Solid_State_Drives_(Italiano) "Solid State Drives (Italiano)") | 2011-09-05 | n/a | n/a | **Da riallineare** --[Ninquitassar](/index.php/User:Ninquitassar "User:Ninquitassar") 07:46, 19 January 2012 (EST) |
| [Sound (Italiano)](/index.php/Sound_(Italiano) "Sound (Italiano)") | 2011-02-21 | asa | n/a | n/a |
| [SSH keys (Italiano)](/index.php/SSH_keys_(Italiano) "SSH keys (Italiano)") | 2011-12-17 | n/a | n/a | **Da riallineare** --[Kynikos](/index.php/User:Kynikos "User:Kynikos") 09:50, 19 January 2012 (EST) |
| [Sshfs (Italiano)](/index.php/Sshfs_(Italiano) "Sshfs (Italiano)") | 2011-11-13 | n/a | n/a | n/a |
| [Sudo (Italiano)](/index.php/Sudo_(Italiano) "Sudo (Italiano)") | 2011-12-06 | n/a | n/a | n/a |
| [Sugar (Italiano)](/index.php/Sugar_(Italiano) "Sugar (Italiano)") | 2013-06-06 | Veleno77 | n/a | n/a |
| [swap (Italiano)](/index.php/Swap_(Italiano) "Swap (Italiano)") | 2012-09-17 | n/a | n/a | n/a |
| [Synergy (Italiano)](/index.php/Synergy_(Italiano) "Synergy (Italiano)") | 2012-09-04 | n/a | n/a | n/a |
| [Table of contents (Italiano)](/index.php/Table_of_contents_(Italiano) "Table of contents (Italiano)") | settimanale | Kynikos | n/a | La struttura della lista viene aggiornata automaticamente e periodicamente da [Kynikos.bot](/index.php/User:Kynikos.bot "User:Kynikos.bot") |
| [TeXLive (Italiano)](/index.php/TeXLive_(Italiano) "TeXLive (Italiano)") | n/a | n/a | n/a | Out of Date --[Umby213](/index.php/User:Umby213 "User:Umby213") ([talk](/index.php/User_talk:Umby213 "User talk:Umby213")) 17:51, 24 September 2012 (UTC) |
| [Thunar (Italiano)](/index.php/Thunar_(Italiano) "Thunar (Italiano)") | 2013-02-24 | umby213 | n/a | n/a |
| [Thunderbird (Italiano)](/index.php/Thunderbird_(Italiano) "Thunderbird (Italiano)") | 2014-01-08 | Cyberpunk | n/a | n/a |
| [Trayfreq (Italiano)](/index.php/Trayfreq_(Italiano) "Trayfreq (Italiano)") | 2011-10-09 | n/a | n/a | n/a |
| [TuxOnIce (Italiano)](/index.php/TuxOnIce_(Italiano) "TuxOnIce (Italiano)") | 2012-02-26 | n/a | n/a | n/a |
| [Twm (Italiano)](/index.php/Twm_(Italiano) "Twm (Italiano)") | 2013-08-25 | Veleno77 | n/a | n/a |
| [Uniform look for Qt and GTK applications (Italiano)](/index.php/Uniform_look_for_Qt_and_GTK_applications_(Italiano) "Uniform look for Qt and GTK applications (Italiano)") | 2011-06-02 | Ninquitassar | n/a | **Da riallineare** --[Ninquitassar](/index.php/User:Ninquitassar "User:Ninquitassar") 07:46, 19 January 2012 (EST) |
| [USB storage devices (Italiano)](/index.php/USB_storage_devices_(Italiano) "USB storage devices (Italiano)") | n/a | n/a | n/a | Out of date |
| [Uvesafb (Italiano)](/index.php/Uvesafb_(Italiano) "Uvesafb (Italiano)") | 2011-10-17 | n/a | n/a | n/a |
| [VCS PKGBUILD Guidelines (Italiano)](/index.php/VCS_PKGBUILD_Guidelines_(Italiano) "VCS PKGBUILD Guidelines (Italiano)") | 2012-02-07 | 4javier | n/a | n/a |
| [Very Secure FTP Daemon (Italiano)](/index.php/Very_Secure_FTP_Daemon_(Italiano) "Very Secure FTP Daemon (Italiano)") | 2011-09-28 | n/a | n/a | n/a |
| [Vim (Italiano)](/index.php/Vim_(Italiano) "Vim (Italiano)") | 2012-05-15 | n/a | n/a | **Da riallineare** -- [Kynikos](/index.php/User:Kynikos "User:Kynikos") ([talk](/index.php/User_talk:Kynikos "User talk:Kynikos")) 11:09, 12 July 2012 (UTC) |
| [Vim/.vimrc (Italiano)](/index.php/Vim/.vimrc_(Italiano) "Vim/.vimrc (Italiano)") | 2012-01-19 | n/a | n/a | n/a |
| [VirtualBox (Italiano)](/index.php/VirtualBox_(Italiano) "VirtualBox (Italiano)") | 2011-03-21 | ant84 | n/a | n/a |
| [VMware (Italiano)](/index.php/VMware_(Italiano) "VMware (Italiano)") | 2012-02-02 | n/a | n/a | n/a |
| [Webmin (Italiano)](/index.php/Webmin_(Italiano) "Webmin (Italiano)") | 2011-08-10 | n/a | n/a | n/a |
| [Wicd (Italiano)](/index.php/Wicd_(Italiano) "Wicd (Italiano)") | 2011-12-08 | n/a | n/a | n/a |
| [Window Maker (Italiano)](/index.php/Window_Maker_(Italiano) "Window Maker (Italiano)") | 2013-05-03 | Veleno77 | n/a | n/a |
| [Window manager (Italiano)](/index.php/Window_manager_(Italiano) "Window manager (Italiano)") | 2012-02-02 | n/a | n/a | n/a |
| [Wine (Italiano)](/index.php/Wine_(Italiano) "Wine (Italiano)") | n/a | Cyberpunk | n/a | out of date --[Umby213](/index.php/User:Umby213 "User:Umby213") ([talk](/index.php/User_talk:Umby213 "User talk:Umby213")) 17:51, 24 September 2012 (UTC) |
| [X11 Cursors (Italiano)](/index.php/X11_Cursors_(Italiano) "X11 Cursors (Italiano)") | 2011-10-11 | n/a | n/a | n/a |
| [Xampp (Italiano)](/index.php/Xampp_(Italiano) "Xampp (Italiano)") | n/a | n/a | n/a | out of date --[Umby213](/index.php/User:Umby213 "User:Umby213") ([talk](/index.php/User_talk:Umby213 "User talk:Umby213")) 17:51, 24 September 2012 (UTC) |
| [xf86-video-sis (Italiano)](/index.php/Xf86-video-sis_(Italiano) "Xf86-video-sis (Italiano)") | 2012-10-06 | n/a | n/a | n/a |
| [XFS (Italiano)](/index.php/XFS_(Italiano) "XFS (Italiano)") | n/a | n/a | n/a | out of date; versione inglese segnata come "stub" --[Umby213](/index.php/User:Umby213 "User:Umby213") ([talk](/index.php/User_talk:Umby213 "User talk:Umby213")) 17:51, 24 September 2012 (UTC) |
| [XScreenSaver (Italiano)](/index.php/XScreenSaver_(Italiano) "XScreenSaver (Italiano)") | 2012-12-16 | umby213 | n/a | n/a |
| [Yaourt (Italiano)](/index.php/Yaourt_(Italiano) "Yaourt (Italiano)") | 2013-05-02 | umby213 | n/a | n/a |

## Linee guida

Al fine di ottenere una corretta formattazione degli articoli ed un contenuto consono ad una documentazione on-line, è necessario cercare di osservare delle semplici linee guida, in modo da rendere omogeneo sia il contenuto di ogni articolo trattato che la navigazione tra essi. A questo scopo si consiglia di:

1.  Usare un italiano corretto, evitare abbreviazioni, linguaggio da chat.
2.  Scrivere sempre in forma indiretta. (Es: `aprire un terminale e digitare`... è più corretto rispetto ad `apri il terminale e digita`)
3.  Utilizzare **sempre** l'anteprima nell'editing del wiki, in modo tale da avere un immediato resoconto sulla formattazione e/o sulla traduzione, in questo modo si ha la possibilità di poter correggere immediatamente eventuali errori.
4.  É necessario utilizzare una formattazione standard per uniformare i contenuti, di seguito vengono segnalati alcuni esempi di template da utilizzare:

    	{{ic|testo}}

    	quando si è in presenza del path di un file. (Es. `{{ic|/etc/fstab}}`, o per evidenziare un modulo, comando o una stringa di configurazione. Es: `Si può utilizzare {{ic|iwconfig}} per configurare la rete...` .

    	{{bc|comando}}

    	quando si è in presenza di un comando da dare da terminale o di una opzione in riferimento al kernel. Es: `Da terminale dare il comando {{bc|# iwconfig}}`, a volte basta dare un enter e scrivere il comando preceduto da uno spazio bianco.

    	{{hc|intestazione|contenuto}}

    	questo template genera una visualizzazione esteticamente corretta per il contenuto di file, oppure per la visualizzazione di un comando ed il relativo output, es: `{{hc|nome del file/comando|contenuto di un file o l'output di un comando}}`.

    	{{keypress|tasto_funzione}}

    	quando si è in presenza di tasti funzione o tasti di scelta rapida nel corpo del testo. Es: `premere {{keypress|Invio}} per continuare`.

    	{{pkg|pacchetto}}

    	quando si ha la necessità di segnalare un pacchetto presente nei repositori ufficiali, da installare o nel corpo del testo. É stato stabilito che non vengano più fornite indicazioni estese su come si installano i programmi, in pratica **è errato** scrivere '`Installare linux-lts con : {{bc|pacman -S linux-lts}}`. La **corretta** forma è `[[pacman (Italiano)|Installare]] il pacchetto {{pkg|linux-lts}}`, il riferimento al wiki di Pacman è necessario solo la prima volta nell'articolo, nel caso di ripetitivi indicazioni sui pacchetti si può omettere. Es: `è possibile installare anche il pacchetto {{pkg|linux-lts-headers}}`.

    	{{AUR|pacchetto}}

    	quando si ha la necessità di segnalare un pacchetto presente in AUR, da installare o nel corpo del testo. É stato stabilito che non vengano più fornite indicazioni estese su come si installano i programmi, in pratica **è errato** scrivere `Installare linux-lts-ck con : {{bc|yaourt -S linux-lts-ck}}`. La **corretta** forma è `Installare il pacchetto {{AUR|linux-lts-ck}}, reperibile su [[ARU (Italiano)|AUR]]`,l'aggiunta del riferimento al wiki italiano di AUR è necessaria la prima volta per rimandare gli utenti a conoscerne l'uso.

    **Nota:** In caso di errori del template dovuto a particolari caratteri, potrebbe essere necessario aggiungere **1=** prima del contenuto . La lista aggiornata per uniformare gli stili dei contenuti, comprensiva di ogni spiegazione, è reperibile in [questo articolo](/index.php/Help:Style_(Italiano) "Help:Style (Italiano)").

5.  É necessario che i link interni agli articoli vengano fatti puntare ai corrispettivi wiki italiani già tradotti. (Es. `Arch Linux utilizza [[Pacman (Italiano) | pacman]] come gestore di pacchetti....`), lo stesso discorso vale per i tag delle categorie che si trovano ad inizio articolo (es: `[[Category:Hardware detection and troubleshooting (Italiano)]]`)
6.  Per principio di scrupolo, è necessario controllare, nell'articolo originale inglese, che non vi siano link errati di pagine italiane che puntano ancora alla pagina inglese. In questo caso bisogna andare nell'articolo originale inglese e controllare tramite la voce **puntano a qui** nel menu strumenti a sinistra, e controllare gli articoli italiani che puntano ad esso. Si consiglia di utilizzare la funziona *cerca* del proprio browser usando come parola di ricerca *(Italiano)*.
7.  Per quanto riguarda le traduzioni si ricorda che **i primi revisori siete voi stessi**. Di conseguenza:
    *   Controllate l'ortografia, spesso si può incorrere in errori di battitura, come l'errata scrittura di una parola italiana (Es. naquero senza "c" , "anceh" invece di anche").
    *   Controllate che il contesto risulti corretto sia nel contenuto che nella forma e di facile comprensione, a volte nella traduzione italiana bisogna invertire le parole. Es. "Quindi i Trusted User Repositories nacquero." in "Quindi nacquero i Trusted User Repositories."
8.  Si consiglia di **commentare sempre** le modifiche che si effettuano. Questa procedura è molto utile per capire immediatamente in cosa consistono le modifiche effettuate, utile per la consultazione da parte di altri utenti e anche di voi stessi; ovviamente in caso di grossi interventi come una traduzione completa o parziale di un articolo si può essere dispersivi sul commento (es: traduzione e/o allineamento paragrafo). Inoltre si ricorda di spuntare la casella *questa è una modifica minore* in caso di piccoli interventi, quali correzioni di link errati, o di ortografia/stili.

**Nota:** Si rammenta che il wiki è un progetto aperto e il nostro team non ha l'esclusiva sulle pagine da trattare, prendere l'abitudine di commentare tutti gli interventi è molto utile sia a voi stessi che ad eventuali altri utenti e/o revisori che controllano la pagina. Per ogni dubbio potete chiedere supporto sul [forum](http://www.archlinux.it/forum/viewtopic.php?f=19&t=8483)

## Staff tecnico

In questo spazio ogni utente può inserire o cancellare il proprio nome se lo desidera.

*   **Responsabili del progetto**

1.  [Veleno77](/index.php/User:Veleno77 "User:Veleno77") - Coordinatore
2.  [4javier](/index.php/User:4javier "User:4javier")
3.  [Kynikos](/index.php/User:Kynikos "User:Kynikos") - [Amministratore ArchWiki](/index.php/ArchWiki:Administrators "ArchWiki:Administrators")

*   **Traduttori**

1.  [veleno77](/index.php/User:Veleno77 "User:Veleno77")
2.  [4javier](/index.php/User:4javier "User:4javier")
3.  [lolloso](/index.php?title=User:Lolloso&action=edit&redlink=1 "User:Lolloso (page does not exist)")
4.  [Simandr](/index.php/User:Simandr "User:Simandr")
5.  [toketin](/index.php?title=User:Toketin&action=edit&redlink=1 "User:Toketin (page does not exist)")
6.  [Gilmo](/index.php?title=User:Gilmo&action=edit&redlink=1 "User:Gilmo (page does not exist)")
7.  [Trapanator](/index.php?title=User:Trapanator&action=edit&redlink=1 "User:Trapanator (page does not exist)")
8.  [Ossk](/index.php?title=User:Ossk&action=edit&redlink=1 "User:Ossk (page does not exist)")
9.  [icetux](/index.php/User:Icetux "User:Icetux")
10.  [Ahel](/index.php/User:Ahel "User:Ahel")
11.  [Asa](/index.php?title=User:Asa&action=edit&redlink=1 "User:Asa (page does not exist)")
12.  [thewall](/index.php?title=User:Thewall&action=edit&redlink=1 "User:Thewall (page does not exist)")
13.  [Kynikos](/index.php/User:Kynikos "User:Kynikos")
14.  [Hilinus](/index.php/User:Hilinus "User:Hilinus")
15.  [ant84](/index.php?title=User:Ant84&action=edit&redlink=1 "User:Ant84 (page does not exist)")
16.  [SirX](/index.php/User:SirX "User:SirX")
17.  [Cylon](/index.php/User:Cylon "User:Cylon")
18.  [Ninquitassar](/index.php/User:Ninquitassar "User:Ninquitassar")
19.  [Umby213](/index.php/User:Umby213 "User:Umby213")
20.  [Love89](/index.php?title=User:Love89&action=edit&redlink=1 "User:Love89 (page does not exist)")
21.  [maveloth](/index.php/User:Maveloth "User:Maveloth")
22.  [Nierro](/index.php/User:Nierro "User:Nierro")
23.  [Dario](/index.php?title=User:Dariocent&action=edit&redlink=1 "User:Dariocent (page does not exist)")
24.  [Ambro](/index.php?title=User:Ambro&action=edit&redlink=1 "User:Ambro (page does not exist)")
25.  [Cyberpunk](/index.php?title=User:Cyberpunk&action=edit&redlink=1 "User:Cyberpunk (page does not exist)")
26.  [Deid](/index.php?title=User:Deid&action=edit&redlink=1 "User:Deid (page does not exist)")
27.  [MrSmith](/index.php/User:MrSmith "User:MrSmith")

## Ulteriori informazioni e supporto

Per informazioni e delucidazioni sul progetto di traduzione e mantenimento wiki italiano, consultare il [forum italiano](http://www.archlinux.it/forum/viewtopic.php?f=19&t=8483).

## Altre risorse

*   [Strumenti utili per i traduttori](http://http://www.archlinux.it/forum/viewtopic.php?f=19&t=1087)
*   [Regole per una buona traduzione](http://tp.linux.it/buona_traduzione.html)