In biologia, il [mutualismo](https://en.wikipedia.org/wiki/it:Mutualismo "wikipedia:it:Mutualismo") è l'interazione tra due organismi dalla quale entrambi ricavano un beneficio. Questo principio si può anche applicare ai membri volenterosi e motivati della comunità di Arch che vogliono essere coinvolti e contribuire alla loro distribuzione GNU/Linux preferita. Da questa partecipazione traggono vantaggio non solo i membri della comunità e i loro compagni *Arcieri* (da *Archers*), ma potenzialmente tutti i fan del [software libero ed open source](https://en.wikipedia.org/wiki/it:Free_and_open_source_software "wikipedia:it:Free and open source software").

Quest'articolo descrive vari modi in cui gli utenti di Arch (sia nuovi che veterani) possono contribuire a questa comunità. Notare che questa non è una lista esaustiva.

## Contents

*   [1 Donazioni](#Donazioni)
*   [2 Forum](#Forum)
*   [3 Wiki](#Wiki)
*   [4 Bug](#Bug)
*   [5 AUR](#AUR)
*   [6 E-zine 'Rolling Release'](#E-zine_.27Rolling_Release.27)
*   [7 Progetti ufficiali di Arch](#Progetti_ufficiali_di_Arch)
*   [8 Progetti della comunità](#Progetti_della_comunit.C3.A0)
    *   [8.1 Distribuzioni basate su Arch](#Distribuzioni_basate_su_Arch)
    *   [8.2 AUR helpers](#AUR_helpers)
    *   [8.3 Frontend GUI per Pacman](#Frontend_GUI_per_Pacman)
    *   [8.4 Frontend GUI per Rc.conf](#Frontend_GUI_per_Rc.conf)
    *   [8.5 Netcfg](#Netcfg)
    *   [8.6 Altro](#Altro)
*   [9 Collaborare](#Collaborare)
    *   [9.1 Come posso aiutare da sviluppatore?](#Come_posso_aiutare_da_sviluppatore.3F)
    *   [9.2 Come posso divenire un Arch developer?](#Come_posso_divenire_un_Arch_developer.3F)
    *   [9.3 Come posso aiutare da artista?](#Come_posso_aiutare_da_artista.3F)
*   [10 Eventi](#Eventi)

## Donazioni

Arch Linux sopravvive grazie all'instancabile lavoro di molte persone nella comunità e nel gruppo degli sviluppatori del core. Nessuna di esse è pagata per il proprio lavoro, né dispone delle risorse economiche per sostenere da sola i costi dei server. Esistono molti modi per sostenere Arch Linux. Se lo sviluppo tecnico, la documentazione o il supporto non sono i tuoi punti forti, puoi comunque certamente aiutare [con una piccola donazione economica](https://www.archlinux.org/donate/).

## Forum

Una delle maniere più facili per contribuire, è partecipare al [Forum di Arch Linux](http://www.archlinux.it/forum). Si prega di leggere prima la [Forum Etiquette](/index.php/Forum_etiquette "Forum etiquette") (al momento solo in Inglese), e poi si è liberi di condividere le proprie idee, dare una mano ai nuovi utenti, e fare la conoscenza di questa comunità. Usare il link "Segnala" (nell'angolo in basso a destra di ogni i post) per segnalare eventuali abusi ai responsabili del Forum.

## Wiki

I wiki, per loro natura, si basano sulla collaborazione.

[ArchWiki](/index.php/AboutWiki_(Italiano) "AboutWiki (Italiano)") è una raccolta di pagine di documentazione sviluppate dalla comunità. I contenuti sono creati *dalla* comunità *per* la comunità. Tutti i collaboratori mettono volontariamente a disposizione il loro tempo e le loro energie per condividere le loro conoscenze e le loro abilità con la comunità. *Tutti* gli utenti sono incoraggiati a dare il proprio contributo. Le attività su ArchWiki possono essere approssimativamente suddivise nelle seguenti:

*   Manutenzione tecnica
*   Gestione dei contenuti
*   Modifica dei contenuti
*   Creazione e [traduzione](/index.php/ArchWiki_Translation_Team_(Italiano) "ArchWiki Translation Team (Italiano)") di contenuti

Se ci si sente in grado di [editare pagine wiki](/index.php/Help:Editing_(Italiano) "Help:Editing (Italiano)"), è possibile provare a svolgere alcune delle attività elencate in questa sezione.

1.  Marcare gli articoli con gli appropriati [template di stato dell'articolo](/index.php/Help:Template#Article_status_templates "Help:Template") (ad esempio `{{Deletion}}`, `{{Out of date}}`, `{{Translateme}}`, ecc.)
2.  Aggiungere contenuto alle [bozze (*stubs*)](/index.php/Special:WhatLinksHere/Template:Stub "Special:WhatLinksHere/Template:Stub") e [espandere](/index.php/Special:WhatLinksHere/Template:Expansion "Special:WhatLinksHere/Template:Expansion") articoli incompleti o mal scritti.
3.  [Aggiungere](/index.php/Special:WhatLinksHere/Template:Translateme "Special:WhatLinksHere/Template:Translateme") o [migliorare](/index.php/Special:WhatLinksHere/Template:Bad_translation "Special:WhatLinksHere/Template:Bad translation") traduzioni; assicurarsi che ogni traduzione sia aggiornata rispetto alle altre dello stesso articolo.
4.  Ridurre e [unificare](/index.php/Special:WhatLinksHere/Template:Merge "Special:WhatLinksHere/Template:Merge") le pagine che trattano dello stesso argomento.
5.  Correggere contenuti [imprecisi](/index.php/Special:WhatLinksHere/Template:Accuracy "Special:WhatLinksHere/Template:Accuracy") o [obsoleti](/index.php/Special:WhatLinksHere/Template:Out_of_date "Special:WhatLinksHere/Template:Out of date"), ortografia, grammatica, tono e [stile](/index.php/Help:Style_(Italiano) "Help:Style (Italiano)").
6.  Ridurre il numero delle [categorie](/index.php/Special:Categories "Special:Categories"). Ricercare sulla wiki le categorie simili che dovrebbero essere unificate; migliorare la [navigazione](/index.php/Table_of_Contents_(Italiano) "Table of Contents (Italiano)") della wiki.
7.  [Categorizzare le pagine non associate ad una Categoria](/index.php/Special:UncategorizedPages "Special:UncategorizedPages").
8.  Aggiungere [riquadri di Sommario](/index.php/Writing_Article_Overviews "Writing Article Overviews") a tutti gli articoli.
9.  Aggiornare le [FAQ](/index.php/FAQ_(Italiano) "FAQ (Italiano)") con le domande più importanti o frequenti nel forum e rimuovere le domande obsolete.

Altre pagine utili per la manutenzione:

*   [Richieste](/index.php/ArchWiki:Requests "ArchWiki:Requests")
*   [Segnalazioni](/index.php/ArchWiki:Reports "ArchWiki:Reports")
*   [Redirect interrotti](/index.php/Special:BrokenRedirects "Special:BrokenRedirects")
*   [Redirect doppi](/index.php/Special:DoubleRedirects "Special:DoubleRedirects")
*   [Articoli corti](/index.php/Special:ShortPages "Special:ShortPages")

Nel lungo periodo, l'obiettivo è di creare una wiki professionale e facilmente navigabile, in maniera che guide supplementari, documentazioni, ecc. non siano più necessarie. Questo è un impegno di gruppo, ma spesso la manutenzione è un lavoro tedioso e ingrato. Se si prende questo impegno seriamente, si potrebbe essere chiamati a coprire una posizione ufficiale di manutentore della wiki. Questo conferisce riconoscimento ed uno scopo al proprio lavoro.

## Bug

Aprire (e chiudere) le segnalazioni di bug sul [Bugtracker di Arch Linux](https://bugs.archlinux.org/) è un altro dei possibili modi per aiutare la comunità. Ciononostante, un utilizzo inefficiente del bug-tracker può essere controproducente invece che utile. [Quest'articolo](/index.php/Reporting_bug_guidelines "Reporting bug guidelines") guiderà chiunque voglia aiutare efficientemente la comunità segnalando o risolvendo bug.

Leggere anche: [Bug Squashing Day](/index.php/Bug_Squashing_Day "Bug Squashing Day")

## AUR

L'[Arch User Repository](/index.php/Arch_User_Repository_(Italiano) "Arch User Repository (Italiano)") è un repository di PKGBUILD mantenuto dalla comunità per gli utenti di Arch. I pacchetti nell'AUR sono compilati per mezzo dei PKGBUILD e non sono file binari precompilati come quelli dei repository ufficiali. L'AUR è stato creato per organizzare e condividere nuovi pacchetti provenienti dalla comunità e per permettere una più veloce inclusione dei pacchetti più popolari nel repository `community`.

## E-zine 'Rolling Release'

Si può contribuire a [Rolling Release](http://rollingrelease.com), l'e-zine ufficiale di Arch Linux. È una pubblicazione web supportata dalla comunità che è in continua ricerca di collaboratori, artisti ed affini.

## Progetti ufficiali di Arch

Qui si può trovare la lista dei repository git per i [Progetti ufficiali di Arch](https://projects.archlinux.org/).

## Progetti della comunità

Arch ha una vivace ed attiva comunità di sviluppatori software e progetti collaborativi. Se si ha un progetto da mostrare e condividere, questo è un ottimo posto per farlo. Basta fornire un link al proprio progetto, la data in cui è cominciato ed una sua breve descrizione (una o due frasi).

**Nota:** Tutti i progetti qui elencati sono considerati della comunità. Nessuno di questi è retenuto un progetto ***ufficiale*** di Arch.

#### [Distribuzioni basate su Arch](/index.php/Arch_Based_Distributions "Arch Based Distributions")

	Altre distribuzioni basate su Arch Linux

#### [AUR helpers](/index.php/AUR_helpers "AUR helpers")

	Applicazioni per l'ausilio nella gestione dei pacchetti nell'[AUR](/index.php/AUR "AUR")

#### [Frontend GUI per Pacman](/index.php/Pacman_GUI_Frontends "Pacman GUI Frontends")

	Interfacce grafiche per [pacman](/index.php/Pacman "Pacman")

#### [Frontend GUI per Rc.conf](/index.php/Rc.conf_GUI_Frontends "Rc.conf GUI Frontends")

	Interfacce grafiche per [rc.conf](/index.php/Rc.conf "Rc.conf")

#### [Netcfg](/index.php/Netcfg "Netcfg")

	[Network tool per Arch Linux](https://projects.archlinux.org/netcfg.git/)

#### Altro

	Progetti che non possono essere classificati un una categoria esistente

*   [ArchMap](/index.php/ArchMap "ArchMap")

	Mappa degli utenti di Arch per Google Earth

*   [ArchAudio](http://archaudio.org)

	Un repository di pacchetti non ufficiali e un luogo di discussione per l'audio professionale su Arch Linux

*   [ArchLinux.us](http://archlinux.us)

	Indirizzi email @archlinux.us, basati su Gmail

*   [ArchLinux.me](http://archlinux.me)

	Blog su Arch Linux

*   [ArchLinux.mobi](http://archlinux.mobi)

	Accesso mobile alle email @archlinux.us

*   [Arch Linux User Group](/index.php/Arch_Linux_User_Group "Arch Linux User Group")

	Incontri locali per gli utenti.

*   [Gruppo LinkedIn](http://www.linkedin.com/groups?gid=1399787)

	Gruppo di Arch Linux per utenti e professionisti.

*   [Report di Namcap](/index.php/Namcap_Reports "Namcap Reports")

	[namcap](http://github.com/abhidg/namcap-reports) è un'applicazione per Arch Linux che aiuta nel rilevamento automatico degli errori più comuni nei PKGBUILD. Questa pagina è un resoconto generato automaticamente utilizzando namcap sui pacchetti dei repository core, extra e community.

*   [Parched](http://www.github.com/sebnow/parched)

	Un parser per pacchetti ALPM e PKGBUILD scritto in Python

*   [Xyne's Arch Linux Stuff](http://xyne.archlinux.ca)

	Contributi di Xyne alla comunità di Arch Linux

## Collaborare

Anzitutto bisogna tenere a mente che la principale motivazione del proprio lavoro per Arch dovrebbe essere aiutare l'intera comunità, e assolutamente non cercare di diventare un *"developer di Arch"*. In secondo luogo bisogna che chi contribuisce si ricordi che è lui stesso parte della comunità: dare aiuto agli altri significa anche aiutare sé stessi.

### Come posso aiutare da sviluppatore?

Questa è una lista, senza un ordine particolare, di cose che si potrebbe voler fare per rendersi utili alla comunità:

*   Costruirsi una reputazione di disponibilità offrendo il proprio aiuto quando possibile
*   Rispondere alle domande su forum, IRC e mailing list
*   Unirsi ai Trusted Users per acquisire esperienza nella creazione di pacchetti e mostrare le proprie capacità
*   Inserire pacchetti nell'AUR
*   Prendere parte ad uno dei progetti esterni che in futuro potrebbero essere incorporati ufficialmente in Arch, oppure cominciarne uno proprio
*   Lavorare su pacman, makepkg, initscripts, o altri sorgenti e inviare patch sul bug tracker
*   Navigare il bug tracker e correggere i bug esistenti
*   Individuare e segnalare nuovi bug
*   Correggere gli errori nella wiki, aggiungere nuove pagine, riordinare le pagine esistenti, ed assicurarsi che le procedure siano aggiornate
*   Aiutare a pattugliare i cambiamenti recenti (Recent Changes) nella wiki
*   Inviare traduzioni

### Come posso divenire un Arch developer?

In genere, i nuovi sviluppatori sono scelti da quelli già esistenti man mano che il carico di lavoro aumenta. A volte pubblicano un bando a cui si può rispondere per ottenere il posto, ma più spesso semplicemente invitano qualcuno che sanno che svolgerebbe bene il compito, e che si integrerebbe bene con il resto del team. Avere una storia di contributi ad Arch è il modo migliore per entrare nella squadra.

### Come posso aiutare da artista?

Si è liberi ed anzi incoraggiati a condividere wallpaper, splash screen, tavolozze di colori, widget, temi, ecc. con la comunità sul forum.
Visitare anche: [https://www.archlinux.org/art/](https://www.archlinux.org/art/)

## Eventi

*   [Arch Linux Event Calendar](/index.php/Arch_Linux_Event_Calendar "Arch Linux Event Calendar")
*   [Bug Day](/index.php/Bug_Day "Bug Day")
*   [AUR Cleanup Day](/index.php/AUR_Cleanup_Day "AUR Cleanup Day")
*   [ArchWiki Translation Day](/index.php/ArchWiki_Translation_Day "ArchWiki Translation Day")
*   [Midyear Cleanup](/index.php/Midyear_Cleanup "Midyear Cleanup")
*   [Christmas Cleanup](/index.php/Christmas_Cleanup "Christmas Cleanup")