I seguenti cinque princìpi costituiscono ciò che è comunemente detto Il Metodo Arch, o la Filosofia Arch, riassunti ancor meglio dall'acronimo KISS che sta per Keep It Simple, Stupid (Italiano: *Non Complicare le Cose, Stupido*).

## Contents

*   [1 Semplicità](#Semplicit.C3.A0)
*   [2 Correttezza del codice oltre la convenienza](#Correttezza_del_codice_oltre_la_convenienza)
*   [3 User-centrico](#User-centrico)
*   [4 Aperto](#Aperto)
*   [5 Libero](#Libero)

## Semplicità

*La semplicità è la sofisticazione finale* — Leonardo Da Vinci

La semplicità è in assoluto l'obiettivo principale dello sviluppo di Arch. Molte distribuzioni GNU/Linux si definiscono come "semplici". Tuttavia, la semplicità in sé ha molte definizioni.

**Arch Linux definisce la semplicità come una struttura di base UNIX leggera, *senza inutili aggiunte, modifiche o complicazioni*, che permette al singolo utente di modellare il sistema secondo le proprie esigenze. In breve, un approccio elegante e minimalista.**

Una struttura di base leggera costruita con elevati standards di programmazione tenderà ad avere una minor richiesta di risorse di sistema. Il sistema di base è privo di tutta la confusione che rischia di offuscare parti importanti del sistema, o renderne l'accesso difficile e macchinoso. Arch ha un gruppo essenziale di file di configurazione disposti per il rapido accesso e modifica, senza ingombranti strumenti di configurazione con interfaccia grafica che tendono a nascondere le possibilità all'utente. Un sistema Arch Linux è perciò facilmente configurabile fino all'ultimo dettaglio.

**Complessità senza complicazione.**

Arch Linux mantiene intatte le complessità proprie di un sistema GNU/Linux, rendendole allo stesso tempo ben organizzate e del tutto trasparenti. Gli sviluppatori e gli utenti Arch Linux ritengono che tentare di nascondere le complessità di un sistema, porti a creare un sistema ancor più complesso e che pertanto, un tale approccio vada evitato.

## Correttezza del codice oltre la convenienza

*La correttezza è chiaramente la qualità principale. Se un sistema non fa quello che dovrebbe fare, tutto il resto perde di importanza.* — Bertrand Meyer

Il sistema Arch Linux dà la precedenza all'eleganza del design, alla pulizia, alla correttezza e semplicità del codice, piuttosto che ad inutili patch, automatismi, effetti speciali e facilitazioni per i principianti. Le patch per il software sono perciò ridotte al minimo, idealmente non ce ne sono. Un semplice design e l'implementazione sono sempre meglio di una semplice interfaccia utente.

**Semplicità di *implementazione*, eleganza del codice e minimalismo rimarranno sempre le priorità dello sviluppo di Arch.**

Idee, progetti e caratteristiche sono create e implementate usando come guida i princìpi de Il Metodo Arch, senza cedere alle influenze esterne. Il team di sviluppo è risoluto nel proprio impegno e dedizione nel seguire la filosofia de Il Metodo Arch. Se si condivide tale punto di vista, si è accolti ed incoraggiati ad utilizzare Arch.

## User-centrico

Se molte distribuzioni GNU\Linux provano ad essere più *user-friendly*, Arch Linux è sempre stata e sempre sarà *user-centrica*.

**Arch Linux ha l'obiettivo di essere comodo per gli utenti GNU/Linux, dando loro il completo controllo nonchè la *responsabilità* del sistema.**

Gli utenti di Arch Linux gestiscono il sistema del tutto autonomamente. Il sistema stesso offre una minima assistenza, eccezion fatta per un semplice armamentario di strumenti di manutenzione progettati per eseguire i comandi dell'utente alla lettera. Gli sviluppatori di Arch non spendono energie per re-inventare GUI (interfaccia grafica utente) degli strumenti del sistema; Arch si fonda su una progettazione sensibile e su una documentazione eccellente.

Un design user-centrico implica necessariamente un approccio del tipo "fare da soli" per utilizzare la distribuzione Arch. Piuttosto che richiedere l'implementazione di una nuova caratteristica agli sviluppatori, gli utenti di Arch Linux hanno la tendenza a risolvere i problemi per conto loro e a condividere generosamente i risultati con la comunità e con il team di sviluppo -- un approccio alla "Prima si fa, poi si chiede". Questo è specialmente vero per i pacchetti creati dagli utenti stessi nell'Arch User Repository -- il repository ufficiale per i pacchetti mantenuti dalla comunità.

## Aperto

La trasparenza va di pari passo con la semplicità, ed è anche uno dei principi guida dello sviluppo di Arch Linux.

**Arch Linux usa strumenti semplici, che vengono selezionati o costruiti con la trasparenza dei sorgenti.**

La trasparenza rimuove tutti i confini di astrazione tra l'utente ed il sistema, fornendo un maggiore controllo, ed allo stesso tempo semplificando la manutenzione del sistema stesso.

La natura aperta di Arch Linux implica anche una curva di apprendimento abbastanza ripida, ma gli utenti che hanno accumulato esperienza con Arch Linux tendono a trovare gli altri sistemi più restrittivi e maggiormente difficili da gestire.

Il principio di trasparenza si estende molto bene anche ai membri della comunità, infatti gli utenti Arch Linux sono molto disponibili a dare assistenza ed a contribuire.

## Libero

Un altro principio cardine su cui si basa lo sviluppo di Arch Linux è la libertà. Agli utenti non è solo permesso di prendere tutte le decisioni relative alla configurazione del sistema, ma anche di scegliere come **sarà** il loro sistema.

**Mantenendo il sistema semplice, Arch Linux fornisce la libertà di fare qualsiasi scelta riguardante il sistema stesso.**

Un sistema Arch Linux appena installato contiene solo i componenti base privi di ogni configurazione automatica. Gli utenti sono in grado di configurare il sistema come vogliono tramite la linea di comando. Fin dall'inizio, ogni parte del sistema è accessibile per un'immediata rimozione o per essere rimpiazzata da componenti alternative.

Il gran numero di pacchetti e gli script di compilazione presenti nei vari repository Arch Linux supportano anche la libertà di scelta, offrendo software libero e open source per chi lo preferisce, nonchè pacchetti di software proprietario, per coloro che preferiscono abbracciare la *funzionalità anzichè l'ideologia*. È l'utente che sceglie.

Come disse Judd Vinet, il fondatore del progetto Arch Linux: "[Arch Linux] is what *you* make it." - Italiano: "[Arch Linux] è ciò che *tu* lo fai diventare"