다음 다섯 가지 핵심 원칙은 일반적으로 아치의 도, 혹은 아치의 철학이라고 불리기도 하며, 요약하자면 "Keep It Simple, Stupid(단순하고 무식하게 유지할 것)"의 약자 KISS로 잘 나타내어지기도 합니다.

## Contents

*   [1 간결성](#.EA.B0.84.EA.B2.B0.EC.84.B1)
*   [2 편리성보다는 코드의 정확성](#.ED.8E.B8.EB.A6.AC.EC.84.B1.EB.B3.B4.EB.8B.A4.EB.8A.94_.EC.BD.94.EB.93.9C.EC.9D.98_.EC.A0.95.ED.99.95.EC.84.B1)
*   [3 사용자 중심적](#.EC.82.AC.EC.9A.A9.EC.9E.90_.EC.A4.91.EC.8B.AC.EC.A0.81)
*   [4 공개성](#.EA.B3.B5.EA.B0.9C.EC.84.B1)
*   [5 자유성](#.EC.9E.90.EC.9C.A0.EC.84.B1)

## 간결성

*세련미의 끝은 간결미다.* — Leonardo Da Vinci

간결성은 아치 리눅스의 개발에 있어서 가장 최고의 원칙입니다. 많은 GNU/리눅스 배포본은 자신들을 "간결하다."라고 정의합니다. 하지만, 간결하다는 말은 그 자체가 여러 가지로 풀이될 수 있습니다.

**아치 리눅스는 간결성을 *불필요한 추가 사항, 변경 사항, 혹은 복잡한 사항이 하나도 없는 것*으로 정의하며, 따라서 개개인이 자신의 필요에 맞게 시스템을 손볼 수 있도록 가볍고 UNIX-like한 기반을 제공합니다. 간단히 말하자면 우아하고 최소주의적인 접근이라고 할 수 있습니다.**

높은 수준의 프로그래밍을 기본으로 만들어진 가벼운 기반은 시스템 자원을 더 적게 요구할 것입니다. 기반 시스템에는 시스템의 중요한 부분을 가리거나, 시스템에 대한 접근을 힘들고 난해하게 만드는 번잡한 부분이 하나도 들어 있지 않도록 만들어졌습니다. 또한 사용자로부터 선택지를 가리는 무거운 그래픽 설정 툴 없이, 빠르게 접근해서 편집할 수 있도록 간단한 주석이 달려 있는 깔끔한 설정 파일들을 간소하게 정리해 두었습니다. 이와 같이 아치 리눅스 시스템은 구석구석까지 설정할 수 있도록 만들어져 있습니다.

**골칫거리 없는 복잡성** 아치 리눅스는 GNU/리눅스 시스템의 고유한 복잡성을 유지하면서도 깔끔하게 정리하여 거슬리지 않도록 합니다. 아치 리눅스 개발자와 사용자는 시스템의 복잡성을 숨기는 것은 오히려 시스템을 골칫덩어리로 만들며, 그에 따라 피해야 할 일이라고 믿습니다.

## 편리성보다는 코드의 정확성

*정확성은 분명 최고의 질을 뜻한다. 시스템이 의도한 대로 작동하지 않을 경우, 다른 모든 것은 의미가 없어진다.* — Bertrand Meyer

아치 리눅스 시스템은 불필요한 패치, 자동화, 볼거리 등 "초보자를 위한 친절함"보다는 깔끔하고 정확하고 간결한 코드와 설계의 우아함을 우선시합니다. 그에 따라 소프트웨어 패치는 가능한 한 최소화합니다. 간단한 설계와 간단한 적용은 언제나 깔끔한 유저 인터페이스를 제공할 것입니다.

**간단한 *적용*, 코드의 우아함, 그리고 최소주의는 언제나 아치 개발의 최우선순위로 남을 것입니다.**

개념, 설계, 그리고 기능들은 다른 것에 영향을 받기 보다는 아치의 도(道) 원칙들을 기반으로 만들어질 것입니다. 개발팀은 아치의 도(道) 철학에 이바지할 것을 굳게 다짐합니다. 그들과 비전을 공유한다면 당신에게 아치를 사용하는 것을 장려할 것입니다.

## 사용자 중심적

많은 GNU/리눅스 배포본은 '사용자에게 친절'하려고 노력하는 반면, 아치 리눅스는 지금껏 '사용자 중심적'이었으며, 앞으로도 그렇게 할 것입니다.

**아치 리눅스는 시스템에 대해 모든 제어권과 함께 그에 따른 책임을 사용자에게 넘겨줌으로써 유능한 GNU/리눅스 사용자들을 대상으로 수용합니다.**

아치 리눅스 사용자는 시스템을 완전히 스스로 운영합니다. 사용자의 명령을 시스템에게 완벽히 넘겨주기 위한 간단한 관리 도구를 제공하는 것을 제외하면 시스템 자체의 도움은 거의 없습니다. 아치는 합리적인 설계와 완벽한 문서화를 바탕으로 만들어졌습니다.

이런 사용자 중심적인 설계는 아치 배포판에 대해 DIY식의 접근이 필요하다는 것을 의미하기도 합니다. 남의 도움만을 좇거나 개발자가 새로운 기능을 넣어주기만을 기다리기 보다는, 아치 리눅스 사용자들은 보통 스스로 문제를 해결하고 그 결과를 커뮤니티나 개발팀에 공유합니다. – "해보고 질문하라"라는 철학이지요. 이것은 AUR(Arch User Repository – 커뮤니티에서 관리하는 패키지를 다루는 아치 리눅스 공식 저장소)의 사용자 참여 패키지에서 더 잘 나타납니다.

## 공개성

공개성은 간결성에 관련되어 있고, 역시 아치 리눅스 개발의 길잡이가 되는 원칙 중 하나입니다.

**아치 리눅스는 간단한 도구를 사용하며, 이 도구는 소스의 공개성과 그에 따른 결과물을 염두에 두고 선택하거나 혹은 만들어냅니다.**

공개성은 사용자와 시스템 사이에 어떤 장벽이나 추상적 개념도 존재하지 않도록 하여 더 폭넓은 제어를 할 수 있도록 하는 동시에 시스템 관리를 간단하게 해 줍니다.

아치 리눅스의 공개성은 학습 곡선을 가파르게 하기도 합니다. 하지만 아치 리눅스에 숙련된 사용자들은 다른 폐쇄된 시스템이 제어하기가 훨씬 까다롭다고 느끼기도 합니다.

공개성의 원칙은 커뮤니티 구성원에게도 해당됩니다. 아치 리눅스 사용자들은 남을 돕거나 프로젝트에 기여하는 데에도 매우 개방적입니다.

## 자유성

또다른 아치 리눅스 개발의 원칙은 자유성입니다. 사용자들은 시스템을 구성하는 데 대한 모든 결정을 할 수 있을 뿐만 아니라 **어떤 시스템을 만들지**도 선택할 수 있습니다.

**시스템을 간결하게 유지함으로써, 아치 리눅스 시스템에 대해 어떤 선택이라도 할 수 있는 자유를 제공합니다.**

새롭게 설치한 아치 리눅스 시스템에는 아무런 자동 설정도 되어 있지 않은 기본적인 핵심 요소만이 들어 있습니다. 사용자들은 쉘을 통해 시스템을 원하는대로 설정할 수 있습니다. 설치 과정의 시작부터 시스템의 모든 부분은 즉각적인 접근도, 삭제도, 다른 요소로의 교체도 가능하도록 100% 투명하며 접근 가능합니다.

여러 아치 리눅스 저장소에 있는 상당수의 패키지와 빌드 스크립트 역시 선택의 자유를 제공합니다. 자유 소프트웨어와 오픈소스 소프트웨어를 원하는 사람이라면 선택할 수 있도록, 반대로 독점 소프트웨어 패키지도 *이상론보다는 기능성*을 원하는 사람들이라면 선택할 수 있도록 제공되고 있습니다. 선택은 사용자의 몫입니다.

아치 리눅스 프로젝트의 설립자인 Judd Vinet이 그랬듯이, "[아치 리눅스]는 *당신*이 만드는 것입니다."