Žemiau pateikti penki pagrindiniai principai paaiškina, kas yra Arch Way ar Arch filosofija, kurią galima apibendrinti trumpiniu KISS (*angl. Keep It Simple, Stupid*), reiškiantį: "Svarbiausia — paprastumas".

## Contents

*   [1 Paprastumas](#Paprastumas)
*   [2 Programinio teksto korektiškumas svarbiau už patogumą](#Programinio_teksto_korekti.C5.A1kumas_svarbiau_u.C5.BE_patogum.C4.85)
*   [3 Orientaciją į naudotoją](#Orientacij.C4.85_.C4.AF_naudotoj.C4.85)
*   [4 Atvirumas](#Atvirumas)
*   [5 Laisvė](#Laisv.C4.97)

## Paprastumas

*"Paprastumas yra didžiausias išprūsimas"*, Leonardo Da Vinci

Paprastumas yra pagrindinis principas, kuriuo remiantis vystomas Arch. Daugelis GNU/Linux distribucijų apibrėžia save kaip "paprastas", tačiau paprastumą galima suprasti įvairiai.

**Arch Linux paprastumą supranta taip: *be nebūtinų priedų, modifikacijų ar kompiliacijų*, ir pateikia lengvą <tt>UNIX</tt> tipo pagrindinę struktūrą, kuri leidžia kiekvienam naudotojui keisti sistemą pagal savo poreikius. Trumpai: elegantiškas, minimalistinis požiūris**

Lengvumu pagrįsta pagrindinė struktūra, paremta aukštais programavimo standartais, naudoja mažiau sistemos išteklių. Pagrindinėje sistemoje nėra griozdiškų komponentų, kurie padarytų neaiškias arba sunkiai prieinamas pagrindines sistemos dalis. Ji turi supaprastintą priėjimą prie glaustai pakomentuotų, neapkrautų konfiguracijos failų. Nėra jokių nepatogių grafinių konfiguracijos įrankių, kurie dažniausiai paslepia nuo naudotojo dalį galimybių. Kiekviena Arch Linux sistemos dalis yra lengvai konfigūruojama.

**Kompleksiškumas be komplikacijų.**

Arch Linux nesudarko GNU/Linux sistemoms būdingo komplesiškumo ir tuo pat metu daro jį gerai organizuotą ir skaidrų. Arch Linux kūrėjai ir naudotojai yra įsitikinę, kad sistemos kompleksiškumo slėpimas daro sistemą dar sudėtingesne, todėl to reikia vengti.

## Programinio teksto korektiškumas svarbiau už patogumą

Arch Linux sistema teikia pirmenybę architektūros elegancijai: lengvai suprantamam, paprastam programiniam tekstui, vengiant nebūtinų pataisymų, automatizavimo, pagražinimo elementų ar "draugiškų naujokams sąsajų". Dėl to programiniai pataisymai yra daromi kaip įmanoma rečiau; idealiu atveju nedaromi iš viso. Paprastas sprendimas visuomet taps geriausia vartotojo sąsaja.

**Įgyvendinimo *paprastumas*, programinio teksto elegancija ir minimalizmas visuomet bus pagrindiniai Arch sistemos vystymo prioritetai.**

Koncepcijos ir ypatybės kuriamos ir įgyvendinamos vadovaujantis Arch Way principais, o ne pasiduodant išorinei įtakai. Kūrėjų komanda yra ryžtinga ir pasišventusi Arch Way filosofijai. Jeigu Jūsų supratimas yra panašus į jų, išbandykite Arch.

## Orientaciją į naudotoją

Nepaisant to, kad daugelio GNU/Linux distrubcijų pagrindinis tikslas tapti labiau *vartotojui draugiškesnėmis*, Arch Linux visada buvo ir išliks *orientuota į vartotoją*.

**Arch Linux siekia patenkinti pažengusių GNU/Linux naudotojų poreikius, pateikdama jiems visišką sistemos kontrolę ir atsakomybę.**

Arch Linux naudotojai valdo visą sistemą patys. Sistema tik truputį jiems padeda, pateikdama įrankių rinkinių, kurie sukurti nepriekaištingai perduoti naudotojo nustatymus sistemai. Arch kūrėjai negaišta laiko perkurdami grafinės vartotojo sąsajos įrankius; Arch pagrįsta praktiškumu ir puikia dokumentacija.

Atsižvelgiant į orientacijos į naudotoją koncepciją, nuadojantis Arch Linux distribucija svarbu nepamiršti "pasidaryk pats" principo. Vietoj pagalbos ieškojimo ar prašymų sukurti kažką naujo, Arch Linux naudotojai stengiasi išspręsti problemas savarankiškai ir dalintis savo sprendimais su bendruomene ir kūrėjų komanda. Tai – "pirmiausia pabandyk pats ir tik po to klausk" principas. Šis principas atsispindi naudotojų paskelbtuose paketuose, kurie yra Arch naudotojų talpykloje (*angl. Arch User Repository*) – oficialioje Arch Linux bendruomenės prižiūrimų paketų talpykloje.

## Atvirumas

Atvirumas neatsiejamas nuo paprastumo. Tai yra dar vienas svarbus Arch Linux kūrėjų principas.

**Arch Linux naudoja paprastus įrankius, kurie atrinkti ar sukurti atsižvelgiant į programinių tekstų ir jų išvesties tekstų atvirumą.**

Atvirumas pašalina visas ribas ir nesusipratimus tarp naudotojo ir sistemos bei suteikia daugiau kontrolės tuo pačiu supaprastindamas sistemos priežiūrą.

Dėl Arch Linux "įgimto" atvirumo tenka daug mokytis, tačiau patyrę Arch Linux naudotojai pripažįsta, kad kitas, labiau uždaras, sistemas yra sudėtingiau kontroliuoti.

Atvirumo principas nesvetimas ir bendruomenės nariams. Arch Linux naudotojai pasižymi geranoriškimu ir mielai sutinka pagelbėti ar patarti. Be to, nuolat teikia programų paketus bendruomenės prižiūrimai Arch naudotojų talpyklai (*angl. Arch User Repository*).

## Laisvė

Dar vienas Arch Linux kūrimo principas — laisvė. Naudotojams ne tik leidžiama spręsti klausimus, susijusius su sistemos konfigūracija. Jie gali nuspręsti, kaip atrodys jų sistema **ateityje**.

**Dėl sistemos paprastumo, Arch Linux suteikia pasirinkimų, susijusių su sistema, laisvę.**

Naujai įdiegtoje Arch Linux sistemoje yra tik pagrindiniai komponentai, be jokios automatinės konfigūracijos. Naudotojams suteikiama galimybė patiems sukonfigūruoti sistemą taip, kaip jie nori, tam naudodami terminalą. Nuo pat diegimo pradžios, kiekviena procedūra, kiekvienas sistemos komponentas yra 100% skaidrus ir pasiekiamas peržiūrai, trynimui ar pakeitimui alternatyviais komponentais.

Daugeliui programų paketų įvairiuose Arch Linux talpyklose taip pat taikoma pasirinkimo laisvė. Siūloma laisva, atviro kodo programinė įranga tiems, kuriems *funkcionalumas svarbiau už ideologiją*. Viską pasirenka pats naudotojas.

Judd'as Vinet'as, Arch Linux projekto įkūrėjas yra pasakęs: "[Arch Linux] yra tai, ką *tu pats* iš jos padarai."