Na biologia, o [mutualismo](https://en.wikipedia.org/wiki/pt:Mutualismo_(biologia) é uma interação entre dois organismos onde ambos tem benefícios. Este principio se aplica aos membros próativos da comunidade Arch, que desejam contribuir e se envolver com o projeto em pról de sua distribuição Linux favorita. Esta participação beneficia não apenas membros da comunidade e seguidores do Arch, mas também, toda a gama dos usuários de [Software livre](https://en.wikipedia.org/wiki/pt:Software_livre "wikipedia:pt:Software livre").

## Contents

*   [1 Projetos oficiais do Arch Linux](#Projetos_oficiais_do_Arch_Linux)
    *   [1.1 Postagens nos fóruns](#Postagens_nos_f.C3.B3runs)
    *   [1.2 Melhore esta Wiki](#Melhore_esta_Wiki)
    *   [1.3 Ingresse nas salas de chat](#Ingresse_nas_salas_de_chat)
    *   [1.4 Corrija e reporte novos bugs](#Corrija_e_reporte_novos_bugs)
    *   [1.5 Criando e adotando pacotes AUR](#Criando_e_adotando_pacotes_AUR)
    *   [1.6 Projetos de software oficiais](#Projetos_de_software_oficiais)
    *   [1.7 Participe de Eventos](#Participe_de_Eventos)
    *   [1.8 Doe dinheiro](#Doe_dinheiro)
*   [2 Projetos da comunidade](#Projetos_da_comunidade)
    *   [2.1 Grupos](#Grupos)
    *   [2.2 Software](#Software)
    *   [2.3 Serviços](#Servi.C3.A7os)
    *   [2.4 Outros](#Outros)
*   [3 FAQ](#FAQ)
    *   [3.1 Como posso me tornar um desenvolvedor do Arch?](#Como_posso_me_tornar_um_desenvolvedor_do_Arch.3F)
    *   [3.2 Como me torno um "Usuário confiável"?](#Como_me_torno_um_.22Usu.C3.A1rio_confi.C3.A1vel.22.3F)
    *   [3.3 O que eu posso fazer sendo um artista?](#O_que_eu_posso_fazer_sendo_um_artista.3F)

## Projetos oficiais do Arch Linux

### Postagens nos fóruns

Uma das formas mais fáceis de participar e se envolver com o projeto é através dos [Fóruns do Arch Linux](https://bbs.archlinux.org/), que permitem a interação e ajuda de membros da comunidade com novos usuários.

Tenha em mente sempre seguir a [etiqueta do fórum](/index.php/Forum_etiquette "Forum etiquette"). Os responsáveis pelo fórum podem ser contactados através do email [forum@archlinux.org](mailto:forum@archlinux.org).

### Melhore esta Wiki

A [ArchWiki](/index.php/AboutWiki "AboutWiki") é colaborativa e todos os usuários são incentivados a interagir, sendo a documentação principal da comunidade Arch Linux. Por favor, leia [contribuindo - inglês](/index.php/ArchWiki:Contributing "ArchWiki:Contributing").

### Ingresse nas salas de chat

Você pode ajudar outros usuários a resolver problemas através do [canal do IRC](/index.php/IRC_Channel "IRC Channel"). É de importância vital que você leia as [regras](/index.php/IRC_Channel#.23archlinux_rules "IRC Channel") e as [guias de conduta](/index.php/IRC_Channel#.23archlinux_guidelines "IRC Channel") antes de participar. [Canais especiais](/index.php/IRC_channels "IRC channels") estão disponíveis para tópicos específicos.

### Corrija e reporte novos bugs

Reportar e corrigir bugs no [bug tracker](https://bugs.archlinux.org/) é uma das formas possíveis de se ajudar a comunidade.

Contudo, o uso inefetivo pode ser contra-produtivo. Por favor, leia o [bug reporting guidelines](/index.php/Reporting_bug_guidelines "Reporting bug guidelines").

### Criando e adotando pacotes AUR

O [Arch User Repository](/index.php/Arch_User_Repository "Arch User Repository") contém scripts de automatização de criação de pacotes feitos pela comunidade, permitindo a instalação de programas que não estão nos repositórios oficiais. Pacotes populares tendem a serem incluidos no repositório da [comunidade](/index.php/Community "Community").

Você pode ajudar adotando ou criando pacotes.

### Projetos de software oficiais

Você pode colaborar com o desenvolvimento de [projetos oficiais de software do Arch Linux](https://projects.archlinux.org/).

### Participe de Eventos

Há eventos mensais e anuais para correção de bugs, tradução e limpeza. Você pode encontrar eventos futuros no [Calendário de eventos Arch Linux](/index.php/Arch_Linux_Event_Calendar "Arch Linux Event Calendar").

### Doe dinheiro

Você pode ajudar a sustentar os custos dos servidores, na [página oficial de doações para o Arch Linux](https://www.archlinux.org/donate/).

## Projetos da comunidade

**Nota:** Todos os projetos listados aqui são de criação da comunidade. Nenhum destes são considerados projetos *oficiais* do Arch Linux.

A comunidade Arch mantém vários projetos. Sinta-se livre para incluir o seu!

#### Grupos

Grupos específicos do Arch, que podem ser de seu interesse.

	[ArchMap](/index.php/ArchMap "ArchMap")

	Grupo de usuários Google Earth do Arch

	[ArchAudio](http://archaudio.org)

	Repositório de terceiros e fórum de discussões de usuários Arch Linux com conhecimento em audio.

	[Arch Linux Subreddit](http://www.reddit.com/r/archlinux/)

	Lugar de usuários Reddit, para discutir assuntos relacionados ao Arch.

	[Arch Linux User Group](/index.php/Arch_Linux_User_Group "Arch Linux User Group")

	Local para usuários Arch se conhecerem

	[Arch Women](http://archwomen.org/)

	Grupo com a intenção de resolver possíveis barreiras no Arch para usuários femininos. ([tópico do fórum](https://bbs.archlinux.org/viewtopic.php?id=136184)).

	[LinkedIn Group](http://www.linkedin.com/groups?gid=1399787)

	Grupo do LinkedIn para usuários e profissionais do Arch

	[Repo-CK](http://repo-ck.com)

	Repositório não-oficial para os patches {AUR|linux-ck}} de otimização de CPU, para usuários Arch.

#### Software

Softwares desenvolvidos pela comunidade com foco no Arch.

	[Arch Based Distributions](/index.php/Arch_Based_Distributions "Arch Based Distributions")

	Distribuições baseadas no Arch Linux.

	[AUR helpers](/index.php/AUR_helpers "AUR helpers")

	Utilitarios para ajudar usuários na utilização do [Arch User Repository](/index.php/Arch_User_Repository "Arch User Repository").

	[Pacman GUI Frontends](/index.php/Pacman_GUI_Frontends "Pacman GUI Frontends")

	Ferramentas gráficas para o [pacman](/index.php/Pacman "Pacman").

	[Rc.conf GUI Frontends](/index.php/Rc.conf_GUI_Frontends "Rc.conf GUI Frontends")

	Ferramentas gráficas para a edição do arquivo [rc.conf](/index.php/Rc.conf "Rc.conf").

#### Serviços

Serviços feitos especialmente para usuários Arch Linux.

	[ArchLinux.us](http://archlinux.us)

	Emails do domínio @archlinux.us, baseados no Gmail.

	Acesso móvel - [archlinux.mobi](http://archlinux.mobi).

	[ArchLinux.me](http://archlinux.me)

	Blogs Arch Linux. Registre-se para participar [deste tópico](https://bbs.archlinux.org/viewtopic.php?id=73622).

#### Outros

	[TuxLyn's Arch Linux Wiki](http://wiki.gotux.net/archlinux)

	Wiki pessoal, com conteúdo relacionado ao Arch Linux

	[Xyne's Arch Linux Projects](http://xyne.archlinux.ca/projects/)

	Usuário confiável, com conteúdo relacionado ao Arch Linux.

## FAQ

### Como posso me tornar um desenvolvedor do Arch?

A motivação principal no seu trabalho pelo Arch deve ser ajudar a comunidade como um todo, e não simplesmente se tornar um *Desenvolvedor Arch*.

Normalmente, novos desenvolvedores são selecionados pelos atuais desenvolvedores quando a carga de trabalho aumenta. Em alguns casos informações sobre um cargo são liberadas e você pode se aplicar a ele, porém, mais frequentemente os desenvolvedores convidam alguém que eles julgam ser bom executando as tarefas de tal cargo, e que irá completar esta lacuna no time. Ter um portfólio de contribuições para o Arch Linux é a melhor maneira de ingressar no time.

Aqui está uma lista de coisas que você pode fazer para ganhar alguma "popularidade" entre os desenvolvedores do Arch:

*   Estabeleca reputação sendo prestativo sempre que possível.
*   Responda questões no fórum, IRC e listas de email.
*   Junte-se ao [Trusted Users](/index.php/Trusted_Users "Trusted Users") para ganhar experiência em empacotamento, e para mostre suas habilidades.
*   Envie pacotes para o AUR.
*   Junte-se a projetos que estão "na boca do brete" para serem incorporados ao Arch algum dia, ou crie seu próprio projeto.
*   Trabalhe no pacman, makepkg, initscripts ou outra forma de código-fonte e envie patches para o bug tracker.
*   Naveque pelo bug tracker e tente consertar bugs existentes.
*   Encontre e envie novos bugs.
*   Conserte erros na wiki, adicione novas páginas, limpe as existentes e certifique que seus procedimentos para tal estão atualizados.
*   Envie traduções.

### Como me torno um "Usuário confiável"?

Leia [Trusted Users#How to become TU?](/index.php/Trusted_Users#How_to_become_TU.3F "Trusted Users").

### O que eu posso fazer sendo um artista?

Sinta-se livre para compartilhar papéis de parede, splash screens, cores, widgets, temas, etc., com a comunidade no [subforum de arte](https://bbs.archlinux.org/viewforum.php?id=47).
Veja também [Arch Linux Art](https://www.archlinux.org/art/).