Os cinco princípios seguintes abrangem o que é comumente referido como o Jeito ou Maneira Arch (do inglês *Arch Way*), ou a Filosofia Arch, talvez melhor resumidos pelo acrônimo KISS, significando *Keep It Simple, Stupid* (mantenha simples, estúpido).

## Contents

*   [1 Simplicidade](#Simplicidade)
*   [2 Exatidão do código ao invés de conveniência](#Exatid.C3.A3o_do_c.C3.B3digo_ao_inv.C3.A9s_de_conveni.C3.AAncia)
*   [3 Centrado no usuário](#Centrado_no_usu.C3.A1rio)
*   [4 Abertura](#Abertura)
*   [5 Liberdade](#Liberdade)
*   [6 Veja também](#Veja_tamb.C3.A9m)

## Simplicidade

*Simplicidade é o último grau de sofisticação.* — Leonardo Da Vinci

Simplicidade é absolutamente o principal objetivo por trás do desenvolvimento do Arch. Muitas distribuições GNU/Linux se definem como “simples”. No entanto, simplicidade tem muitas definições.

**O Arch Linux define simplicidade como *sem acréscimos desnecessários, modificações ou complicações*, e provê uma estrutura leve e <tt>UNIX</tt>-like que permite a um usuário moldar o sistema de acordo com as suas necessidades. Em suma, uma abordagem elegante e minimalista.**

Uma estrutura de base leve e construída com altos padrões de programação tende a ter menor demanda dos recursos do sistema. O sistema base é desprovido de tudo o que é desnecessário e que pode ocultar partes importantes do sistema, ou torná-las de difícil acesso ou complicadas. Ele possui um conjunto simplificado de arquivos de configuração limpos e sucintamente comentados, que estão dispostos para rápido acesso e edição, sem pesadas e complexas ferramentas gráficas de configuração para esconder as possibilidades do usuário. Um sistema Arch Linux é, portanto, configurável até o último detalhe sem esforços.

**Complexidade sem complicação.**

O Arch Linux retém as complexidades inerentes de um sistema GNU/Linux ao mesmo tempo que as mantém bem organizadas e transparentes. Os desenvolvedores e usuários do Arch Linux acreditam que tentar esconder complexidades de um sistema na verdade resulta em um sistema ainda mais complexo, e por isso deve ser evitado.

## Exatidão do código ao invés de conveniência

O Arch Linux dá preferência à elegância do design, bem como código limpo, correto e simples, ao patching desnecessário, automação, *eye candy* ou *“newbie-friendliness”*. Patches de software são, portanto, mantidos a um mínimo absoluta; idealmente, nunca acontecendo. A implementação simples deve sempre triunfar sobre a interface de usuário simples.

**Simplicidade de *implementação*, elegância do código e minimalismo irão sempre permanecer as prioridades regentes do desenvolvimento do Arch.**

Conceitos, projetos e funcionalidades são geradas e implementadas usando os princípios do Arch Way como guia, ao invés de curvar-se às influências externas. O time de desenvolvimento é resoluto em seu comprometimento e dedicação à filosofia do Arch Way. Se você compartilha dessa visão, você é bem-vindo e encorajado a usar o Arch.

## Centrado no usuário

Enquanto muitas distribuições GNU/Linux tentam ser mais *user-friendly*, o Arch Linux sempre foi e sempre será *user-centric*.

**O Arch Linux tenta acomodar usuários competentes do GNU/Linux dando a eles completo controle e *responsabilidade* sobre o sistema.**

Usuários do Arch Linux administram o sistema inteiramente por conta própria. O sistema oferecerá pouca assistência, exceto por um simples conjunto de ferramentas de administração que são projetadas para perfeitamente retransmitir os comandos do usuário ao sistema. Os desenvolvedores do Arch não gastam energia re-inventando ferramentas gráficas de sistema; o Arch é fundamentado sobre design sensível e documentação excelente.

Esse design centrado no usuário implica uma certa abordagem “faça você mesmo” ao usar a distribuição. Ao invés de buscar assistência ou solicitar novas funcionalidades para serem implementadas pelos desenvolvedores, usuários do Arch Linux possuem uma tendência para resolver problemas eles mesmos e compartilhar os resultados com a comunidade e o time de desenvolvimento — uma filosofia de “faça primeiro, pergunte depois”. Isso é especialmente verdade para pacotes contribuídos por usuários encontrados no Arch User Repository — o repositório oficial do Arch Linux para pacotes mantidos pela comunidade.

## Abertura

A abertura anda de mãos dadas com a simplicidade, e é também um dos princípios guias no desenvolvimento do Arch Linux.

A abertura remove todos os limites e abstrações entre o usuário e o sistema, fornecendo mais controle, e simultaneamente simplificando a manutenção do sistema.

A natureza aberta do Arch Linux também implica uma curva de aprendizado bastante acentuada, mas usuários experientes do Arch Linux tendem a achar outros sistemas mais fechados muito mais inconvenientes de se controlar.

O princípio da abertura se estende aos membros da comunidade também. Os usuários do Arch Linux são conhecidos por serem bastante abertos quanto a ajudar e aconselhar, bem como quanto a contribuições de pacotes ao Arch User Repository.

## Liberdade

Outro princípio guia no desenvolvimento do Arch Linux é a liberdade. Os usuários não são apenas permitidos a fazer todas as decisões quanto à configuração do sistema, mas também permitidos a escolher como seu sistema **será**.

**Ao manter o sistema simples, o Arch Linux provê a liberdade para fazer qualquer escolha sobre o sistema.**

Um sistema recém-instalado contém apenas componentes do núcleo básico sem nenhuma configuração automática. Os usuários são capazes de configuração o sistema como quiserem, do terminal. Desde o começo do processo de instalação, todo componente do sistema é 100% transparente e acessível instantaneamente para acesso, remoção ou substituição por componentes alternativos.

O grande número de pacotes e scripts de compilação nos vários repositórios do Arch Linux também apoiam a liberdade de escolha, oferecendo software livre para aqueles que os preferem, bem como pacotes de software proprietário, para aqueles que adotam a *funcionalidade à ideologia*. É o usuário que escolhe.

As Judd Vinet, the founder of the Arch Linux project said: "[Arch Linux] is what *you* make it."

Como Judd Vinet, o fundador do projeto Arch Linux, disse: “[O Arch Linux] é aquilo que *você* faz dele.”

## Veja também

[The Arch Way 2.0 (Português)](/index.php?title=The_Arch_Way_2.0_(Portugu%C3%AAs)&action=edit&redlink=1 "The Arch Way 2.0 (Português) (page does not exist)")