Arch Linux - это независимо разрабатываемый [i686](https://en.wikipedia.org/wiki/ru:Intel_P6 "wikipedia:ru:Intel P6")/[x86-64](https://en.wikipedia.org/wiki/ru:x86-64 "wikipedia:ru:x86-64") дистрибутив GNU/Linux общего назначения, достаточно гибкий для выполнения любой роли. Процесс разработки фокусируется на простоте, минимализме и элегантности кода. Arch устанавливается в виде минимальной базовой системы, настраивается пользователем под собственные нужды путём построения уникальной среды с установкой только необходимых компонентов. Инструменты настройки с графическим интерфейсом официально не предоставляются, и большая часть настроек системы выполняется из консоли путём редактирования простых текстовых файлов. Основанный на модели плавающих релизов, дистрибутив Arch стремится оставаться предельно современным и предлагает последние стабильные версии большинства пакетов.

## Contents

*   [1 История](#.D0.98.D1.81.D1.82.D0.BE.D1.80.D0.B8.D1.8F)
*   [2 Простота](#.D0.9F.D1.80.D0.BE.D1.81.D1.82.D0.BE.D1.82.D0.B0)
*   [3 Современность](#.D0.A1.D0.BE.D0.B2.D1.80.D0.B5.D0.BC.D0.B5.D0.BD.D0.BD.D0.BE.D1.81.D1.82.D1.8C)
*   [4 Управление пакетами](#.D0.A3.D0.BF.D1.80.D0.B0.D0.B2.D0.BB.D0.B5.D0.BD.D0.B8.D0.B5_.D0.BF.D0.B0.D0.BA.D0.B5.D1.82.D0.B0.D0.BC.D0.B8)
*   [5 Целостность исходных текстов](#.D0.A6.D0.B5.D0.BB.D0.BE.D1.81.D1.82.D0.BD.D0.BE.D1.81.D1.82.D1.8C_.D0.B8.D1.81.D1.85.D0.BE.D0.B4.D0.BD.D1.8B.D1.85_.D1.82.D0.B5.D0.BA.D1.81.D1.82.D0.BE.D0.B2)
*   [6 Сообщество](#.D0.A1.D0.BE.D0.BE.D0.B1.D1.89.D0.B5.D1.81.D1.82.D0.B2.D0.BE)
*   [7 Заключение](#.D0.97.D0.B0.D0.BA.D0.BB.D1.8E.D1.87.D0.B5.D0.BD.D0.B8.D0.B5)

## История

	*Основная статья: [History of Arch Linux](/index.php/History_of_Arch_Linux "History of Arch Linux") (англ.)*

Arch Linux был основан канадским программистом Джаддом Винетом (Judd Vinet). Первый релиз, Arch Linux 0.1, был выпущен 11 марта 2002 года. Несмотря на то, что Arch является полностью независимым дистрибутивом, он черпает вдохновение в простоте других дистрибутивов включая [Slackware](http://slackware.com), [CRUX](http://www.crux.nu) и [BSD](https://en.wikipedia.org/wiki/Berkeley_Software_Distribution "wikipedia:Berkeley Software Distribution"). В 2007 году Джадд Винет ушёл с поста руководителя проекта, его заменил Аарон Гриффин (Aaron Griffin), который продолжает руководить проектом на сегодняшний день.

## Простота

Согласно [философии Arch](/index.php/The_Arch_Way_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "The Arch Way (Русский)"), Arch Linux остаётся легковесным, гибким, простым и максимально UNIX-подобным. После установки предоставляется минимальная среда (без графического интерфейса) для архитектур i686/x86-64: вместо удаления ненужных пакетов, пользователю предложена возможность построить систему, начиная с минимальной основы без каких-либо заранее выбранных шаблонов. Философия дизайна и реализации Arch Linux позволяет легко расширять систему для получения нужных возможностей: от минимальной консольной системы до современной сложной и функциональной настольной среды. Именно *пользователь* решает, какой будет система на базе Arch.

## Современность

Arch Linux старается поддерживать установку последних стабильных версий ПО. Он основан на системе [плавающих релизов](https://en.wikipedia.org/wiki/ru:Rolling_release "wikipedia:ru:Rolling release"), что обеспечивает возможность однократной установки и непрерывных обновлений без необходимости переустановки всей системы или запуска обновления с одной версии на другую. Выполнением одной команды можно поддерживать систему на базе Arch Linux в актуальном состоянии.

Arch включает в себя множество новых возможностей, доступных пользователям GNU/Linux, включая современные файловые системы (Ext2/3/4, Reiser, XFS, JFS, btrfs), LVM2, программный RAID, поддержку udev и initcpio (с [mkinitcpio](/index.php/Mkinitcpio_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "Mkinitcpio (Русский)")), а так же последние ядра Linux.

## Управление пакетами

Arch опирается на [pacman](/index.php/Pacman_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "Pacman (Русский)"), удобный в использовании [менеджер пакетов](https://en.wikipedia.org/wiki/ru:%D0%A1%D0%B8%D1%81%D1%82%D0%B5%D0%BC%D0%B0_%D1%83%D0%BF%D1%80%D0%B0%D0%B2%D0%BB%D0%B5%D0%BD%D0%B8%D1%8F_%D0%BF%D0%B0%D0%BA%D0%B5%D1%82%D0%B0%D0%BC%D0%B8 - систему, похожую на *порты* в *BSD и обеспечивающую сборку и установку пакетов из исходников. Пакеты могут быть синхронизированы одной командой, и вы даже можете пересобрать всю систему одной командой.

Поддерживая архитектуры i686 и x86-64, [официальные репозитории](/index.php/%D0%9E%D1%84%D0%B8%D1%86%D0%B8%D0%B0%D0%BB%D1%8C%D0%BD%D1%8B%D0%B5_%D1%80%D0%B5%D0%BF%D0%BE%D0%B7%D0%B8%D1%82%D0%BE%D1%80%D0%B8%D0%B8 "Официальные репозитории") Arch Linux обеспечивают доступ к нескольким тысячам пакетов для удовлетворения ваших нужд в программном обеспечении. Arch также поощряет рост сообщества пользователей и увеличение вклада сообщества, предлагая [Пользовательский Репозиторий](/index.php/Arch_User_Repository_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "Arch User Repository (Русский)") (AUR - сокр. от Arch User Repository), который содержит тысячи поддерживаемых пользователями скриптов PKGBUILD для сборки установочных пакетов из исходников с использованием утилиты [makepkg](/index.php/Makepkg_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "Makepkg (Русский)"). Также ничто не мешает пользователям организовывать собственные репозитории.

## Целостность исходных текстов

Arch предоставляет программное обеспечение в исходном виде, без дополнительных патчей. Пакеты собираются из первоначальных исходных текстов, в том виде, который был задуман автором. Накладывание патчей происходит в исключительно редких случаях с целью предотвратить появление серьёзных ошибок из-за несоответствия версий пакетов, которое может возникнуть в связи с использованием модели плавающих релизов.

## Сообщество

Сообщество Arch является очень надежным и дружелюбным: все *Arch'еры* заинтересованы в принятии участия в поддержке дистрибутива, будь то разработка ключевого программного обеспечения, сопровождение пакетов, сообщение об [ошибках](https://bugs.archlinux.org/) или помощь в их исправлении, улучшение [документации ArchWiki](/index.php/Main_page_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "Main page (Русский)"), помощь другим пользователям в решении проблем или просто обмен мнениями на [форумах](https://bbs.archlinux.org/), [почтовых рассылках](https://mailman.archlinux.org/mailman/listinfo/), [IRC-каналах](/index.php/IRC_channels_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "IRC channels (Русский)"). Члены сообщества всегда готовы поделиться знаниями или самостоятельно разработанными приложениями. Дистрибутив Arch Linux является выбором для многих людей по всему миру, и существует несколько [международных сообществ](/index.php/International_communities "International communities") (англ.), предоставляющих помощь и документацию на различных языках.

Обратите внимание на страницу [Getting Involved](/index.php/Getting_involved_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "Getting involved (Русский)"), если вы собираетесь стать активным членом сообщества.

## Заключение

Итоги: Arch Linux - гибкий и простой дистрибутив, разработанный для удовлетворения нужд опытных пользователей Linux®. Он является одновременно мощным и простым в управлении, что делает его идеальным дистрибутивом для серверов и рабочих станций. Развивайте систему на базе Arch в любом нужном направлении: если вы разделяете данный взгляд на то, каким должен быть дистрибутив GNU/Linux, тогда добро пожаловать в сообщество Arch Linux!