В этой статье описан метод подключения bluetooth клавиатуры. Используется Bluez версии 4.91-1.

## Contents

*   [1 Установка ПО](#.D0.A3.D1.81.D1.82.D0.B0.D0.BD.D0.BE.D0.B2.D0.BA.D0.B0_.D0.9F.D0.9E)
*   [2 Настройка](#.D0.9D.D0.B0.D1.81.D1.82.D1.80.D0.BE.D0.B9.D0.BA.D0.B0)
*   [3 Поиск bluetooth клавиатуры](#.D0.9F.D0.BE.D0.B8.D1.81.D0.BA_bluetooth_.D0.BA.D0.BB.D0.B0.D0.B2.D0.B8.D0.B0.D1.82.D1.83.D1.80.D1.8B)
*   [4 Подключаем bluetooth клавиатуру](#.D0.9F.D0.BE.D0.B4.D0.BA.D0.BB.D1.8E.D1.87.D0.B0.D0.B5.D0.BC_bluetooth_.D0.BA.D0.BB.D0.B0.D0.B2.D0.B8.D0.B0.D1.82.D1.83.D1.80.D1.83)
*   [5 Автоматическое подключение клавиатуры при старте системы](#.D0.90.D0.B2.D1.82.D0.BE.D0.BC.D0.B0.D1.82.D0.B8.D1.87.D0.B5.D1.81.D0.BA.D0.BE.D0.B5_.D0.BF.D0.BE.D0.B4.D0.BA.D0.BB.D1.8E.D1.87.D0.B5.D0.BD.D0.B8.D0.B5_.D0.BA.D0.BB.D0.B0.D0.B2.D0.B8.D0.B0.D1.82.D1.83.D1.80.D1.8B_.D0.BF.D1.80.D0.B8_.D1.81.D1.82.D0.B0.D1.80.D1.82.D0.B5_.D1.81.D0.B8.D1.81.D1.82.D0.B5.D0.BC.D1.8B)

## Установка ПО

Вам нужен пакет **bluez** и **dbus-python** с **pygobject** для выполнения команды bluez-simple-agent

```
pacman -S bluez dbus-python pygobject

```

## Настройка

Подгружаем модуль ядра

```
modprobe bluetooth

```

затем запускаем демон bluetooth

```
/etc/rc.d/bluetooth start

```

## Поиск bluetooth клавиатуры

Проверим, видит ли адаптер bluetooth Вашу клавиатуру, выполняем поиск устройств командой

```
hcitool scan

```

В моем случае поиск показал следующее

```
Scanning ...
       DC:2C:26:B3:C5:7A       Bluetooth Mini Keyboard

```

DC:2C:26:B3:C5:7A - это MAC-адрес клавиатуры, который мы будем использовать для ее подключения.

## Подключаем bluetooth клавиатуру

Используя, MAC-адрес клавиатуры, подключим ее

```
hidd --connect DC:2C:26:B3:C5:7A

```

После этого Ваша клавиатура должна работать.

Посмотреть список всех подключенных устройств можно командой

```
hidd --show

```

## Автоматическое подключение клавиатуры при старте системы

Используя Bluez версии 4.91-1, клавиатура при старте системы подключается следующем образом

В /etc/rc.conf добавьте модуль ядра

```
MODULES=(... bluetooth)

```

и демон bluetooth

```
DAEMONS=(... @bluetooth...)

```

Теперь запускаем демон bluetooth

```
/etc/rc.d/bluetooth start

```

и соединяем клавиатуру с адаптером

```
bluez-simple-agent hci0 <MAC-адрес клавиатуры>

```

(в моем случае bluez-simple-agent hci0 00:15:83:0F:9D:E5), в этот момент клавиатура должна быть в режиме поиска.

На запрос **Enter PIN Code** введите 0000 и нажмите Enter, затем на BT клавиатуре нажмите 0000 и Enter.

Если возникли какие то ошибки, то скорее всего вы либо не установили dbus-python, pygobject или BT клавиатура не в режиме поиска.

Для создания доверительной связи между BT адаптером и BT клавиатурой, нужно добавить MAC-адрес клавиатуры в файл trusts, расположенный в /var/lib/bluetooth/<MAC-адрес BT адаптера>/trusts (если файла нет, то он создатся сам этой командой)

```
echo "DC:2C:26:B3:C5:7A [all]" >> "/var/lib/bluetooth/00:15:83:0F:9D:E5/trusts"

```

Подключаемся к клавиатуре

```
hidd --connect <MAC-адрес клавиатуры>

```

в моем случае hidd --connect DC:2C:26:B3:C5:7A

Перезапускаем демон bluetooth

```
/etc/rc.d/bluetooth restart

```

Теперь попробуйте выключить и включить клавиатуру, с небольшой задержкой она подключится автоматически. Эффект действует и после перезагрузки.