## Введение

Из этой статьи вы узнаете, как запустить pppd напрямую, без использования программ-наборщиков, таких как pon/poff, wvdial, kppp и т.п. Созданное подключение остаётся рабочим даже после выключения X, а сам способ - предельно простой, а значит полностью соответствует философии Arch.

## Работа с ppp

Перво-наперво установите **ppp**

```
# pacman -S ppp

```

Создайте резервную копию файла **/etc/ppp/options**

```
# mv /etc/ppp/options /etc/ppp/options.old

```

Создайте новый файл **/etc/ppp/options** по следующему образцу:

```
lock
modem
debug
</dev/ваш модем>
115200
defaultroute
noipdefault
user <имя пользователя>
connect 'chat -t60 \\"\\" ATZ OK ATX3 OK ATDT<номер дозвона> CONNECT'

```

Замените </dev/ваш модем> на имя вашего устройства. Сравним с именами устройств в другой операционной системе. Внимательно посмотрите на эту таблицу:

```
WINDOW$        GNU/Linux
 COM1   -->   /dev/ttyS0
 COM2   -->   /dev/ttyS1
 COM3   -->   /dev/ttyS2
 ...

```

Поправьте только что созданный файл с учетом имени вашего модема, имени пользователя и номера для дозвона до вашего интернет-провайдера. Возможно, вы захотите отредактировать команды подключения - [гугл](http://www.google.com) вам в помощь. Если ваш провайдер использует CHAP, следующий файл, который нужно подредактировать - **chap-secrets**

Изменение **/etc/ppp/chap-secrets**. См [The PAP/CHAP secrets file](http://www.tldp.org/HOWTO/PPP-HOWTO/x1005.html).

```
"ИМЯ ПОЛЬЗОВАТЕЛЯ" * "ПАРОЛЬ"

```

Теперь вы можете подключиться. Подключитесь (из-под root) используя **pppd /dev/modem** (как ваш модем называется?). Чтобы отключиться, используйте **killall pppd**

## Подключение для непривилегированного пользователя

Если вы хотите подключиться из-под обычного пользователя, вы можете использовать sudo. Настройте [sudo](/index.php/Sudo_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "Sudo (Русский)") для вызова необходимых команд для вашего пользователя, и вы сможете использовать следующие алиасы (alias) в вашем **~/.bash_profile**:

```
alias dial='sudo /usr/sbin/pppd /dev/modem'
alias hang='sudo /usr/bin/killall pppd'

```

С этого момента вы можете подключаться командой **dial** и отключаться с помощью **hang**.