## Contents

*   [1 Резюме](#.D0.A0.D0.B5.D0.B7.D1.8E.D0.BC.D0.B5)
*   [2 Libgphoto2](#Libgphoto2)
*   [3 GPhoto2](#GPhoto2)
*   [4 Фронт-энды приложений с GPhoto2](#.D0.A4.D1.80.D0.BE.D0.BD.D1.82-.D1.8D.D0.BD.D0.B4.D1.8B_.D0.BF.D1.80.D0.B8.D0.BB.D0.BE.D0.B6.D0.B5.D0.BD.D0.B8.D0.B9_.D1.81_GPhoto2)
*   [5 Статьи Wiki относительно к Фото/Камерам](#.D0.A1.D1.82.D0.B0.D1.82.D1.8C.D0.B8_Wiki_.D0.BE.D1.82.D0.BD.D0.BE.D1.81.D0.B8.D1.82.D0.B5.D0.BB.D1.8C.D0.BD.D0.BE_.D0.BA_.D0.A4.D0.BE.D1.82.D0.BE.2F.D0.9A.D0.B0.D0.BC.D0.B5.D1.80.D0.B0.D0.BC)

## Резюме

Этот документ поможет настроить libgphoto2 так, чтобы участники группы *camera* [group](/index.php/Group "Group") могут получать доступ к цифровой камере через USB. Цель была сохранить этот документ простым, и таким образом особые случаи не были скрыты. Я бы хотел изменить это так, чтобы мы могли найти любой баг и иметь более хорошо налаженную конфигурацию для сообщества. Так что спокойно пишите проблемы и решения в страницу обсуждения статьи и, возможно, будут добавлены в раздел Проблем и их решений статьи. Имея это в виду, не все камеры могут быть обнаружены с помощью --auto-detect(в gphoto2). Некоторые камеры могут быть показаны с правильным *generic name*, некоторые - с неправильным. Если это работает, не пробуйте исправлять это.

## Libgphoto2

[Libgphoto2](http://www.gphoto.org/proj/libgphoto2/) это библиотека, созданная для позволения доступа к цифровым камерам с помощью внешних программ (фронт-эндов), например, Digikam и gphoto2\. На сегодняшний день список 'оффициально' поддерживаемых цифровых камер находиться [здесь](http://www.gphoto.org/proj/libgphoto2/support.php).

**Установка и настройка**

От пользователя root, введите:

 `# pacman -S libgphoto2` 

А теперь:

 `# gpasswd -a ИМЯПОЛЬЗОВАТЕЛЯ camera` 

Примечание: ИМЯПОЛЬЗОВАТЕЛЯ это любой (НЕ root) пользователь, которого Вы хотите добавить в группу *camera*.

**Проблемы привилегий**

Если у вас есть проблемы с привилегиями, введите также через root:

 `# /usr/lib/libgphoto2/print-camera-list udev-rules mode 0660 version 0.98 group camera > /etc/udev/rules.d/90-libgphoto2.rules` 

Если после выполнения всех предыдущих шагов Вы имеете проблемы с доступом, попробуйте изменить /etc/udev/rules.d/90-libgphoto2.rules и изменить строку PROGRAM= следующим:

 `PROGRAM="/lib/udev/check-ptp-camera", MODE="0660", GROUP="camera"` 

Если Ваша камера не представляется в любых udev правилах, Вы можете проверить vendor и product id и добавить их. Чтобы проверить это, введите:

```
# lsusb
...
Bus 001 Device 005: ID 04a9:318e Canon, Inc.
...

```

Я предпочитаю добавлять любые udev правила в /etc/udev/rules.d/90-local.rules , чтобы быть уверенным, что они не стеруться новыми пакетами. Мой 90-local.rules выглядит так:

```
PROGRAM="/lib/udev/check-ptp-camera", MODE="0660", GROUP="camera"
ATTRS{idVendor}=="04a9", ATTRS{idProduct}=="318e", MODE="0660",  GROUP="camera"

```

Чтобы изменения вступили в силу, Вам нужно нужно перезагрузить udevd:

```
# killall udevd && udevd -d

```

Теперь после подключения Вашей камеры, проверьте, выглядят Ваши привилегия выглядят нормально введя:

```
# ls -lR /dev/bus/usb

```

Совет: Это может быть проще с помощью перезагрузки.

## GPhoto2

GPhoto2 это клиент командной строки для libgphoto2\. GPhoto2 даёт доступ к библиотеке libgphoto2 через терминал или из shell-скрипта для выполнения любой операции с камерой. Это основной пользовательский интерфейс.

GPhoto2 также обеспечивает удобные возможности отладки для разработчиков драйверов камер.

**Установка и настройка** Чтобы получить Gphoto2, введите это из root:

 `# pacman -S gphoto2` 

**Быстрые команды**

*   gphoto2 --list-ports
*   gphoto2 --auto-detect
*   gphoto2 --summary
*   gphoto2 --list-files
*   gphoto2 --get-all-files

## Фронт-энды приложений с GPhoto2

*   [Digikam](http://www.digikam.org/)
*   [F-Spot](http://f-spot.org/)
*   [GPhoto2](http://www.gphoto.org/proj/gphoto2/)
*   Gthumb
*   [GTKam](http://www.gphoto.org/proj/gtkam/)

## Статьи Wiki относительно к Фото/Камерам

*   [Jalbum](/index.php/Jalbum "Jalbum") - бесплатная программа для создания профессиональных альбомов/галерей.