[dwm](http://dwm.suckless.org/) — это динамический мозаичный оконный менеджер для [X](/index.php/Xorg_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "Xorg (Русский)"). Он управляет окнами в плавающем, неперекрывающемся и полноэкранном режимах так же, как и в других (для них требуются дополнительные патчи). Режимы могут переключаться динамически, в зависимости от приложения и поставленной задачи. dwm - чрезвычайно легковесный и быстрый, написан на Си и содержит около 2000 строк исходного кода. Он обеспечивает поддержку нескольких видео-выходов для xrandr и Xinerama.

## Contents

*   [1 Установка](#.D0.A3.D1.81.D1.82.D0.B0.D0.BD.D0.BE.D0.B2.D0.BA.D0.B0)
    *   [1.1 Требования](#.D0.A2.D1.80.D0.B5.D0.B1.D0.BE.D0.B2.D0.B0.D0.BD.D0.B8.D1.8F)
    *   [1.2 Загрузка сборочных скриптов с помощью ABS](#.D0.97.D0.B0.D0.B3.D1.80.D1.83.D0.B7.D0.BA.D0.B0_.D1.81.D0.B1.D0.BE.D1.80.D0.BE.D1.87.D0.BD.D1.8B.D1.85_.D1.81.D0.BA.D1.80.D0.B8.D0.BF.D1.82.D0.BE.D0.B2_.D1.81_.D0.BF.D0.BE.D0.BC.D0.BE.D1.89.D1.8C.D1.8E_ABS)
    *   [1.3 Сборка и установка пакета](#.D0.A1.D0.B1.D0.BE.D1.80.D0.BA.D0.B0_.D0.B8_.D1.83.D1.81.D1.82.D0.B0.D0.BD.D0.BE.D0.B2.D0.BA.D0.B0_.D0.BF.D0.B0.D0.BA.D0.B5.D1.82.D0.B0)
*   [2 Настройка](#.D0.9D.D0.B0.D1.81.D1.82.D1.80.D0.BE.D0.B9.D0.BA.D0.B0)
    *   [2.1 Способ 1: Пересобрать с помощью ABS (рекомендуется)](#.D0.A1.D0.BF.D0.BE.D1.81.D0.BE.D0.B1_1:_.D0.9F.D0.B5.D1.80.D0.B5.D1.81.D0.BE.D0.B1.D1.80.D0.B0.D1.82.D1.8C_.D1.81_.D0.BF.D0.BE.D0.BC.D0.BE.D1.89.D1.8C.D1.8E_ABS_.28.D1.80.D0.B5.D0.BA.D0.BE.D0.BC.D0.B5.D0.BD.D0.B4.D1.83.D0.B5.D1.82.D1.81.D1.8F.29)
        *   [2.1.1 Правка config.h](#.D0.9F.D1.80.D0.B0.D0.B2.D0.BA.D0.B0_config.h)
        *   [2.1.2 Замечания](#.D0.97.D0.B0.D0.BC.D0.B5.D1.87.D0.B0.D0.BD.D0.B8.D1.8F)
    *   [2.2 Способ 2: Mercurial (для продвинутых)](#.D0.A1.D0.BF.D0.BE.D1.81.D0.BE.D0.B1_2:_Mercurial_.28.D0.B4.D0.BB.D1.8F_.D0.BF.D1.80.D0.BE.D0.B4.D0.B2.D0.B8.D0.BD.D1.83.D1.82.D1.8B.D1.85.29)

## Установка

Следующие инструкции помогают установить dwm с помощью [makepkg](/index.php/Makepkg_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "Makepkg (Русский)") и [ABS](/index.php/Arch_Build_System_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "Arch Build System (Русский)"). Такой вид установки позволяет переконфигурировать dwm позже без компиляции. Если же целью стоит познакомиться или побаловаться с dwm, то можно установить бинарный пакет из стандартного репозитория:

```
# pacman -S [dwm](https://www.archlinux.org/packages/?name=dwm)

```

Заметьте, что пропуск компиляции из исходников ведет к потере гибкости, потому что настройка dwm заключается в правке его исходного кода. Остальная часть статьи написана с предположением, что dwm был установлен из исходного кода, в точности, как описано в этом разделе.

Возможно, Вы также захотите установить и [dmenu](/index.php/Dmenu "Dmenu"), быстрое и легковесное динамическое меню для X:

```
# pacman -S dmenu

```

### Требования

Для компиляции и сборки пакета dwm требуются базовый инструментарий, перечисленный в метапакете [base-devel](https://www.archlinux.org/groups/x86_64/base-devel/), а также [abs](https://www.archlinux.org/packages/?name=abs) - для получения сборочных скриптов:

```
# pacman -S base-devel abs

```

### Загрузка сборочных скриптов с помощью ABS

После установки необходимых пакетов, требуется получить последние скрипты для сборки из репозиториев с помощью ABS:

```
# abs

```

Скопируйте скрипт для сборки dwm из дерева ABS во временную папку, например:

```
$ cp -r /var/abs/community/dwm ~/dwm

```

### Сборка и установка пакета

Используйте `cd` чтобы перейти в папку, содержащую сборочные скрипты (в предыдущем примере это была `~/dwm`). Затем наберите:

```
$ makepkg -i

```

Эта команда откомпилирует dwm, соберет из полученных файлов пакет и установит его - все одним действием. Если возникли проблемы - внимательно прочитайте вывод отладочной информации.

**Совет:** Если сохранить директорию (`~/dwm`) - можно впоследствии использовать ее для изменения конфигурации по умолчанию.

## Настройка

dwm, как ранее говорилось, настраивается во время компиляции через пару файлов, а именно - `config.h` и `config.mk`. Начальная настройка хороша, но вы скорее всего захотите настроить dwm под себя. Для этого лучше всего пользоваться ABS. Для дополнительной информации посмотрите документацию по [dwm](http://www.suckless.org/wiki/dwm) и [ABS](/index.php/Arch_Build_System_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "Arch Build System (Русский)")

### Способ 1: Пересобрать с помощью ABS (рекомендуется)

Сконфигурировать dwm очень легко. Просто следуйте нашим советам.

#### Правка config.h

Зайдите в папку с исходниками, которую указали во время [Установки](#.D0.A3.D1.81.D1.82.D0.B0.D0.BD.D0.BE.D0.B2.D0.BA.D0.B0); в примере это `~/dwm`. Файл `config.h`, находящийся в этой директории - это основной файл конфигурации dwm. Большинство опций в этом файле ясны, в то время как другие требуют пояснений. Для информации загляните на [сайт dwm](http://www.suckless.org/dwm/).

**Примечание:** Рекомендуем сделать копию файла config.h перед тем, как изменять его. На всякий случай.

После редактирования добавьте контрольную сумму md5 в [PKGBUILD](/index.php/PKGBUILD_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "PKGBUILD (Русский)"):

```
$ makepkg -g >> PKGBUILD

```

Это устранит разницу в контрольных суммах между официальным config.h и нашей модифицированной версией. Откомпилируем и переустановим:

```
$ makepkg -efi

```

Если наши изменения правильны, эта команда откомпилирует dwm, создаст установочный пакет и установит его в систему. В случае возникновения проблем внимательно прочитайте отладочную информацию.

Наконец перезапустите dwm, чтобы применить изменения (по умолчанию **shift**+**alt**+**q** завершает сеанс dwm).

#### Замечания

Теперь, вместо обновления md5sums при каждом изменении `config.h`, которые будут происходить довольно часто, можно удалить список md5sums и собрать dwm c опцией `--skipinteg`:

```
$ makepkg -efi --skipinteg

```

А с добавлением нескольких строк в загрузочный скрипт dwm, можно будет выполнять [перезапуск dwm без выхода из системы и закрытия программ](#.D0.9F.D0.B5.D1.80.D0.B5.D0.B7.D0.B0.D0.BF.D1.83.D1.81.D0.BA_dwm_.D0.B1.D0.B5.D0.B7_.D0.B2.D1.8B.D1.85.D0.BE.D0.B4.D0.B0_.D0.B8.D0.B7_.D1.81.D0.B8.D1.81.D1.82.D0.B5.D0.BC.D1.8B_.D0.B8_.D0.B7.D0.B0.D0.BA.D1.80.D1.8B.D1.82.D0.B8.D1.8F_.D0.BF.D1.80.D0.BE.D0.B3.D1.80.D0.B0.D0.BC.D0.BC).

### Способ 2: Mercurial (для продвинутых)

dwm разрабатывается с помощью системы контроля версий [Mercurial](http://www.selenic.com/mercurial/wiki/) на сайте [suckless.org](http://hg.suckless.org/dwm). Кто знаком с Mercurial, могут найти более удобным способ разработки конфигураций и патчей в системе. На сайте dwm предлагает [подробное описание (англ.)](http://www.suckless.org/dwm/customisation/patch_queue.html) для этого метода.

Перед сборкой dwm из исходных кодов Mercurial, проверьте правильность `config.mk`, иначе это может привести к краху [X](/index.php/Xorg_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "Xorg (Русский)"). Эти значения необходимо изменить: Измените `PREFIX`:

```
PREFIX = /usr

```

Папку X11 include:

```
X11INC = /usr/include/X11

```

И папку библиотек X11:

```
X11LIB = /usr/lib/X11

```