## Contents

*   [1 Описание](#.D0.9E.D0.BF.D0.B8.D1.81.D0.B0.D0.BD.D0.B8.D0.B5)
*   [2 Спецификация](#.D0.A1.D0.BF.D0.B5.D1.86.D0.B8.D1.84.D0.B8.D0.BA.D0.B0.D1.86.D0.B8.D1.8F)
*   [3 Установка](#.D0.A3.D1.81.D1.82.D0.B0.D0.BD.D0.BE.D0.B2.D0.BA.D0.B0)
*   [4 Рекомендации по установке](#.D0.A0.D0.B5.D0.BA.D0.BE.D0.BC.D0.B5.D0.BD.D0.B4.D0.B0.D1.86.D0.B8.D0.B8_.D0.BF.D0.BE_.D1.83.D1.81.D1.82.D0.B0.D0.BD.D0.BE.D0.B2.D0.BA.D0.B5)
*   [5 Сеть](#.D0.A1.D0.B5.D1.82.D1.8C)
*   [6 Клавиши Fn](#.D0.9A.D0.BB.D0.B0.D0.B2.D0.B8.D1.88.D0.B8_Fn)
*   [7 Графика](#.D0.93.D1.80.D0.B0.D1.84.D0.B8.D0.BA.D0.B0)
*   [8 TouchPad](#TouchPad)
*   [9 Звук](#.D0.97.D0.B2.D1.83.D0.BA)
*   [10 Веб камера](#.D0.92.D0.B5.D0.B1_.D0.BA.D0.B0.D0.BC.D0.B5.D1.80.D0.B0)

# Описание

Эта статья описывает установку и настройку Arch Linux x86-64 на ультрабуке Fujitsu LIFEBOOK UH572 [vfy:uh572mf412ru]. Статья в процессе написания и уточнения.

| **Устройство** | **Состояние** | **Драйвер (модуль)** |
| Intel HD Graphics | **Работает** | i915 (xf86-video-intel) |
| Ethernet (USB) | **Работает** | cdc_mbim () |
| WiFi | **Работает** | iwlwifi () |
| Bluetooth | **Работает** | (bnep,btusb,rfcomm) |
| 3G | **Не проверено** | mei () |
| Audio | **Работает** | snd_hda_intel () |
| Touchpad | **Работает с доп. настройками** | (xf86-input-synaptics) |
| Camera | **Работает** | uvcvideo () |
| USB 3.0 | **Работает** |
| Card Reader | **Работает** |
| Function Keys | **Работают не все** |
| Suspend | **Работает** |

# Спецификация

| Название | Описание |
| Тип | Ультрабук |
| Модель | vfy:uh572mf412ru |
| Экран | 13.3" 33.8 cm, LED backlight, HD, Anti-glare display, 1366 x 768 pixel |
| Процессор | [Intel Core i7 3537U, 2ГГц (Turbo Boost 3.1ГГц)](http://ark.intel.com/products/72054/), Кэш L2: 32 KiB, Кэш L2: 256 KiB, Кэш L3: 4 MiB |
| Чипсет | Intel HM76 |
| Память | 4GiB, SODIMM DDR3, PC3-12800, 1600 МГц |
| Устройства хранения | SSD SATA III, 238GiB (256GB), 2.5-inch + 32 GB iSSD cache |
| Видео | Intel HD Graphics 4000 |
| Карты памяти | Memory Stick, SD, SD HC, SD XC |
| Беспроводная связь | 

*   Centrino Wireless-N 2230 b/g/n, 802.11n, 300 Mbit/s
*   Bluetooth V4.0 + HS
*   Sierra Wireless Gobi 3000

 |
| Аккумулятор | Li-Pol, 4-cell, 2840 mAh, 42 Wh |

# Установка

В ультрабуке используется BIOS фирмы Phoenix выполненный на UEFI.

Для включения возможности загрузки с внешнего носителя и установки операционной системы отличной от Windows 8 нужно сделать следующие действия:

1.  войти в BIOS (клавиша F2 при загрузке);
2.  установить пароль супервайзера (Security - Set Sepervisor Password);
3.  выставить значение Security - Secure Boot Configuration - Secure Boot Option в Disabled;
4.  установить параметр Advanced - CSM в значение Enabled;
5.  сохранить настройки с выключением питания Save Settings And Poweroff;
6.  подключить к USB любой съемный носитель с установочным образом Arch Linux;
7.  включить питание, нажать клавишу F12 и выбрать его из списка;
8.  выполнить установку Arch Linux штатным образом, с учетом нижеследующих рекомендаций по установке.

**Примечание:** Рекомендуется сделать образ установленной системы перед установкой Arch Linux, для восстановления заводского состояния. В комплекте идут диски для восстановления, но серийный номер хранится скорее всего на одном из разделов диска. Так как при перепрошивке BIOS вначале происходит стирание данных в микросхеме, а потом заливка новой. Но есть и вероятность, что серийный номер сохраняется в памяти, а потом добавляется в новую прошивку (данные не проверены на практике).

# Рекомендации по установке

В разработке.

Установка Arch Linux происходит штатным образом, согласно [Installation_Guide_(Русский)](/index.php/Installation_Guide_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "Installation Guide (Русский)").

Рекомендации основываются на следующих статьях:

1.  [Solid_State_Drives_(Русский)](/index.php/Solid_State_Drives_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "Solid State Drives (Русский)")

При форматировании использовать параметр **-E discard**:

```
# mkfs.ext4 -E discard /dev/sdXY

```

# Сеть

В разработке.

WiFi работает "из коробки" и легко запускается при помощи netctl.

Прилагаемый в комплекте переходник USB (2.0) - Ethernet (100MiB) также работает без проблем.

# Клавиши Fn

В разработке.

С клавишами подсветки экрана и громкости проблем нет. А вот с остальными клавишами беда.

Список не работающих клавиш:

*   Fn + F4 - Touchpad
*   Fn + F5 - WiFi
*   Fn + F10 - отключение/переключение монитора
*   Fn + F11 - ECO
*   Fn + F12 - значок видеокамеры

# Графика

В разработке.

Драйвер должен использоваться xf86-video-intel и lib32-intel-dri (для работы 32-битных приложений). Работает без проблем, но в хорошие игрушки не поиграешь, FPS не тот.

# TouchPad

В разработке.

Тут самое веселое и без бубна не работает. Драйвер для данного touchpad устанавливается xf86-input-synaptics. Для работы touchpad необходимо добавить в настройки [Grub](/index.php/Grub "Grub") следующие параметры загрузки ядра: **i8042.notimeout** и **i8042.nomux**.

И при выходе из спящего режима (при открытии крышки) он выключается и включить его можно при помощи перезагрузки драйвера:

```
# modprobe -r psmouse (выгружаем драйвер)
# modprobe psmouse    (загружаем драйвер)

```

# Звук

В разработке.

Тоже работает без проблем.

# Веб камера

В разработке.

Также работает "из коробки" /dev/video0, проверено Skype.