## Contents

*   [1 Введение](#.D0.92.D0.B2.D0.B5.D0.B4.D0.B5.D0.BD.D0.B8.D0.B5)
*   [2 Шаг 1: Устанавливаем VirtualBox](#.D0.A8.D0.B0.D0.B3_1:_.D0.A3.D1.81.D1.82.D0.B0.D0.BD.D0.B0.D0.B2.D0.BB.D0.B8.D0.B2.D0.B0.D0.B5.D0.BC_VirtualBox)
*   [3 Шаг 2: Создание диска .vmdk](#.D0.A8.D0.B0.D0.B3_2:_.D0.A1.D0.BE.D0.B7.D0.B4.D0.B0.D0.BD.D0.B8.D0.B5_.D0.B4.D0.B8.D1.81.D0.BA.D0.B0_.vmdk)
*   [4 Шаг 3: Загрузка образа Archlinux](#.D0.A8.D0.B0.D0.B3_3:_.D0.97.D0.B0.D0.B3.D1.80.D1.83.D0.B7.D0.BA.D0.B0_.D0.BE.D0.B1.D1.80.D0.B0.D0.B7.D0.B0_Archlinux)
*   [5 Шаг 4: Создание новой виртуальной машины](#.D0.A8.D0.B0.D0.B3_4:_.D0.A1.D0.BE.D0.B7.D0.B4.D0.B0.D0.BD.D0.B8.D0.B5_.D0.BD.D0.BE.D0.B2.D0.BE.D0.B9_.D0.B2.D0.B8.D1.80.D1.82.D1.83.D0.B0.D0.BB.D1.8C.D0.BD.D0.BE.D0.B9_.D0.BC.D0.B0.D1.88.D0.B8.D0.BD.D1.8B)
*   [6 Шаг 5: Установка системы](#.D0.A8.D0.B0.D0.B3_5:_.D0.A3.D1.81.D1.82.D0.B0.D0.BD.D0.BE.D0.B2.D0.BA.D0.B0_.D1.81.D0.B8.D1.81.D1.82.D0.B5.D0.BC.D1.8B)
*   [7 Неисправности](#.D0.9D.D0.B5.D0.B8.D1.81.D0.BF.D1.80.D0.B0.D0.B2.D0.BD.D0.BE.D1.81.D1.82.D0.B8)
    *   [7.1 Операционная система не загружается на реальном железе!](#.D0.9E.D0.BF.D0.B5.D1.80.D0.B0.D1.86.D0.B8.D0.BE.D0.BD.D0.BD.D0.B0.D1.8F_.D1.81.D0.B8.D1.81.D1.82.D0.B5.D0.BC.D0.B0_.D0.BD.D0.B5_.D0.B7.D0.B0.D0.B3.D1.80.D1.83.D0.B6.D0.B0.D0.B5.D1.82.D1.81.D1.8F_.D0.BD.D0.B0_.D1.80.D0.B5.D0.B0.D0.BB.D1.8C.D0.BD.D0.BE.D0.BC_.D0.B6.D0.B5.D0.BB.D0.B5.D0.B7.D0.B5.21)

## Введение

В этой статье будет описан процесс установки Archlinux на реальный диск через VirtualBox. Это полезно, например, в случае, когда вы хотите работать за компьютером во время установки.

## Шаг 1: Устанавливаем VirtualBox

См. подробную [статью по VirtualBox](/index.php/VirtualBox_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "VirtualBox (Русский)").

## Шаг 2: Создание диска .vmdk

Чтобы использовать реальный диск, Вы должны иметь право записи на него. Для этого есть два способа: изменить права доступа на само устройство или добавить вашего пользователя в группу **disk**. Второй способ предпочтительнее. Чтобы сделать это, выполните команду:

```
# gpasswd -a **user** disk

```

***Примечание:** Чтобы изменения вступили в силу, вам необходимо разлогиниться и залогиниться снова.*

Теперь вы должны создать специальный .vmdk файл диска виртуальной машины, через который VirtualBox будет сохранять данные на реальный диск. Сохраните файл в вашей директории VirtualBox directory, под именем **raw.vmdk**. Вы можете создать его, используя следующую команду:

```
$ VBoxManage internalcommands createrawvmdk -filename /home/**user**/.VirtualBox/VDI/raw.vmdk -rawdisk **/dev/sdb** -register

```

Где **user** ваш логин, а **/dev/sdb** - диск, на который вы хотите установить Archlinux.

*Для получение большей информации об использовании реального диска, смотрите [VirtualBox user manual](http://www.virtualbox.org/wiki/Downloads#Usermanual).*

## Шаг 3: Загрузка образа Archlinux

Если вы имеете подключение к интернету на вашей машине, вам нужно скачать образ **FTP** ISO. В противном случае качайте образ **core**. Чтобы получить образ, перейдите на страницу загрузки: [https://archlinux.org/download/](https://archlinux.org/download/)

## Шаг 4: Создание новой виртуальной машины

Запустите VirtualBox и кликните на *Создать новую виртуальную машину*:

1.  Впишите название машины и выберите **Arch Linux** из списка операционных систем.
2.  Выберите количество оперативной памяти. Необходимо как минимум 160 MiB.
3.  Выберите диск **raw.vmdk**.
4.  Нажмите *Готово*.

Теперь перейдите в **Файл » Менеджер виртуальных носителей** и добавьте установочный CD-ROM, который вы скачали. Закройте окно, перейдите в **Свойства** виртуальной машины и выберите **Носители** слева. Наконец, проверьте поле **Привод**, выберите там свой установочный **ISO образ**.

## Шаг 5: Установка системы

Основная часть работы выполнена. Вы подготовили виртуальную машину с установочным образом. Помните, что внутри виртуальной машины, ваш диск будет отображаться как **/dev/sda**. Теперь вы можете свободно продолжить установку, используя эти инструкции:

*   [Руководство по установке](/index.php/%D0%A0%D1%83%D0%BA%D0%BE%D0%B2%D0%BE%D0%B4%D1%81%D1%82%D0%B2%D0%BE_%D0%BF%D0%BE_%D1%83%D1%81%D1%82%D0%B0%D0%BD%D0%BE%D0%B2%D0%BA%D0%B5 "Руководство по установке")
*   [Installing Arch Linux on a USB key](/index.php/Installing_Arch_Linux_on_a_USB_key "Installing Arch Linux on a USB key")

## Неисправности

### Операционная система не загружается на реальном железе!

Это, скорее всего, вызвано записью `autodetect` в файле *[/etc/mkinitcpio.conf](/index.php/Mkinitcpio "Mkinitcpio")* в строке HOOK, из-за которой из образа initramfs удаляются все ненужные модули. Если у Вас имеется эта запись, удалите ее и выполните:

```
# mkinitcpio -p linux

```

для генерации образа initramfs.