В данной статье описано, как установить игровую мышь Logitech MX Revolution. Xorg просто отлично определяет и устанавливает эту мышь. Тем не менее, она имеет 17 клавиш, не все из которых в результате функциональны.

Вводим в терминале:

```
$ nano /etc/X11/xorg.conf

```

Измените раздел "InputDevice". Он должен выглядеть примерно вот так:

```
    Section "InputDevice"
        Identifier  "Mouse0"
        Driver      "mouse"
        Option      "Protocol" "auto"
        Option      "Device" "/dev/input/mice"
        Option      "ZAxisMapping" "4 5"
        #Option      "XAxisMapping" "6 7"  #раскомментируйте этот раздел, если вы хотите использовать горизонтальный скроллинг колеса
        Option      "Buttons"    "17"
    EndSection

```

После этого установите пакеты xbindkeys и xvkbd:

```
   pacman -S xbindkeys xvkbd

```

Далее настраиваем ~ /. xbindkeysrc

```
   touch ~/.xbindkeysrc
    nano ~/.xbindkeysrc

```

Можете прописать в ~ /. xbindkeysrc события используя xvkbd. Вот пример:

```
   "/usr/bin/xvkbd -text "\[Alt_L]\[Left]""
      m:0x0 + b:8
    "/usr/bin/xvkbd -text "\[Alt_L]\[Right]""
      m:0x0 + b:9
    "/usr/bin/xvkbd -text "\[Control_L]\[Page_Up]""
      m:0x0 + b:6
    "/usr/bin/xvkbd -text "\[Control_L]\[Page_Down]""
      m:0x0 + b:7

```

Почему-то у меня некоторые комбинации событий клавиатуры отказываются работать с некоторыми кнопками. м:0x0 направляет к мыши. "b:8" относится к нажатию кнопки мыши. Вот список обозначений всех кнопок:

```
   # Описание ключей для MX Revo
   # b:1 - левая кнопка мыши
   # b:2 - левая и правая кнопки мыши вместе
   # b:3 - правая кнопка мыши
   # b:4 - колесо мыши вверх
   # b:5 - колесо мыши вниз
   # b:6 - колесо мыши влево
   # b:7 - колесо мыши вправо
   # b:8 - кнопка "Назад"
   # b:9 - кнопки вперед
   # b:10 -нет-
   # b:11 -нет-
   # b:12 -нет-
   # b:13 - медиа колесо вверх
   # b:14 -нет-
   # b:15 - медиа колесо вниз
   # b:16 -нет-
   # b:17 - нажатие медиа колеса

```

Чтобы переназначить действие по нажатию кнопки "поиск" надо подправить файл ~ /.xbindkeysrc. Ниже приведён пример, как назначить ей действие закрытие окна (левый Alt + F4).

```
   "/usr/bin/xvkbd -text " \ [Alt_L] \ [F4] ""
   c:0xE1

```

Можно пойти и другим путём. Воспользуемся тем, что Gnome назначает нажатию небольшой средней кнопки поиска нажатие сочетания клавиш клавиатуры. Мы просто должны перераспределить события по нажатию сочетаний клавиш клавиатуры. Вероятно, это самый надежный путь.

Для примера присвоение среднему клику мыши функции верхнего регистра используя Xmodmap. Начнём с присвоения ключевого события Pointer_Button 2.

```
   echо "keycode 225 = Pointer_Button2" >> ~/.Xmodmap

```

Теперь просто создаём загрузочный скрипт, который запустит Xmodmap при запуске оконного менеджера. В KDE4 создаём ~/.kde4/Autostart/middleclick со следующим содержимым:

```
  #!/bin/sh 
   xmodmap ~/.Xmodmap

```

И не забудьте дать ему права на исполнение.

```
   chmod +х ~ / .kde4/Autostart/middleclick

```

Трюк работает только при "MouseKeys" включены. Поэтому либо гном-клавиатура-свойства -> MouseKeys -> Включить указатель или переключаться с Shift-Alt-NUMLOCK (вы хотите, чтобы иметь возможность переключения поэтому вы можете использовать цифровую клавиатуру на время). Или в KDE Параметры системы -> Клавиатура и мышь -> Мышь -> Переход с помощью мыши -> Проверить "Переместить указатель с клавиатуры (с помощью панели пит)" Наконец, добавить xbindkeys в загрузочном и вы должны быть хорошо идти.