**Состояние перевода:** На этой странице представлен перевод статьи [Pacnew and Pacsave files](/index.php/Pacnew_and_Pacsave_files "Pacnew and Pacsave files"). Дата последней синхронизации: 2014-08-15\. Вы можете [помочь](/index.php/ArchWiki_Translation_Team_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "ArchWiki Translation Team (Русский)") синхронизировать перевод, если в английской версии произошли [изменения](https://wiki.archlinux.org/index.php?title=Pacnew_and_Pacsave_files&diff=0&oldid=330379).

Когда *pacman* удаляет пакет, у которого имеется файл конфигурации, он обычно создает резервную копию этого файла, добавляя *.pacsave* к его имени. Таким же образом при обновлении пакета, содержащего новый конфигурационный файл (созданный мейнтейнером), отличающийся от того, который есть в системе на данный момент, *pacman* создает файл *.pacnew*. Иногда, при особых обстоятельствах, создается файл *.pacorig*.

*pacman* уведомит вас о создании таких файлов.

## Contents

*   [1 Почему эти файлы создаются](#.D0.9F.D0.BE.D1.87.D0.B5.D0.BC.D1.83_.D1.8D.D1.82.D0.B8_.D1.84.D0.B0.D0.B9.D0.BB.D1.8B_.D1.81.D0.BE.D0.B7.D0.B4.D0.B0.D1.8E.D1.82.D1.81.D1.8F)
*   [2 Файлы резервных копий для пакета](#.D0.A4.D0.B0.D0.B9.D0.BB.D1.8B_.D1.80.D0.B5.D0.B7.D0.B5.D1.80.D0.B2.D0.BD.D1.8B.D1.85_.D0.BA.D0.BE.D0.BF.D0.B8.D0.B9_.D0.B4.D0.BB.D1.8F_.D0.BF.D0.B0.D0.BA.D0.B5.D1.82.D0.B0)
*   [3 Разъяснение типов](#.D0.A0.D0.B0.D0.B7.D1.8A.D1.8F.D1.81.D0.BD.D0.B5.D0.BD.D0.B8.D0.B5_.D1.82.D0.B8.D0.BF.D0.BE.D0.B2)
    *   [3.1 .pacnew](#.pacnew)
    *   [3.2 .pacsave](#.pacsave)
    *   [3.3 .pacorig](#.pacorig)
*   [4 Определение местонахождения файлов .pac*](#.D0.9E.D0.BF.D1.80.D0.B5.D0.B4.D0.B5.D0.BB.D0.B5.D0.BD.D0.B8.D0.B5_.D0.BC.D0.B5.D1.81.D1.82.D0.BE.D0.BD.D0.B0.D1.85.D0.BE.D0.B6.D0.B4.D0.B5.D0.BD.D0.B8.D1.8F_.D1.84.D0.B0.D0.B9.D0.BB.D0.BE.D0.B2_.pac.2A)
*   [5 Управление файлами .pacnew](#.D0.A3.D0.BF.D1.80.D0.B0.D0.B2.D0.BB.D0.B5.D0.BD.D0.B8.D0.B5_.D1.84.D0.B0.D0.B9.D0.BB.D0.B0.D0.BC.D0.B8_.pacnew)
*   [6 Смотрите также](#.D0.A1.D0.BC.D0.BE.D1.82.D1.80.D0.B8.D1.82.D0.B5_.D1.82.D0.B0.D0.BA.D0.B6.D0.B5)

## Почему эти файлы создаются

Файл *.pacnew* может быть создан во время обновления пакета (`pacman -Syu`, `pacman -Su` или `pacman -U`) во избежание перезаписи файла, который уже существует и был изменен пользователем. Если это произойдет, в выводе pacman появится сообщение наподобие этого:

```
Предупреждение: /etc/pam.d/usermod установлен как /etc/pam.d/usermod.pacnew

```

Файл *.pacsave* может быть создан во время удаления (`pacman -R`) или обновления (когда необходимо сперва удалить предыдущую версию) пакета. Если в базе данных pacman имеется запись о том, что необходимо создать резервную копию какого-либо файла, принадлежащего пакету, будет создан файл *.pacsave*. Если это произойдет, в выводе pacman появится сообщение наподобие этого:

```
Предупреждение: /etc/pam.d/usermod сохранен как /etc/pam.d/usermod.pacsave

```

Эти файлы требуют ручного вмешательства пользователя, и хорошей практикой является их обработка непосредственно после любых обновлений или удалений пакетов. Если этого не делать, неправильные файлы конфигурации могут привести к неправильному функционированию или вообще невозможности запуска программного обеспечения.

## Файлы резервных копий для пакета

В `PKGBUILD` пакета описываются файлы, которые должны быть сохранены или для которых должна быть создана резервная копия, если пакет обновляется или удаляется. Например, `PKGBUILD` для `pulseaudio` содержит следующую строку:

```
backup=('etc/pulse/client.conf' 'etc/pulse/daemon.conf' 'etc/pulse/default.pa')

```

## Разъяснение типов

### .pacnew

Для каждого файла `backup` обновляемого пакета pacman сравнивает контрольные суммы [MD5](https://en.wikipedia.org/wiki/ru:md5sum "wikipedia:ru:md5sum"), сгенерированные на основе содержимого файла: одна сумма для версии, установленной пакетом, одна - для текущей версии в файловой системе, и одна - для версии из нового пакета. Если текущий файл в файловой системе был изменен и не соответствует версии, установленной пакетом, pacman не знает, как объединить все изменения с новой версией файла. По этой причине он сохраняет новую версию с расширением *.pacnew* и оставляет измененную версию нетронутой вместо того, чтобы перезаписывать измененный файл при обновлении.

Можно рассмотреть все это подробнее: тройное сравнение сумм MD5 дает один из следующих выводов:

	оригинальный = *X*, текущий = *X*, новый = *X* 

	Все три версии файла имеют одинаковое содержимое, поэтому можно спокойно производить перезапись. Необходимо перезаписать текущую версию без уведомления пользователя (несмотря на то, что содержимое файлов одинаково, благодаря этому будет обновлена информация в файловой системе, описывающая время установки, изменения и доступа к файлу, а также будет уверенность, что применились какие-либо изменения в правах доступа к файлу)

	оригинальный = *X*, текущий = *X*, новый = *Y* 

	Содержимое текущей версии не изменялось, но новая версия имеет отличия. Поскольку пользователь не вносил изменений в текущую версию, а новая может содержать улучшения или исправления багов, необходимо перезаписать текущую версию без уведомления пользователя. Это единственная операция объединения файлов, которую способен выполнить pacman

	оригинальный = *X*, текущий = *Y*, новый = *X* 

	Изначальный и новый пакеты содержат абсолютно одинаковые версии файла, но текущая версия в файловой системе была изменена. Необходимо оставить текущую версию, отклонив новую, без уведомления пользователя

	оригинальный = *X*, текущий = *Y*, новый = *Y* 

	Новая версия идентична текущей. Необходимо перезаписать текущую версию без уведомления пользователя (несмотря на то, что содержимое файлов одинаково, благодаря этому будет обновлена информация в файловой системе, описывающая время установки, изменения и доступа к файлу, а также будет уверенность, что применились какие-либо изменения в правах доступа к файлу).

	оригинальный = *X*, текущий = *Y*, новый = *Z* 

	Все три версии различаются, поэтому необходимо оставить текущую версию, установить новую с расширением *.pacnew* и сообщить об этом пользователю. Предполагается, что в этом случае пользователь вручную объединит эти файлы, внеся все необходимые изменения из новой версии в текущую

### .pacsave

Если пользователь когда-либо изменял один из файлов, описанных в секции `backup`, этот файл будет переименован с добавлением расширения *.pacsave* и останется в файловой системе после удаления пакета.

**Примечание:** Использование опции `-n` в команде `pacman -R` позволяет полностью удалить *все* такие файлы, относящиеся к пакету. В этом случае файлов *.pacsave* создано не будет

### .pacorig

Если в процессе установки или обновления пакета встречается файл (обычно это относится к файлам настройки, находящимся в каталоге `/etc`), не принадлежащий ни одному из установленных пакетов, но описанный в секции `backup` пакета, который вы вызвали, этот файл будет сохранен с расширением *.pacorig* и заменен версией файла из пакета. Обычно это случается, когда конфигурационный файл перемещается из одного пакета в другой. Если такой файл не был описан в секции `backup`, pacman завершит свою работу и выдаст ошибку о наличии конфликтующих файлов.

**Примечание:** Поскольку файлы *.pacorig* создаются, как правило, при особых обстоятельствах, не существует универсального способа их обработки. Вам может помочь просмотр [новостей Arch](http://www.archlinux.org.ru/news/), в которых могут содержаться инструкции, если в обновлении ожидаются подобные проблемы

## Определение местонахождения файлов .pac*

Arch Linux не предоставляет официальных утилит для работы с файлами *.pacnew*: вам необходимо будет заниматься ими самостоятельно. Несколько таких инструментов представлено в следующем разделе. Чтобы получить доступ вручную, сначала вам необходимо определить местонахождение этих файлов. При обновлении или удалении большого количества пакетов можно пропустить обновленные файлы `*.pac*`. Чтобы узнать, были ли установлены какие-либо из них, воспользуйтесь одним из следующих советов:

*   Для поиска по каталогам, в которых хранится большинство глобальных конфигурационных файлов: `$ find /etc -regextype posix-extended -regex ".+\.pac(new|save|orig)" 2> /dev/null` либо, для поиска по всему диску: `$ find / -regextype posix-extended -regex ".+\.pac(new|save|orig)" 2> /dev/null` 
*   Используйте [locate](/index.php/Locate "Locate"), если он у вас установлен. Сперва переиндексируйте базу данных: `# updatedb` Затем: `$ locate -e --regex "\.pac(new|orig|save)$"` 
*   Используйте лог pacman'а: `$ egrep "pac(new|orig|save)" /var/log/pacman.log` Обратите внимание, что в логе не содержится информации о том, какие файлы в настоящий момент есть в системе, а какие уже удалены

## Управление файлами .pacnew

Существуют различные инструменты, способные помочь вам в работе с файлами *.pacnew* и *.pacsave*. Стандартный *(s)diff* (из пакета [diffutils](https://www.archlinux.org/packages/?name=diffutils)) предоставляет легкий способ сравнения этих файлов. Для получения информации о других утилитах сравнения смотрите раздел [Список приложений/Утилиты#Сравнение, поиск различий, объединение](/index.php/%D0%A1%D0%BF%D0%B8%D1%81%D0%BE%D0%BA_%D0%BF%D1%80%D0%B8%D0%BB%D0%BE%D0%B6%D0%B5%D0%BD%D0%B8%D0%B9/%D0%A3%D1%82%D0%B8%D0%BB%D0%B8%D1%82%D1%8B#.D0.A1.D1.80.D0.B0.D0.B2.D0.BD.D0.B5.D0.BD.D0.B8.D0.B5.2C_.D0.BF.D0.BE.D0.B8.D1.81.D0.BA_.D1.80.D0.B0.D0.B7.D0.BB.D0.B8.D1.87.D0.B8.D0.B9.2C_.D0.BE.D0.B1.D1.8A.D0.B5.D0.B4.D0.B8.D0.BD.D0.B5.D0.BD.D0.B8.D0.B5 "Список приложений/Утилиты").

Несколько программ от сторонних разработчиков, предоставляющих различный уровень автоматизации для этих задач, доступно в [AUR](/index.php/Arch_User_Repository_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "Arch User Repository (Русский)").

Доступны следующие инструменты:

*   **diffpac** — Автономная замена *pacdiffviewer*

	[https://github.com/bruenig/diffpac](https://github.com/bruenig/diffpac) || [diffpac](https://aur.archlinux.org/packages/diffpac/)

*   **[Dotpac](/index.php/Dotpac "Dotpac")** — Базовый интерактивный скрипт с текстовым интерфейсом на основе ncurses. Не имеет возможностей ручного или автоматического объединения

	|| [dotpac](https://aur.archlinux.org/packages/dotpac/)

*   **etc-update** — Порт на Arch утилиты *etc-update* из Gentoo, предоставляющей простой CLI для интерактивного редактирования, просмотра и объединения изменений, в том числе автоматического (для незначительных изменений, например, комментариев)

	[http://www.gentoo.org/doc/en/handbook/handbook-amd64.xml?part=3&chap=4#doc_chap2](http://www.gentoo.org/doc/en/handbook/handbook-amd64.xml?part=3&chap=4#doc_chap2) || [etc-update](https://aur.archlinux.org/packages/etc-update/)

*   **pacdiff** — Простая программа обновления файлов pacnew/pacorig/pacsave из *pacman*. Будет искать все файлы `pacnew` и `pacsave` и спрашивать вас о том, что нужно сделать

	[https://www.archlinux.org/pacman/](https://www.archlinux.org/pacman/) || [pacman](https://www.archlinux.org/packages/?name=pacman). По умолчанию использует [vimdiff](/index.php/Vim#Merging_files_.28vimdiff.29 "Vim"). Если вы хотите использовать графический diff-редактор, используйте `DIFFPROG=ваш_редактор pacdiff`

*   ***pacdiffviewer** — Полнофункциональный интерактивный скрипт CLI с возможностью автоматического объединения. Является частью [yaourt](/index.php/Yaourt_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "Yaourt (Русский)")

	[http://archlinux.fr/yaourt-en](http://archlinux.fr/yaourt-en) || [yaourt](https://aur.archlinux.org/packages/yaourt/)

*   **pacmerge-git** — Интерактивная программа объединения с интерфейсом командной строки

	[https://gitorious.org/pacmerge](https://gitorious.org/pacmerge) || [pacmerge-git](https://aur.archlinux.org/packages/pacmerge-git/)

*   **pacnews-git** — Простой скрипт, нацеленный на поиск всех файлов *.pacnew* и их последующее редактирование при помощи [vimdiff](/index.php/Vim#Merging_files_.28vimdiff.29 "Vim")

	[https://github.com/pbrisbin/scripts/blob/master/pacnews](https://github.com/pbrisbin/scripts/blob/master/pacnews) || [pacnews-git](https://aur.archlinux.org/packages/pacnews-git/)

*   **[Yaourt](/index.php/Yaourt_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "Yaourt (Русский)")** — Обертка для *pacman* с расширенным функционалом и поддержкой [AUR](/index.php/Arch_User_Repository_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "Arch User Repository (Русский)"). Используйте команду `yaourt -C` для сравнения, замены и объединения конфигурационных файлов

	[http://archlinux.fr/yaourt-en](http://archlinux.fr/yaourt-en) || [yaourt](https://aur.archlinux.org/packages/yaourt/)

## Смотрите также

*   Форум Arch Linux: [Работа с файлами .pacnew](https://bbs.archlinux.org/viewtopic.php?id=53532)