## Contents

*   [1 Перед установкой](#.D0.9F.D0.B5.D1.80.D0.B5.D0.B4_.D1.83.D1.81.D1.82.D0.B0.D0.BD.D0.BE.D0.B2.D0.BA.D0.BE.D0.B9)
*   [2 Инсталяция](#.D0.98.D0.BD.D1.81.D1.82.D0.B0.D0.BB.D1.8F.D1.86.D0.B8.D1.8F)
*   [3 Конфигурация](#.D0.9A.D0.BE.D0.BD.D1.84.D0.B8.D0.B3.D1.83.D1.80.D0.B0.D1.86.D0.B8.D1.8F)
*   [4 Доступ к phpmyadmin](#.D0.94.D0.BE.D1.81.D1.82.D1.83.D0.BF_.D0.BA_phpmyadmin)
*   [5 Other (Older) information](#Other_.28Older.29_information)

## Перед установкой

Для начала прочитайте [LAMP](/index.php/LAMP "LAMP") wiki, где детально расписана установка apache, php and mysql.

## Инсталяция

Для инсталяции [phpMyAdmin](http://www.phpmyadmin.net/) наберите в консоли.

```
pacman -S phpmyadmin php-mcrypt

```

## Конфигурация

Первым делом нужно удалить старую папку phpmyadmin

```
rm -r /srv/httpd/phpMyAdmin

```

Скопируем пример конфигурационного файла в папку с настройками для httpd сервера

```
cp /etc/webapps/phpmyadmin/apache.example.conf /etc/httpd/conf/extra/httpd-phpmyadmin.conf

```

И добавим следующую строчку в /etc/httpd/conf/httpd.conf:

```
Include conf/extra/httpd-phpmyadmin.conf

```

Можно это сделать и в консоли, получится тот же самый эффект:

```
echo -e "
Include conf/extra/httpd-phpmyadmin.conf" >> /etc/httpd/conf/httpd.conf

```

Закомментируем или удалим 'deny form all' в /usr/share/webapps/phpMyAdmin/.htaccess:

```
#deny from all

```

Чтобы не увидеть ошибку "Error 403 - Access forbidden!" при попытке открыть phpmyadmin

отредактируйте файл '/etc/httpd/conf/extra/httpd-phpmyadmin.conf' как показано ниже:

```
Alias /phpmyadmin/ "/usr/share/webapps/phpMyAdmin/"
        <Directory "/usr/share/webapps/phpMyAdmin">
                AllowOverride All
                Options FollowSymlinks
                Order allow,deny
                Allow from all
        </Directory>

```

Откройте файл `'/etc/php/php.ini'` и добавьте в строчке 'open_basedir' следующие значения:

```
:/usr/share/webapps/:/etc/webapps

```

Для примера, это может выглядеть так:

```
open_basedir = /srv/http/:/home/:/tmp/:/usr/share/pear/:/srv/:/usr/share/webapps/:/etc/webapps

```

Потом найдите строчку в `/etc/php/php.ini`:

```
 ;extension=mcrypt.so
 ;extension=mysql.so

```

и раскомментируйте ее

```
extension=mcrypt.so
extension=mysql.so

```

## Доступ к phpmyadmin

Вы можете получить достпу к phpmyadmin по следующим url:

```
http://localhost/phpmyadmin/
or
http://localhost/phpmyadmin/index.php

```

Заметьте: 'localhost' это hostname в вашем /etc/rc.conf. Чтобы войти в phpmyadmin используйте:

```
http://localhost/phpmyadmin

```

в '/etc/httpd/conf/extra/httpd-phpmyadmin.conf' измените:

```
Alias /phpmyadmin/ "/usr/share/webapps/phpMyAdmin/"

```

на

```
Alias /phpmyadmin "/usr/share/webapps/phpMyAdmin"

```

Вам также следует прочитать [эту тему](https://bbs.archlinux.org/viewtopic.php?pid=632500).

Вы можете получить ошибку "#2002 - The server is not responding (or the local MySQL server's socket is not correctly configured)" замените "localhost" в /etc/webapps/phpmyadmin/config.inc.php в строке:

```
$cfg['Servers'][$i]['host'] = 'localhost';

```

на ваш hostname, записанные в /etc/hosts и /etc/rc.conf как HOSTNAME.

Если вы хотите использовать установочный скрипт phpmyadmin, вызвав [http://localhost/phpmyadmin/setup](http://localhost/phpmyadmin/setup) вам нужно создать папку config достпуную для записи в the /usr/share/webapps/phpmyadmin как показано ниже:

```
cd /usr/share/webapps/phpmyadmin
sudo mkdir config
sudo chgrp http config
sudo chmod g+w config

```

## Other (Older) information

This page holds a sample 'config.inc.php' file that you can place in the main phpMyAdmin directory so that it immediately starts working

**Things you should do first**

Create a 'controluser', so that phpmyadmin can read from the main mysql database.

```
mysql -u root -pYOURROOTPASSWORD
mysql> grant usage on mysql.* to controluser@localhost identified by 'CONTROLPASS';

```

**Where is phpmyadmin**

in phpmyadmin 3.2.2-3 the file is missing /srv/http/ create this symlik

```
ln -s /usr/share/webapps/phpMyAdmin/ /srv/http/phpmyadmin

```

**Things you should change**

controluser is set to controluser
controlpass is set to password
verbose is set to name_of_server

**Sample 'config.inc.php' file**

```
<?php
/*
 * Generated configuration file
 * Generated by: phpMyAdmin 2.11.8.1 setup script by Michal Čihař <michal@cihar.com>
 * Version: $Id: setup.php 11423 2008-07-24 17:26:05Z lem9 $
 * Date: Mon, 01 Sep 2008 20:34:02 GMT
 */

/* Servers configuration */
$i = 0;

/* Server ravi-test-mysql (http) [1] */
$i++;
$cfg['Servers'][$i]['host'] = 'localhost';
$cfg['Servers'][$i]['extension'] = 'mysql';
$cfg['Servers'][$i]['port'] = '3306';
$cfg['Servers'][$i]['connect_type'] = 'tcp';
$cfg['Servers'][$i]['compress'] = false;
$cfg['Servers'][$i]['controluser'] = 'controluser';
$cfg['Servers'][$i]['controlpass'] = 'password';
$cfg['Servers'][$i]['auth_type'] = 'http';
$cfg['Servers'][$i]['verbose'] = 'name_of_server';

/* End of servers configuration */

$cfg['LeftFrameLight'] = true;
$cfg['LeftFrameDBTree'] = true;
$cfg['LeftFrameDBSeparator'] = '_';
$cfg['LeftFrameTableSeparator'] = '__';
$cfg['LeftFrameTableLevel'] = 1;
$cfg['LeftDisplayLogo'] = true;
$cfg['LeftDisplayServers'] = false;
$cfg['DisplayServersList'] = false;
$cfg['DisplayDatabasesList'] = 'auto';
$cfg['LeftPointerEnable'] = true;
$cfg['DefaultTabServer'] = 'main.php';
$cfg['DefaultTabDatabase'] = 'db_structure.php';
$cfg['DefaultTabTable'] = 'tbl_structure.php';
$cfg['LightTabs'] = false;
$cfg['ErrorIconic'] = true;
$cfg['MainPageIconic'] = true;
$cfg['ReplaceHelpImg'] = true;
$cfg['NavigationBarIconic'] = 'both';
$cfg['PropertiesIconic'] = 'both';
$cfg['BrowsePointerEnable'] = true;
$cfg['BrowseMarkerEnable'] = true;
$cfg['ModifyDeleteAtRight'] = false;
$cfg['ModifyDeleteAtLeft'] = true;
$cfg['RepeatCells'] = 100;
$cfg['DefaultDisplay'] = 'horizontal';
$cfg['TextareaCols'] = 40;
$cfg['TextareaRows'] = 7;
$cfg['LongtextDoubleTextarea'] = true;
$cfg['TextareaAutoSelect'] = false;
$cfg['CharEditing'] = 'input';
$cfg['CharTextareaCols'] = 40;
$cfg['CharTextareaRows'] = 2;
$cfg['CtrlArrowsMoving'] = true;
$cfg['DefaultPropDisplay'] = 'horizontal';
$cfg['InsertRows'] = 2;
$cfg['EditInWindow'] = true;
$cfg['QueryWindowHeight'] = 310;
$cfg['QueryWindowWidth'] = 550;
$cfg['QueryWindowDefTab'] = 'sql';
$cfg['ForceSSL'] = false;
$cfg['ShowPhpInfo'] = false;
$cfg['ShowChgPassword'] = false;
$cfg['AllowArbitraryServer'] = false;
$cfg['LoginCookieRecall'] = 'something';
$cfg['LoginCookieValidity'] = 1800;
?>

```