## Оговорка

Установка системы с RAID является сложным процессом. Все, что угодно может пойти не так. Вы можете сделать ошибку, я мог сделать ошибку, ошибка может быть где-то. В первую очередь, сделайте резервное копирование всех ваших данных. Убедитесь, что подключены только диски участвующие в установке. Вы были предупреждены!

Также заметьте, что этот документ является актуальным со всеми "Arch'измами" от 2008.06 'Overlord'. Она не может быть применимо к предыдущим релизам Arch Linux.

### RAID

RAID (избыточный массив независимых дисков) предназначен для предотвращения потери данных в случае отказа жесткого диска. Существуют различные "уровни" в RAID. RAID 0 (Striping) является не совсем RAID, потому что она не дает избыточности. Тем не менее, он обеспечивают скорость. Мы будем использовать RAID 0 для подкачки, исходя из того, что вы используете компьютер как рабочую станцию, где увеличение скорости стоит возможности краха вашей системы если один из ваших дисков сломается. На сервере, вы наверняка захотите RAID 1 или RAID 5.Размер массива блочного устройства RAID 1 - это размер самого маленького компонента раздела.

RAID 1 наиболее простой уровень: прямое зеркалирование. Как и другие уровни RAID, он имеет смысл только в том случае, если разделы находятся на разных физических дисках. Если один из этих дисков выйдет из строя, блочное устройство представляемое RAID массивом будет продолжать работать как обычно. Мы будем использовать RAID 1 для всего, за исключением свопа. Отметим, что RAID 1 является единственным вариантом для загрузочного раздела, потому что системные загрузчики (которые читают загрузочный раздел), не понимают RAID, а RAID 1 разделы может быть прочитан как обычный раздел. Размер массива блочного устройства RAID 1 - это размер самого маленького компонента раздела.

RAID 5 является еще одним уровнем RAID который вы вероятно захотите. Он требует 3 или более физических дисков, а также обеспечивает избыточность RAID 1 в сочетании со скоростью. RAID 5 использует Striping, как RAID 0, но и сохраняет паритет блоков распространяемый через каждый член массива. В случае выхода из строя одного диска, эти блоки четности используются для восстановления данных на сменных дисках. RAID 5 может выдержать потерю одного из членов массива.

**ВНИМАНИЕ: Использование RAID не значит, что вам не нужно делать резервное копирование - читайте Оговорки разделе ниже!**

### LVM

[[1]](http://sourceware.org/lvm2/LVM) (управления логическими томами) позволяет использовать [device mapper](http://sources.redhat.com/dm/) особенность ядра Linux. Она предусматривает систему с указанием разделов, независимо от расположения элементов, лежащих диска. Для вас это означает что можно расширить и изменить размер разделов (в зависимости от того что файловая система которую используете позволяет сделать это), и добавлять и удалять разделы, не беспокоясь о том, достаточно ли места у вас на соответсвующем диске, без получения оказавшихся в проблемах fdisking диск, который находится в использовании (а интересно ли ядро использует старую или новую таблицу разделов) и без необходимости перемещения других разделов из способом.

Это строго простоты в управлении проблема: она не предусматривает каких-либо помимо безопасности. Тем не менее, она прекрасно сидит с двумя другими технологиями мы используем.

Имейте в виду, что мы не используете LVM для загрузочного раздела (в связи с проблемой загрузчика).