Программная точка доступа используется, если вы хотите чтобы Ваш компьютер выступал в качестве точки доступа для беспроводной локальной сети. Это решит проблему выбора отдельного беспроводного маршрутизатора(WI-FI).

## Contents

*   [1 Требования](#.D0.A2.D1.80.D0.B5.D0.B1.D0.BE.D0.B2.D0.B0.D0.BD.D0.B8.D1.8F)
    *   [1.1 Поддержка режима AP устройством Wi-Fi](#.D0.9F.D0.BE.D0.B4.D0.B4.D0.B5.D1.80.D0.B6.D0.BA.D0.B0_.D1.80.D0.B5.D0.B6.D0.B8.D0.BC.D0.B0_AP_.D1.83.D1.81.D1.82.D1.80.D0.BE.D0.B9.D1.81.D1.82.D0.B2.D0.BE.D0.BC_Wi-Fi)
    *   [1.2 Беспроводной клиент и программная точка доступа на одном Wi-Fi устройстве](#.D0.91.D0.B5.D1.81.D0.BF.D1.80.D0.BE.D0.B2.D0.BE.D0.B4.D0.BD.D0.BE.D0.B9_.D0.BA.D0.BB.D0.B8.D0.B5.D0.BD.D1.82_.D0.B8_.D0.BF.D1.80.D0.BE.D0.B3.D1.80.D0.B0.D0.BC.D0.BC.D0.BD.D0.B0.D1.8F_.D1.82.D0.BE.D1.87.D0.BA.D0.B0_.D0.B4.D0.BE.D1.81.D1.82.D1.83.D0.BF.D0.B0_.D0.BD.D0.B0_.D0.BE.D0.B4.D0.BD.D0.BE.D0.BC_Wi-Fi_.D1.83.D1.81.D1.82.D1.80.D0.BE.D0.B9.D1.81.D1.82.D0.B2.D0.B5)
*   [2 Обзор](#.D0.9E.D0.B1.D0.B7.D0.BE.D1.80)
*   [3 Канальный уровень Wi-Fi](#.D0.9A.D0.B0.D0.BD.D0.B0.D0.BB.D1.8C.D0.BD.D1.8B.D0.B9_.D1.83.D1.80.D0.BE.D0.B2.D0.B5.D0.BD.D1.8C_Wi-Fi)
*   [4 Конфигурация сети](#.D0.9A.D0.BE.D0.BD.D1.84.D0.B8.D0.B3.D1.83.D1.80.D0.B0.D1.86.D0.B8.D1.8F_.D1.81.D0.B5.D1.82.D0.B8)
    *   [4.1 Настройка моста](#.D0.9D.D0.B0.D1.81.D1.82.D1.80.D0.BE.D0.B9.D0.BA.D0.B0_.D0.BC.D0.BE.D1.81.D1.82.D0.B0)
    *   [4.2 Настройка NAT](#.D0.9D.D0.B0.D1.81.D1.82.D1.80.D0.BE.D0.B9.D0.BA.D0.B0_NAT)
*   [5 Инструменты](#.D0.98.D0.BD.D1.81.D1.82.D1.80.D1.83.D0.BC.D0.B5.D0.BD.D1.82.D1.8B)
    *   [5.1 create_ap](#create_ap)
    *   [5.2 RADIUS](#RADIUS)
*   [6 Решение проблем](#.D0.A0.D0.B5.D1.88.D0.B5.D0.BD.D0.B8.D0.B5_.D0.BF.D1.80.D0.BE.D0.B1.D0.BB.D0.B5.D0.BC)
    *   [6.1 WLAN очень медленно работает](#WLAN_.D0.BE.D1.87.D0.B5.D0.BD.D1.8C_.D0.BC.D0.B5.D0.B4.D0.BB.D0.B5.D0.BD.D0.BD.D0.BE_.D1.80.D0.B0.D0.B1.D0.BE.D1.82.D0.B0.D0.B5.D1.82)
    *   [6.2 Вмешательство NetworkManager](#.D0.92.D0.BC.D0.B5.D1.88.D0.B0.D1.82.D0.B5.D0.BB.D1.8C.D1.81.D1.82.D0.B2.D0.BE_NetworkManager)
*   [7 Смотрите также](#.D0.A1.D0.BC.D0.BE.D1.82.D1.80.D0.B8.D1.82.D0.B5_.D1.82.D0.B0.D0.BA.D0.B6.D0.B5)

## Требования

### Поддержка режима AP устройством Wi-Fi

Вам понадобится [nl80211](http://wireless.kernel.org/en/developers/Documentation/nl80211) совместимое беспроводное устройство, поддерживающее [рабочий режим](http://wireless.kernel.org/en/users/Documentation/modes) AP. Это можно проверить, выполнив команду `iw list` , которая должна вывести `AP` в секции `Supported interface modes`:

 `$ iw list` 
```
Wiphy phy1
...
	Supported interface modes:
		 * IBSS
		 * managed
		 * **AP**
		 * AP/VLAN
		 * WDS
		 * monitor
		 * mesh point
...

```

### Беспроводной клиент и программная точка доступа на одном Wi-Fi устройстве

Создание программной AP не зависит от конкретного типа устройства (Ethernet, Wi-Fi, ...). Многие беспроводные устройства даже могут быть *одновременно* использованы как точки доступа и как беспроводные "клиенты". Используя эту возможность вы можете создавать программые AP действующие как "беспроводной ретранслятор" для существующей сети, используя единственное Wi-Fi устройство. Эта возможность указана в следующей секции вывода `iw list`:

 `$ iw list` 
```
Wiphy phy1
...
        valid interface combinations:
                 * #{ managed } <= 2048, #{ AP, mesh point } <= 8, #{ P2P-client, P2P-GO } <= 1,
                   total <= 2048, #channels <= 1, STA/AP BI must match
...
```

Ограничение `#channels <= 1` означает, что ваша программная AP должна работать на том же канале, что и ваше Wi-Fi клиентскоее соединение; смотрите `channel` свойство в `hostapd.conf` ниже.

Если вы собираетесь использовать этот способ, возможно потому что Ethernet-соединение недоступно, вам необходимо создать два отдельных *виртуальных интерфейса*. Виртуальные интерфейсы для физического устройства `wlan0` могут быть созданы так: сначала, "виртуальные интерфейсы" создаются непосредственно для самого сетевого соединения (`wlan0_sta`) и для программной AP/hostapd "беспроводного ретранслятора":

```
# iw dev wlan0 interface add wlan0_sta type station  
# iw dev wlan0 interface add wlan0_ap  type __ap     

```

Далее, интерфейсам присваиваются различные MAC адреса (используем произвольные отличающиеся адреса):

```
# ip link set dev wlan0_sta address 12:34:56:78:ab:cd
# ip link set dev wlan0_ap  address 12:34:56:78:ab:ce

```

## Обзор

Настройка точки доступа включает в себя два основных пункта:

*   Настройка **канального уровня Wi-Fi**, так что беспроводные клиенты могут использовать вашу "программную точку доступа" и принимать/отправлять IP пакеты от/до вашей машины; это то, что пакет hostapd должен сделать за вас.
*   Настройка **сетевой конфигурации** на вашем компьютере, так что ваша машина будет правильно передавать IP пакеты от/до вашего собственного интернет соединения от/до беспроводных клиентов.

## Канальный уровень Wi-Fi

Точка доступа Wi-Fi реализуется с помощью пакета [hostapd](https://www.archlinux.org/packages/?name=hostapd) (доступного из [официальных репозиториях](/index.php/%D0%9E%D1%84%D0%B8%D1%86%D0%B8%D0%B0%D0%BB%D1%8C%D0%BD%D1%8B%D1%85_%D1%80%D0%B5%D0%BF%D0%BE%D0%B7%D0%B8%D1%82%D0%BE%D1%80%D0%B8%D1%8F%D1%85 "Официальных репозиториях")). Пакет поддерживает WPA2.

Скорректируйте настройки *hostapd* конфигурационного файла если необходимо. Особенно, измените `ssid` и `wpa_passphrase`. Ищите больше информации на [hostapd Linux documentation page](http://wireless.kernel.org/en/users/Documentation/hostapd).

 `/etc/hostapd/hostapd.conf` 
```
ssid=YourWiFiName
wpa_passphrase=Somepassphrase
interface=wlan0
bridge=br0
auth_algs=3
channel=7
driver=nl80211
hw_mode=g
logger_stdout=-1
logger_stdout_level=2
max_num_sta=5
rsn_pairwise=CCMP
wpa=2
wpa_key_mgmt=WPA-PSK
wpa_pairwise=TKIP CCMP

```

Для автозапуска *hostapd* в качестве службы [запустите](/index.php/%D0%97%D0%B0%D0%BF%D1%83%D1%81%D1%82%D0%B8%D1%82%D0%B5 "Запустите") `hostapd.service`.

**Важно:** Беспроводные каналы разрешённые для точки доступа отличаются в зависимости от вашего расположения. Если прошивка вашего беспроводного устройства позволяет, вы можете настроить свой регион чтобы использовать разрешённые каналы. **Не** выбирайте другой регион, так как это может стать запрещённым распространением сетевого трафика, затрагивающим функциональность вашего устройства и других в зоне покрытия! Для установки региона смотрите [Настройка беспроводной сети#Уважение управляющего домена](/index.php/%D0%9D%D0%B0%D1%81%D1%82%D1%80%D0%BE%D0%B9%D0%BA%D0%B0_%D0%B1%D0%B5%D1%81%D0%BF%D1%80%D0%BE%D0%B2%D0%BE%D0%B4%D0%BD%D0%BE%D0%B9_%D1%81%D0%B5%D1%82%D0%B8#.D0.A3.D0.B2.D0.B0.D0.B6.D0.B5.D0.BD.D0.B8.D0.B5_.D1.83.D0.BF.D1.80.D0.B0.D0.B2.D0.BB.D1.8F.D1.8E.D1.89.D0.B5.D0.B3.D0.BE_.D0.B4.D0.BE.D0.BC.D0.B5.D0.BD.D0.B0 "Настройка беспроводной сети").

**Примечание:** If you have a card based on RTL8192CU chipset, install [hostapd-8192cu](https://aur.archlinux.org/packages/hostapd-8192cu/) and replace `driver=nl80211` with `driver=rtl871xdrv` in the `hostapd.conf` file

## Конфигурация сети

Есть два основных способа реализации:

1.  **Bridge**: создав сеть типа *мост* на своём компьютере (беспроводные клиенты будут подключаться для доступа к тому же сетевому интерфейсу и к той же подсети, которые используются на вашем компьютере)
2.  **NAT**: используя IP перенаправление/маскарадинг и DHCP сервис (беспроводные клиенты будут использовать выделенные подсети, данные от/до этих подсетей будут обработаны NAT -- подобно тому как это используется в обычном Wi-Fi роутере, который подключён по DSL или проводному модему)

Обращаться с мостом проще, но он требует, чтобы любой сервис который нужен вашим беспроводным клиентам (вроде DHCP) был доступен на внешнем интерфейсе вашего компьютера. Это означает, что он не будет работать если у вас dial-up соединение (например, через PPPoE или 3G modem), или если вы используете проводной модем, который поддерживает всего один IP адрес до вас посредством DHCP.

NAT более универсален, так как он явно разделяет Wi-Fi клиентов вашего компьютера и полностью проницаем наружу. Он будет работать с любым видом сетевого соединения, и (если необходимо) вы можете ввести политики использования трафика используя обычные методы iptables.

Конечно, возможно *скомбинировать оба способа*. Для этого изучение обеих статей будет необходимым. Например, имея мост, связанный с ethernet-устройством и беспроводным устройством, имеющим статический ip и раздающий адреса при помощи DHCP, можно создать NAT настроенный на клонирование трафика на дополнительное сетевое устройство - это может быть ppp или ethernet.

### Настройка моста

Вам необходимо создать сетевой "мост" и присоединить к нему свой интерфейс (например, `eth0`). Вам **не следует** добавлять к мосту беспроводной интерфейс (например, `wlan0`); hostapd добавит его самостоятельно.

Смотри [Network bridge](/index.php/Network_bridge "Network bridge").

**Совет:** Вы можете захотеть переиспользовать существующий мост, если у вас есть таковой (например, использованный виртуальной машиной).

### Настройка NAT

Смотрите [Раздача интернета](/index.php/%D0%A0%D0%B0%D0%B7%D0%B4%D0%B0%D1%87%D0%B0_%D0%B8%D0%BD%D1%82%D0%B5%D1%80%D0%BD%D0%B5%D1%82%D0%B0 "Раздача интернета") для получения дополнительной информации.

Учтите, что в той статье используется устройство `net0` для подключения к локальной сети. В нашем случае в качестве его будет выступать беспроводное устройство (напр. `wlan0`).

## Инструменты

### create_ap

Скрипт [create_ap](https://bbs.archlinux.org/viewtopic.php?pid=1269258) включает в себя [hostapd](https://www.archlinux.org/packages/?name=hostapd), [dnsmasq](/index.php/Dnsmasq_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "Dnsmasq (Русский)") и [iptables](/index.php/Iptables_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "Iptables (Русский)") для создания точки доступа посредством Моста/NAT (доступен в [AUR](/index.php/AUR_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "AUR (Русский)") [create_ap](https://aur.archlinux.org/packages/create_ap/)).

### RADIUS

Смотрите [[1]](https://me.m01.eu/blog/2012/05/wpa-2-enterprise-from-scratch-on-a-raspberry-pi/) инструкции для запуска сервера [FreeRADIUS](http://freeradius.org/) для [WPA2 Enterprise](/index.php/WPA2_Enterprise "WPA2 Enterprise").

## Решение проблем

### WLAN очень медленно работает

Это может быть вызвано слабой энтропией. Попробуйте установить [haveged](/index.php/Haveged "Haveged").

### Вмешательство NetworkManager

hostapd может не работать, если устройство управляется NetworkManager. Вы можете замаскировать устройство:

 `/etc/NetworkManager/NetworkManager.conf` 
```
[keyfile]
unmanaged-devices=mac:<hwaddr>

```

## Смотрите также

*   [Router](/index.php/Router "Router")
*   [Hostapd : The Linux Way to create Virtual Wi-Fi Access Point](http://nims11.wordpress.com/2012/04/27/hostapd-the-linux-way-to-create-virtual-wifi-access-point/)
*   [tutorial and script for configuring a subnet with DHCP and DNS](http://xyne.archlinux.ca/notes/network/dhcp_with_dns.html)