**Состояние перевода:** На этой странице представлен перевод статьи [The Arch Way](/index.php/The_Arch_Way "The Arch Way"). Дата последней синхронизации: 8 июля 2015\. Вы можете [помочь](/index.php/ArchWiki_Translation_Team_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "ArchWiki Translation Team (Русский)") синхронизировать перевод, если в английской версии произошли [изменения](https://wiki.archlinux.org/index.php?title=The_Arch_Way&diff=0&oldid=381341).

Представленные на этой странице четыре основных принципа отражают то, что обычно называют Arch Way (философией Arch) и лучше всего описывается аббревиатурой KISS: Keep It Simple, Stupid (*"не усложняй, тупица"*).

## Contents

*   [1 Простота](#.D0.9F.D1.80.D0.BE.D1.81.D1.82.D0.BE.D1.82.D0.B0)
*   [2 Прагматичность](#.D0.9F.D1.80.D0.B0.D0.B3.D0.BC.D0.B0.D1.82.D0.B8.D1.87.D0.BD.D0.BE.D1.81.D1.82.D1.8C)
*   [3 Пользователь в центре внимания](#.D0.9F.D0.BE.D0.BB.D1.8C.D0.B7.D0.BE.D0.B2.D0.B0.D1.82.D0.B5.D0.BB.D1.8C_.D0.B2_.D1.86.D0.B5.D0.BD.D1.82.D1.80.D0.B5_.D0.B2.D0.BD.D0.B8.D0.BC.D0.B0.D0.BD.D0.B8.D1.8F)
*   [4 Гибкость](#.D0.93.D0.B8.D0.B1.D0.BA.D0.BE.D1.81.D1.82.D1.8C)

## Простота

*Простота — наивысшая форма изощренности.* — Леонардо да Винчи

Arch Linux определяет простоту так: *"без излишних дополнений, модификаций и усложнений"*. Arch предоставляет программное обеспечение в том виде, в котором его выпускают разработчики (upstream), внося лишь минимальные, специфичные для дистрибутива (downstream), изменения.

Избегается использование патчей, не принятых upstream'ом. Downstream-патчи в Arch почти полностью состоят лишь из исправлений, убранных в новых релизах программ. Также вносятся необходимые исправления в файлы настроек, относящиеся, например, к путям системных файлов. Arch не добавляет никакой автоматизации (например, включения службы) только потому, что пакет был установлен.

Обычно пакеты Arch Linux полностью соответствуют пакетам upstream-проектов. Пакеты разделяются на несколько частей лишь в тех случаях, когда это дает существенные преимущества, и только если это позволяет значительно сократить количество занимаемого дискового пространства.

## Прагматичность

*Корректность — несомненно, главное качество. Если система не делает то, что должна, все остальное не имеет большого значения.* — Бертран Мейер (Bertrand Meyer)

Arch - прагматический, а не идеологический дистрибутив. Его принципы являются лишь полезными рекомендациями. В конечном счете, по каждому вопросу решения принимаются на индивидуальной основе при достижении согласия между разработчиками. Решающую роль играют не политика или популярные мнения, а технический анализ и обсуждения.

В различных репозиториях Arch Linux предоставляется свобода выбора из огромного количества пакетов и скриптов сборки. В зависимости от ваших предпочтений в каждом конкретном случае вы вольны выбирать свободное и открытое программное обеспечение, либо проприетарное, если для вас *функциональность важнее идеологии*.

## Пользователь в центре внимания

В то время, как многие дистрибутивы GNU/Linux пытаются быть более "дружественными" по отношению к пользователю (*user-friendly*), Arch Linux всегда был и будет дистрибутивом, ориентированным *на* пользователя (*user-centric*). Arch не пытается привлечь к себе как можно больше пользователей, а старается удовлетворить потребности тех, кто помогает ему развиваться. Такая модель подходит для тех, кто предпочитает делать сам (do-it-yourself), потратив время на чтение документации и решение своих собственных проблем.

Каждый пользователь приглашается к участию посредством отправки сообщений об ошибках, улучшения wiki-документации сообщества и предоставления технической поддержки для других. Патчи, улучшающие пакеты, а также основные проекты высоко ценятся, и есть [Пользовательский репозиторий Arch](/index.php/%D0%9F%D0%BE%D0%BB%D1%8C%D0%B7%D0%BE%D0%B2%D0%B0%D1%82%D0%B5%D0%BB%D1%8C%D1%81%D0%BA%D0%B8%D0%B9_%D1%80%D0%B5%D0%BF%D0%BE%D0%B7%D0%B8%D1%82%D0%BE%D1%80%D0%B8%D0%B9_Arch "Пользовательский репозиторий Arch"), предоставляющий репозиторий для пользовательских пакетов. Разработчики Arch - волонтеры, и время от времени частью команды разработчиков становятся наиболее активные пользователи.

Как сказал основатель проекта Arch Linux Джадд Винет (Judd Vinet): "[Arch Linux] — это то, что *вы* делаете."

## Гибкость

Arch Linux - дистрибутив общего назначения. Базовая система состоит из тщательно отобранного набора программ, необходимого практически во всех случаях. Вместо того, чтобы удалять после установки ненужные и нежелательные пакеты, пользователь волен расширять базовую систему в зависимости от своих потребностей. Надежный фундамент обеспечивает для других пакетов надежную базу. Arch предлагает такой баланс между простотой и свободой пользователя, при котором низкоуровневыми особенностями реализации занимаются разработчики дистрибутива, а все остальное пользователь выбирает сам.