## Что это такое

Переменная `TIMEZONE` задаётся в файле `/etc/rc.conf`. Она определяет часовой пояс, которому соответствует время, показываемое машинными часами.

## Какие могут быть варианты

Полный список всех возможных вариантов можно увидеть выполнив:

```
pacman -Ql glibc | grep zoneinfo | grep -v posix | grep -v right | grep -v .tab | grep -v /$ | sed "s@glibc /usr/share/zoneinfo/@ @"

```

## UTC и localtime

Машинные часы могут быть установлены по UTC (универсальное мировое) или по местному (local time) времени. Как правило, часы на Linux-машинах устанавливаются в UTC. Если Вы используете Linux и Windows на одном компьютере, тогда часы обычно устанавливаются по местному времени.

Установить режим машинных часов можно через переменную `HARDWARECLOCK`:

```
HARDWARECLOCK="UTC"

```

или

```
HARDWARECLOCK="localtime"

```

**ПРИМЕЧАНИЕ:** Текущая версия загрузочных скриптов в случае отличия значения `HARDWARECLOCK` от `"UTC"` устанавливает `HARDWARECLOCK="localtime"`.

**ПРИМЕЧАНИЕ:** Если переменная `HARDWARECLOCK` установлена в значение `UTC`, то Linux переведёт часы с зимнего на летнее время (или наоборот) вне зависимости от того работал компьютер в момент перехода на другое время или нет.

**ВАЖНО:** Если переменная `HARDWARECLOCK` установлена в значение `localtime`, то Linux **не будет** переводить часы с зимнего на летнее время (или наоборот), считая, что на Вашей машине установлена ещё одна (или несколько) ОС, которые сами позаботятся о переводе часов. В противном случае Вам придётся перевести часы вручную.