**Состояние перевода:** На этой странице представлен перевод статьи [Tmpfs](/index.php/Tmpfs "Tmpfs"). Дата последней синхронизации: 25 марта 2016\. Вы можете [помочь](/index.php/ArchWiki_Translation_Team_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "ArchWiki Translation Team (Русский)") синхронизировать перевод, если в английской версии произошли [изменения](https://wiki.archlinux.org/index.php?title=Tmpfs&diff=0&oldid=427657).

[tmpfs](https://en.wikipedia.org/wiki/ru:Tmpfs "wikipedia:ru:Tmpfs") это временная файловая система, которая находится в памяти и/или вашем разделе(ах) подкачки, в зависимости от того на сколько вы заполнили её. Монтирование каталогов как TMPFS, будет эффективным способом ускорения доступа к своим файлам, или для того, чтобы их содержимое автоматически удалялось при перезагрузке.

**Примечание:** При использовани [systemd](/index.php/Systemd_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "Systemd (Русский)"), временные файлы в каталогах tmpfs могут быть пересозданы при загрузке используя [tmpfiles.d](/index.php/Systemd_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9)#.D0.92.D1.80.D0.B5.D0.BC.D0.B5.D0.BD.D0.BD.D1.8B.D0.B5_.D1.84.D0.B0.D0.B9.D0.BB.D1.8B "Systemd (Русский)").

## Contents

*   [1 Использование](#.D0.98.D1.81.D0.BF.D0.BE.D0.BB.D1.8C.D0.B7.D0.BE.D0.B2.D0.B0.D0.BD.D0.B8.D0.B5)
*   [2 Примеры](#.D0.9F.D1.80.D0.B8.D0.BC.D0.B5.D1.80.D1.8B)
*   [3 Отключить автоматическое монтирование](#.D0.9E.D1.82.D0.BA.D0.BB.D1.8E.D1.87.D0.B8.D1.82.D1.8C_.D0.B0.D0.B2.D1.82.D0.BE.D0.BC.D0.B0.D1.82.D0.B8.D1.87.D0.B5.D1.81.D0.BA.D0.BE.D0.B5_.D0.BC.D0.BE.D0.BD.D1.82.D0.B8.D1.80.D0.BE.D0.B2.D0.B0.D0.BD.D0.B8.D0.B5)
*   [4 Решение проблем](#.D0.A0.D0.B5.D1.88.D0.B5.D0.BD.D0.B8.D0.B5_.D0.BF.D1.80.D0.BE.D0.B1.D0.BB.D0.B5.D0.BC)
    *   [4.1 Не получается открытие символьных ссылок в tmpfs от root](#.D0.9D.D0.B5_.D0.BF.D0.BE.D0.BB.D1.83.D1.87.D0.B0.D0.B5.D1.82.D1.81.D1.8F_.D0.BE.D1.82.D0.BA.D1.80.D1.8B.D1.82.D0.B8.D0.B5_.D1.81.D0.B8.D0.BC.D0.B2.D0.BE.D0.BB.D1.8C.D0.BD.D1.8B.D1.85_.D1.81.D1.81.D1.8B.D0.BB.D0.BE.D0.BA_.D0.B2_tmpfs_.D0.BE.D1.82_root)
*   [5 Смотрите также](#.D0.A1.D0.BC.D0.BE.D1.82.D1.80.D0.B8.D1.82.D0.B5_.D1.82.D0.B0.D0.BA.D0.B6.D0.B5)

## Использование

Некоторые каталоги, где TMPFS обычно используются: [/tmp](http://www.pathname.com/fhs/2.2/fhs-3.15.html), [/var/lock](http://www.pathname.com/fhs/2.2/fhs-5.9.html) и [/var/run](http://www.pathname.com/fhs/2.2/fhs-5.13.html). **Не** используйте его на [/var/tmp](http://www.pathname.com/fhs/2.2/fhs-5.15.html), так как этот каталог предназначен для временных файлов, которые сохраняются после перезагрузки.

Arch использует tmpfs в каталоге `/run`, с симлинками для совместимости `/var/run` и `/var/lock`. Он также используется для `/tmp` в настройках по умолчанию Systemd и не требует записи в [fstab](/index.php/Fstab_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "Fstab (Русский)"), если не требуется конкрентная настройка.

[glibc](https://www.archlinux.org/packages/?name=glibc) 2.2 и выше ожидает что `/dev/shm` будет смонтирован tmpfs для [POSIX разделяемой памяти](https://en.wikipedia.org/wiki/ru:%D0%A0%D0%B0%D0%B7%D0%B4%D0%B5%D0%BB%D1%8F%D0%B5%D0%BC%D0%B0%D1%8F_%D0%BF%D0%B0%D0%BC%D1%8F%D1%82%D1%8C#.D0.92_UNIX-.D0.BF.D0.BE.D0.B4.D0.BE.D0.B1.D0.BD.D1.8B.D1.85_.D0.BE.D0.BF.D0.B5.D1.80.D0.B0.D1.86.D0.B8.D0.BE.D0.BD.D0.BD.D1.8B.D1.85_.D1.81.D0.B8.D1.81.D1.82.D0.B5.D0.BC.D0.B0.D1.85 больше не требуется.

Как правило, интенсивные задачи и программы ввода/вывода, которые выполняют частые операции чтения/записи могут получить пользу используя каталог TMPFS. Некоторые приложения могут даже получить существенную выгоду, снимая нагрузку некоторых (или всех) своих данных на общую память. Например, [перемещение профиля Firefox в оперативную память](/index.php/Firefox_on_RAM_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "Firefox on RAM (Русский)") показывает значительное улучшение производительности.

## Примеры

По умолчанию раздел TMPFS имеет максимальный размер устанавленный от половины всей вашей оперативной памяти, но это можно настроить. Обратите внимание, что фактическое потребление памяти/подкачки зависит от того, на сколько вы заполните её, так как разделы TMPFS не потребляют память до тех пор, пока это будет на самом деле необходимо.

Чтобы точно установить максимальный размер, в данном примере, чтобы переопределить значение по умолчанию для монтирования `/tmp`, используем опцию монтирования `size`:

 `/etc/fstab`  `tmpfs   /tmp         tmpfs   nodev,nosuid,size=2G          0  0` 
```
Limiting the size, and specifying uid and gid + mode is very secure. For more information on this subject, follow the links listed in the [#Смотрите также](#.D0.A1.D0.BC.D0.BE.D1.82.D1.80.D0.B8.D1.82.D0.B5_.D1.82.D0.B0.D0.BA.D0.B6.D0.B5) section.

```

Вот более сложный пример, показывающий, как добавить монтирование TMPFS для пользователей. Это полезно для веб-сайтов, MySQL TMP файлов, `~/.vim/`, и многое другое. Очень важно, попытаться получить идеальные параметры монтирования для того, что вы пытаетесь достичь. Цель состоит в том, чтобы получить безопасные параметры, насколько это возможно, чтобы предотвратить повышенное использование. Будет безопасным ограничить размер, указать Uid и GID + mode. Для получения дополнительной информации по этому вопросу, пройдите по ссылкам перечисленным в секции [#Смотрите также](#.D0.A1.D0.BC.D0.BE.D1.82.D1.80.D0.B8.D1.82.D0.B5_.D1.82.D0.B0.D0.BA.D0.B6.D0.B5).

 `/etc/fstab`  `tmpfs   /www/cache    tmpfs  rw,size=1G,nr_inodes=5k,noexec,nodev,nosuid,uid=648,gid=648,mode=1700   0  0` 

Смотрите справочную страницу `mount` для получения дополнительной информации. Полезная опция монтирования из справочной страницы является опция `default`. По крайней мере понятная.

Перезагрузитесь, для того чтобы изменения вступили в силу. Обратите внимание, что может быть заманчивым, выполнить `mount -a`, чтобы сделанные изменения вступили в силу немедленно, это сделает недоступными какие-либо файлы, которые в настоящее время находятся в этих каталогах (например, особенно проблематично для запуска программ с файлами блокировки). Тем не менее, если все они пусты, она должна быть безопасной для запуска `mount -a`, вместо перезагрузки (или смонтируйте их в индивидуальном порядке).

После применения изменений, вы можете убедиться в том, что они вступили в силу, посмотрев в `/proc/mounts` и используя `findmnt`:

 `$ findmnt --target /tmp` 
```
TARGET SOURCE FSTYPE OPTIONS
/tmp   tmpfs  tmpfs  rw,nosuid,nodev,relatime
```

TMPFS также может быть временно изменен, без необходимости в перезагрузке, например, когда в ближайшее время необходимо выполнить большую работу компиляции. В этом случае вы можете запустить:

```
# mount -o remount,size=4G,noatime /tmp

```

## Отключить автоматическое монтирование

[Systemd](/index.php/Systemd_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "Systemd (Русский)"), может автоматически устанавливать `/tmp` как tmpfs, даже если у вас нет записи в вашем `/etc/fstab`.

Для отключения автоматического монтирования, выполните следующую команду:

```
# systemctl mask tmp.mount

```

Файлы больше не будут хранится в tmpfs, но будут на вашем блочном устройстве. Содержание `/tmp` теперь будет сохранятся между перезагрузками, чего вам бы не хотелось. Чтобы сохранить прежнее поведение и очищать каталог `/tmp` атоматически когда вы перезагружаете машину, рассмотрите возможность использования `tmpfiles.d(5)`:

 `/etc/tmpfiles.d/tmp.conf` 
```
# смотрите tmpfiles.d(5)
# очистка каталога /tmp всегда включена
D! /tmp 1777 root root 0

# удалить файлы в каталоге /var/tmp старше 10 дней
D /var/tmp 1777 root root 10d

# namespace mountpoints (PrivateTmp=yes) are excluded from removal
x /tmp/systemd-private-*
x /var/tmp/systemd-private-*
X /tmp/systemd-private-*/tmp
X /var/tmp/systemd-private-*/tmp
```

## Решение проблем

### Не получается открытие символьных ссылок в tmpfs от root

Учитывая что `/tmp` использует TMPFS, измените текущую директорию на `/tmp`, а затем создайте файл и создайте символическую ссылку на этот файл в том же каталог `/tmp`. При попытке открыть файл, созданный с помощью символической ссылки, вы получите ошибку "доступ запрещён". Ожидается, что это как `/tmp` [содержит "прилипший" набор битов](https://wiki.ubuntu.com/Security/Features#Symlink_restrictions).

Такое поведение можно контролировать с помощью `/proc/sys/fs/protected_symlinks` или просто через SYSCTL: `sysctl -w fs.protected_symlinks=0`. Чтобы это работало постоянно, смотрите [Sysctl#Configuration](/index.php/Sysctl#Configuration "Sysctl").

**Важно:** Изменение этого поведения может привести к проблемам безопасности! Отключите это, только если вы знаете что делаете.

## Смотрите также

*   [Linux kernel documentation](https://www.kernel.org/doc/Documentation/filesystems/tmpfs.txt)