Чтобы писать на fat32 раздел под обычным пользователем, необходимо внести некоторые изменения в '/etc/fstab':

```
/dev/hdX /mnt/Y vfat users,rw,umask=000 0 0

```

Флаг 'users' означает, что любой пользователь (даже и не root) может монтировать и отмонтировать раздел '/dev/hdX'. Флаг 'rw' дает права на чтение и запись, 'umask' убирает заданные права (например, 'umask=111' убирает права на исполнение). Проблема состоит в том, что данная запись убирает права на исполнение и с директорий, это можно исправить параметром 'dmask=000'. И зачем использовать эти опции? Затем, что иначе все файлы будут исполняемыми. Вместо umask и dmask можно также использовать флаг 'showexec', который покажет все исполняемые файлы windows (com, exe, bat) соответствующим цветом.

Например, если ваш fat32 раздел '/dev/hda9' и вы хотите его монтировать в '/mnt/fat32', строка в /etc/fstab может быть следующей:

```
/dev/hda9 /mnt/fat32 vfat users,rw,dmask=000,showexec 0 0

```

Для поддержки русских названий файлов добавьте параметр iocharset=utf8 (если у вас другая кодировка, то подставьте её вместо utf8):

```
/dev/hda9 /mnt/fat32 vfat users,rw,iocharset=utf8,dmask=000,showexec 0 0

```

Также можно сделать запись вида:

```
/dev/hda9 /mnt/fat32 vfat users,rw,utf8=true,dmask=000,showexec 0 0

```