Существует несколько различных способов дать пользователям возможность использовать wvdial для создания ppp-соединение. Этот документ описывает три различных способа, отличающиеся друг от друга сложностью использования и степенями безопасности. Подразумевается, что вы должным образом сконфигурировали wvdial. Все настройки, представленные ниже, должны быть сделаны под root’ом.

## Используя suid

Это, несомненно, самый простой способ настроить, но и сильная угроза системе безопасности, поскольку любой пользователь может запустить wvdial в качестве привилегированного пользователя. По возможности, используйте одно из других решений. Так как обычные пользователи не могут по умолчанию использовать wvdial для дозвона, то необходимо поменять права:

```
chmod u+s /usr/bin/wvdial

```

Вы должны увидеть следующие разрешения:

```
ls -l /usr/bin/wvdial
-rwsr-xr-x 1 root root 114368 2005-12-07 19:21 /usr/bin/wvdial

```

## Используя группу dialout

Другой, немного более безопасный способ - создать группу dialout (вы можете, впрочем, назвать ее как вам угодно) и дать членам этой группы права на запуск wvdial как root. Во-первых, необходимо создать группу и добавить туда пользователей:

```
groupadd dialout
gpasswd -a myuser dialout

```

Затем установить группу и дать разрешение на использование wvdial:

```
chgrp dialout /usr/bin/wvdial
chmod u+s,o= /usr/bin/wvdial

```

Теперь можно посмотреть права:

```
ls -l /usr/bin/wvdial
-rwsr-x— 1 root dialout 114368 2005-12-07 19:21 /usr/bin/wvdial

```

## Используя sudo

sudo предлагает, вероятно, самый безопасный способ позволить пользователям устанавливать dial-up соединения с помощью wvdial. sudo может использоваться для того, чтобы дать права для как пользователю, так и определённой группе пользователей. Другая выгода от использования sudo состоит в том, что достаточно однажды установить права, и при установке нового пакета wvdial не будет необходимости заново давать разрешения, в отличие от двух предыдущих способов. Здесь мы не будет вдаваться в подробности использования sudo. За дополнительной информацией обращайтесь к man-страницам (sudo, sudoers, visudo). Используйте visudo для редактирования файла /etc/sudoers:

```
visudo

```

Чтобы предоставить разрешение конкретному пользователю использовать wvdial с правами суперпользователя, необходимо добавить следующую строку (конечно, заменив имя пользователя на нужное):

```
myuser localhost = /usr/bin/wvdial

```

Чтобы предоставить права всем членам группы (dialout):

```
%dialout localhost = /usr/bin/wvdial

```