## Contents

*   [1 Zhrnutie](#Zhrnutie)
*   [2 Nahrať modul zariadenia](#Nahra.C5.A5_modul_zariadenia)
*   [3 Konfigurovať IP](#Konfigurova.C5.A5_IP)
    *   [3.1 Pre DHCP IP](#Pre_DHCP_IP)
    *   [3.2 Pre statickú IP](#Pre_statick.C3.BA_IP)
*   [4 Nastaviť meno počítača](#Nastavi.C5.A5_meno_po.C4.8D.C3.ADta.C4.8Da)
*   [5 Nastaviť meno hostiteľa/ip](#Nastavi.C5.A5_meno_hostite.C4.BEa.2Fip)

## Zhrnutie

Jednoduchý sprievodca ako spojazdniť vašu sieť.

## Nahrať modul zariadenia

Pridajte váš modul eth0 do poľa modulov v súbore `/etc/rc.conf`, napr. tg3, (8139too pre karty, ktoré používajú RealTek chipset)

```
MODULES=(!usbserial tg3 snd-cmipci)

```

## Konfigurovať IP

### Pre DHCP IP

Upravte `/etc/rc.conf` nasledovne:

```
  lo="lo 127.0.0.1"
  eth0="dhcp"
  INTERFACES=(lo eth0)
  ROUTES=(!gateway)

```

### Pre statickú IP

Ak zdieľate vaše internetové pripojenie z Windowsovského boxu bez rútra, použite na oboch počítačoch statické IP adresy. V opačnom prípade budete mať problémy s LAN.

Potrebujete:

*   Vašu statickú IP adresu,
*   Masku siete,
*   Adresu vysielania,
*   Vašu bránu,
*   IP adresy vašich nameserverov,
*   Meno vašej domény.

Ak bežíte pod súkromnou sieťou, je bezpečné používať IP adresy v škále 192.168.*.* pre vaše IP, s maskou 255.255.0.0 a adresou vysielania 192.168.255.255\. Pokiaľ vaša sieť nemá rúter, na adrese brány nezáleží. Upravte `/etc/rc.conf` nasledovne, avšak nahradte IP, masku siete, vysielanie a bránu vašimi vlastnými hodnotami:

```
   lo="lo 127.0.0.1"
   eth0="eth0 82.137.129.59 netmask 255.255.255.0 broadcast 82.137.129.255"
   INTERFACES=(lo eth0)
   gateway="default gw 82.137.129.1"
   ROUTES=(gateway)

```

a váš súbor `/etc/resolv.conf` nasledovne, nahradte IP nameserverov a meno domény vašimi vlastnými:

```
  nameserver 61.23.173.5
  nameserver 61.95.849.8
  search example.com

```

Môžete uviesť toľko riadkov nameserverov koľko len chcete.

Ak používate DHCP a nechcete, aby sa vaše DNS servre menili pri každom spustení vašej siete, pridajte voľbu `-R` do `DHCPCD_ARGS` v súbore `/etc/conf.d/dhcpcd` (používanom v `/etc/rc.d/network`). Týmto sa zabráni, aby zakaždým DHCP prepisovalo váš `/etc/resolv.conf` :

```
DHCPCD_ARGS="-R -t 30 -h $HOSTNAME"

```

## Nastaviť meno počítača

Upravte `/etc/rc.conf` a nastavte HOSTNAME na vami požadované meno počítača:

```
HOSTNAME="banana"

```

## Nastaviť meno hostiteľa/ip

Upravte `/etc/hosts` a pridajte podobný riadok s rovnakým HOSTNAME aké ste zadali v `/etc/rc.conf` :

```
127.0.0.1               banana.localdomain             banana

```