**Nota:** Esta página se esfuerza para listar todos los juegos conocidos que funcionan bajo GNU/Linux. Algunos de ellos están accesibles líbremente a través de los [repositorios oficiales](/index.php/Official_repositories_(Espa%C3%B1ol) "Official repositories (Español)") y [AUR](/index.php/AUR_(Espa%C3%B1ol) "AUR (Español)"). Para más información sobre cómo ejecutar juegos, consejos relacionados con la configuración del sistema, etc. véase [Gaming](/index.php/Gaming "Gaming"). Para una selección de juegos disponibles en AUR, posiblemente más actualizada, pruebe sondeando la [categoría «games» de AUR](https://aur.archlinux.org/packages.php?O=0&K=&do_Search=Go&detail=1&C=6&SeB=nd&SB=n&SO=a&PP=25).

## Contents

*   [1 Aventura y acción](#Aventura_y_acci.C3.B3n)
*   [2 Arcade](#Arcade)
*   [3 Juegos de azar](#Juegos_de_azar)
*   [4 Simuladores de ajedez](#Simuladores_de_ajedez)
*   [5 Educativos](#Educativos)
*   [6 Ficción interactiva](#Ficci.C3.B3n_interactiva)
*   [7 Juegos multijugador masivo en línea (siglas en inglés MMO)](#Juegos_multijugador_masivo_en_l.C3.ADnea_.28siglas_en_ingl.C3.A9s_MMO.29)
*   [8 Juegos de plataformas](#Juegos_de_plataformas)
*   [9 Puzzle](#Puzzle)
*   [10 Juegos de carreras](#Juegos_de_carreras)
*   [11 Juegos roguelike](#Juegos_roguelike)
*   [12 Juegos de rol (siglas en inglés RPG)](#Juegos_de_rol_.28siglas_en_ingl.C3.A9s_RPG.29)
*   [13 Juegos de disparos (siglas en inglés FPS, Third Person)](#Juegos_de_disparos_.28siglas_en_ingl.C3.A9s_FPS.2C_Third_Person.29)
*   [14 Simulación](#Simulaci.C3.B3n)
*   [15 Estrategia](#Estrategia)
*   [16 Juegos Tycoon/Management](#Juegos_Tycoon.2FManagement)
*   [17 Novelas visuales](#Novelas_visuales)
*   [18 Véase también](#V.C3.A9ase_tambi.C3.A9n)

## Aventura y acción

*   **[Aquaria](https://en.wikipedia.org/wiki/Aquaria_(video_game) "wikipedia:Aquaria (video game)")** — Juego de acción y aventura 2D con desplazamiento lateral, muy centrado en la exploración y la resolución de enigmas, con una jugabilidad no lineal. El motor del juego es de código abierto.

	[http://www.bit-blot.com/aquaria](http://www.bit-blot.com/aquaria) || [aquaria-git](https://aur.archlinux.org/packages/aquaria-git/) (AUR)

*   **Astromenace** — Moderno juego de acción espacial en 3D con desplazamiento lateral y con la posibilidad de actualizar la nave espacial.

	[http://www.viewizard.com/download.php](http://www.viewizard.com/download.php) || [astromenace](https://www.archlinux.org/packages/?name=astromenace).

*   **Barrage** — Juego de acción violento de «apuntar y hacer click» con bonitos efectos.

	[http://lgames.sourceforge.net/index.php?project=Barrage](http://lgames.sourceforge.net/index.php?project=Barrage) || [barrage](https://www.archlinux.org/packages/?name=barrage)

*   **[Blob Wars: Metal Blob Solid](https://en.wikipedia.org/wiki/Blob_Wars "wikipedia:Blob Wars")** — Juego de acción y aventura en 3D con varias armas y misiones.

	[https://sourceforge.net/projects/blobwars/](https://sourceforge.net/projects/blobwars/) || [blobwars](https://www.archlinux.org/packages/?name=blobwars)

*   **[Blob Wars: Blob and Conquer](https://en.wikipedia.org/wiki/Blob_Wars "wikipedia:Blob Wars")** — Juego de acción - aventura 3D, seguidor del juego de plataformas en 2D Blob Wars: Blob Solid Metal.

	[http://sourceforge.net/projects/blobandconquer/](http://sourceforge.net/projects/blobandconquer/) || [blobandconquer](https://aur.archlinux.org/packages/blobandconquer/)

*   **Bloodridge** — Juego de aventura-fantasía 3D, basado en Java.

	[http://www.hayles.demon.co.uk/bloodridge/bloodridge.html](http://www.hayles.demon.co.uk/bloodridge/bloodridge.html) || <small>not packaged? [search in AUR](https://aur.archlinux.org/packages/?K=Bloodridge)</small>

*   **[BZFlag](https://en.wikipedia.org/wiki/BZFlag "wikipedia:BZFlag")** — Multipersonas, juego de disparos de tanques en primera persona.

	[http://bzflag.org/](http://bzflag.org/) || [bzflag](https://www.archlinux.org/packages/?name=bzflag)

*   **[Freedink](https://en.wikipedia.org/wiki/Dink_Smallwood "wikipedia:Dink Smallwood")** — Versión libre y mejorada del juego de acción-aventura «Dink Smallwood».

	[http://www.freedink.org/](http://www.freedink.org/) || [freedink](https://aur.archlinux.org/packages/freedink/)

*   **[Gish](https://en.wikipedia.org/wiki/Gish_(video_game) "wikipedia:Gish (video game)")** — Plataforma 2D que utiliza la física sobre aventuras de bolas de alquitrán. Juego de combate de 2 dimensiones basado en la física.

	[http://www.gishgame.com/](http://www.gishgame.com/) || [freegish-git](https://aur.archlinux.org/packages/freegish-git/)

*   **[Hammerfight](https://en.wikipedia.org/wiki/Hammerfight "wikipedia:Hammerfight")** — Juego de combate 3D basado en la física.

	[http://www.koshutin.com/](http://www.koshutin.com/) || [hammerfight](https://aur.archlinux.org/packages/hammerfight/)

*   El puerto de código abierto del juego *Haaf's Game Engine* está disponible en [icculus.org](https://icculus.org/hge-unix/).

*   **[Neverball](https://en.wikipedia.org/wiki/Neverball "wikipedia:Neverball")** — Juego 3D para guiar una bola por un laberinto.

	[http://neverball.org/](http://neverball.org/) || [neverball](https://www.archlinux.org/packages/?name=neverball)

*   **[Rune](https://en.wikipedia.org/wiki/Rune_(video_game) "wikipedia:Rune (video game)")** — Juego en tercera persona Adventure/Hack'n Slay usando Unreal Engine. Funciona bien desde la instalación box.

	[http://www.rune-world.com](http://www.rune-world.com) || [rune](https://aur.archlinux.org/packages/rune/)

## Arcade

	Según [Wikipedia](https://en.wikipedia.org/wiki/es:Arcade#Arcade_como_g.C3.A9nero_de_videojuegos "wikipedia:es:Arcade")

	*«(...) el término "arcade" se refiere a los videojuegos clásicos o que recuerdan a las máquinas recreativas (...)»*.

Véase el artículo de [Wikipedia](https://en.wikipedia.org/wiki/es:Main_Page "wikipedia:es:Main Page") sobre este asunto para obtener más información: [Arcade](https://en.wikipedia.org/wiki/es:Arcade "wikipedia:es:Arcade").

*   **Bullet Candy Perfect** — Juego divertido shoot-em-up (literalmente *«mátalos a tiros»*), con nítidas y súper suaves gráficos en 3D y una banda sonora tecno. Características multiplataforma, puntuación y resultados en línea. Esquema de 'PAMAYW'.

	[http://www.charliesgames.com/wordpress/?page_id=14/](http://www.charliesgames.com/wordpress/?page_id=14/) || [bulletcandyperfect-demo](https://aur.archlinux.org/packages/bulletcandyperfect-demo/)

*   **Bomberclone** — Juego gratuito de estilo Bomberman para Linux y Windows. Las reglas del juego son simples: correr a través de un nivel lanzando bombas para derrotar a los adversarios.

	[http://bomberclone.sourceforge.net/homepage/](http://bomberclone.sourceforge.net/homepage/) || [bomberclone](https://www.archlinux.org/packages/?name=bomberclone)

*   **[Cave Story/Doukutsu](https://en.wikipedia.org/wiki/Cave_Story "wikipedia:Cave Story")** — Addictive 1-man-made metroid-vania-esque platformer. Si le sucede que tiene un fuerte retraso cuando hay una gran cantidad de enemigos en pantalla o en niveles grandes, pruebe la versión de Windows a través de Wine. Esto debería resolver el problema.

	[http://cavestory.org](http://cavestory.org) || [doukutsu](https://aur.archlinux.org/packages/doukutsu/)

*   **Ceferino** — Juego de acción similar al Super Pang.

	[http://www.losersjuegos.com.ar/juegos/ceferino](http://www.losersjuegos.com.ar/juegos/ceferino) || [ceferino](https://aur.archlinux.org/packages/ceferino/)

*   **Chromium** — Juego de disparos de estilo arcade, con desplazamientos y ritmos rápidos.

	[http://chromium-bsu.sourceforge.net/](http://chromium-bsu.sourceforge.net/) || [chromium-bsu](https://www.archlinux.org/packages/?name=chromium-bsu)

*   **Circus Linux!** — Clon del juego de Atari 2600 «Circus Atari», producido por Atari, Inc.

	[http://www.newbreedsoftware.com/circus-linux](http://www.newbreedsoftware.com/circus-linux) ||

*   **Counter-Strike 2D** — Clon 2D (con funciones adicionales) del popular Mod Counter-Strike.

	[http://cs2d.com](http://cs2d.com) || [counter-strike-2d](https://aur.archlinux.org/packages/counter-strike-2d/)

*   **Crack-attack** — Juego OpenGL libre, basado en el clásico Super Nintendo Tetris Attack.

	[http://www.nongnu.org/crack-attack/](http://www.nongnu.org/crack-attack/) || [crack-attack](https://aur.archlinux.org/packages/crack-attack/)

*   **[Frogatto](https://en.wikipedia.org/wiki/Frogatto "wikipedia:Frogatto")** — Plataforma de juego divertido, que consiste en ayudar a un pequeño hombre verde llamado Frogatto a caminar y saltar entre puntos de apoyo sólidos sin hacerse daño; eche un vistazo a [this review](http://www.slidetoplay.com/story/frogatto-review).

	[http://frogatto.com](http://frogatto.com) || [frogatto](https://www.archlinux.org/packages/?name=frogatto)

*   **[Frozen Bubble](https://en.wikipedia.org/wiki/Frozen_Bubble "wikipedia:Frozen Bubble")** — Juego arcade muy colorido y con un pingüino animado.

	[http://frozen-bubble.org](http://frozen-bubble.org) || [frozen-bubble](https://www.archlinux.org/packages/?name=frozen-bubble)

*   **[Hedgewars](https://en.wikipedia.org/wiki/Hedgewars "wikipedia:Hedgewars")** — Otro clon de Worms, que es considerado por muchos mejor que su predecesor. Se hacen turnos para hacer saltar por los aires a los oponentes con resultados cómicos. De lo mejor en multijugador.

	[http://hedgewars.org/](http://hedgewars.org/) || [hedgewars](https://www.archlinux.org/packages/?name=hedgewars)

*   **Irukandji** — Juego multiplataforma con diseño «pague tanto como desee (jugar)» (mínimo $1 USD). Un divertido juego de disparos, ambientado en un trinchera abstracta subacuática. Características desbloqueables, sistema de puntuación y retos online.

	[www.charliesgames.com](http://www.charliesgames.com/wordpress/?page_id=11/) || [irukandji](https://aur.archlinux.org/packages/irukandji/)

*   **lbreakout2** — Juego de arcade de estilo escapista a la manera de Arkanoid.

	[http://lgames.sourceforge.net/index.php?project=LBreakout2](http://lgames.sourceforge.net/index.php?project=LBreakout2) || [lbreakout2](https://www.archlinux.org/packages/?name=lbreakout2)

*   **LTris** — Versión arcade de Tetris.

	[http://lgames.sourceforge.net/index.php?project=LTris](http://lgames.sourceforge.net/index.php?project=LTris) || [ltris](https://www.archlinux.org/packages/?name=ltris)

*   **[Mari0](https://en.wikipedia.org/wiki/Mari0 "wikipedia:Mari0")** — El juego de Mario con los mecanismos del Portal gun.

	[http://stabyourself.net/mari0/](http://stabyourself.net/mari0/) || [mari0](https://www.archlinux.org/packages/?name=mari0)

*   **Nikki and the Robots** — Juego multiplataforma basado en la física.

	[http://joyridelabs.de/game/](http://joyridelabs.de/game/) || [nikki](https://aur.archlinux.org/packages/nikki/)

*   **Noiz2sa** — Juego arcade de disparos vertical, con buenos gráficos abstractos, música y soporte para joystick.

	[http://www.asahi-net.or.jp/~cs8k-cyu/windows/noiz2sa_e.html](http://www.asahi-net.or.jp/~cs8k-cyu/windows/noiz2sa_e.html) || [noiz2sa](https://aur.archlinux.org/packages/noiz2sa/)

*   **Penguin Command** — Clon del clásico juego «Missile Command» con gráficos y sonido mejorados.

	[http://www.linux-games.com/penguin-command/](http://www.linux-games.com/penguin-command/) || [penguin-command](https://aur.archlinux.org/packages/penguin-command/)

*   **Pinball** — Simulador pinball de código abierto para Linux y otros sistemas Unix.

	[http://pinball.sourceforge.net/](http://pinball.sourceforge.net/) || [pinball](https://aur.archlinux.org/packages/pinball/)

*   **PowerManga** — Juego de arcade shoot-em-up («mátalos a tiros») con 41 niveles y más de 200 sprites.

	[http://linux.tlk.fr/games/Powermanga/](http://linux.tlk.fr/games/Powermanga/) || [powermanga](https://aur.archlinux.org/packages/powermanga/)

*   **Streets of Rage Remake** — Un revisión del clásico Streets of Rage 1, 2 y 3 de Sega.

	[http://sorr.forumotion.net/](http://sorr.forumotion.net/) || [streetsofrageremake](https://aur.archlinux.org/packages/streetsofrageremake/)

*   **[Open Syobon Action](https://en.wikipedia.org/wiki/Syobon_action "wikipedia:Syobon action")** — Multiplataforma, versión de código abierto de la parodia japonesa de Super Mario Bros.

	[https://github.com/Alexander--/open-syobon](https://github.com/Alexander--/open-syobon) || [open-syobon](https://aur.archlinux.org/packages/open-syobon/)

*   **[Teeworlds](https://en.wikipedia.org/wiki/Teeworlds "wikipedia:Teeworlds")** — Trepidante juego de disparos multijugador 2D.

	[http://teeworlds.com/](http://teeworlds.com/) || [teeworlds](https://www.archlinux.org/packages/?name=teeworlds)

*   **Tetrinet** — Juego en línea multijugador de Tetris con capacidad para seis personas.

	[http://www.tetrinet.info/](http://www.tetrinet.info/) || [gtetrinet](https://www.archlinux.org/packages/?name=gtetrinet)

*   **Tuxanci** — Juego multiplataforma, inspirado en el conocido juego checo Bulanci.

	[http://www.tuxanci.org/en/start](http://www.tuxanci.org/en/start) || [tuxanci](https://aur.archlinux.org/packages/tuxanci/)

*   **Ultrastar-ng** — Clon de SingStar, un videojuego de música.

	[http://performous.org/](http://performous.org/) || [ultrastardx-svn](https://aur.archlinux.org/packages/ultrastardx-svn/)

*   **Viruskiller** — ¡El equipo ha sido invadido! Usando su ratón tiene que disparar a los bichos antes de que puedan destruir sus archivos.

	[http://www.parallelrealities.co.uk/projects/virusKiller.php](http://www.parallelrealities.co.uk/projects/virusKiller.php) || [viruskiller](https://aur.archlinux.org/packages/viruskiller/)

*   **[Wormux (now Warmux)](https://en.wikipedia.org/wiki/Warmux "wikipedia:Warmux")** — Algo parecido a Worms 2/Worms Armageddon.

	[http://sourceforge.net/projects/warmux.mirror/](http://sourceforge.net/projects/warmux.mirror/) || [warmux](https://aur.archlinux.org/packages/warmux/)

## Juegos de azar

*   **bs** — Juego de disparos para la consola basado en «hundir la flota».

	[http://www.catb.org/~esr/bs/](http://www.catb.org/~esr/bs/) || [bs](https://aur.archlinux.org/packages/bs/)

*   **BSD Games** — Colección de juegos de texto clásicos distribuidos con estido BSD.

	[http://wiki.linuxquestions.org/wiki/BSD_games](http://wiki.linuxquestions.org/wiki/BSD_games) || [bsd-games](https://www.archlinux.org/packages/?name=bsd-games)

*   **Fortune** — Muestra mensajes al azar/citas/chistes cuando se invoca.

	[wikipedia:Fortune_(Unix)](https://en.wikipedia.org/wiki/Fortune_(Unix) || [fortune-mod](https://www.archlinux.org/packages/?name=fortune-mod)

*   **nInvaders** — Clon de invasores del espacio basado en ncurses.

	[http://ninvaders.sourceforge.net/](http://ninvaders.sourceforge.net/) || [ninvaders](https://aur.archlinux.org/packages/ninvaders/)

## Simuladores de ajedez

*   **[GNU Chess](https://en.wikipedia.org/wiki/GNU_Chess "wikipedia:GNU Chess")** — Uno de los programas más antiguos de ajedrez para ordenadores basados ​​en Unix, permite que los equipos más modernos realicen un juego completo de ajedrez.

	[https://gnu.org/s/chess](https://gnu.org/s/chess) || [gnuchess](https://www.archlinux.org/packages/?name=gnuchess)

*   **Eboard** — Interfaz de ajedrez para ICS y motores de ajedrez.

	[http://bergo.eng.br/eboard](http://bergo.eng.br/eboard) || [eboard](https://aur.archlinux.org/packages/eboard/)

*   **Knights** — Tablero de ajedrez simple para KDE4\. Es una reescritura de KDE3 Knights.

	[http://noughmad.com/knights/](http://noughmad.com/knights/) || [knights](https://www.archlinux.org/packages/?name=knights)

## Educativos

*   **GCompris** — Suite de software educativo que consta de numerosas actividades para niños de 2 a 10 años.

	[http://gcompris.net/-en-](http://gcompris.net/-en-) || [gcompris](https://www.archlinux.org/packages/?name=gcompris)

*   **Tux Paint** — Programa de dibujo gratuito diseñado para niños pequeños.

	[http://tuxpaint.org/](http://tuxpaint.org/) || [tuxpaint](https://www.archlinux.org/packages/?name=tuxpaint)

*   **Tux Type** — Tutor de mecanografía educativo para niños protagonizado por Tux.

	[http://tux4kids.alioth.debian.org/tuxtype/](http://tux4kids.alioth.debian.org/tuxtype/) || [tuxtype](https://aur.archlinux.org/packages/tuxtype/)

*   **TuxMath** — Juego de arcade que ayuda a los niños a practicar las habilidades matemáticas.

	[http://tux4kids.alioth.debian.org/tuxmath/](http://tux4kids.alioth.debian.org/tuxmath/) || [tuxmath](https://aur.archlinux.org/packages/tuxmath/)

## Ficción interactiva

	Según [Wikipedia](https://en.wikipedia.org/wiki/es:Aventura_conversacional "wikipedia:es:Aventura conversacional")

	*«La **aventura conversacional** es un género de videojuegos, más común de ordenadores que de consola o arcades, en el que la descripción de la situación en la que se encuentra el jugador proviene principalmente de un texto. A su vez, el jugador debe teclear la acción a realizar. El juego interpreta la entrada -normalmente- en lenguaje natural, lo cual provoca una nueva situación y así sucesivamente.»*

Véase el artículo de [Wikipedia](https://en.wikipedia.org/wiki/es:Main_Page "wikipedia:es:Main Page") sobre este asunto para obtener más información: [Interactive fiction#Development systems](https://en.wikipedia.org/wiki/Interactive_fiction#Development_systems "wikipedia:Interactive fiction").

*   **[Inform](https://en.wikipedia.org/wiki/Inform "wikipedia:Inform")** — Sistema para diseñar juegos de aventura conversacional basado en el lenguaje natural.

	[http://inform7.com/](http://inform7.com/) || [inform7](https://aur.archlinux.org/packages/inform7/)

*   **INSTEAD** — Intérprete de misión que usa las macros de Lua como lenguaje de escritura en el juego.

	[https://code.google.com/p/instead/](https://code.google.com/p/instead/) || [instead-launcher](https://www.archlinux.org/packages/?name=instead-launcher) [instead](https://www.archlinux.org/packages/?name=instead)

*   **[TADS](https://en.wikipedia.org/wiki/TADS "wikipedia:TADS")** — Lenguaje de programación de dominio específico basada en prototipos y en un conjunto de bibliotecas estándares para la creación de juegos de aventura conversacional o ficción interactiva (siglas en inglés IF).

	[http://tads.org](http://tads.org) || [frobtads](https://aur.archlinux.org/packages/frobtads/)

## Juegos multijugador masivo en línea (<small>siglas en inglés</small> MMO)

	Según [Wikipedia](https://en.wikipedia.org/wiki/es:Videojuego_multijugador_masivo_en_l%C3%ADnea "wikipedia:es:Videojuego multijugador masivo en línea")

	*«Un videojuego **multijugador masivo en línea** o MMOG (siglas en inglés de massively multiplayer online game) es un videojuego en donde pueden participar, e interactuar en un mundo virtual, un gran número de jugadores -del orden de cientos o miles- simultáneamente (multijugador) conectados a través de la red (en línea), normalmente Internet...»*

Véase el artículo de [Wikipedia](https://en.wikipedia.org/wiki/es:Main_Page "wikipedia:es:Main Page") sobre este asunto para obtener más información: [List of massively multiplayer online games](https://en.wikipedia.org/wiki/List_of_massively_multiplayer_online_games "wikipedia:List of massively multiplayer online games").

**Nota:** Todos los juegos mostrados aquí deben ser puros [videojuegos multijugador masivo en línea](https://en.wikipedia.org/wiki/es:videojuego_multijugador_masivo_en_l%C3%ADnea "wikipedia:es:videojuego multijugador masivo en línea") sin la modalidad LAN y jugador único.

Véase el artículo de [Wikipedia](https://en.wikipedia.org/wiki/es:Main_Page "wikipedia:es:Main Page") sobre este asunto para obtener más información: [Comparison of massively multiplayer online role-playing games](https://en.wikipedia.org/wiki/Comparison_of_massively_multiplayer_online_role-playing_games "wikipedia:Comparison of massively multiplayer online role-playing games").

*   **Dofus** — Juego multijugador masivo en línea (siglas en inglés MMORPG), gratuito, inspirado en manga, que utiliza Adobe AIR.

	[http://www.dofus.com](http://www.dofus.com) || [dofus](https://aur.archlinux.org/packages/dofus/)

*   **Heroes of Newerth** — Juego de estrategia multijugador en línea que se basa en DoTA (Defense of the Ancients).

	[http://heroesofnewerth.com/](http://heroesofnewerth.com/) || [hon](https://aur.archlinux.org/packages/hon/)

*   **Landes Eternelles** — Juego de rol online en 3D de fantasía.

	[http://www.eternal-lands.com](http://www.eternal-lands.com) || [eternallands](https://aur.archlinux.org/packages/eternallands/)

*   **[Minecraft](/index.php/Minecraft "Minecraft")** — Juego basado en Java no lineal. Muy adictivo, con una gran comunidad y muchos de cambios.

	[http://minecraft.net](http://minecraft.net) || [minecraft](https://aur.archlinux.org/packages/minecraft/)

*   **Planeshift** — Juego de rol inmerso en un mundo virtual de fantasía en 3D gratuito. La cuenta es gratuita y no tendrá limitaciones de contenido ni en las habilidades, rangos, objetos, etc.

	[http://www.planeshift.it](http://www.planeshift.it) || [planeshift](https://aur.archlinux.org/packages/planeshift/)

*   **Regnum Online** — Multiplataforma 3D de juego de rol multijugador masivo en línea.

	[http://www.regnumonline.com.ar](http://www.regnumonline.com.ar) || [regnum-online](https://aur.archlinux.org/packages/regnum-online/)

*   **Runescape** — Cliente oficial de RuneScape.

	[http://www.runescape.com](http://www.runescape.com) || [runescape-client-bin](https://aur.archlinux.org/packages/runescape-client-bin/)

*   **Savage - The Battle For Newerth** — Juego online multijugador basado en equipos híbridos FPS/RTS. Completamente libre desde septiembre de 2006\. (Incluye parches SFE).

	[http://www.s2games.com/savage/](http://www.s2games.com/savage/) || [savage](https://aur.archlinux.org/packages/savage/)

*   **Savage2 - A tortured soul** — Juego online multijugador con temática de fantasía basado en equipos híbridos FPS/RTS/RPG. Completamente libre desde diciembre de 2008.

	[http://savage2.com](http://savage2.com) || [savage2](https://aur.archlinux.org/packages/savage2/)

*   **Second Life** — Mundo virtual en 3D online, imaginado y creado por sus residentes.

	[http://secondlife.com/](http://secondlife.com/) || [secondlife-bin](https://aur.archlinux.org/packages/secondlife-bin/)

*   **Spiral Knights** — Juego gratuito basado en Java, desarrollado por Three Rings Design y publicado por Sega.

	[Play in browser](http://www.spiralknights.com/play.xhtml) || [http://www.spiralknights.com/](http://www.spiralknights.com/)

*   **Stendhal** — Juego de aventura multijugador online completo, desarrollado usando el sistema de desarrollos de juegos de Arianne.

	[http://stendhalgame.org](http://stendhalgame.org) || [stendhal](https://aur.archlinux.org/packages/stendhal/)

*   **The Mana World** — Un serio esfuerzo por crear un MMORPG innovador, libre y de código abierto.

	[http://themanaworld.org](http://themanaworld.org) || [mana](https://aur.archlinux.org/packages/mana/)

*   **Vendetta Online** — MMORPG de combate en el espacio en 3D para Windows, Mac, Linux y Android. Este MMO permite a miles de jugadores interactuar como pilotos de naves espaciales en un vasto universo.

	[http://www.vendetta-online.com](http://www.vendetta-online.com) || <small>not packaged? [search in AUR](https://aur.archlinux.org/packages/?K=Vendetta+Online)</small>

*   **Wurm Online** — MMO en 3D producido por Code Club AB que permite a los jugadores elegir entre un juego de pago o gratuito basado en diferentes servidores.

	[Play via Web Start](http://www.wurmonline.com/client/wurmclient.jnlp) || [http://www.wurmonline.com](http://www.wurmonline.com)

## Juegos de plataformas

	Según [Wikipedia](https://en.wikipedia.org/wiki/es:Juegos_de_plataformas "wikipedia:es:Juegos de plataformas")

	*«Los videojuegos de plataformas o, simplemente, plataformas, son un género de videojuegos que se caracterizan por tener que caminar, correr, saltar o escalar sobre una serie de plataformas y acantilados, con enemigos, mientras se recogen objetos para poder completar el juego.»*

Véase el artículo de [Wikipedia](https://en.wikipedia.org/wiki/es:Main_Page "wikipedia:es:Main Page") sobre este asunto para obtener más información: [Videojuego de plataformas](https://en.wikipedia.org/wiki/es:Videojuego_de_plataformas "wikipedia:es:Videojuego de plataformas").

*   **Knyttstories** — Plataformas con elementos de aventura, exploración y niveles escalables.

	[http://nifflas.ni2.se/](http://nifflas.ni2.se/) || [knyttstories](https://aur.archlinux.org/packages/knyttstories/)

*   **Secret Maryo Chronicles** — Juego de estilo Mario.

	[http://www.secretmaryo.org/](http://www.secretmaryo.org/) || [smc](https://aur.archlinux.org/packages/smc/)

*   **SuperTux** — Juego de estio Mario guiado por Tux.

	[http://supertux.lethargik.org/](http://supertux.lethargik.org/) || [supertux](https://www.archlinux.org/packages/?name=supertux)

*   **Toppler** — Reimplementación del clásico juego *saltar y correr* de «Nebulus».

	[http://toppler.sourceforge.net/](http://toppler.sourceforge.net/) || [toppler](https://aur.archlinux.org/packages/toppler/)

## Puzzle

	Según [Wikipedia](https://en.wikipedia.org/wiki/Puzzle "wikipedia:Puzzle")

	*«Un puzzle (o rompecabezas) es un problema o enigma que pone a prueba el ingenio del solucionador. En un puzzle básico, uno tiene para armar piezas de una manera lógica con el fin de llegar a la solución deseada. Los rompecabezas son a menudo inventados como una forma de entretenimiento, pero también pueden plantearse como graves problemas matemáticos o lógicos -en estos casos, la resolución exitosa puede suponer una importante contribución a la investigación matemática-.»*

*   **Cgoban3** — Cliente de Kiseido Go y SGF.

	[http://www.igoweb.org/~wms/comp/cgoban/](http://www.igoweb.org/~wms/comp/cgoban/) || [cgoban](https://www.archlinux.org/packages/?name=cgoban)

*   **Chroma** — Juego de puzzle como Sokoban con ncurses y modalidad gráfica.

	[http://www.level7.org.uk/chroma/](http://www.level7.org.uk/chroma/) || [chroma](https://aur.archlinux.org/packages/chroma/)

*   **Crack Attack!** — Juego OpenGL libre basado en el clásico Tetris Attack de Super Nintendo.

	[http://www.aluminumangel.org/attack/](http://www.aluminumangel.org/attack/) || [crack-attack](https://aur.archlinux.org/packages/crack-attack/)

*   **glChess** — Frontend de ajedrez en 3D.

	[http://live.gnome.org/Chess](http://live.gnome.org/Chess) || [glchess](https://aur.archlinux.org/packages/glchess/)

*   **Gnono** — Versión para GNOME del clásico juego de tarjeta UNO.

	[http://sourceforge.net/projects/gnono/](http://sourceforge.net/projects/gnono/) || <small>not packaged? [search in AUR](https://aur.archlinux.org/packages/?K=gnono)</small>

*   **Hitori** — Aplicación pequeña escrita para permitir a un jugador jugar puzzles del mismo nombre, que es similar en el tema a los rompecabezas más populares, como Sudokus.

	[https://wiki.gnome.org/Apps/Hitori](https://wiki.gnome.org/Apps/Hitori) || [hitori](https://www.archlinux.org/packages/?name=hitori)

*   **Ksudoku** — Juegos de sudoku y mas para KDE. Parte del grupo [kdegames](https://www.archlinux.org/groups/x86_64/kdegames/).

	[http://ksudoku.sourceforge.net/](http://ksudoku.sourceforge.net/) || [kdegames-ksudoku](https://www.archlinux.org/packages/?name=kdegames-ksudoku)

*   **Netris** — Versión de Netris cuyo desarrollo está inacabado, una versión en red libre de Tetris.

	[https://sourceforge.net/projects/netris/](https://sourceforge.net/projects/netris/) || [netris](https://aur.archlinux.org/packages/netris/)

*   **Pingus** — Clon de Lemmings clone, es decir un juego de puzzle basado en niveles.

	[http://pingus.seul.org/](http://pingus.seul.org/) || [pingus](https://www.archlinux.org/packages/?name=pingus)

*   **Portal** — Juego originariamente de Valve. Utiliza Source Engine.

	[http://store.steampowered.com/app/400/](http://store.steampowered.com/app/400/) || Steam

*   **Ri-li** — Juego de juguetes de madera que utiliza el motor GPL.

	[http://ri-li.sourceforge.net/](http://ri-li.sourceforge.net/) || [ri-li](https://aur.archlinux.org/packages/ri-li/)

*   **Simon Tatham's Portable Puzzle Collection.** — Mas de treinta juegos de puzzle «rápidos» con una simple y pulida interfaz basada en GTK.

	[http://www.chiark.greenend.org.uk/~sgtatham/puzzles/](http://www.chiark.greenend.org.uk/~sgtatham/puzzles/) || [puzzles](https://www.archlinux.org/packages/?name=puzzles)

*   **[VVVVVV](https://en.wikipedia.org/wiki/VVVVVV "wikipedia:VVVVVV")** — Muy elogiada plataforma de juegos de puzzles en 2D independiente con un tema retro C64 y con una gran banda sonora chiptune. Se puede comprar la versión completa por £1.67, o jugar la versión [demo](http://www.kongregate.com/games/TerryCavanagh/vvvvvv-demo/) en el navegador.

**Sugerencia:** Es posible que desee realizar una copia de respaldo para guardar su archivo, que se encuentra en `~/.macromedia/Flash_Player/#SharedObjects/*string*/localhost...`.

	[http://thelettervsixtim.es/](http://thelettervsixtim.es/) || [vvvvvv](https://aur.archlinux.org/packages/vvvvvv/)

*   **Xscorch** — Clon del clásico juego para DOS *Scorched Earth*.

	[http://www.xscorch.org/](http://www.xscorch.org/) || [xscorch](https://aur.archlinux.org/packages/xscorch/)

*   **[World of Goo](https://en.wikipedia.org/wiki/World_of_Goo "wikipedia:World of Goo")** — Gran juego de rompecabezas en 2D.

	[http://www.2dboy.com](http://www.2dboy.com) || [worldofgoo](https://aur.archlinux.org/packages/worldofgoo/)

## Juegos de carreras

	Según [Wikipedia](https://en.wikipedia.org/wiki/es:Juegos_de_carreras "wikipedia:es:Juegos de carreras")

	*«Un videojuego de carreras es un videojuego en el que se imitan competencias entre vehículos. Usualmente el objetivo es recorrer cierta distancia o ir de un sitio hacia otro en el menor tiempo posible, como en el automovilismo y el motociclismo (los que generalmente son imitados).»*

*   **Armagetron Advanced** — Clon de Tron en 3D.

	[http://armagetronad.net/](http://armagetronad.net/) || [armagetronad](https://www.archlinux.org/packages/?name=armagetronad)

*   **Extreme Tux Racer** — Juego en 3D en el que Tux, el pingüino, nos guía a través de la nieve y del hielo recogiendo arenques.

	[https://sourceforge.net/projects/extremetuxracer](https://sourceforge.net/projects/extremetuxracer) || [extremetuxracer](https://www.archlinux.org/packages/?name=extremetuxracer)

*   **Maniadrive** — Juego de coches arcade a través de pistas de acrobacia con un escenário rápido y nervioso.

	[http://maniadrive.raydium.org/](http://maniadrive.raydium.org/) || [maniadrive](https://aur.archlinux.org/packages/maniadrive/)

*   **Moon Buggy** — Juego simple para modalidad de texto.

	[http://seehuhn.de/pages/moon-buggy/](http://seehuhn.de/pages/moon-buggy/) || [moon-buggy](https://aur.archlinux.org/packages/moon-buggy/)

*   **Speed Dreams** — Fork de Torcs, con el objetivo de implementar nuevas e interesantes características, así como mejorar el realismo.

	[http://speed-dreams.org/](http://speed-dreams.org/) || [speed-dreams](https://www.archlinux.org/packages/?name=speed-dreams)

*   **Stunt Rally** — Juegos con editor de pistas, basado en VDrift y OGRE.

	[http://code.google.com/p/vdrift-ogre/](http://code.google.com/p/vdrift-ogre/) || [stuntrally](https://www.archlinux.org/packages/?name=stuntrally)

*   **Supertux Kart** — Juego de carreras de Kart con Tux y sus amigos.

	[http://supertuxkart.sourceforge.net/](http://supertuxkart.sourceforge.net/) || [supertuxkart](https://www.archlinux.org/packages/?name=supertuxkart)

*   **Torcs** — Simulador de carreras de coches usando OpenGL.

	[http://torcs.sourceforge.net/](http://torcs.sourceforge.net/) || [torcs](https://www.archlinux.org/packages/?name=torcs)

*   **Trigger Rally** — Juego gratuito de carreras de coches de rally basado en OpenGL.

	[http://sourceforge.net/projects/trigger-rally/](http://sourceforge.net/projects/trigger-rally/) || [trigger](https://aur.archlinux.org/packages/trigger/)

*   **Ultimate Stunts** — Nueva versión del famoso juego de DOS *stunts*.

	[http://www.ultimatestunts.nl/](http://www.ultimatestunts.nl/) || [ultimatestunts](https://aur.archlinux.org/packages/ultimatestunts/)

*   **VDrift** — Simulación de conducción de código abierto hecho pensando en drift.

	[http://vdrift.net/](http://vdrift.net/) || [vdrift](https://www.archlinux.org/packages/?name=vdrift)

*   **[XMoto](https://en.wikipedia.org/wiki/X-Moto "wikipedia:X-Moto")** — Plataforma de juegos de motocross en 2D, donde la física juega un papel importante.

	[http://xmoto.tuxfamily.org/](http://xmoto.tuxfamily.org/) || [xmoto](https://www.archlinux.org/packages/?name=xmoto)

## Juegos roguelike

	Según [Wikipedia](https://en.wikipedia.org/wiki/es:Roguelike "wikipedia:es:Roguelike")

	*«Los videojuegos **roguelike** son juegos generalmente ambientados en mazmorras. Sus principales características son el énfasis en entornos aleatorios, muchos de ellos incluyen muerte permanente (permadeath) y su alto nivel de dificultad.»*

Véase el artículo de [Wikipedia](https://en.wikipedia.org/wiki/es:Main_Page "wikipedia:es:Main Page") sobre este asunto para obtener más información: [Chronology of roguelike video games](https://en.wikipedia.org/wiki/Chronology_of_roguelike_video_games "wikipedia:Chronology of roguelike video games").

*   **[ADOM](https://en.wikipedia.org/wiki/ADOM "wikipedia:ADOM")** — Ancient Domains Of Mystery.

	[http://adom.de](http://adom.de) || [adom](https://aur.archlinux.org/packages/adom/)

*   **[Angband](https://en.wikipedia.org/wiki/Angband_(video_game) "wikipedia:Angband (video game)")** — Juego de roguelike consistente en exploración de mazmorras basado en los escritos del escritor JRR Tolkien.

	[http://rephial.org/](http://rephial.org/) || [angband](https://www.archlinux.org/packages/?name=angband)

*   **ASCIIpOrtal** — Juego de desplazamiento horizontal con gráficos de texto ANSI en el que el usuario es una persona que tiene un dispositivo que crea portales, o enlaces a otras partes del nivel.

	[http://cymonsgames.com/asciiportal](http://cymonsgames.com/asciiportal) || [asciiportal](https://aur.archlinux.org/packages/asciiportal/)

*   **[Crawl](https://en.wikipedia.org/wiki/Linley%27s_Dungeon_Crawl "wikipedia:Linley's Dungeon Crawl") (conocido como Dungeon Crawl** — Dungeon Crawl de Linley).

	[http://www.dungeoncrawl.org/](http://www.dungeoncrawl.org/) || [crawl](https://aur.archlinux.org/packages/crawl/)

*   **[DoomRL](https://en.wikipedia.org/wiki/DoomRL "wikipedia:DoomRL")** — Juego sencillo de roguelike basado en Doom. Perfecto para iniciarse.

	[http://doom.chaosforge.org/](http://doom.chaosforge.org/) || [doomrl](https://aur.archlinux.org/packages/doomrl/)

*   **[Dwarf Fortress](https://en.wikipedia.org/wiki/Dwarf_Fortress "wikipedia:Dwarf Fortress")** — Juego de fantasía de jugador único. Donde se controla un puesto enano o un aventurero en un mundo permanente generado aleatoriamente.

	[http://www.bay12games.com/dwarves/](http://www.bay12games.com/dwarves/) || [dwarffortress](https://www.archlinux.org/packages/?name=dwarffortress)

*   **[Nethack](https://en.wikipedia.org/wiki/NetHack "wikipedia:NetHack")** — Juego de exploración de mazmorras de jugador único.

	[http://www.nethack.org/](http://www.nethack.org/) || [nethack](https://www.archlinux.org/packages/?name=nethack)

*   **[Rogue](https://en.wikipedia.org/wiki/Rogue_(video_game) "wikipedia:Rogue (video game)")** — El juego original de exploración de mazmorras.

	[http://rogue.rogueforge.net/rogue-5-4/](http://rogue.rogueforge.net/rogue-5-4/) || [rogue](https://www.archlinux.org/packages/?name=rogue)

*   **[Stone Soup](https://en.wikipedia.org/wiki/Dungeon_Crawl_Stone_Soup "wikipedia:Dungeon Crawl Stone Soup")** — Dungeon Crawl Stone Soup.

	[http://crawl.develz.org/wordpress/](http://crawl.develz.org/wordpress/) || [stone-soup](https://www.archlinux.org/packages/?name=stone-soup)

*   **Troubles of Middle Earth (ahora Tales of Maj'Eyal)** — Un explorador de mazmorras similar a Angband, basado en la obra de Tolkien.

	[http://tome.te4.org/](http://tome.te4.org/) ([archived old site](http://web.archive.bibalex.org/web/20071212125015rn_1/t-o-m-e.net/main.php?tome_current=0)) || [tome](https://aur.archlinux.org/packages/tome/) [tome3](https://aur.archlinux.org/packages/tome3/) [tome4](https://aur.archlinux.org/packages/tome4/)

## Juegos de rol (<small>siglas en inglés</small> RPG)

	Según [Wikipedia](https://en.wikipedia.org/wiki/es:Videojuego_de_rol "wikipedia:es:Videojuego de rol")

	*«Un juego de rol (traducción típica en español del inglés role-playing game, literalmente "juego de interpretación de papeles") es un juego en el que, tal como indica su nombre, uno o más jugadores desempeñan un determinado rol, papel o personalidad.»*

*   **Arx Libertatis** — Este proyecto es completamente funcional, con puerto de código abierto de Arx Fatalis, un juego de rol en primera persona desarrollado por Arkane Studios en 2002\. Cuenta con algunas mejoras sobre el motor original como correcciones de errores y soporte para pantalla ancha.

	[http://arx-libertatis.org/](http://arx-libertatis.org/) || [arx-libertatis](https://aur.archlinux.org/packages/arx-libertatis/)

*   **Egoboo** — Juego RPG/mazmorras de acción y aventura de código abierto, con gráficos en 3D basado en OpenGL.

	[http://egoboo.sourceforge.net/](http://egoboo.sourceforge.net/) || [egoboo](https://aur.archlinux.org/packages/egoboo/)

*   **[Eschalon: Book I](https://en.wikipedia.org/wiki/Eschalon:_Book_I "wikipedia:Eschalon: Book I")** — Clásico RPG isométrico como Ultima, Might & Magic o Wizardry.

	[http://basiliskgames.com/](http://basiliskgames.com/) || [eschalon1](https://aur.archlinux.org/packages/eschalon1/)

*   **[Eschalon: Book II](https://en.wikipedia.org/wiki/Eschalon:_Book_II "wikipedia:Eschalon: Book II")** — Juego RPG isométrico basado en turnos.

	[http://basiliskgames.com/](http://basiliskgames.com/) || [eschalon2](https://aur.archlinux.org/packages/eschalon2/)

*   **fheores2** — Un intento de reimplementar el juego [Heroes of Might and Magic II](https://en.wikipedia.org/wiki/Heroes_of_Might_and_Magic_II "wikipedia:Heroes of Might and Magic II") usando el motor SDL.

	[http://sourceforge.net/apps/mediawiki/fheroes2/index.php](http://sourceforge.net/apps/mediawiki/fheroes2/index.php) || [fheroes2-svn](https://aur.archlinux.org/packages/fheroes2-svn/)

*   **Flare** — Juego de acción similar a Diablo.

	[http://www.flarerpg.org/](http://www.flarerpg.org/) || [flare-rpg](https://aur.archlinux.org/packages/flare-rpg/)

*   **FreedroidRPG** — Juego de rol de ciencia ficción maduro ambientado en el futuro.

	[http://freedroid.org/](http://freedroid.org/) || [freedroidrpg](https://www.archlinux.org/packages/?name=freedroidrpg)

*   **GemRB** — Un intento de reimplementar el juego [Bioware's Infinity Engine](https://en.wikipedia.org/wiki/Infinity_Engine "wikipedia:Infinity Engine") bajo licencia GNU GPL.

	[http://www.gemrb.org/](http://www.gemrb.org/) || [gemrb](https://www.archlinux.org/packages/?name=gemrb)

*   **OpenMW** — Un intento de reimplementar el popular juego de rol [Morrowind](https://en.wikipedia.org/wiki/Morrowind "wikipedia:Morrowind"). OpenMW pretende ser una completamente jugable, con la implementación de código abierto del motor del juego.

	[http://openmw.org](http://openmw.org) || [openmw](https://www.archlinux.org/packages/?name=openmw)

*   **[Sacred Gold](https://en.wikipedia.org/wiki/Sacred_(video_game) "wikipedia:Sacred (video game)")** — Juego de rol Hack'n Slay al estilo de Diablo.

**Sugerencia:** Si se ejecuta en una resolución baja (netbook, etc.) o bien juega en un monitor externo, pero no puede ver la barra de habilidades/acción, pruebe moviendo la ventana pulsando `Alt+botón principal del ratón`. Si puede ver la barra de acción, pero después no puede ver ninguna otra barra bien, envíe un email a Michael desde linuxgamepublishing.com y pida una solución - sería genial si pudiéramos disfrutar plenamente de este juego en netbooks con Linux.

	[http://forum.sacred2.com](http://forum.sacred2.com) || <small>not packaged? [search in AUR](https://aur.archlinux.org/packages/?K=Sacred)</small>

*   **VCMI** — Un intento de reimplementar el juego [Heroes of Might and Magic III](https://en.wikipedia.org/wiki/Heroes_of_Might_and_Magic_III "wikipedia:Heroes of Might and Magic III").

	[http://forum.vcmi.eu/portal.php](http://forum.vcmi.eu/portal.php) || [vcmi-svn](https://aur.archlinux.org/packages/vcmi-svn/)

*   **Vulture** — Interfaz gráfica isométrica para NetHack, SlashEM y UnNethack.

	[http://www.darkarts.co.za/vulture](http://www.darkarts.co.za/vulture) || [vulture](https://aur.archlinux.org/packages/vulture/)

## Juegos de disparos (<small>siglas en inglés</small> FPS, Third Person)

	Según [Wikipedia](https://en.wikipedia.org/wiki/es:Juegos_de_disparos "wikipedia:es:Juegos de disparos")

	*«Los videojuegos de disparos o **shooters** (...) tienen la característica común de permitir controlar un personaje que, por norma general, dispone de un arma (mayoritariamente de fuego) que puede ser disparada a voluntad. (...) El jugador puede ver **disparos en primera persona** (en inglés first person shooter) o desde una cámara que sigue al personaje por la espalda desde una cierta distancia y elevación (**tercera persona, en inglés third-person shooter**). También es posible (aunque poco frecuente en el género) encontrar juegos que disponen de una cámara fija.»*

Véase el artículo de [Wikipedia](https://en.wikipedia.org/wiki/es:Main_Page "wikipedia:es:Main Page") sobre este asunto para obtener más información: [List of third-person shooters](https://en.wikipedia.org/wiki/List_of_third-person_shooters "wikipedia:List of third-person shooters").

*   **Alien Arena** — Juego FPS, independiente y gratuito, centrado principalmente en el modo multijugador en línea, pero también puede jugar un solo jugador contra robots.

	[http://red.planetarena.org/](http://red.planetarena.org/) || [alienarena](https://www.archlinux.org/packages/?name=alienarena)

*   **AssaultCube** — Juego FPS multijugador gratuito, basado en el motor de cube. Entornos realistas, rápido, juego de arcade. Parecido a Counter-Strike .

	[http://assault.cubers.net/](http://assault.cubers.net/) || [assaultcube](https://www.archlinux.org/packages/?name=assaultcube)

*   **AssaultCube Reloaded** — Mejora de AssaultCube.

	[http://acr.victorz.ca](http://acr.victorz.ca) || [assaultcube-reloaded](https://aur.archlinux.org/packages/assaultcube-reloaded/)

*   **Counter-Strike** — Juego FPS semirrealista, basado en equipos. También está disponible Condition Zero.

	[http://store.steampowered.com/app/10/](http://store.steampowered.com/app/10/) || Steam

*   **Counter-Strike Source** — Juego FPS semirrealista, basado en equipos que usa Source Engine.

	[http://store.steampowered.com/app/240/](http://store.steampowered.com/app/240/) || Steam

*   **[Cube](https://en.wikipedia.org/wiki/Cube_(video_game) "wikipedia:Cube (video game)")** — Juego de disparos en primera persona, multijugador y de jugador único, de código abierto.

	[http://cubeengine.com/](http://cubeengine.com/) || [cube](https://aur.archlinux.org/packages/cube/)

*   **[Cube 2: Sauerbraten](https://en.wikipedia.org/wiki/Cube_2:_Sauerbraten "wikipedia:Cube 2: Sauerbraten")** — Versión mejorada del motor Cube.

	[http://sauerbraten.org/](http://sauerbraten.org/) || [sauerbraten](https://www.archlinux.org/packages/?name=sauerbraten)

*   **Day of Defeat** — Juego FPS en línea WWII.

	[http://store.steampowered.com/app/30/](http://store.steampowered.com/app/30/) || Steam

*   **Day of Defeat: Source** — Juego FPS en línea WWII. Utiliza Source Engine. Aún en beta desde julio de 2013.

	[http://store.steampowered.com/app/300/](http://store.steampowered.com/app/300/) || Steam

*   **Deathmatch Classic** — Modificación de Half-Life al modo multijugador de combate a muerte.

	[http://store.steampowered.com/app/40/](http://store.steampowered.com/app/40/) || Steam

*   Doom: el famoso shooter de ID Software tiene varios puertos para Linux. Ninguno de los identificadores del motor del juego es distribuido como recursos copyleft del juego, únicamente el código del motor del juego es distribuido como open sourced. Véase [[1]](http://doom.wikia.com/wiki/Source_port) para más detalles.

*   Datos de Doom 1 Demo – [doom1-wad](https://aur.archlinux.org/packages/doom1-wad/)
*   **Freedoom** — Proyecto dirigido a la creación de archivos de datos de Doom gratuitos.

	[http://www.nongnu.org/freedoom/](http://www.nongnu.org/freedoom/) || [freedoom](https://aur.archlinux.org/packages/freedoom/)

*   **Chocolate Doom** — Puerto de Doom que reproduce el comportamiento de la versión original de DOS.

	[http://www.chocolate-doom.org/](http://www.chocolate-doom.org/) || [chocolate-doom](https://aur.archlinux.org/packages/chocolate-doom/)

*   **Doomsday** — Puerto avanzado para el motor del juego de Doom, con capacidad también para ejecutar juegos como Heretic y Hexen.

	[http://www.dengine.net/](http://www.dengine.net/) || [doomsday](https://aur.archlinux.org/packages/doomsday/)

*   **GZDoom** — Puerto de suministro de Doom basado en ZDoom con un renderizado OpenGL.

	[http://www.osnanet.de/c.oelckers/gzdoom/index.html](http://www.osnanet.de/c.oelckers/gzdoom/index.html) || [gzdoom](https://aur.archlinux.org/packages/gzdoom/)

*   **PrBoom Plus** — Versión ampliada del puerto del motor PrBoom Doom.

	[http://prboom-plus.sourceforge.net/](http://prboom-plus.sourceforge.net/) || [prboom-plus](https://aur.archlinux.org/packages/prboom-plus/)

*   **Remood** — Motor avanzado del juego Doom basado en Doom Legacy.

	[http://remood.org/](http://remood.org/) || [remood](https://aur.archlinux.org/packages/remood/)

*   **Strawberry Doom** — Fork de Chocolate Doom levantando ciertas limitaciones del motor.

	[http://doom.wikia.com/wiki/Strawberry_Doom](http://doom.wikia.com/wiki/Strawberry_Doom) || [strawberry-doom-svn](https://aur.archlinux.org/packages/strawberry-doom-svn/)

*   **Vavoom** — Alternativa avanzada para el puerto del motor de Doom con soporte añadido para Heretic/Hexen/Strife.

	[http://vavoom-engine.com/](http://vavoom-engine.com/) || [vavoom](https://aur.archlinux.org/packages/vavoom/)

*   **ZDoom** — Puerto mejorado de Doom con soporte adicional para Heretic, Hexen y Strife.

	[http://www.zdoom.org/](http://www.zdoom.org/) || [zdoom](https://aur.archlinux.org/packages/zdoom/)

*   **Doom 3** — Stock del binario Doom 3.

	[http://www.idsoftware.com/games](http://www.idsoftware.com/games) || [doom3-bin](https://aur.archlinux.org/packages/doom3-bin/)

*   **Doom 3 Engine** — Motor de Doom 3 basado en las fuentes.

	[http://www.idsoftware.com/games](http://www.idsoftware.com/games) || [doom3](https://aur.archlinux.org/packages/doom3/)

*   **ezQuake** — Juego FPS multijugador rápido que se centra en los trucos de movimientos y de saltos. Cliente Quake/QuakeWorld popular, moderno y mantenido. Es necesaria la configuración manual tras la instalación. Se puede jugar en línea gratis.

	[http://ezquake.sourceforge.net/](http://ezquake.sourceforge.net/) || [ezquake](https://aur.archlinux.org/packages/ezquake/)

*   Duke Nukem 3D

*   **Duke 3D** — Puerto original.

	[http://icculus.org/projects/duke3d/](http://icculus.org/projects/duke3d/) || [duke3d-svn](https://aur.archlinux.org/packages/duke3d-svn/)

*   **eduke32** — Puerto de suministro avanzado.

	[http://eduke32.com/](http://eduke32.com/) || [eduke32](https://aur.archlinux.org/packages/eduke32/)

*   **[Enemy Territory: Quake Wars](https://en.wikipedia.org/wiki/Enemy_Territory:_Quake_Wars "wikipedia:Enemy Territory: Quake Wars")** — Juego multijugador basado en clases y de equipo comercial. La versión completa requiere el DVD para poder jugar.

	[http://zerowing.idsoftware.com/linux/etqw/](http://zerowing.idsoftware.com/linux/etqw/) || [etqw](https://aur.archlinux.org/packages/etqw/)

*   **Half-Life** — Juego FPS de ciencia ficción. Tiene dos extensiones, *Opposing Force* y *Blue Shift*, que están también disponibles.

	[http://store.steampowered.com/app/70/](http://store.steampowered.com/app/70/) || Steam

*   **Half-Life 2** — Juego FPS de ciencia ficción. También hay expansiones disponibles Lost Coat, Episode One y Epise Two. En fase beta desde julio de 2013.

	[http://store.steampowered.com/app/220/](http://store.steampowered.com/app/220/) || Steam

*   **HHeretic** — Puerto para Linux del viejo juego de disparos de Raven, Heretic.

	[http://hhexen.sourceforge.net/hheretic.html](http://hhexen.sourceforge.net/hheretic.html) || [hheretic](https://aur.archlinux.org/packages/hheretic/)

*   Datos del juego Heretic Demo – [heretic1-wad](https://aur.archlinux.org/packages/heretic1-wad/)
*   **Blasphemer** — Proyecto dirigido a la creación de archivos de datos de Heretic.

	[http://code.google.com/p/blasphemer/](http://code.google.com/p/blasphemer/) || [blasphemer](https://aur.archlinux.org/packages/blasphemer/)

*   **HHexen** — Puerto para Linux del viejo juego de disparos de Raven, Hexen.

	[http://hhexen.sourceforge.net/hhexen.html](http://hhexen.sourceforge.net/hhexen.html) || [hhexen](https://aur.archlinux.org/packages/hhexen/)

*   Datos del juego Hexen 1 Demo – [hexen1-wad](https://aur.archlinux.org/packages/hexen1-wad/)

*   **Left 4 Dead 2** — Juego de supervivencia de terror colectivo. Utiliza Source Engine.

	[http://store.steampowered.com/app/550/](http://store.steampowered.com/app/550/) || Steam

*   **Nexuiz** — Juego de disparos en primera persona, libre y de código abierto. Desarrollo cesado, la mayoría de los desarrolladores se trasladaron al proyecto [Xonotic](http://xonotic.org/).

	[http://alientrap.org/nexuiz](http://alientrap.org/nexuiz) || [nexuiz](https://aur.archlinux.org/packages/nexuiz/)

*   **nQuake** — Juego FPS multijugador de ritmo rápido enfocado a trucos de movimientos y saltos. Este es el popular paquete Quake/QuakeWorld, que incluye el cliente ezQuake, texturas de 24bit, mapas, robots y más. Se configura automáticamente después de la instalación. Se puede jugar en línea gratis.

	[http://nquake.sourceforge.net/](http://nquake.sourceforge.net/) || <small>not packaged? [search in AUR](https://aur.archlinux.org/packages/?K=nquake)</small>

*   **Open Arena** — Juego shooter multijugador rápido basado en el motor de Quake 3.

	[http://openarena.ws](http://openarena.ws) || [openarena](https://aur.archlinux.org/packages/openarena/)

*   **[Prey](https://en.wikipedia.org/wiki/Prey_(video_game) "wikipedia:Prey (video game)")** — Juego de disparos en primera persona lanzado en 2006 (con un puerto para GNU/Linux en el 2008), publicado por 3D Realms.

	[http://www.3drealms.com/prey/index.html](http://www.3drealms.com/prey/index.html) || [prey](https://aur.archlinux.org/packages/prey/)

*   Quake

*   Motor de juego avanzado Quake 1 – [darkplaces](https://aur.archlinux.org/packages/darkplaces/)
*   Otro puerto moderno para el motor de Quake1 – [fitzquake](https://aur.archlinux.org/packages/fitzquake/)
*   Proyecto gratuito que reemplaza el contenido de Quake 1 – [oqplus-svn](https://aur.archlinux.org/packages/oqplus-svn/)
*   Texturas de alta calidad para Quake del proyecto Quake Revitalization Project – [quake-qrp-textures](https://aur.archlinux.org/packages/quake-qrp-textures/)

*   **Quake 2** — Compilado por Icculus

	[http://www.icculus.org/quake2/](http://www.icculus.org/quake2/) || [quake2](https://aur.archlinux.org/packages/quake2/)

*   Motor avanzado de Quake 2 – [qudos-svn](https://aur.archlinux.org/packages/qudos-svn/)
*   Motor mejorado de Quake 2 con soporte para mod Lazarus – [kmquake2](https://aur.archlinux.org/packages/kmquake2/)
*   Un paquete que proporcina retexturación de color auténtico para Quetoo y otros motores para Quake2 con soporte de texturas tga 32bpp – [quake2-retexture](https://aur.archlinux.org/packages/quake2-retexture/)
*   Motor de Quake 2 enfocado a un solo jugador y 64bits. [yamagi-quake2](https://aur.archlinux.org/packages/yamagi-quake2/)

*   Quake III Arena

*   Binarios de Quake III Arena – [quake3](https://aur.archlinux.org/packages/quake3/)
*   **ioquake3** — De hecho la distribución FOSS de Quake 3.

	[http://ioquake3.org/](http://ioquake3.org/) || [ioquake3](https://aur.archlinux.org/packages/ioquake3/)

*   Quake 4

*   Vesión Demo – [quake4-demo](https://aur.archlinux.org/packages/quake4-demo/)
*   Motor Quake 4 – [quake4](https://aur.archlinux.org/packages/quake4/)

*   **Quake Live** — Juego shooter MMo ejecutable en un navegador como plugin.

	[http://www.quakelive.com/](http://www.quakelive.com/) || [quakelive](https://aur.archlinux.org/packages/quakelive/)

*   **[Red Eclipse](https://en.wikipedia.org/wiki/Red_Eclipse "wikipedia:Red Eclipse")** — Juego shooter multijugador y de jugador único, compilado como una revisión total de Cube Engine 2.

	[http://redeclipse.net](http://redeclipse.net) || [redeclipse](https://aur.archlinux.org/packages/redeclipse/)

*   **Ricochet** — Batallas futuristas en la arena.

	[http://store.steampowered.com/app/60/](http://store.steampowered.com/app/60/) || Steam

*   **[Serious Sam: The First Encounter](https://en.wikipedia.org/wiki/Serious_Sam "wikipedia:Serious Sam")** — Juego FPS de ritmo rápido y trepidante donde el jugador tiene que enfrentarse a enormes oleadas de enemigos.

	[Instaladores de Linux para juegos de Linux](http://liflg.org/?catid=6&gameid=71) || <small>not packaged? [search in AUR](https://aur.archlinux.org/packages/?K=serioussam)</small>

*   **[Serious Sam: The Second Encounter](https://en.wikipedia.org/wiki/Serious_Sam "wikipedia:Serious Sam")** — Juego FPS de ritmo rápido y trepidante donde el jugador tiene que enfrentarse a enormes oleadas de enemigos.

	[Instaladores de Linux para juegos de Linux](http://liflg.org/?catid=6&gameid=71) || <small>not packaged? [search in AUR](https://aur.archlinux.org/packages/?K=serioussam)</small>

*   **[Serious Sam II](https://en.wikipedia.org/wiki/Serious_Sam_II "wikipedia:Serious Sam II")** — Juego FPS de ritmo rápido y trepidante donde el jugador tiene que enfrentarse a enormes oleadas de enemigos.

	[Instaladores de Linux para juegos de Linux](http://liflg.org/?catid=6&gameid=83) || <small>not packaged? [search in AUR](https://aur.archlinux.org/packages/?K=serioussam2)</small>

*   **[Serious Sam 3: BFE](https://en.wikipedia.org/wiki/Serious_Sam_3:_BFE "wikipedia:Serious Sam 3: BFE")** — Juego FPS de ritmo rápido y trepidante donde el jugador tiene que enfrentarse a enormes oleadas de enemigos.

	[http://www.serioussam.com](http://www.serioussam.com) || Steam

*   **Team Fortress Classic** — Juego FPS online basado en clases.

	[http://store.steampowered.com/app/20/](http://store.steampowered.com/app/20/) || Steam

*   **Team Fortress 2** — Juego FPS en línea basado ​​en clases con estilo de dibujos animados. Utiliza Source Engine.

	[http://store.steampowered.com/app/440/](http://store.steampowered.com/app/440/) || Steam

*   **[Tremulous](https://en.wikipedia.org/wiki/Tremulous "wikipedia:Tremulous")** — Juego FPS con elementos de estrategia en tiempo real, que incluye humanos y extraterrestres.

	[http://tremulous.net/](http://tremulous.net/) || [tremulous](https://aur.archlinux.org/packages/tremulous/)

*   **[Unreal Tournament (UT99)](https://en.wikipedia.org/wiki/Unreal_Tournament "wikipedia:Unreal Tournament")** — Trepidante juego shooter en primera persona con combates en la arena.

	[http://www.unrealtournament2004.com/utgoty/](http://www.unrealtournament2004.com/utgoty/) || [ut1999](https://aur.archlinux.org/packages/ut1999/)

*   **[Unreal Tournament 2003 (UT2003)](https://en.wikipedia.org/wiki/Unreal_Tournament_2003 "wikipedia:Unreal Tournament 2003")** — Trepidante juego shooter en primera persona con combates en la arena.

	[http://www.unrealtournament.com](http://www.unrealtournament.com) || <small>not packaged? [search in AUR](https://aur.archlinux.org/packages/?K=ut2003)</small>

*   **[Unreal Tournament 2004 (UT2004)](https://en.wikipedia.org/wiki/Unreal_Tournament_2004 "wikipedia:Unreal Tournament 2004")** — Trepidante juego shooter en primera persona con combates en la arena. UT2004 es casi un superconjunto de UT2003.

	[http://www.unrealtournament2004.com](http://www.unrealtournament2004.com) || [ut2004](https://aur.archlinux.org/packages/ut2004/) para la versión comercial, [ut2004-anthology](https://aur.archlinux.org/packages/ut2004-anthology/) para la versión antológica.

*   **Unvanquished** — Juego basado en equipos de tipo híbrido fps/rts que enfrenta a alielígenas contra seres humanos. Liberación mensual que se puede jugar en servidores oficiales.

	[http://unvanquished.net/](http://unvanquished.net/) || [unvanquished](https://aur.archlinux.org/packages/unvanquished/)

*   **[Urban Terror](/index.php/Urban_Terror "Urban Terror")** — Juego FPS multijugador moderno basado en el motor ioquake3.

	[http://urbanterror.info](http://urbanterror.info) || [urbanterror](https://www.archlinux.org/packages/?name=urbanterror)

*   **[Warsow](https://en.wikipedia.org/wiki/Warsow_(game) "wikipedia:Warsow (game)")** — Juego FPS multijugador de ritmo rápido que se centra en trucos de movimiento y de saltos.

	[http://warsow.net](http://warsow.net) || [warsow](https://www.archlinux.org/packages/?name=warsow)

*   [Wolfenstein: Enemy Territory](/index.php/Wolfenstein:_Enemy_Territory "Wolfenstein: Enemy Territory")

*   FPS totalmente gratis, independiente, basado en equipos, multijugador – [enemy-territory](https://aur.archlinux.org/packages/enemy-territory/)
*   Fork avanzado de código abierto del motor ET, con cliente y servidor completamente compatibles – [etlegacy](https://aur.archlinux.org/packages/etlegacy/)
*   Fork avanzado de código abierto del motor ET – [iowolfet-hg](https://aur.archlinux.org/packages/iowolfet-hg/), [bin32-iowolfet-hg](https://aur.archlinux.org/packages/bin32-iowolfet-hg/)

*   **World Of Padman** — Soporte de slone somplex – juego shooter multijugador en primera persona al estilo de dibujos animados.

	[http://worldofpadman.net/website](http://worldofpadman.net/website) || [worldofpadman](https://aur.archlinux.org/packages/worldofpadman/)

*   **Xonotic** — Gratuito, juego shooter en primera persona de código abierto (un fork de Nexuiz, pero con un juego modificado).

	[http://xonotic.org](http://xonotic.org) || [xonotic](https://www.archlinux.org/packages/?name=xonotic)

*   Blood Frontier – FPS multijugador orientado a equipos basado en el motor (Sauerbraten) de Cube2.
*   [Tesseract](http://tesseract-fps.sourceforge.net)
*   [Futuristic Arenas](http://www.javagameplay.com/futuristicarenas/medium.html)
*   [Jake 2](http://www.bytonic.de/downloads/jake2_jogl11.jnlp)
*   [Scared](http://www.pulpgames.net/scared/)
*   [True Combat: Elite(TCE)](http://www.truecombatelite.com/) - Completamente gratuito, realista, es una modificación de Enemy Territory basado en equipos.
*   [TUER](http://tuer.sourceforge.net)
*   [Ancient Arenas](http://www.javagameplay.com/ancientarenas/medium.html)

## Simulación

	Según [Wikipedia](https://en.wikipedia.org/wiki/Simulation_game "wikipedia:Simulation game")

	*«Un juego de simulación intenta copiar diversas actividades de la "vida real" en forma de juego con ciertos propósitos: formación, análisis o predicción. Por lo general, no hay metas definidas estrictamente en el juego, con jugadores a los que se les permite controlar libremente un personaje. Los ejemplos más conocidos son los juegos de guerra, juegos de negocios y juegos de roles.*

*   **Beyond The Red Line** — Completamente libre, conversión independiente de Freespace 2 basado en la serie de televisión Battlestar Galactica.

	[http://www.beyondtheredline.net/](http://www.beyondtheredline.net/) || [btrl](https://aur.archlinux.org/packages/btrl/)

*   **Bygfoot** — Juego de gestión de fútbol.

	[http://bygfoot.sourceforge.net/](http://bygfoot.sourceforge.net/) || [bygfoot](https://aur.archlinux.org/packages/bygfoot/)

*   **[Danger from the Deep](https://en.wikipedia.org/wiki/Danger_from_the_Deep "wikipedia:Danger from the Deep")** — Simulador de submarino.

	[http://dangerdeep.sourceforge.net/](http://dangerdeep.sourceforge.net/) || [dangerdeep-svn](https://aur.archlinux.org/packages/dangerdeep-svn/)

*   **[Flight Gear](https://en.wikipedia.org/wiki/Flight_Gear "wikipedia:Flight Gear")** — Simulador de vuelo multiplataforma, de código abierto.

	[http://www.flightgear.org/](http://www.flightgear.org/) || [flightgear](https://www.archlinux.org/packages/?name=flightgear)

*   **[Foobillard++](https://en.wikipedia.org/wiki/FooBillard "wikipedia:FooBillard")** — Sucesor de FooBillard, juego de billar para Linux basado en OpenGL.

	[http://foobillardplus.sourceforge.net/](http://foobillardplus.sourceforge.net/) || [foobillard++](https://www.archlinux.org/packages/?name=foobillard%2B%2B)

*   **[FreeSpace 2](https://en.wikipedia.org/wiki/FreeSpace_2 "wikipedia:FreeSpace 2")** — Emulador del espacio open sourced.

	[http://icculus.org/freespace2/](http://icculus.org/freespace2/) || [fs2_open](https://aur.archlinux.org/packages/fs2_open/)

*   **Pydance** — Juego de baile estilo Dance Revolution basado en Python.

	[http://icculus.org/pyddr/](http://icculus.org/pyddr/) || <small>not packaged? [search in AUR](https://aur.archlinux.org/packages/?K=pydance)</small>

*   **[Stepmania](https://en.wikipedia.org/wiki/Stepmania "wikipedia:Stepmania")** — Juego de simulación de baile avanzado.

	[http://www.stepmania.com/](http://www.stepmania.com/) || [stepmania](https://aur.archlinux.org/packages/stepmania/)

*   **VegaStrike** — Simulación de juego de acción espacial que permite al jugador comerciar y cazar recompensas en un vasto universo.

	[http://vegastrike.sourceforge.net/](http://vegastrike.sourceforge.net/) || [vegastrike](https://aur.archlinux.org/packages/vegastrike/)

## Estrategia

	Según [Wikipedia](https://en.wikipedia.org/wiki/es:Juego_de_estrategia "wikipedia:es:Juego de estrategia")

	*«Juegos de estrategia son aquellos juegos o entretenimientos en los que, el factor de la inteligencia, habilidades técnicas y planificación y despliegue, pueden hacer predominar o impulsar al jugador hacia la victoria del juego.*

	*Los jugadores pueden representar el papel de un empresario, un jefe de estado, un general, o cualquier otro personaje, en los que tendrán que desarrollar una serie de estrategias, gestionando los recursos de los que se dispone, para ganar una batalla, conseguir dinero o puntos, determinada posición, etc., y así conseguir el objetivo final.»*

*   **[0 A.D.](https://en.wikipedia.org/wiki/0_A.D._(video_game) "wikipedia:0 A.D. (video game)")** — Juego de estrategia en tiempo real basado en la historia en 3D, actualmente en varsión alpha.

	[http://play0ad.com/](http://play0ad.com/) || [0ad](https://www.archlinux.org/packages/?name=0ad)

*   **Advanced Strategic Command** — Juego de estrategia basado en turnos siguiendo la tradición de las series Battle Isle.

	[http://www.asc-hq.org/](http://www.asc-hq.org/) || [asc](https://aur.archlinux.org/packages/asc/)

*   **Boson** — Juego de estrategia en tiempo real basado en OpenGL, con cierto aire que recuerda a Command&Conquer(tm) o StarCraft(tm).

	[http://boson.sourceforge.net/](http://boson.sourceforge.net/) || <small>not packaged? [search in AUR](https://aur.archlinux.org/packages/?K=boson)</small>

*   **Crimson Fields** — Juego de guerra táctico en la línea de Battle Isle.

	[http://crimson.seul.org/](http://crimson.seul.org/) || [crimson](https://aur.archlinux.org/packages/crimson/)

*   **Dark Oberon** — Juego de estrategia en tiempo real de código abierto, similar a Warcraft II.

	[http://dark-oberon.sourceforge.net/](http://dark-oberon.sourceforge.net/) || [dark-oberon](https://aur.archlinux.org/packages/dark-oberon/)

*   **Dota 2** — La secuela del famoso mapa *Defense of the Ancient* de WarCraft III, que a su vez se basaba en el popular mapa *Aeon of Strife* de StarCraft.

	[http://store.steampowered.com/app/570/](http://store.steampowered.com/app/570/) || Steam

*   **[Endgame Singularity](https://en.wikipedia.org/wiki/Endgame:_Singularity "wikipedia:Endgame: Singularity")** — Juego de jugador único a turno, de estrategia/simulación, sobre escondites, crecimiento y evolución.

	[http://www.emhsoft.com/singularity/](http://www.emhsoft.com/singularity/) || [singularity](https://www.archlinux.org/packages/?name=singularity)

*   **[Freeciv](https://en.wikipedia.org/wiki/Freeciv "wikipedia:Freeciv")** — Clon multiusuario del famoso juego Civilization de Microprose.

	[http://freeciv.wikia.com/wiki/Main_Page](http://freeciv.wikia.com/wiki/Main_Page) || [freeciv](https://www.archlinux.org/packages/?name=freeciv)

*   **[FreeCol](https://en.wikipedia.org/wiki/FreeCol "wikipedia:FreeCol")** — Juego de estrategia basado en turnos inspirado en Colonization.

	[http://www.freecol.org/](http://www.freecol.org/) || [freecol](https://www.archlinux.org/packages/?name=freecol)

*   **[FTL: Faster Than Light](https://en.wikipedia.org/wiki/FTL:_Faster_Than_Light "wikipedia:FTL: Faster Than Light")** — Popular juego de simulación espacial estilo rogue, liberado con buena aceptación en 2012.

	[http://www.ftlgame.com/](http://www.ftlgame.com/) || [ftl](https://aur.archlinux.org/packages/ftl/)

*   **[Glest](https://en.wikipedia.org/wiki/Glest "wikipedia:Glest")** — Juego gratuito en 3D de estrategia en tiempo real, donde se controla a los ejércitos de dos facciones diferentes: Tech, que se compone principalmente de guerreros y dispositivos mecánicos, y Magic, que prefiere magos y criaturas invocadas en el campo de batalla.

	[http://glest.org](http://glest.org) || [glest](https://aur.archlinux.org/packages/glest/)

*   **Globulation 2** — Juego RTS multijugador con algunos elementos «económicos» que minimizan la capacidad de microgestión.

	[http://globulation2.org/wiki/Main_Page](http://globulation2.org/wiki/Main_Page) || [glob2](https://www.archlinux.org/packages/?name=glob2)

*   **Lgeneral** — Motor de estrategia por turnos, inspirado en gran medida por los Panzer General.

	[http://lgames.sourceforge.net/index.php?project=LGeneral](http://lgames.sourceforge.net/index.php?project=LGeneral) || [lgeneral](https://aur.archlinux.org/packages/lgeneral/)

*   **[MegaGlest](https://en.wikipedia.org/wiki/MegaGlest "wikipedia:MegaGlest")** — Fork de Glest, un juego en 3D de estrategia en tiempo real, basado en un mundo de fantasía.

	[http://sourceforge.net/projects/megaglest/](http://sourceforge.net/projects/megaglest/) || [megaglest](https://www.archlinux.org/packages/?name=megaglest)

*   **[Netpanzer](https://en.wikipedia.org/wiki/Netpanzer "wikipedia:Netpanzer")** — Juego de estrategia en tiempo real como Command y Conquer, pero sin compilar las bases.

	[http://www.netpanzer.org/](http://www.netpanzer.org/) || [netpanzer](https://aur.archlinux.org/packages/netpanzer/)

*   **Spring** — Motor de juego de estrategia en tiempo real inspirado en el juego *Total Annihilation*.

	[http://springrts.com/wiki/Games](http://springrts.com/wiki/Games) || [spring](https://www.archlinux.org/packages/?name=spring)

*   **Kernel Panic** — Un juego basado en un combate dentro de un ordenador, con 3 partes únicas: el sistema, el pirata informático y la Red, para hacer la guerra en una matriz de DOOM. No existe limitación de recursos en el juego KP, donde las únicas restricciones son el tiempo y el espacio.

	[http://springrts.com/wiki/Kernel_Panic](http://springrts.com/wiki/Kernel_Panic) || [spring-kp](https://www.archlinux.org/packages/?name=spring-kp)

*   **Spring: 1944** — Spring:1944 es un juego temático de la Segunda Guerra Mundial con cuatro lados completamente funcionales (EE.UU., Alemania, Unión Soviética, Gran Bretaña), con unidades de tiempo precisas y concretas. El realismo queda en segundo lugar en un juego que es divertido y accesible para jugar.

	[http://spring1944.org/](http://spring1944.org/) || [spring-1944](https://www.archlinux.org/packages/?name=spring-1944)

*   **[The Battle for Wesnoth](https://en.wikipedia.org/wiki/The_Battle_for_Wesnoth "wikipedia:The Battle for Wesnoth")** — Juego gratuito, por turnos, de estrategia táctica con un tema de gran fantasía, que ofrece tanto la modalidad de combate de jugador único como multijugador online/hotseat.

	[http://www.wesnoth.org/](http://www.wesnoth.org/) || [wesnoth](https://www.archlinux.org/packages/?name=wesnoth)

*   **UFO Alien Invasion** — Lucha contra alienígenas que tratan de invadir la Tierra .

	[http://ufoai.ninex.info/wiki/index.php/News](http://ufoai.ninex.info/wiki/index.php/News) || [ufoai](https://www.archlinux.org/packages/?name=ufoai)

*   **[Unknown Horizons](https://en.wikipedia.org/wiki/Unknown_Horizons "wikipedia:Unknown Horizons")** — Juego isométrico 2.5D de simulación de estrategia en tiempo real con un énfasis en la economía y la construcción de una ciudad. Amplíe el pequeño asentamiento de una colonia para hacerlo fuerte y rico, recaude impuestos y suministre a sus habitantes objetos de valor. Aumenta su poder con una economía bien equilibrada, y con un comercio y diplomacia estratégicos.

	[http://www.unknown-horizons.org/](http://www.unknown-horizons.org/) || [unknown-horizons-git](https://aur.archlinux.org/packages/unknown-horizons-git/)

*   **[Widelands](https://en.wikipedia.org/wiki/Widelands "wikipedia:Widelands")** — Juego de estrategia de ritmo lento similar a «the Settlers 2».

	[http://widelands.org](http://widelands.org) || [widelands](https://www.archlinux.org/packages/?name=widelands)

*   **[Warzone 2100 - 2.*](https://en.wikipedia.org/wiki/Warzone_2100 "wikipedia:Warzone 2100")** — Usted lidera las fuerzas del Proyecto en una batalla por reconstruir el mundo después de que haya sido destruido por armas nucleares. El juego ofrece campañas multijugador y escaramuzas en modalidad de jugador único. Un árbol tecnológico extenso con más de 400 diferentes tecnologías, en combinación con el sistema de diseño de la unidad, permite una amplia variedad de posibles unidades y tácticas.

	[http://wz2100.net/](http://wz2100.net/) || [warzone2100](https://www.archlinux.org/packages/?name=warzone2100)

## Juegos Tycoon/Management

	Según Wikipedia

*   [Tycoon](https://en.wikipedia.org/wiki/es:Tycoon "wikipedia:es:Tycoon"): *«Se utiliza para designar un videojuego en el que se debe dirigir algún tipo de empresa u organización, y el objetivo es convertirte en el magnate del negocio.
    *
*   [Management](https://en.wikipedia.org/wiki/Management "wikipedia:Management"): *«Es un juego de mesa de simulación de negocios (...). Los jugadores gestionan sus propias empresas, toman decisiones en la compra de suministros, determinan el volumen de producción, fijan los precios de venta y la ampliación de las fábricas...»*

*   **Lincity-ng** — Juego de simulación en el que se le requiere para construir y mantener una ciudad. Se puede ganar el juego, ya sea mediante la creación de una economía sostenible o mediante la evacuación de todos los ciudadanos con naves espaciales.

	[http://lincity-ng.berlios.de/](http://lincity-ng.berlios.de/) || [lincity-ng](https://www.archlinux.org/packages/?name=lincity-ng)

*   **[Simutrans](https://en.wikipedia.org/wiki/Simutrans "wikipedia:Simutrans")** — Otra simulación de transporte que funciona en linux con sdl.

	[http://www.simutrans.com/](http://www.simutrans.com/) || [simutrans](https://www.archlinux.org/packages/?name=simutrans)

*   **[OpenTTD](/index.php/OpenTTD "OpenTTD")** — Clon de código abierto del juego de Microprose «Transport Tycoon Deluxe», un popular juego originalmente escrito por Chris Sawyer. Trata de imitar el juego original al tiempo que añade nuevas características.

	[http://www.openttd.org/](http://www.openttd.org/) || [openttd](https://www.archlinux.org/packages/?name=openttd)

*   **Tropic Euro** — Juego online gratuito, adaptación del juego de tableros Puerto Rico para 2-5 jugadores.

	[Play via Web Start](http://www.tropiceuro.com/play) || [http://www.tropiceuro.com](http://www.tropiceuro.com)

## Novelas visuales

	Según [Wikipedia](https://en.wikipedia.org/wiki/es:Novelas_visuales "wikipedia:es:Novelas visuales")

	*«Una novela visual es un género de videojuego de aventura conversacional que presenta mayormente imágenes estáticas, usualmente con características artísticas de anime. Estos están particularmente centrados en una historia, o contienen en sus escritos una narración similar a la de una novela.»*

Véase el artículo de [Wikipedia](https://en.wikipedia.org/wiki/es:Main_Page "wikipedia:es:Main Page") sobre este asunto para obtener más información: [Novelas visuales](https://en.wikipedia.org/wiki/es:Novelas_visuales "wikipedia:es:Novelas visuales").

*   **[Digital: A Love Story](https://en.wikipedia.org/wiki/Digital:_A_Love_Story "wikipedia:Digital: A Love Story")** — Juego de misterio/romance con una duración de cinco minutos ambientado en el futuro de 1988.

	[http://www.scoutshonour.com/digital/](http://www.scoutshonour.com/digital/) || [digital](https://aur.archlinux.org/packages/digital/)

*   **[Don't take it personally](https://en.wikipedia.org/wiki/Don%27t_take_it_personally,_babe,_it_just_ain%27t_your_story "wikipedia:Don't take it personally, babe, it just ain't your story")** — Novela visual casi cinética que cuenta una historia de un nuevo profesor de literatura de una escuela de secundaria, ambientado en una prestigiosa escuela privada, y en las redes sociales de 2027.

	[http://scoutshonour.com/donttakeitpersonallybabeitjustaintyourstory/](http://scoutshonour.com/donttakeitpersonallybabeitjustaintyourstory/) || [donttakeitpersonally](https://aur.archlinux.org/packages/donttakeitpersonally/)

*   **Juniper's Knot** — Juego corto sobre niños y amigos.

	[http://junipersknot.dischan.org/](http://junipersknot.dischan.org/) || [junipersknot](https://aur.archlinux.org/packages/junipersknot/)

*   **[Katawa Shoujo](https://en.wikipedia.org/wiki/Katawa_Shoujo "wikipedia:Katawa Shoujo")** — Juego de novela visual de estilo Bishoujo que cuenta una historia de un joven y otras cinco niñas que sufren de diferentes discapacidades.

	[http://katawa-shoujo.com/](http://katawa-shoujo.com/) || [katawa-shoujo](https://aur.archlinux.org/packages/katawa-shoujo/)

*   **[Narcissu](https://en.wikipedia.org/wiki/Narcissu "wikipedia:Narcissu")** — Novela visual que cuenta la historia de un joven enfermo terminal y de una mujer.

	[http://narcissu.insani.org/](http://narcissu.insani.org/) || [narcissu2-en](https://aur.archlinux.org/packages/narcissu2-en/)

*   **[RE: Alistair++](https://en.wikipedia.org/wiki/RE:_Alistair "wikipedia:RE: Alistair")** — Juego otome inglés (subtipo de novela visual) que cuenta una historia de un joven aficionado a los MMORPG, su vida en línea y el resto del día.

	[http://sakevisual.com/realistair/](http://sakevisual.com/realistair/) || [realistair](https://aur.archlinux.org/packages/realistair/)

## Véase también

*   [Linux Installers for Linux Gamers](http://liflg.org/)
*   [The Linux Gamers' Game List](http://www.icculus.org/lgfaq/gamelist.php)
*   [The Humble Bundle](https://www.humblebundle.com/)

Véase el artículo de [Wikipedia](https://en.wikipedia.org/wiki/es:Main_Page "wikipedia:es:Main Page") sobre este asunto para obtener más información: [Humble Bundle](https://en.wikipedia.org/wiki/Humble_Bundle "wikipedia:Humble Bundle").

*   [Linux Steam Games](http://store.steampowered.com/browse/linux/)

Véanse los artículos de [Wikipedia](https://en.wikipedia.org/wiki/es:Main_Page "wikipedia:es:Main Page") sobre este asunto para obtener más información: [List of games developed by Valve](https://en.wikipedia.org/wiki/List_of_games_developed_by_Valve "wikipedia:List of games developed by Valve"), [Game engine recreation](https://en.wikipedia.org/wiki/Game_engine_recreation "wikipedia:Game engine recreation") y [Source port](https://en.wikipedia.org/wiki/Source_port "wikipedia:Source port").