Los siguientes cinco principios constituyen lo que se conoce comúnmente como *«Arch Way»* o la Filosofía de Arch, mejor resumido por el acrónimo KISS cuyas siglas hacen referencia a *«Keep It Simple, Stupid»* («mantenlo simple, estúpido»).

## Contents

*   [1 Simplicidad](#Simplicidad)
*   [2 Precisión del código por encima de la comodidad](#Precisi.C3.B3n_del_c.C3.B3digo_por_encima_de_la_comodidad)
*   [3 Centrado en el usuario](#Centrado_en_el_usuario)
*   [4 Abierto](#Abierto)
*   [5 Libre](#Libre)

## Simplicidad

*La simplicidad es la sofisticación última*. — Leonardo Da Vinci

La simplicidad es fundamentalmente el objetivo principal de los desarrolladores de Arch. Muchas distribuciones GNU/Linux se definen a sí mismas como «simples». Sin embargo, la simplicidad en sí tiene muchas definiciones.

**Arch Linux define simplicidad como una ligera estructura de base UNIX sin agregados innecesarios, modificaciones o complicaciones, que permite a un usuario individual modelar el sistema de acuerdo a sus propias necesidades. En síntesis, una aproximación elegante y minimalista.**

Una estructura de base ligera construida con estándares de programación de alto nivel tenderá a tener menores demandas de recursos del sistema. El sistema de base está desprovisto de todo el desorden que pudiera ocultar tras sí partes importantes del sistema, o hacer su acceso más difícil o complicado. Tiene un conjunto de archivos de configuración organizados para que su acceso y edición sea rápido, sin engorrosas herramientas de configuración gráficas que tienden a ocultar las opciones para el usuario. Un sistema Arch Linux es, por tanto, fácilmente configurable hasta el más mínimo detalle.

**Complejidad sin complicaciones.**

Por otro lado, Arch Linux mantiene intacta la complejidad inherente a un sistema GNU/Linux, exponiéndolo al mismo tiempo bien organizado y del todo transparente. Los desarrolladores y usuarios Arch Linux creen que intentar ocultar la complejidad de un sistema en realidad se traduce en un sistema más complejo y, por lo tanto, debe evitarse.

## Precisión del código por encima de la comodidad

*La corrección es claramente la principal cualidad. Si un sistema no hace lo que se supone que debe hacer, entonces todo lo demás importa poco.* — Bertrand Meyer

El sistema Arch Linux da prioridad a la elegancia del diseño, en lugar de parches innecesarios, automatización, mejoras visuales o «amigable para el principiante». Los parches de software, por lo tanto, se mantienen a un mínimo absoluto y sólo se proporcionan para evitar un fallo grave, idealmente, nunca. Una implementación simple siempre será mejor que una interfaz de usuario simple.

**La simplicidad de la *implementación*, la elegancia de código y el minimalismo deberán permanecer siempre en la máxima prioridad del desarrollo de Arch.**

Los conceptos, diseños y características están generados e implementados usando como guía los principios de la Filosofía de Arch sin ceder a las influencias externas. El equipo de desarrollo está determinado por su compromiso y dedicación hacia la Filosofía de Arch. Si comparte su visión, le damos la bienvenida y le invitamos a que use Arch.

## Centrado en el usuario

Considerando que muchas distribuciones GNU/Linux intentan ser más 'amigables al usuario', Arch Linux siempre ha sido y seguirá 'centrada en el usuario'.

**Arch Linux tiene por objetivo ser cómoda para los usuarios GNU/Linux, dándoles un completo control y responsabilidad sobre el sistema.**

Los usuarios de Arch Linux administran el sistema completamente por sí mismos. El propio sistema ofrece poca asistencia, con excepción de un simple conjunto de herramientas de mantenimiento que están perfectamente diseñadas para transmitir los comandos del usuario al sistema. Los desarrolladores de Arch no dilapidan energía reinventando GUI de las herramientas del sistema; Arch se basa en un diseño sensible y una excelente documentación.

Este diseño centrado en el usuario requiere necesariamente que el usuario «haga las cosas por sí mismo». En lugar de solicitar una nueva característica para ser implementada por los desarrolladores, los usuarios de Arch Linux tienen tendencia a resolver los problemas por sí mismos y compartir generosamente los resultados con la comunidad y el equipo de desarrollo —una filosofía basada en «primero hazlo, luego pide». Esto es así especialmente en los paquetes aportados por los usuarios que se pueden encontrar en el Repositorio de Usuarios de Arch— el repositorio oficial de Arch Linux para los paquetes mantenidos por la comunidad.

## Abierto

La apertura va de la mano con la simplicidad y es también uno de los principios rectores del desarrollo de Arch Linux.

**Arch Linux utiliza herramientas simples, que son seleccionadas o construidas con filosofía de código abierto.**

La apertura elimina todos los límites y abstracciones entre el usuario y el sistema, proporcionando a los usuarios un mayor control, al tiempo que simplifica el mantenimiento del sistema.

La natural apertura de Arch Linux también implica una curva de aprendizaje bastante alta, aunque los usuarios experimentados de Arch Linux tienden a encontrar mucho más complicados de controlar a otros sistemas más cerrados.

El principio de apertura se extiende igualmente a los miembros de la comunidad, donde los usuarios de Arch Linux tienen buena disposición para dar asistencia y colaborar.

## Libre

Otro de los principios rectores del desarrollo de Arch Linux es la libertad. Los usuarios no sólo están autorizados para tomar todas las decisiones relativas a la configuración del sistema, sino que también pueden elegir lo que su sistema **será**.

**Al mantener el sistema sencillo, Arch Linux proporciona la libertad de tomar cualquier decisión sobre el sistema.**

Un sistema Arch Linux recién instalado contiene sólo los componentes básicos sin ninguna configuración automática. Los usuarios pueden configurar el sistema como lo deseen, mediante la línea de comandos. Desde el inicio del procedimiento de instalación, cada uno de los componentes del sistema es 100% transparente y accesible para una inmediata eliminación o sustitución por otros componentes.

El gran número de paquetes y scripts de compilación presentes en los diferentes repositorios de Arch Linux también permiten la libertad de elección, ofreciendo software libre y de código abierto para aquellos que lo prefieran, así como paquetes de software propietario, para aquellos que abracen *la funcionalidad sobre la ideología*. Es el usuario quien elige.

Como Judd Vinet, fundador del proyecto Arch Linux dice: «[Arch Linux] es lo que *tú* haces de él».