Arch Linux — це незалежний дистрибутив GNU/Linux, оптимізований для роботи на архітектурах і686 та х86-64\. Його розробку сфокусовано на простоті, мінімалізмі та елегантності, але водночас він досить універсальний, щоб задовольнити найрізноманітніші потреби. Arch встановлюється як система з мінімальною кількістю пакетів, даючи користувачу можливість обрати та встановити тільки те, що йому потрібно, і тим самим створити та налаштувати найефективніше для нього робоче середовище. Офіційно, графічні утиліти для налаштування не надаються спільнотою Arch, тому налаштування більшості параметрів системи відбувається за допомогою shell, шляхом редагування не складних текстових файлів. Arch прагне постійно залишатись сучасним, і тому використовує модель [рухомих релізів](https://en.wikipedia.org/wiki/Rolling_release "wikipedia:Rolling release") (англ.), завдяки чому з’являється можливість користуватись найновішими стабільними версіями програмного забезпечення.

## Contents

*   [1 Історія](#.D0.86.D1.81.D1.82.D0.BE.D1.80.D1.96.D1.8F)
*   [2 Простота](#.D0.9F.D1.80.D0.BE.D1.81.D1.82.D0.BE.D1.82.D0.B0)
*   [3 Сучасність](#.D0.A1.D1.83.D1.87.D0.B0.D1.81.D0.BD.D1.96.D1.81.D1.82.D1.8C)
*   [4 Керування пакетами](#.D0.9A.D0.B5.D1.80.D1.83.D0.B2.D0.B0.D0.BD.D0.BD.D1.8F_.D0.BF.D0.B0.D0.BA.D0.B5.D1.82.D0.B0.D0.BC.D0.B8)
*   [5 Цілісність вихідних кодів](#.D0.A6.D1.96.D0.BB.D1.96.D1.81.D0.BD.D1.96.D1.81.D1.82.D1.8C_.D0.B2.D0.B8.D1.85.D1.96.D0.B4.D0.BD.D0.B8.D1.85_.D0.BA.D0.BE.D0.B4.D1.96.D0.B2)
*   [6 Спільнота](#.D0.A1.D0.BF.D1.96.D0.BB.D1.8C.D0.BD.D0.BE.D1.82.D0.B0)
*   [7 Підсумки](#.D0.9F.D1.96.D0.B4.D1.81.D1.83.D0.BC.D0.BA.D0.B8)

## Історія

Arch Linux було засновано канадським програмістом Джадом Вайнетом (англ. Judd Vinet). Перший реліз Arch Linux відбувся 11 травня 2002р. Не дивлячись на те, що Arch є незалежним дистрибутивом, він надихається простотою інших дистрибутивів, таких як [Slackware](http://slackware.com), [CRUX](http://www.crux.nu) та [BSD](https://en.wikipedia.org/wiki/Berkeley_Software_Distribution "wikipedia:Berkeley Software Distribution"). В 2007р. Джад Вайнет припинив діяльність керівника проекту задля реалізації інших власних інтересів. Йому на зміну прийшов Аарон Гріффін (англ. Aaron Griffin), який продовжує керувати проектом по сьогоднішній день.

Дивись також: [History of Arch Linux](/index.php/History_of_Arch_Linux "History of Arch Linux") (англ).

## Простота

Згідно з філософією [The Arch Way](/index.php/The_Arch_Way_(%D0%A3%D0%BA%D1%80%D0%B0%D1%97%D0%BD%D1%81%D1%8C%D0%BA%D0%B0) "The Arch Way (Українська)"), Arch залишається простим, легким, гнучким, та максимально UNIX-подібним. Після встановлення надається мінімальне робоче оточення (без графічного інтерфейсу). Замість видалення непотрібних пакетів, досвідчений користувач має можливість налаштувати систему починаючи з мінімальної основи, що не містить жодних шаблонів, вибраних за замовчуванням. Arch Linux дозволяє легко розширювати систему для отримання потрібних можливостей, від мінімальної консольної системи до найсучаснішого складного середовища: саме *користувач* вирішує, якою буде система на базі Arch Linux.

Система ініціалізації Arch в значній мірі запозичена з ОС сімейства BSD, де більшість параметрів сконцентровано в одному файлі ([rc.conf](/index.php/Rc.conf_(%D0%A3%D0%BA%D1%80%D0%B0%D1%97%D0%BD%D1%81%D1%8C%D0%BA%D0%B0) "Rc.conf (Українська)")). Це дозволяє зменшити кількість системних викликів, у порівнянні з моделлю використання директорії SysVinit, яка містить безліч посилань для кожного з рівнів ініціалізації. Налаштування системи здійснюється шляхом редагування не складних текстових файлів.

## Сучасність

Arch Linux намагається надавати найсучасніші версії програмного забезпечення. Більше того, Arch базується на моделі [рухомих релізів](https://en.wikipedia.org/wiki/Rolling_release "wikipedia:Rolling release") (англ.), що дозволяє один раз встановити систему і час від часу оновлювати її складові, без необхідності перевстановлювати систему в цілому чи оновлювати її з версії на версію. Викликом всього однієї команди можна підтримувати Arch Linux в актуальному стані.

Arch надає безліч нових можливостей, що доступні користувачам GNU/Linux, включаючи сучасні файлові системи (Ext2/3/4, Reiser, XFS, JFS, btrfs), LVM2/EVMS), програмний RAID, підтримку udev та initcpio, а також найновіші ядра Linux.

## Керування пакетами

Arch опирається на [pacman](/index.php/Pacman_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "Pacman (Русский)") (рос.), зручний у використанні менеджер пакетів, який дозволяє оновити систему за допомогою всього лише однієї команди. Pacman написано на C, тому він компактний, простий і надзвичайно швидкий в роботі. Також, Arch надає у використання [Arch Build System](/index.php/Arch_Build_System_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "Arch Build System (Русский)") (рос.), систему, яка схожа на п**о**рти в BSD і яка забезпечує збірку та встановлення пакетів із вихідних кодів. Однією командою можна синхронізувати пакети наявні в системі з пакетами, доступними в репозиторії, Ви навіть можете повторно зібрати всю систему однією командою.

Підтримуючи архітектури i686 та x86-64, офіційні репозиторії Arch Linux забезпечують доступ до декількох тисяч пакетів для задоволення Ваших потреб в програмних засобах. Також, Arch стимулює до розширення та збільшення вкладу спільноти, пропонуючи [Користувацький репозитарій Arch](/index.php/Arch_User_Repository_(%D0%A3%D0%BA%D1%80%D0%B0%D1%97%D0%BD%D1%81%D1%8C%D0%BA%D0%B0) "Arch User Repository (Українська)"), в якому знаходяться тисячі скриптів PKGBUILD для збірки та встановлення пакетів з вихідних кодів. Користувачі також мають можливість створювати власні репозиторії.

## Цілісність вихідних кодів

Arch надає у користування програмне забезпечення у такому вигляді, в якому його створили його автори, не накладаючи жодних додаткових виправлень чи патчів. Пакети збираються і будуються на основі вихідного коду з першоджерел. Виправлення накладаються лише в крайніх випадках для попередження серйозних помилок через невідповідність версій ПЗ, які можуть виникнути в результаті використання моделі [рухомих релізів](https://en.wikipedia.org/wiki/Rolling_release "wikipedia:Rolling release") (англ.).

## Спільнота

Спільнота Arch намагається бути надійною та дружньою: всі Arch'єри зацікавлені прийняти участь в підтримці улюбленого дистрибутиву: будь то розробка ключового програмного забезпечення, супровід пакетів, повідомлення про помилки або допомога в їх виправленні, покращення [документації ArchWiki](/index.php/Main_page_(%D0%A3%D0%BA%D1%80%D0%B0%D1%97%D0%BD%D1%81%D1%8C%D0%BA%D0%B0) "Main page (Українська)"), допомога іншим користувачам у вирішенні проблем або просто обмін думками на [форумах](https://bbs.archlinux.org/) (англ.), [поштових розсилках](https://mailman.archlinux.org/mailman/listinfo/) (англ.), [IRC](/index.php/IRC_channels "IRC channels"). Члени спільноти завжди готові поділитись знаннями або самостійно розробленим програмним забезпеченням. Arch Linux обрало багато людей в усьому світі. Існує декілька [міжнародних спільнот](/index.php/International_communities "International communities"), які надають допомогу та документацію на різних мовах.

Зверніть увагу на сторінку [Прийняти участь](/index.php/Getting_involved_(%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%B8%D0%B9) "Getting involved (Русский)") (рос.), якщо ви бажаєте стати активним учасником спільноти.

## Підсумки

Arch Linux - легкий та простий дистрибутив, розроблений для задоволення потреб досвідчених користувачів Linux. Він є досить потужним та надійним в користуванні, що робить його ідеальним дистрибутивом для серверів та робочих станцій. Развивайте систему на базі Arch в будь-якому потрібному напрямку: якщо Ви розділяєте даний погляд на те, яким повинен бути дистрибутв GNU/Linux, тоді ласкаво просимо, приєднуйтесь до спільноти Arch Linux!