Додати екранний менеджер входу в систему, що стартуватиме при завантаженні, дуже просто. Все що вам треба, це повноваження супер користувача (root).

Важливо пам'ятати, що менеджери входу не допускають порожніх паролів!

Зробіть наступне:

1\. Увійдіть в систему під обліковим записом суперкористувача *su*.

2\. Відкрийте файл */etc/rc.conf* у вашому улюбленому редакторі.

3\. Прокрутіть файл, поки не побачите рядок, схожий на цей (швидше за все, це буде ближче до кінця):

```
DAEMONS=(syslogd klogd !pcmcia network netfs crond)

```

4\. Після останньої програми в списку, додайте менеджер входу, який ви хочете використовувати - KDM, GDM або XDM примерно так:

```
# Це буде запускати KDM при завантаженні
DAEMONS=(syslogd klogd !pcmcia network netfs crond kdm)

```

```
# Це буде запускати GDM при завантаженні
DAEMONS=(syslogd klogd !pcmcia network netfs crond gdm)

```

```
# Це буде запускати XDM при завантаженні
DAEMONS=(syslogd klogd !pcmcia network netfs crond xdm)

```

5\. Збережіть файл і закрийте редактор. Наступного разу при завантаженні системи запуститься менеджер входу. Якщо це не так, перевірте правильність файлу та наявність потрібного менеджера (чи встановлений він).

**Важное замечание:**

*   Пакет KDM є частиною пакету *kdebase*. Ви можете встановити його за допомогою *pacman* з правами суперкористувача (**root**):

```
pacman -S kdebase

```

***Альтернативний метод***

Побічний ефект вищевказаного методу полягає в тому, що не буде різниці між рівнями виконання 3 і 5 (run levels). Щоб запобігти цьому, зробіть наступне:

1\. Войдите в систему под учетной записью суперпользователя *su*.

2\. Откройте */etc/inittab* в вашем любимом редакторе.

3\. Измените строку

```
id:3:initdefault:

```

на

```
id:5:initdefault:

```

4\. Убедитесь, что строка

```
x:5:respawn:/usr/bin/xdm -nodaemon

```

( или если у вас еще нет xorg 7: )

```
x:5:respawn:/usr/X11R6/bin/xdm -nodaemon 

```

есть в файле.

5\. (Опционально) Если вы хотите использовать только xdm, пропустите этот шаг. Если предполагаете использовать gdm или kdm, измените строку на один из двух вариантов:

```
x:5:respawn:/opt/gnome/sbin/gdm -nodaemon

```

```
x:5:respawn:/opt/kde/bin/kdm -nodaemon

```

6\. Сохраните файл и закройте редактор.

Вот и все -- в следующий раз при загрузке, появится выбранный вами менеджер. Чтобы запустить его без перезагрузки, выполните следующую команду:

```
#/sbin/telinit 5

```

Если вам потребуется остановить Х сервер, вы можете выполнить следующую команду:

```
#/sbin/telinit 3

```

и вы вернетесь к консольному входу в систему. После этого, вы можете опять переключится в режим выполнения 5 командой telinit. Перезагрузка не нужна.