## Contents

*   [1 Огляд](#.D0.9E.D0.B3.D0.BB.D1.8F.D0.B4)
*   [2 Локализация](#.D0.9B.D0.BE.D0.BA.D0.B0.D0.BB.D0.B8.D0.B7.D0.B0.D1.86.D0.B8.D1.8F)
*   [3 Железо](#.D0.96.D0.B5.D0.BB.D0.B5.D0.B7.D0.BE)
*   [4 Сеть](#.D0.A1.D0.B5.D1.82.D1.8C)
*   [5 Демоны](#.D0.94.D0.B5.D0.BC.D0.BE.D0.BD.D1.8B)

# Огляд

Файл rc.conf (`/etc/rc.conf`) являє собою основний конфігураційний файл Arch Linux. У ньому задаються деякі налаштування, такі як тимчасова зона, розкладка клавіатури, модулі ядра, служби і т.п. в один зручний текстовий файл з метою спростити адміністрування системи.

Після встановлення Arch Linux, файл `rc.conf` виглядає наступним чином (наведено з перекладом):

 `/etc/rc.conf` 
```
 #
 # /etc/rc.conf - Основна конфігурація Arch Linux
 #

 #
 # -----------------------------------------------------------------------
 # ЛОКАЛІЗАЦІЯ
 # -----------------------------------------------------------------------
 #
 # LOCALE: доступні мови можуть бути переглянуті за допомогою 'locale -a'
 # HARDWARECLOCK: встановіть "UTC" або "localtime"
 # TIMEZONE: доступні часові зони /usr/share/zoneinfo (наприклад для Києва це Europe/Kiev)
 # KEYMAP:  доступні розкладки клавіатури можна знайти/встановити в  /usr/share/kbd/keymaps
 # CONSOLEFONT: консольный шрифт /usr/share/kbd/consolefonts (только для не-US в консоли)
 # CONSOLEMAP: кодировка консоли (если отлична от locale) /usr/share/kbd/unimaps
 # USECOLOR: використання ANSI кольорів у повідомленнях при запуску
 #
 LOCALE=
 HARDWARECLOCK="localtime"
 TIMEZONE=Europe/Kiev
 KEYMAP=uk
 CONSOLEFONT=
 CONSOLEMAP=
 USECOLOR="yes"

 #
 # -----------------------------------------------------------------------
 # ЖЕЛЕЗО
 # -----------------------------------------------------------------------
 #
 # MOD_AUTOLOAD: Сканировать устройства и загрузить необходимые модули при запуске
 # MOD_BLACKLIST: Чёрный список модулей - они никогда не будут загружены через hwdetect
 # MODULES: Модули для загрузки при запуске (в этом порядке).
 #
 # ЗАМЕЧАНИЕ: Использование 'MOD_BLACKLIST' не рекомендуется. Поставьте ! перед модулем, чтобы занести его в чёрный список
 #
 MOD_AUTOLOAD="yes"
 #MOD_BLACKLIST=() #не рекомендуется
 MODULES=(!usbserial)

 # Сканировать LVM тома при загрузке. необходимо если вы используете LVM
 USELVM="no"

 #
 # -----------------------------------------------------------------------
 # СЕТЬ
 # -----------------------------------------------------------------------
 #
 #имя хоста. введите сюда имя машины.
 HOSTNAME="myhost"

 # Интерфейсы для запуска при загрузке (будут запущены в этом порядке)
 # Введите каждый интефейс в список INTERFACES
 #   - префикс ! в  INTERFACES запрещает запуск
 #
 #Замечание: чтобы использовать DHCP, выставьте "dhcp" (eth0="dhcp")
 # Wireless: Смотрите ниже сетевые профили
 #
 eth0="eth0 192.168.0.2 netmask 255.255.255.0 broadcast 192.168.0.255"
 INTERFACES=(eth0)

 # Маршруты добавляемые при запуске (в этом порядке)
 # Введите каждый маршрут в список ROUTES
 #   - префикс ! в ROUTES запрещает добавление
 #
 gateway="default gw 192.168.0.1"
 ROUTES=(gateway)

 # Активировать следующие сетевые профили. Это полезно, только,
 # если вы, используете различные сетевые комбинации (к примеру на ноутбуке)
 #   - выставьте 'menu' чтобы показать меню при запуске для выбора профиля
 #   - префикс ! запрещает загрузку
 #
 # Профили сети могут быть найдены в /etc/network.d
 # Для этого требуется пакет netcfg
 #NETWORKS=(main)

 # -----------------------------------------------------------------------
 # ДЕМОНЫ
 # -----------------------------------------------------------------------
 #
 # Демоны для запуска при загрузке. (будут запущены в этом порядке)
 #   - префикс ! запрещает загрузку
 #   - префикс @ означает старт в фоновом режиме (скрипт в /etc/rc.d/ будет запущен, и загрузка продолжится, не ожидая его завершения)
 #
 DAEMONS=(syslog-ng !hotplug !pcmcia network netfs crond)

 # Конец файла

```

# Локализация

*   [LOCALE](/index.php/Locale "Locale"): Устанавливает язык, который будет использоваться в приложениях и утилитах с поддержкой i18n. Вы можете получить список доступных языков запустив команду locale -a из командной строки. Значение по умолчанию подходит для пользователей США.
*   HARDWARECLOCK: Устанавливает, каким образом хранится время в часах компьютера - UTC или локальное (localtime). UTC ощутимо упрощает переключение между часовыми поясами и зимним/летним временем. Локальное время используется, если требуется загрузка в операционную систему, которая хранит время в локальном формате, например Windows.
*   [TIMEZONE](/index.php/TIMEZONE "TIMEZONE"): Устанавливает используемый вами часовой пояс (временную зону). Возможные зоны находятся внутри каталога `/usr/share/zoneinfo`. Например, временной зоной для Германии будет Europe/Berlin, и будет соответствовать файлу `/usr/share/zoneinfo/Europe/Berlin`.
*   [KEYMAP](/index.php/KEYMAP "KEYMAP"): Устанаваливает используемую вами раскладку клавиатуры. Если вы проживаете в России, скорее всего, вы будете использовать раскладку йцукен, которая соответствует раскладке ru (по умолчанию us). Доступные раскладки находятся в каталоге `/usr/share/kbd/keymaps`. Пожалуйста, имейте ввиду, что эта настройка влияет только на консольные приложения, но не на графические, или запущеные в X!
*   [CONSOLEFONT](/index.php?title=CONSOLEFONT&action=edit&redlink=1 "CONSOLEFONT (page does not exist)"): Устанаваливает шрифт консоли, который будет загружен программой setfont при загрузке. Возможные шрифты находятся в папке `/usr/share/kbd/consolefonts`. Для подробностей смотрите: [Fonts in console](/index.php/Fonts#Fonts_in_virtual_console "Fonts")
*   USECOLOR: Включает (или отключает) цветные статус-сообщения при загрузке системы.

# Железо

*   MOD_AUTOLOAD: Если стоит "yes", Arch просканирует ваше железо при загрузке и попытается автоматически загрузить модули, нужные для вашей системы (с помощью [udev](/index.php/Udev "Udev")).
*   MOD_BLACKLIST: Чёрный список модулей. Модули с префиксом (`!`) в секции `MODULES` заносятся сюда.
*   MODULES: Здесь вы можете перечислить названия модулей, которые должны запуститься при загрузке, без потребности связывать их с каким-либо устройством, как в `/etc/modprobe.d/[modprobe.conf](/index.php/Kernel_modules "Kernel modules")`. Просто добавьте имя модуля сюда, и добавьте опции в `modprobe.conf`, если нужно. Добавьте перед названием модуля (`!`) и он попадёт в чёрный список при следующей загрузке. Преимуществом загрузки модулей сети здесь является то, что сетевые карты, поддерживаемые перечисленными модулями, обязательно будут обнаруженны в порядке перечисления модулей. Это предотвращает ужасную путаницу, когда ваше сетевое оборудование связывается с, казалось бы, случайным интерфейсом при каждой загрузке. Ещё лучше, использовать для этих целей статическую ссылку на интерфейс, настроив таким образом udev.
*   USELVM: сканировать [LVM](/index.php/LVM "LVM") тома при загрузке. Нужно, если вы используете [LVM](/index.php/LVM "LVM"). Значение "yes" загружает vgchange во время загрузки.

# Сеть

*   [HOSTNAME](/index.php/HOSTNAME "HOSTNAME"): Имя хоста для машины без названия домена. Это полностью ваш выбор, вы можете использовать буквы, цифры и несколько специальных символов. Не будьте слишком изобретательными, если нет нужды, используйте имя по умолчанию.
*   INTERFACES: Здесь вы можете задать настройки своей сети. По умолчании закоментированные строки содержат достаточно настроек. Если вы не используете dhcp для настройки устройства, просто придумайте значение этого поля (имя которого должно совпадать с названием настраивамого устройства) такое же значение вы можете использовать в качестве аргумента для ifconfig если вы хотите настроить сеть самостоятельно из коммандной строки.
*   ROUTES: Здесь вы можете задать маршруты, для вашей сети. Посмотрите на пример и пропишите настройки, актуальные для вашей сети. Добавление маршрутов сюда идентично выполнению route add. Если вы не знаете, что здесь писать, используйте man route или просто оставьте всё, как было.
*   NETWORKS: Активировать следующие профили сети при загрузке. Профили сети нужны, только если вы используете несколько разных конфигураций сети. Настройка при нескольких профилях отличается от стандартной, описанной в INTERFACES и ROUTES и полностью заменяет её. Если вы намерены использовать несколько профилей сети (например на ноутбуке) то вам нужно заглянуть в **директорию /etc/network.d/** для того чтобы создать несколько профилей. В системе есть несколько шаблонных файлов (`/etc/network.d/examples/`) которые могут быть использованны для создания новых профилей. ( Замечание: С момента выхода [netcfg](/index.php/Netcfg "Netcfg") v2.0 секция `NET_PROFILES` изменилась как указанно здесь. Новая версия содержит много исправлений, включая папку содержащую сетевые профили. Смотрите [Network Profiles](/index.php/Network_Profiles "Network Profiles") чтобы получить больше информации по этой теме. Несмотря на изменения опция `NETWORKS` должна работать так же, как и `NET_PROFILES`, просто профили будут находиться в другой папке (`/etc/network.d/`) и будет использоваться немного другой синтаксис. )

**Note:** Чтобы использовать сценарий настройки интерфейсов с использованием профилей, должен быть установлен пакет netcfg, а в секции `DAEMONS` `network` следует заменить на `net-profiles`.

# Демоны

*   [DAEMONS](/index.php/Daemons "Daemons"): Здесь содержится список названий скриптов из `/etc/rc.d/` которые предполагается запустить при старте. Если в начале имени скрипта стоит знак (`!`), он не запустится. Если в начале стоит знак (`@`), скрипт запустится в фоне, т.е. загрузчик не будет ждать успешного завершения скрипта и продолжит загрузку. Обычно, вам не нужно ничего менять, для запуска системы, но вам нужно изменить настройку, если вы установили новый сервис, например sshd, и вы хотите, чтобы он автоматически стартовал при загрузке. Это основной способ Arch'а делать то, что другие дистрибутивы используя символические ссылки в директории init.d.

**Замечание:** Порядок, в котором перечислены демоны очень важен, так как они загружаются в этом же порядке.