Наступні п'ять базових принципів складають те, що зазвичай називається *Шляхом Arch (The Arch Way)* або *Філософією Arch*, що, можливо, найкраще резюмується абревіатурою KISS (англ. *keep it simple, stupid* - «не ускладнюй, дурню»).

## Contents

*   [1 Простота](#.D0.9F.D1.80.D0.BE.D1.81.D1.82.D0.BE.D1.82.D0.B0)
*   [2 Коректність коду понад зручніть](#.D0.9A.D0.BE.D1.80.D0.B5.D0.BA.D1.82.D0.BD.D1.96.D1.81.D1.82.D1.8C_.D0.BA.D0.BE.D0.B4.D1.83_.D0.BF.D0.BE.D0.BD.D0.B0.D0.B4_.D0.B7.D1.80.D1.83.D1.87.D0.BD.D1.96.D1.82.D1.8C)
*   [3 Орієнтованість на користувача](#.D0.9E.D1.80.D1.96.D1.94.D0.BD.D1.82.D0.BE.D0.B2.D0.B0.D0.BD.D1.96.D1.81.D1.82.D1.8C_.D0.BD.D0.B0_.D0.BA.D0.BE.D1.80.D0.B8.D1.81.D1.82.D1.83.D0.B2.D0.B0.D1.87.D0.B0)
*   [4 Відкритість](#.D0.92.D1.96.D0.B4.D0.BA.D1.80.D0.B8.D1.82.D1.96.D1.81.D1.82.D1.8C)
*   [5 Свобода](#.D0.A1.D0.B2.D0.BE.D0.B1.D0.BE.D0.B4.D0.B0)

## Простота

*«Простота — це найвища мудрість»* — Леонардо Да Вінчі

Саме простота є принциповою метою розробки Arch. Багато дистрибутивів GNU/Linux визначають себе як "прості", але сама по собі простота має багато визначень.

**Arch Linux визначає простоту як *без зайвих додатків, модифікацій або ускладнень* та надає легку <tt>UNIX</tt>-подібну базову структуру що дозволяє користувачу формувати систему відповідно до власних потреб. Коротше кажучи: елегантний, мінімалістичний підхід.**

Легка базова структура, яка побудована за високими стандартами програмування, як правило потребує менше системних ресурсів. Базова система позбавлена будь-якого нагромадження що може приховати важливі частини системи або зробити доступ до них складним чи непрямолінійним. Вона має довершений набір лаконічно комментованих, прозорих конфігураційних файлів, що спеціально розташовані для швидкого доступу та редагування без обтяжуючих графічних утиліт що приховують від користувача деякі можливості. Таким чином, система Arch Linux легко налаштовується до останньої дрібниці.

**Складності без ускладнень.**

Arch Linux зберігає складності властиві системі GNU/Linux як вони є, залишаючи їх прозорими та добре організованими. Розробники Arch Linux та користувачі впевнені що спроби приховати складнощі системи насправді приводять до ще більш складних систем, а тому їх треба уникати.

## Коректність коду понад зручніть

Система Arch Linux надає пріоритет елегантності дизайну, так само як і чистому, простому коду у протилежність латанню без потреби, автоматизації, прикрас або "дружності для новачків". Тому латки до програмного забезпечення зведені до абсолютного мінімуму; в ідеалі - до нуля. Проста реалізація завжди має перевагу над простим інтерфейсом користувача.

**Простота *реалізації*, елегантність коду та мінімалізм назавжди залишаться панівними пріорітетами розробки Arch.**

Концепти, архітектура та функції генеруються та реалізуються з використанням Шляху Arch у якості керівництва, а не прогинаючись під зовнішнім впливом. Команда розробників послідовна і віддана філософії Шляху Arch. Якщо ви поділяєте їх погляди, ми вітаємо та заохочуємо ваше користування дистрибутивом Arch.

## Орієнтованість на користувача

У той час як багато дистрибутивів GNU/Linux намагаються бути більш *дружніми до користувача*, Arch Linux завжди був і назавжди залишиться *орієнтованим на користувача (user-centric)*.

**Arch Linux пристосовується та націлюється на компетентних користувачів GNU/Linux надаючи їм повний контроль та *відповідальність* за систему.**

Користувачі Arch Linux повністю керують системою на власний розсуд. Сама система пропонує мало допомоги, за виключенням простого набору службових інструментів, що були розроблені так, щоб бездоганно передавати команди користувача системі. Розробники Arch не марнують зусилля на винаходження графічних системних утиліт заново; Arch засновано на розумному проектуванні та відмінній документації.

Цей орієнтований на користувача дизайн обов'язково означае певний підхід "зроби сам" до користування дистрибутивом Arch. Замість вимагання від розробників допомоги або розробки нової функціональності, користувачі Arch Linux намагаються вирішити проблему самостійно та поділитися своїми результатами з громадою та командою розробників – філософія "спочатку зроби, потім питай". Особливо це стосується пакунків, що були внесені користувачами в Arch User Repository – офіційне сховище пакунків які підтримуються громадою.

## Відкритість

Відкритість іде пліч-о-пліч з простотою і вона є також одним з керуючих принципів розробки Arch.

**Arch Linux використовує прості інструменти, які обрано або побудовано з думкою про відкритість вихідного коду та його продуктів.**

Вікритість прибирає всі перешкоди та абстракції між користувачем та системою, надає більше контролю і водночас спрощує обслуговування системи.

Відкрита натура Arch Linux також означає доволі круту криву навчання, але досвідчені користувачі Arch Linux як правило вважають закритіші системи набагато незручнішими для керування.

Принцип відкритості поширюється також і на членів громади. Користувачі Arch Linux відомі своєю відкритістю, готовністю допомогти ділом і порадою, а також внесками у вигляді пакунків у сховищі Arch User Repository, що підтримується громадою.

## Свобода

Ще одним керуючим принципом розробки Arch Linux є свобода. Користувачам не тільки дозволяється приймати будь-які рішення стосовно конфігурації системи, але й обирати **чим саме** буде їхня система.

**Зберігаючи систему простою, Arch Linux надає свободу вибору будь-яких аспектів роботи системи.**

Cистема Arch Linux одразу після встановлення містить тільки тільки базові компоненти, ніякого автоматичного налаштування не виконується. Користувачі можуть одразу сконфігурувати систему за власним бажанням. З початку процедури встановлення кожен компонент систем є на 100% прозорим і досяжним для негайного доступу, видалення або заміни на альтернативні компоненти.

Велика кількість пакунків та збиральних скриптів у різноманітних сховищах Arch Linux також підтримують свободу вибору, пропонуючи вільне та відкрите програмне забезпечення для людей, що віддають йому перевагу, так само як і пакунки з пропріетарним ПЗ для тих, хто обирає *функціональність понад ідеологію*. Вибір належить саме користувачеві.

Як сказав Джуд Вінет (Judd Vinet), засновник проекту Arch Linux: «[Arch Linux](/index.php/ArchLinux_(%D0%A3%D0%BA%D1%80%D0%B0%D1%97%D0%BD%D1%81%D1%8C%D0%BA%D0%B0) "ArchLinux (Українська)") є тим, чим *ви* його зробите».